if (!window.drugDetailJs) {
    window.drugDetailJs = null;
}

var drugDetailJs = function() {
	
    appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
    });
    
    var drugDetailData = appcan.locStorage.getVal("drugDetailData");
    
    var drugModel = new SelectDrugModel();
    var drugViewModel = new (MVVM.ViewModel.extend({
        el: "#drugDetailView",
        model: drugModel
    }));
 
    var init = function() {
    	drugModel.set(JSON.parse(drugDetailData));
    }
    
    return {
        init: init
    }
}();

appcan.ready(function() {
    drugDetailJs.init();
});
