if (!window.electronicPrescribing) {
    window.electronicPrescribing = {};
}

var electronicPrescribing = function() {
    
    var inParam, recipeId, headerHeight;  
    var self = this;
    //设置处方头表MODEL类   
    var recipeInfoModel = new RecipeInfoModel();
    var payInfo = {}, apothecaryInfo = {};
    var recipeInfoViewModel = new (MVVM.ViewModel.extend({
        el: ".recipeInfo",
        model: recipeInfoModel
    }));
    
    var recipeDetailInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#showRecipeDetailInfoView",
        collection: new RecipeDetailInfoCollection()
    }));
    
    // var recipeDrugDetailViewModel = new (MVVM.ViewModel.extend({
        // el: "#showRecipeDrugDetailsView",
        // collection: new RecipeDrugDetailCollection()
    // }));
            
    var options = {};      
    var success = function(res) {
        if (!!res && !!res.tRecipeInfoVOList) {
            recipeInfoModel.set(res.tRecipeInfoVOList[0].tRecipeInfo);
            recipeDetailInfoViewModel.collection.set(res.tRecipeInfoVOList[0].tRecipeDetailInfoList); 
            // recipeDrugDetailViewModel.collection.set(res.tRecipeInfoVOList[0].tRecipeDrugDetailList);
        }
    }
    options.success = success;
    options.url = window.ServerURL + "/getTRecipeInfoXf";
        
    var init = function() {
        appcan.window.disableBounce();
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        try {
            recipeId = !!!inParam.id ? "" : inParam.id;
        } catch (e){
            recipeId = "_";
        }
        
        var recipeInfoPamar = _.clone(window.pagingParam);
        recipeInfoPamar.tRecipeInfo =  {
            id: recipeId
        }
        
        //获取药师信息
        commonService.request(recipeInfoPamar, options);
        
        /*
        recipeDetailInfoViewModel.collection.on("add", function(model, self, options) {
            console.log(model);
        });
        recipeInfoModel.set(recipeInfoTestData);
        recipeDetailInfoViewModel.collection.set(recipeInfoTestData.tRecipeDetailInfoList);
        recipeDrugDetailViewModel.collection.set(recipeInfoTestData.tRecipeDrugDetailList);
        */
    }
    
    return {
        init: init
    }
}();

appcan.ready(function() {
    electronicPrescribing.init();
});
