
if (!window.illnessType) {
    window.illnessType = null;
}
   
var illnessType = function() {
    
    var inParam, headerHeight;
    var pageParam = _.clone(window.pagingParam);
    
    var pageCount = 1;
    illnessTypeTable.checked = false;
    var IllnessTypeModel = MVVM.Model.extend({
        //defaults,散列（或函数）用于为模型指定默认属性。
        defaults: illnessTypeTable,
        parse: function(data) {
            //console.log(data);   
            return data;
        }
    });
    
    
    
    var illnessTypeService = new MVVM.Service({
        pretreatment : function(data, option) {
            return data;
        },
        dosuccess : function(data, option) {
            return data;
        },
        doerror : function(e, err, option) {
            return err;
        },
        validate : function(data, option) {
            return 0;
        },
        ajaxCall : function(data, option) {
            var self = this;
            var url = window.ServerURL + "/getIllnessType";
            var param = JSON.stringify(data);
            commonJs.requestAjax(url, param, function(data) {
                if (!!data) {
                    option.success(self.dosuccess(data, option));
                    //alert(JSON.stringify(illnessTypeViewModel.collection.models));
                    if (!!inParam && !!inParam.illnessCode && inParam.illnessCode != "null"){
                        //alert(JSON.stringify(inParam));
                        var illnessTypeModel = illnessTypeViewModel.collection.where({"illnessCode": inParam.illnessCode});
                        if (illnessTypeModel.length > 0) {
                            illnessTypeModel[0].set("checked", true);
                        }
                    }
                }
            }, function (e, err) {
                option.error(self.doerror(e, err, option));
            });
            
        }
    });
    
    //声名病类列表模型
    var IllnessTypeCollection = MVVM.Collection.extend({
        initialize: function() {
            return;
        },
        parse: function(data) {
            return data;
        },
        model: IllnessTypeModel,
        sync: function(method, collection, options) {
            switch (method) {
            case "read":
                illnessTypeService.request(pageParam, options);
                break;
            default:
                break;
            }
        }
    });
    
    var illnessTypeViewModel = new(MVVM.ViewModel.extend({
        el: "#showIllnessTypes",
        initialize: function() {
            this.collection.fetch({})
            return;
        },
        collection: new IllnessTypeCollection()
    }))();
    
    var init = function() {
        //appcan.initBounce();
        appcan.window.disableBounce();
        var frame = {frameName: "illnessName"};

        
        //接收调用页面的参数
        var illnessTypeReceive = {};
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        // for(var i in inParam.split("&")) {
            // illnessTypeReceive[inParam.split("&")[i].split("=")[0]] = inParam.split("&")[i].split("=")[1];
        // }
        /*
        if (!!inParam && !!inParam.illnessCode){
            alert(JSON.stringify(inParam));
            var illnessTypeModel = illnessTypeViewModel.collection.where({"illnessCode": inParam.illnessCode});
            if (illnessTypeModel.length > 0) {
                illnessTypeModel[0].set("checked", true);
            }
        }
        */
        uexWindow.publishChannelNotification("setCloseFrame", JSON.stringify(frame));

    }
    
    var _onClickItem = function(event) {
        //console.log(event);
        var illnessTypeModel = new IllnessTypeModel();
        illnessTypeModel = illnessTypeViewModel.collection.where({checked: true});
        if (illnessTypeModel.length > 0) {
                illnessTypeModel[0].set("checked", false);
        }
        illnessTypeModel= illnessTypeViewModel.collection.where({id: $(event.currentTarget).find("[data-bind='text:id']").text().trim()});
        if (illnessTypeModel.length > 0) {
            illnessTypeModel[0].set("checked", true);
        }
        if(!!inParam.parentPageName) {
            appcan.window.evaluatePopoverScript(inParam.parentPageName, inParam.parentFrameName, inParam.js +"(" + JSON.stringify(illnessTypeModel[0]) + ")")
        } else {
            uexWindow.publishChannelNotification("setIllnessCode", JSON.stringify(illnessTypeModel[0]));
        }
    }
    
    return {
        init: init,
        onClickItem: _onClickItem
    }
}();

appcan.ready(function() {
    illnessType.init(); 
});