if(!window.paymentMode) {
    window.paymentMode
}

var paymentMode = function() {
    var inParam, payId, headerHeight;
    var ajaxParam = _.clone(window.pagingParam);
    //数据模型
    var PaymentModeModel= MVVM.Model.extend({
        //defaults,散列（或函数）用于为模型指定默认属性。
        defaults: {
            "id": "",
            //支付方式类型  medicarePay：医保支付   alipay： 支付宝支付  weChatPay：微信支付  unionPay：银联支付
            "payType": "",
            "payCode": "",
            "payOrderType": "",
            "patientAge": "",
            "sex":"",
            "illnessCode": "",
            "illnessName": "",
            "sumfee": ""
        },
        parse: function(data) {
            //console.log(data);   
            return data;
        },
        sync: function (method, model, options) {
            switch (method) {
                case "update":
                    var param = model.attributes;
                    paymentModeService.request(param, options);
                    break;
              default:
                break;
            }
        }                
    });
    var paymentModeModel = new PaymentModeModel();
    
    //更新诊疗缴费单支付信息
    var doSave = function() {
        var data = {"id": paymentModeModel.get("id"),
            "payType": paymentModeModel.get("payType"),
            "payCode": paymentModeModel.get("payCode"),
            "payOrderType": paymentModeModel.get("payOrderType"),
            "sumfee": paymentModeModel.get("sumfee")
        }
        //console.log(JSON.stringify(data));
        commonService.request(data, {
            url: window.ServerURL + "/updatePayXf",
            success: function(data) {
                if (data.result === "0") {
                    console.log("诊费缴费单功");
                    appcan.window.openToast("诊费缴费单功", 2000, 5, 0);
                    //向上一级页面通讯,刷新数据
                    if(!!inParam.pageName) {
                        appcan.window.evaluatePopoverScript(inParam.pageName, inParam.pageFrameName, inParam.js + "()");
                    } else {
                        appcan.window.publish("feePaymentSuccess", "success");
                    }
                    setTimeout(function() {
                        appcan.frame.close("paymentModePage");
                    }, 500);
                } 
            }
        });
    }
     
    $(".check-icon-size-1x.check-blue").removeClass("check-blue");
    $(".check-icon-size-1x").removeClass("pay-mode-active");
    appcan.button(".data-row-pd-left-1em", "none", function() {
        //移除选中样式
        $(".check-icon-size-1x").removeClass("check-blue");
        $(".check-icon-size-1x").removeClass("pay-mode-active");
        switch(this.id) {
            case 'medicarePay':
                var obj = $($(this).find(".check-icon-size-1x"));
                obj.addClass("check-blue");
                obj.addClass("pay-mode-active");
                paymentModeModel.set("payType", "YB");
                break;
            case 'aliPay':
                var obj = $($(this).find(".check-icon-size-1x"));
                obj.addClass("check-blue");
                obj.addClass("pay-mode-active");
                paymentModeModel.set("payType", "ZFB");
                break;
            case 'wechatPay':
                var obj = $($(this).find(".check-icon-size-1x"));
                obj.addClass("check-blue");
                obj.addClass("pay-mode-active");
                paymentModeModel.set("payType", "WX");
                break;
             case 'unionPay':
                var obj = $($(this).find(".check-icon-size-1x"));
                obj.addClass("check-blue");
                obj.addClass("pay-mode-active");
                paymentModeModel.set("payType", "YL");
                break;
            default:
                break;
        }
    });
    
    appcan.button("#mask-close", "btn-act", function() {
        //关闭支付类型窗口
        switch(this.id) {
            case 'mask-close':
                appcan.frame.close("paymentModePage");
                break;
            default:
                break;
        }
    });
    appcan.button("#btnConfirm", "btn-act", function(event){
        if (!!!paymentModeModel.get("payType")) {
            appcan.window.alert('', '请选择支付方式，再进行确认');
            return;
        }
        doSave();
    });
   
   var options = {};
   var success = function(res) {
       //无支付数据时直接关闭窗口
       if(res.length === 0) appcan.frame.close("paymentModePage");
       paymentModeModel.set(res[0]);
   }
   options.url = window.ServerURL + "/getPayXf";
   options.success = success;
    
   var init = function() {
       appcan.window.disableBounce();
       inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
       ajaxParam.id = inParam.id;
       ajaxParam.status = "0"; 
       commonService.request(ajaxParam, options);
   }    
    
    return {
        init: init
    }
}();

appcan.ready(function() {
    paymentMode.init();
});
