if (!window.selectPatientRelativ) {
    window.selectPatientRelativ = {};
}

var selectPatientRelativ = function() {
    
    var inParam, headerHeight;
    var self = this;
    var addCount = 0; //被点击次数
    var patientRelativViewModel = new (MVVM.ViewModel.extend({
        el: "#showSelectPatientRelativView",
        collection: new PatientRelativCollection()
    }));
    
    var getPatientRelativSuccess = function(res) {
        patientRelativViewModel.collection.set(res);
    }
    
    var getPatientRelativ = function(patientId) {
        var param = _.clone(window.pagingParam);
        param.pageSize = 50;
        param.patientId = patientId;
        commonService.request(param, {
            url: window.ServerURL + "/getTPatientRelativ",
            success: getPatientRelativSuccess
        });
    }
    
    var refreshPatientRelativ = function() {
        console.log("refreshPatientRelativ,  patientId: " + inParam.patientId);
        //从edit页面调用刷新数据方法
        getPatientRelativ(inParam.patientId);
    }

    //选中添加致处方药品表
    var selectPatientRelativ = function(event) {
        var id = $(event.currentTarget).find("[data-bind='text:id']").text().trim();
        var model = patientRelativViewModel.collection.where({"id": id});
        if (!!inParam.parentPageName) {
            appcan.window.evaluatePopoverScript(inParam.parentPageName,inParam.parentFrameName,inParam.js + "(" + JSON.stringify(model[0]) + ")")
        } else {
            ppcan.window.publish("getPatientRelativ", JSON.stringify(model[0]));
        }
        uexWindow.evaluateScript("", "0", "closeWindow()");
   }
  
    var init = function() {
        appcan.initBounce();
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        headerHeight = inParam.headerHeight;
        getPatientRelativ(inParam.patientId);
    }
    
    return {
        init: init,
        selectPatientRelativ: selectPatientRelativ,
        refreshPatientRelativ: refreshPatientRelativ
    }
}();

appcan.ready(function() {
    selectPatientRelativ.init();
});