var EvaluateItemsModel = CommonBase.Model.extend({
    //defaults,散列（或函数）用于为模型指定默认属性。
    defaults: evaluateitemsTable,
    // 默认情况下validate在save之前调用，也可以在set之前调用。 如果validate返回一个错误， save不会继续，该模型的属性将不被修改。
    validate: function(attrs, options) {
        //console.log(attrs, options);
    },
    //可以理解为对应model的实时计算，比如这里的model里面的username发生了变化，那么对应的<span data-bind="text:add"></span>也会发生变化
    computeds: {
        //评份标志
        getScoreOneFlag: {
            deps:["score"],
            get: function(score) {
                return score >= 1;
            }
        },
        //评份标志
        getScoreTwoFlag: {
            deps:["score"],
            get: function(score) {
                return score >= 2;
            }
        },
        //评份标志
        getScoreThreeFlag: {
            deps:["score"],
            get: function(score) {
                return score >= 3;
            }
        },
        //评份标志
        getScoreFourFlag: {
            deps:["score"],
            get: function(score) {
                return score >= 4;
            }
        },
        //评份标志
        getScoreFiveFlag: {
            deps:["score"],
            get: function(score) {
                return score >= 5;
            }
        }
    },
    parse: function(data) {
        return data;
    }
});

