if(!!!window.bill){
    window.bill = {};
}

var bill = function() {
	
	var inParam = {},doctorInfo;
    var pageCount = 0;
    var pageParam = _.clone(window.pagingParam);
    pageParam.pageIndex = pageCount;
    pageParam.payOrderType = "ZL";
    pageParam.status = "1";
    pageParam.tastDoctorId = "";
    var billViewModel = new(MVVM.ViewModel.extend({
        el: "#billViews",
        collection: new PayStatementCollection()
    }));
    //下拉更新
    var downOrUpLoadData = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getPayStatementXf",
            //showLoading: true,
            success: function(res) {
                var list = [], payMonth, payMonthStr;
                //先清空数据
                if (pageCount === 1) {
                    billViewModel.collection.remove(billViewModel.collection.models);
                    if(res.length > 0){
	                    payMonthStr = !!pageParam.payMonth ? (pageParam.payMonth. substr(0, 4) + "年" + pageParam.payMonth.substr(5, 2) + "月") : res[0].payMonth.substr(0, 4) + "年" + res[0].payMonth.substr(5, 2) + "月";
	                    payMonth = !!pageParam.payMonth ? pageParam.payMonth : res[0].payMonth;
	                    list.push({
	                        id: (Math.random() * 10000000000000).toString().substr(0, 13),
	                        isMonthFeeSum: true,
	                        tastDoctorId: doctorInfo.id,
	                        payMonthStr: payMonthStr,
	                        payMonth: payMonth,
	                        monthFeeSum: 0
	                    });
                    }else{
                    	pageCount = 0;
                    }
                }
                pageCount > 1 ? payMonth = billViewModel.collection.last().get("payMonth") : null;
                for (var i = 0; i < res.length; i++) {
                    if (!!payMonth && payMonth != res[i].payMonth) {
                        var payStatementMonth = {
                            id: (Math.random() * 10000000000000).toString().substr(0, 13),
                            isMonthFeeSum: true,
                            tastDoctorId: res[i].tastDoctorId,
                            payMonthStr: res[i].payMonth.substr(0, 4) + "年" + res[i].payMonth.substr(5, 2) + "月",
                            payMonth: res[i].payMonth,
                            monthFeeSum: 0
                        }
                        list.push(payStatementMonth);
                    }
                    payMonth = res[i].payMonth;
                    list.push(res[i]);
                }
                billViewModel.collection.add(list);
            }
        });
        
        //billViewModel.collection.fetch({selfViewModel: billViewModel, param: pageParam});
    }
    
    // $("[data-control='CONTENT']").on("mousewheel", function() {
        // console.log(this);
        // downOrUpLoadData();
    // });
    
    // $("#billViews").on("scroll", function(event) {
        // console.log(this);
        // //downOrUpLoadData();
    // });
    
    
    //缴费页面
    var loadFee = function(event) {
        // appcan.device.getInfo(5,function(err, data, dataType, optId){
            // if(err){
                // //alert('get device error');
                // return;
            // }
            // console.log(data);
            // console.log(dataType);
            // console.log(optId);
        // });
        var id = $(event.srcElement).parents("li").find("[data-bind='text:id']").text().trim();  
        var payModel = billViewModel.collection.where({"id": id});
        //console.log("liOnClick: "  + id);
        appcan.window.open({
            name: "feeDetailPage",
            data: "../diagnosis/diagnosisfeeDetail.html?id=" + payModel[0].get("id"),
            dataType: 0,
            animID: 2
        });
    }
    
    //月份选择
    var _monthSelect = function() {
        var _self = $(event.srcElement);
        var okCallback = function(date) {
            pageParam.payMonth = date.text;
            pageCount = 0;
            downOrUpLoadData();
            _self.picker.dispose();
            _self.picker = null;
        }
        var clearCallback = function() {
            if (!!pageParam.payMonth) {
                delete pageParam.payMonth;
            }
            pageCount = 0;
            downOrUpLoadData();
            _self.picker.dispose();
            _self.picker = null;
        }
        if(!!_self.picker) {
            _self.picker.show(okCallback, clearCallback);
        } else {
            var options = {"type":"month", bounceState: 1};
            _self.picker = new Neusoft.DtPicker(options);
            _self.picker.show(okCallback, clearCallback);
        }
    }
    
    var init = function() {
        //获取页面的传参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        doctorInfo = commonJs.getDoctor();
        pageParam.tastDoctorId = !!doctorInfo ? doctorInfo.id || "_" : "_";
         //pageParam.tastDoctorId="2";
        downOrUpLoadData();
        $(".fullwidth").css("display", "none");
        //$(".loading-mask").toggleClass("loading-mask-show", false);
        $("[data-control='CONTENT']").toggleClass("field-nodisplay", false);
        appcan.initBounce();
        //设置弹动事件
        commonJs.listWindowBounce(downOrUpLoadData);
        //billViewModel.collection.fetch({selfViewModel: billViewModel, param: pageParam});
    }
    
    return {
    	loadFee: loadFee,
        init: init,
        monthSelect: _monthSelect
    }
}();

//当渲染所有组件后执行
appcan.ready(function() {
    //appcan.initBounce();//浮动页面拖动效果
    bill.init();
});

