
payTable.styleDisplay = "-webkit-box !important";
var   nums=0;
var flag=true;//显示标识
var xs=new Set();
var BillModel = MVVM.Model.extend({
    //defaults,散列（或函数）用于为模型指定默认属性。
    defaults : payTable,
    
    //在model创建后执行的方法
    initialize : function() {
        //console.log("数据初始化");
        return;
    },
    // 默认情况下validate在save之前调用，也可以在set之前调用。 如果validate返回一个错误， save不会继续，该模型的属性将不被修改。
    validate : function(attrs, options) {
        //console.log(attrs, options);
    },
    //可以理解为对应model的实时计算，比如这里的model里面的username发生了变化，那么对应的<span data-bind="text:add"></span>也会发生变化
    computeds : {
       //对数据进行转换并且返viewmodel
       //单据状态
        getTaskSumfee: {
            deps: ["sumfee"],
            get: function(sumfee) {
            	var taskSumfees = "￥" + sumfee ;
                return taskSumfees;
            }
        },
        getTaskPayTime: {
            deps: ["payTime"],
            get: function(payTime) {
		        var _date;
		        try {
		            _date = new Date(payTime);
		        } catch(e) {
		            return null;
		        }
    		     var month = _date.getMonth() +1;
    			 var day = _date.getDate();
    			 if(month < 10) {
    			 	month = "0" + month;
    			 }
    			 if(day < 10) {
    			 	day = "0" + day;
    			 }
                 return month + "-" + day;
            }
        },
        getNone: {
        	deps: ["payTime"],
        	get: function(payTime) {
        		//获取年月  存入set  当set 的值发生改变时 显示
        		//if (!!!payTime.time) return null;
		        var _date;
		        try {
		            _date = new Date(payTime);
		        } catch(e) {
		            return null;
		        }
			     var year = _date.getFullYear();
			     var month = _date.getMonth() +1;
   				
   				 if(month<10){
   				 	month="0"+month;
   				 }
   				 var ny= year + "年" + month +"月";
   				
   				 xs.add(ny); 
   				 var num=xs.size;
   				 flag = true;
   				 //防止诊疗记录一条数据也没有
   				 if(num == 0){
   				 	num = 1;
   				 }
   				 if(nums != num){
   				 	nums = num;
   				 	flag = false;
   				 }
        		return flag;
        	}
        },
        getYearMonth: {
        	deps: ["payTime"],
        	get: function(payTime) {
        		//获取年月  存入set  当set 的值发生改变时 显示
        		//if (!!!payTime.time) return null;
				        var _date;
				        try {
				            _date = new Date(payTime);
				        } catch(e) {
				            return null;
				        }
				     var year = _date.getFullYear();
				     var month = _date.getMonth() +1;
       				
       				 if(month<10){
       				 	month="0"+month;
       				 }
       				 var ny= year + "年" + month +"月"; 
        		return ny;
        	}
        },
        getFees: {
        	deps: ["payTime"],
        	get: function(payTime) {
        		//获取年月  存入set  当set 的值发生改变时 显示
        		//if (!!!payTime.time) return null;
				        var _date;
				        try {
				            _date = new Date(payTime);
				        } catch(e) {
				            return null;
				        }
				     var year = _date.getFullYear();
				     var month = _date.getMonth() +1;
       				
       				 if(month<10){
       				 	month="0"+month;
       				 }
       				 var ny= year + "-" + month ; 
       				 var tastDoctorId ="2";
       				 var fees=0;
       				 var nys={yearMonth: ny,tastDoctorId: "2"};
       				 var url = window.ServerURL + "/getTaskPaySumFeeXf";
                commonJs.requestAjax(url, nys, function(res) {
					console.log(res)
                	 fees =res;
                });
                return "￥" + fees ;
        	}
        }
    },
    parse : function(data) {
        return data;
    },
    sync : function(method, model, options) {
        switch (method) {
        case "create":
            break;
        case "update":
            break;
        case "patch":
            console.log("patch");
            break;
        case "delete":
            console.log("delete");
            break;
        case "read":
            break;
        default:
            break;
        }
    }
});

