
if(!window.diagnosisList){
    window.diagnosisList = {};
}

var diagnosisList = function() {
    var pageCount = 0;
    var pageParam, doctorInfo;
    pageParam = _.clone(window.pagingParam);
    pageParam.tastDoctorId = "";
    

    //澹版槑viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#disagnosisListView",
        collection: new DiagnosisListCollection()
    
    }))();
    
    //返回主页面     刷新
    var backload = function() {
    	
    	pageCount = 0;
    	loadDiagnosisList();
    }
    //鍔犺浇鏁版嵁
    var loadDiagnosisList = function(){
    	
        pageCount++;
        pageParam.pageIndex = pageCount;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTaskInfoXf",
            success: function(res) {
                if (pageCount === 1) {
                    ViewModel.collection.set(res);
                } else {
                    ViewModel.collection.add(res);
                }
            }
        });
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
    }
    
    //鍔犺浇璇︾粏椤�    
    var loadDiagnosisDetail = function(event){
        var id = $(event.currentTarget).find("#id").text().trim(); 

        if (!!id) {
             appcan.window.open({
                    name : "diagnosisDetailPage",
                    data : "diagnosis_detail.html?orderId="+id,
                    aniId : "2"
                });
        }
    }
    
    //鏌ヨ
    var searchDiagnosisList = function(){
        var searchParam = $("#searchParam").val();
        pageCount = 0;
        pageParam.relativName = searchParam;
        loadDiagnosisList();
    }
    
    //绫诲瀷涓嬫媺鍔犺浇
    var diagnosisStatusSelect = function(){
        
        var diagnosisStatusSelect = appcan.selectview({
            selector : "#disagnosisStatusSelect"
        });
        var diagnosisStatus = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.taskStatus) {
            diagnosisStatus.push(window.codeList.taskStatus[i]);
        }
        diagnosisStatusSelect.set(diagnosisStatus);
        diagnosisStatusSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParam.status = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#disagnosisStatus").find("span").text("状态");
            } else {
                $("#disagnosisStatus").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCount = 0;
            
            loadDiagnosisList();
        });
    }
    

    //闅愯棌涓嬫媺
    var hidenSelector = function(hidenFlag) {
        //浣跨敤寤惰繜璁剧疆,閬垮厤杩炵画鐐瑰嚮闂
        setTimeout(function() {
            //鍏ㄧ鑱岀О
            $("#disagnosisStatus").find(".list-caret-size").addClass("list-caret-down");
            $("#disagnosisStatus").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#disagnosisStatus").removeClass("filter-select-color");
            $("#disagnosisStatusSelect").removeClass("mask-show");
            
        }, 100);
    }
    

    var setScollbar = function(operate) {
        if (operate === "disable") {
            appcan.window.disableBounce();
            //绂佹榛樿琛屼负鏂规硶锛岄槻姝㈡粴鍔ㄦ潯婊氬姩
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-up-select']").length > 0) {
            //缁勪欢鑷韩閫変腑鏃讹紝杩斿洖true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //-------------------------------涓嬫媺鐐瑰嚮浜嬩欢--------------------------------------//
    $("#disagnosisStatus").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#disagnosisStatusSelect").css("top", maskTop + "px");
            $("#disagnosisStatusSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();
            setScollbar("enable");
        }
    }); 

    //鏃堕棿鎺т欢
    $("#disagnosisDate").on("click", function(event) {
       /*
        if (!!!checkOpenFilter(event.currentTarget)) return;
               var date = new Date();
               uexControl.openDatePicker(date.getFullYear(), date.getMonth() + 1, date.getDate(), function(data) {
                   pageParam.createDate = data.year + "-" + data.month + "-" + data.day;
                   pageCount = 0;
                   loadDiagnosisList();
               });*/
       
        
        hidenSelector();
        setScollbar("enable");
        var _self = this;
        var okCallback = function(date) {
            pageParam.createDate = date.text;
            $("#disagnosisDate").find("span").text(date.text);
            pageCount = 0;
            loadDiagnosisList();
            _self.picker.dispose();
            _self.picker = null;
        }
        var clearCallback = function() {
            $("#disagnosisDate").find("span").text("诊疗日期");
            if (!!pageParam.createDate) {
                delete pageParam.createDate;
            }
            pageCount = 0;
            loadDiagnosisList();
            _self.picker.dispose();
            _self.picker = null;
        }
        if(_self.picker) {
            _self.picker.show(okCallback, clearCallback);
        } else {
            //var optionsJson = this.getAttribute('data-options') || '{}';
            var options = {"type":"date", "beginYear": 1901, bounceState: 1};
           //var id = this.getAttribute('id');
            /*
             * 棣栨鏄剧ず鏃跺疄渚嬪寲缁勪欢
             * 绀轰緥涓轰簡绠�磥锛屽皢 options 鏀惧湪浜嗘寜閽殑 dom 涓�             * 涔熷彲浠ョ洿鎺ラ�杩囦唬鐮佸０鏄�optinos 鐢ㄤ簬瀹炰緥鍖�DtPicker
             */
            _self.picker = new Neusoft.DtPicker(options);
            _self.picker.show(okCallback, clearCallback);
        }
    });
    //---------------------------------------end---------------------------------//
    
    var init = function() {
        
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        var doctorName;
        doctorInfo = commonJs.getDoctor();
        pageParam.tastDoctorId = !!doctorInfo ? doctorInfo.id || "_" : "_";
        
        //pageParam.tastDoctorId = "2";
        
        if(inParam!=null&&typeof(inParam)!='undefined'){
            doctorName = inParam.doctorName; 
            if(doctorName!=null&&doctorName!="undefined"){
                pageParamQ.doctorName = doctorName;
            }
        }
        //璁剧疆寮瑰姩浜嬩欢
        commonJs.listWindowBounce(loadDiagnosisList);
        loadDiagnosisList();
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});

        //鍔犺浇涓嬫媺
        diagnosisStatusSelect();

    }
    
    return {
        loadDiagnosisList : loadDiagnosisList,
        loadDiagnosisDetail : loadDiagnosisDetail,
        searchDiagnosisList : searchDiagnosisList,
        init: init,
        backload: backload
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    diagnosisList.init();
});








