
if(!window.receptionDetail){
    window.receptionDetail = {};
}

var receptionDetail = function() {

    var pageCount = 0, pageParam, inParam;
    pageParam = _.clone(window.pagingParam);
    var receptionListModel = new ReceptionListModel();

    //澹版槑viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#receptionDetailList",
        model: receptionListModel
    }));
        
    //鍔犺浇鏁版嵁
    var getTaskInfo = function(){
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTaskInfoXf",
            success: function(res) {
                receptionListModel.set(res[0]);
            }
        });
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
    }

    //开处方
    var diagnoseProc = function() {
        var outParam = "taskId=" + receptionListModel.get("id");
        commonJs.openWindow("diagnoseProcessPage", "diagnose_process.html?" + outParam);
    }
    
    
    //接诊
    var receive = function(){
        var param = _.clone(window.pagingParam);
    	param.id = receptionListModel.get("id");
    	param.status = "YJZ";
        commonService.request(param, {
            url: url = window.ServerURL + "/updateTaskInfoXf",
            success: getSuccess
        });
    }
    
    //医生与患者诊疗聊天
    var _doDiagnosisTreat = function() {
        //网易云信聊天
        commonJs.doNeteaseNim("d" + commonJs.getDoctor().doctorPhone, "p" + receptionListModel.get("patientPhone"));
    }
    
    var getSuccess=function(res) {
        if(res.result=="0"){
            getTaskInfo();
            //receptionListModel.set("status", "YJZ");
            appcan.window.openToast("接诊成功", 500, 50, 0);
        	//document.getElementById("status").innerHTML = getCodeListText(window.codeList.taskStatus, "YJZ");
        	/*
			$("#Box_receive").removeClass("block");
									$("#Box_receive").addClass("box_none");*/
			//$("#Box_receive").attr("pointer-events","none");
        }else{
        	
        }
    }
    //开单
    var billing =function() {
    	var param = "taskId=" + receptionListModel.get("id");
        param += "&parentPageName=receptionDetailPage";
        param += "&js=receptionDetail.getTaskInfo";
        commonJs.openWindow("diagnoseProcessPage", "diagnose_process.html?" + param);
    }
    	
    var init = function() {
        //浜涢〉闈㈢鐢ㄥ脊鍔ㄦ晥鏋�
        appcan.window.disableBounce();
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        var orderId;
        pageParam.id = !!inParam ? inParam.orderId || "_" : "_";
        //璁剧疆寮瑰姩浜嬩欢
        //commonJs.listWindowBounce(loadDiagnosisItemDetail);
        getTaskInfo();
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
    }
    
    return {
        getTaskInfo : getTaskInfo,
        diagnoseProc : diagnoseProc,
        receive : receive,
        init: init,
        billing: billing,
        doDiagnosisTreat: _doDiagnosisTreat
    }
    
}();

appcan.ready(function() {
    appcan.button("#nav-left", "btn-act",
        function() {
            uexWindow.evaluatePopoverScript("receptionListPage", "receptionListsContentPage", "receptionList.backload()");
            appcan.window.close(-1);
        }
    );
    appcan.initBounce();
    receptionDetail.init();
});








