if (!window.receptionList) {
    window.receptionList = {};
}

var receptionList = function() {
	var pageCount = 0;
    var pageParam = _.clone(window.pagingParam);
    //pageParam.pageIndex = pageCount;
    pageParam.status="YZX,YJZ,YJF,DJF,YTF";
    var inParam;  
    var receptionListViewModel = new (MVVM.ViewModel.extend({
        el: "#receptionListContent",
        collection: new TaskInfoCollection()
    }));
            
    
      //加载详细页
    var loadDiagnosisDetail = function(event){
        var id = $(event.currentTarget).find("#id").text().trim(); 

        if (!!id) {
             appcan.window.open({
                    name : "receptionDetailPage",
                    data : "receptionDetail.html?orderId="+id,
                    aniId : "2"
                });
        }
    }
    //返回加载数据
    var  backload = function() {
        pageCount = 0;
        loadDiagnosisList();
    } 
    
    //开单
    var loadkd =function() {
    	//var id = $(event.currentTarget).parent().parent().find("#itemId").text().trim(); 
    	var id = $(event.currentTarget).parents("li").find("[data-bind='text:id']").text().trim();
    	var param = "taskId=" + id;
        param += "&parentPageName=receptionListPage";
        param += "&parentFrameName=receptionListsContentPage";
        param += "&js=receptionList.backload";
        commonJs.openWindow("diagnoseProcessPage", "diagnose_process.html?" + param);   
        // //console.log("liOnClick: "  + id);
        // appcan.window.open({
            // name: "diagnoseProcessPage",
            // data: "diagnose_process.html?taskId=" + id,
            // dataType: 0,
            // animID: 2
        // });
    }
    
    
    //下拉更新
    var loadDiagnosisList = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTaskInfoXf",
            success: function(res) {
                if (pageCount === 1) {
                    receptionListViewModel.collection.set(res);
                } else {
                    receptionListViewModel.collection.add(res);
                }
            }
        });
        //receptionListViewModel.collection.fetch({selfViewModel: receptionListViewModel, param: pageParam});
    } 
    
     //查询
    var searchDiagnosisList = function(){
        var searchParam = $("#searchParam").val();
        pageCount = 0;
        pageParam.relativName = searchParam;
        loadDiagnosisList();
    }
    //接诊按钮事件
    var  loadjz = function() {
    	
    	var idjz = $(event.currentTarget).parents("li").find("[data-bind='text:id']").text().trim(); 
    	var pageParams=_.clone(window.pagingParam);
    	 pageParams.id=idjz;
    	pageParams.status="YJZ";
        commonService.request(pageParams, {
            url: url = window.ServerURL + "/updateTaskInfoXf",
            success: getSuccess
        });
    }
    
    //医生与患者诊疗聊天
    var loadzl = function() {
        var taskId = $(event.currentTarget).parents("li").find("[data-bind='text:id']").text().trim();
        //网易云信聊天
        var model = receptionListViewModel.collection.where({id: taskId})[0];
            //网易云信聊天
        commonJs.doNeteaseNim("d" + commonJs.getDoctor().doctorPhone, "p" + model.get("patientPhone"));
    }
    
    var getSuccess=function(res) {
        if(res.result=="0"){
    		pageParam.id="";				
			pageCount = 0;
			var zt=$("#disagnosisStatus").find("span").text();
			if(zt==="状态"){
				pageParam.status="YZX,YJZ,YJF,DJF";
			}
			if(zt==="已咨询"){
				pageParam.status="YZX";
			}
			if(zt==="已缴费"){
				pageParam.status="YJF";
			}
			if (zt==="已接诊"){
				pageParam.status="YJZ";
			}
			if (zt==="待缴费"){
				pageParam.status="DJF";
			}
			if (zt==="已退费"){
				pageParam.status="YTF";
			}
            loadDiagnosisList();
        }else{
        	
        }
    }
    
    
    
    
      //类型下拉加载
    var diagnosisStatusSelect = function(){
        
        var diagnosisStatusSelect = appcan.selectview({
            selector : "#disagnosisStatusSelect"
        });
        var diagnosisStatus = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.treatCodeList.treatStatuses) {
        	
            diagnosisStatus.push(window.treatCodeList.treatStatuses[i]);
        }
        diagnosisStatusSelect.set(diagnosisStatus);
        diagnosisStatusSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParam.status = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#disagnosisStatus").find("span").text("状态");
                 pageParam.status="YZX,YJZ,YJF,DJF,YTF";
            } else {
                $("#disagnosisStatus").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCount = 0;
            
            loadDiagnosisList();
        });
    }
    

    //隐藏下拉
    var hidenSelector = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
            //全科职称            
            $("#disagnosisStatus").find(".list-caret-size").addClass("list-caret-down");
            $("#disagnosisStatus").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#disagnosisStatus").removeClass("filter-select-color");
            $("#disagnosisStatusSelect").removeClass("mask-show");
            
        }, 100);
    }
    

    var setScollbar = function(operate) {
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //-------------------------------下拉点击事件--------------------------------------//
    $("#disagnosisStatus").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#disagnosisStatusSelect").css("top", maskTop + "px");
            $("#disagnosisStatusSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();
            setScollbar("enable");
        }
    }); 

    //时间控件
    $("#disagnosisDate").on("click", function(event) {
        hidenSelector();
        setScollbar("enable");
        var _self = this;
        var okCallback = function(date) {
            pageParam.createDate = date.text;
            $("#disagnosisDate").find("span").text(date.text);
            pageCount = 0;
            loadDiagnosisList();
            _self.picker.dispose();
            _self.picker = null;
        }
        var clearCallback = function() {
            $("#disagnosisDate").find("span").text("诊疗日期");
            if (!!pageParam.createDate) {
                delete pageParam.createDate;
            }
            pageCount = 0;
            loadDiagnosisList();
            _self.picker.dispose();
            _self.picker = null;
        }
        if(!!_self.picker) {
            _self.picker.show(okCallback, clearCallback);
        } else {
            //var optionsJson = this.getAttribute('data-options') || '{}';
            var options = {"type":"date", "beginYear": 1901, bounceState: 1};
           //var id = this.getAttribute('id');
            /*
             * 首次显示时实例化组件
             * 示例为了简洁，将 options 放在了按钮的 dom 上
             * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
             */
            _self.picker = new Neusoft.DtPicker(options);
            _self.picker.show(okCallback, clearCallback);
        }
    });
    
    
    
    
    var init = function() {
        /*
        appcan.window.disableBounce();
                inParam = uexWindow.getUrlQuery();
                
                try {
                                                payId = inParam.split("&")[0] ;
                } catch (e) {
                    
                }
                try {
                    headerHeight = inParam.split("&")[1].split("=")[1];
                } catch (e) {
                    
                }
                var recipeInfoPamar = _.clone(window.pagingParam);
                recipeInfoPamar.id =  payId ||"1";
                
                commonService.request(recipeInfoPamar, options);  */
         
         //设置弹动事件
        commonJs.listWindowBounce(loadDiagnosisList);
         //获取页面的传参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        
       var taskDoctorId=inParam.doctorId;
        //var taskDoctorId=inParam.taskDoctorId;
        if(taskDoctorId==""||taskDoctorId==undefined){
        	pageParam.taskDoctorId = "_";
        }else{
        	pageParam.tastDoctorId = taskDoctorId;
        }
        //receptionListViewModel.collection.fetch({selfViewModel: receptionListViewModel, param: pageParam});
        loadDiagnosisList();
      
        //加载下拉
        diagnosisStatusSelect();
    }
    
    
    return {
    	loadDiagnosisDetail: loadDiagnosisDetail,
    	loadDiagnosisList: loadDiagnosisList,
    	searchDiagnosisList: searchDiagnosisList,
        init: init,
        backload: backload,
        loadjz: loadjz,
        loadkd: loadkd,
        loadzl: loadzl
    }
}();

appcan.ready(function() {
    appcan.initBounce();
    receptionList.init();
});
