if(!window.certificationDownwardContentJs){
	window.certificationDownwardContentJs = {}
}
var certificationDownwardContentJs = function() {
	
	var authCode;
	var mobile,name,idCardNum,id,certificationRole;
	var bestFace;
	
    var init = function() {
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if(inParam!=null&&typeof(inParam)!='undefined'){
            authCode = inParam.authCode;
            $("#authCode").val(authCode);
            mobile = inParam.mobile;
            name = inParam.name;
            idCardNum = inParam.idCardNum;
            id = inParam.id;
            certificationRole = inParam.certificationRole;
        }
    }
    
    var captchaClick = function(){
    	var url = window.ajaxOuterUrl + "/addTrustUser";
		var data = {};
		data.name = name;
		data.idCardNum = idCardNum;
		data.mobile = mobile;
		var daraParam = JSON.stringify(data);
		commonJs.requestAjax(url, daraParam, function(res) {
			if(res.tResponse.result == "0"){
				$("#authCode").val(res.authCode);
			}else{
				appcan.window.openToast(res.tResponse.message, 2000, 5, 0);
			}
        }, function(e, err) {
            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            }); 

        });
    }
    
    //下一步
    var nextClick = function(){
    	//按钮禁用
    	$('.btn-green').addClass("captcha-disabled");
		var param = {
        	accountREQ: mobile  //医生手机号
        };
        //人脸活体检测
        bethuneDoctor.startFace(param,function (error, data) {
           if (!error){
               //alert("人脸识别:"+data.bestFace);
               bestFace = data.bestFace;
               //身份查询人脸对比接口
               checkFace();
           }else{
               alert("用户取消了操作");
               //按钮生效
	    	   $('.btn-green').removeClass("captcha-disabled");
           }
        });
    }
    
    //身份查询人脸对比接口
    var checkFace = function(){
    	//身份查询人脸对比接口
		var url = window.ajaxOuterUrl + "/getCheckIdface";
		var data = {};
		data.name = name;
		data.idNumber = idCardNum;
		data.userPhoto = bestFace;
		var daraParam = JSON.stringify(data);
		commonJs.requestAjax(url, daraParam, function(res) {
			if(res.resultCode != "000000"){
				appcan.window.openToast(res.resultMessage, 2000, 5, 0);
				//按钮生效
	    	    $('.btn-green').removeClass("captcha-disabled");
				return;
			}
			if(res.identityResult == "2"){
				appcan.window.openToast("姓名结果：不一致", 2000, 5, 0);
				//按钮生效
	    	    $('.btn-green').removeClass("captcha-disabled");
				return;
			}else if(res.identityResult == "3"){
				appcan.window.openToast("姓名结果：库中无此号", 2000, 5, 0);
				//按钮生效
	    	    $('.btn-green').removeClass("captcha-disabled");
				return;
			}
			if(res.faceResult == "0"){
				appcan.window.openToast("身份证结果：身份校验不一致", 2000, 5, 0);
				//按钮生效
	    	    $('.btn-green').removeClass("captcha-disabled");
				return;
			}else if(res.faceResult == "2"){
				appcan.window.openToast("身份证结果：系统判断为不同人", 2000, 5, 0);
				//按钮生效
	    	    $('.btn-green').removeClass("captcha-disabled");
				return;
			}else if(res.faceResult == "3"){
				appcan.window.openToast("身份证结果：库中无照片", 2000, 5, 0);
				//按钮生效
	    	    $('.btn-green').removeClass("captcha-disabled");
				return;
			}
			if(res.resultCode == "000000" && res.identityResult == "1" && res.faceResult == "1"){
				// commonJs.openWindow("certificationNotRegisterHeadPage", "certification_not_register.html");
				//邀请码注册
				var param = {
		        	activeCode: $("#authCode").val()  //邀请码
		        };
                bethuneDoctor.register(param,function (error, data) {
                	if (!error){
                        //alert("错误码:"+data.errCode);
                        //alert("错误信息:"+data.errMsg);
                        //alert("姓名:"+data.userName);
                        if(data.errCode == "0x00000000"){
                        	//更新用户下载证书状态
							var url = window.ajaxOuterUrl + "/updateTBjcaUserIsCert";
							var data = {};
							data.mobile = mobile;
							var daraParam = JSON.stringify(data);
							commonJs.requestAjax(url, daraParam, function(res) {
								if(res.result == "0"){
									//更新医生/药师认证状态
									var url = window.ajaxOuterUrl + "/updateCertStatus";
									var data = {};
									data.id = id;
									if(certificationRole == "DOCTOR"){
										data.type = "D";
									}else if(certificationRole == "PHARMACIST"){
										data.type = "A";
									}
									var daraParam = JSON.stringify(data);
									commonJs.requestAjax(url, daraParam, function(res) {
										if(res.result == "0"){
											var paramData = "mobile="+mobile;
											paramData += "&name="+name;
											paramData += "&idCardNum="+idCardNum;
											paramData += "&id="+id;
											paramData += "&certificationRole="+certificationRole;
											commonJs.openWindow("certificationSignatureHeadPage", "certification_signature.html?"+paramData);
											//按钮生效
	    	    	                        $('.btn-green').removeClass("captcha-disabled");
										}    
							        }, function(e, err) {
							            appcan.window.alert({
							                title : "提示",
							                content : "接口失败",
							                buttons : '确定',
							                callback : function(err, data, dataType, optId) {
							
							                }
							            }); 
									    //按钮生效
	    	    	                    $('.btn-green').removeClass("captcha-disabled");
							        });
								}    
					        }, function(e, err) {
					            appcan.window.alert({
					                title : "提示",
					                content : "接口失败",
					                buttons : '确定',
					                callback : function(err, data, dataType, optId) {
					
					                }
					            }); 
							    //按钮生效
	    	    	            $('.btn-green').removeClass("captcha-disabled");
					        });
                        }
                    }else{
                        alert("用户取消了操作");
                        //按钮生效
	    	    	    $('.btn-green').removeClass("captcha-disabled");
                    }
                });
			}
        }, function(e, err) {
            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            }); 
	  		//按钮生效
	        $('.btn-green').removeClass("captcha-disabled");
        });
    }
    
    return {
        init: init,
        captchaClick: captchaClick,
        nextClick: nextClick
    }
}();


appcan.ready(function() {
    certificationDownwardContentJs.init();
});