if(!window.certificationNotRegisterContentJs){
	window.certificationNotRegisterContentJs = {}
}
var certificationNotRegisterContentJs = function() {
	//人脸信息
	var bestFace = appcan.locStorage.getVal('bestFace');
	//身份证信息
	var userIDCardInfo = JSON.parse(appcan.locStorage.getVal('userIDCardInfo'));
	var mobile,id,certificationRole;
	
    var init = function() {
    	var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if(inParam!=null&&typeof(inParam)!='undefined'){
            mobile = inParam.mobile;
            id = inParam.id;
            certificationRole = inParam.certificationRole;
        }
    	$("#userName").val(userIDCardInfo.userName);
    	$("#userIDCardNumber").val(userIDCardInfo.userIDCardNumber);
    	$("#userMobile").val(mobile);
    	
    	compressBase64(bestFace, 200, 0.5, function (val) {
    		$('#userIDCardHeadImgbase64').css('background-image', 'url('+val+')');
        });
        
        compressBase64(userIDCardInfo.userIDCardInfosideImgbase64, 200, 0.5, function (val) {
    		$('#userIDCardInfosideImgbase64').css('background-image', 'url('+val+')');
        });
        

    	
    }
    
    var submitClick = function(){
    	//按钮禁用
    	$('.btn-green').addClass("captcha-disabled");
    	checkFace();
    }
    
    var addUser = function(){
    	//CA添加用户接口
		var url = window.ajaxOuterUrl + "/addTrustUser";
		var data = {};
		data.name = userIDCardInfo.userName;
		data.idCardNum = userIDCardInfo.userIDCardNumber;
		data.mobile = mobile;
		var daraParam = JSON.stringify(data);
		commonJs.requestAjax(url, daraParam, function(res) {
			if(res.tResponse.result == "0"){
				var paramData = "authCode="+res.authCode;
				paramData += "&mobile="+mobile;
				paramData += "&name="+userIDCardInfo.userName;
				paramData += "&idCardNum="+userIDCardInfo.userIDCardNumber;
				paramData += "&id="+id;
				paramData += "&certificationRole="+certificationRole;
				commonJs.openWindow("certificationDownwardHeadPage", "certification_downward.html?"+paramData);
				//按钮生效
	    	    $('.btn-green').removeClass("captcha-disabled");
			}else{
				appcan.window.openToast(res.tResponse.message, 2000, 5, 0);
				//按钮生效
	    	    $('.btn-green').removeClass("captcha-disabled");
			}
        }, function(e, err) {
            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            });
            //按钮生效
	    	$('.btn-green').removeClass("captcha-disabled");

        });
    }
    
    //身份查询人脸对比接口
    var checkFace = function(){
    	//身份查询人脸对比接口
		var url = window.ajaxOuterUrl + "/getCheckIdface";
		var data = {};
		data.name = userIDCardInfo.userName;
		data.idNumber = userIDCardInfo.userIDCardNumber;
		data.userPhoto = bestFace;
		var daraParam = JSON.stringify(data);
		commonJs.requestAjax(url, daraParam, function(res) {
			if(res.resultCode != "000000"){
				//返回到上一页面
				backPage();
				appcan.window.openToast(res.resultMessage, 2000, 5, 0);
				return;
			}
			if(res.identityResult == "2"){
				//返回到上一页面
				backPage();
				appcan.window.openToast("姓名结果：不一致", 2000, 5, 0);
				return;
			}else if(res.identityResult == "3"){
				//返回到上一页面
				backPage();
				appcan.window.openToast("姓名结果：库中无此号", 2000, 5, 0);
				return;
			}
			if(res.faceResult == "0"){
				//返回到上一页面
				backPage();
				appcan.window.openToast("身份证结果：身份校验不一致", 2000, 5, 0);
				return;
			}else if(res.faceResult == "2"){
				//返回到上一页面
				backPage();
				appcan.window.openToast("身份证结果：系统判断为不同人", 2000, 5, 0);
				return;
			}else if(res.faceResult == "3"){
				//返回到上一页面
				backPage();
				appcan.window.openToast("身份证结果：库中无照片", 2000, 5, 0);
				return;
			}
			if(res.resultCode == "000000" && res.identityResult == "1" && res.faceResult == "1"){
				addUser();
			}
        }, function(e, err) {
            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            });
            //按钮生效
	    	$('.btn-green').removeClass("captcha-disabled");

        });
    }
    
    
    //放回到上一页面
    var backPage = function(){
    	uexWindow.evaluateScript("", "0", "closeWindow()");
    	appcan.window.evaluateScript("certificationNotRegisterHeadPage", "commonJs.closeWindow()");
    	//按钮生效
	    $('.btn-green').removeClass("captcha-disabled");
    }
    
    
    //base64压缩
    var compressBase64 = function(base64String, w, quality, callback) {
    	base64String = "data:image/jpeg;base64,"+base64String;
        var newImage = new Image();
        var imgWidth, imgHeight;
        newImage.src = base64String;
        newImage.onload = function(){
        	imgWidth = newImage.width;
        	imgHeight = newImage.height;
	        var canvas = document.createElement("canvas");
	        var ctx = canvas.getContext("2d");
	        if (Math.max(imgWidth, imgHeight) > w) {
	            if (imgWidth > imgHeight) {
	                canvas.width = w;
	                canvas.height = w * imgHeight / imgWidth;
	            } else {
	                canvas.height = w;
	                canvas.width = w * imgWidth / imgHeight;
	            }
	        } else {
	            canvas.width = imgWidth;
	            canvas.height = imgHeight;
	        }
	        //ctx.clearRect(0, 0, canvas.width, canvas.height);
	        ctx.drawImage(newImage, 0, 0, canvas.width, canvas.height);
	        var base64 = canvas.toDataURL(getMimeType(base64String), quality);
	        callback(base64);
        }
    }
    
    var getMimeType = function (urlData) {
        var arr = urlData.split(',');
        var mime = arr[0].match(/:(.*?);/)[1];
        return mime;
    };
    
    return {
        init: init,
        submitClick: submitClick
    }
}();


appcan.ready(function() {
    certificationNotRegisterContentJs.init();
});