if(!window.myIndex){
    window.myIndex = {};
}

var myIndex = function() {
    var pageCount = 0, inParam, doctorInfo = {};

    var openUrl = function(pageName, url) {
        appcan.window.open({
            name: pageName,
            dataType: 0,
            aniId: 2,
            data: url
        })
    }
    
    var doLoginOutSuccess = function(res) {
        if (res.result != "0") {
            appcan.window.alert("", "更改在线状态失败，请检查设置是否正常连接网络！");
        } else {
            appcan.locStorage.remove("localDoctor");
            appcan.locStorage.remove("loginUser");
            uexWindow.evaluateScript("doctorIndexPage","0", "doctorIndex.toHomePage(4)");
            appcan.window.close(-1);
            //跳转致首页
            if (!commonJs.checkDoctorLogin()) return;
        }
    }
    var doLoginOut = function(status) {
        var param = _.clone(window.pagingParam);
        param.id = doctorInfo.id;
        param.onlineStatus = "N";
        commonService.request(param, {
            url: window.ServerURL + "/updateDoctorOnline",
            success: doLoginOutSuccess
        });
    }
    
    appcan.button(".data-row-pd-left-1em", "btn-act", function() {
        if (this.id != "updateSoft" && this.id != "exit") {
            if (!commonJs.checkDoctorLogin()) return;
        }
        var outParam = "doctoriId=" + doctorInfo.id;
        switch(this.id) {
            case "myInfo":
                //我的-个人信息
                //by sushu 2018-10-01
                //openUrl("doctorRegInfo1", "../../login/doctor_reg_info1_head.html?" + outParam);
                openUrl("physicianPersonalInfoPage", "physicianPersonalInformation.html?" + outParam);
                break;
            case "ecSeal":
                //证书管理
            	openUrl("myCertificationInfoPage", "my_certification_info.html?certificationRole="+'DOCTOR');
                break;
            case "myTeam":
                //我的团队
                openUrl("myTeamListPage", "my_team_list.html?" + outParam);
                break;
            case "recipeTemplate":
                //处方模板
                openUrl("recipeTemplateListPage", "../diagnosis/recipe_template_list.html?" + outParam);
                break;
            case "myNetwork":
                //我的网络
                openUrl("myNetworkListPage", "my_network.html?" + outParam);
                break;
            case "historyDiagnosis":
                //诊启记录
                openUrl("diagnosisListPage", "../diagnosis/diagnosis_list.html?" + outParam);
                
                break;
            case "myBills":
                //我的账单
                openUrl("myBillsListPage", "../bill/bill.html?" + outParam);
                break;
            case "recipeInfo":
                //处方单
                openUrl("prescriptionListPage", "../diagnosis/prescription_list.html?" + outParam);
                break;
            case "reservationBill":
                //预约单
                outParam += "&forwardType=JC"
                openUrl("assayBillListPage", "../assay/assay_bill_list.html?" + outParam);
                break;
            case "assayBill":
                //化验单
                outParam += "&forwardType=HY"
                openUrl("assayBillListPage", "../assay/assay_bill_list.html?" + outParam);
                break;
            case "scan":
                //扫呀扫
                break;
            case "updateSoft":
                //软件更新
                break;
            case "exit":
                //退出
                doLoginOut();
                break;
            default:
                break;   
        }        
    });
    
    var init = function() {
        appcan.window.disableBounce();
        doctorInfo = commonJs.getDoctor();
    }
    return {
        init: init
    }
    
}();

appcan.ready(function() {
    //appcan.initBounce();
    myIndex.init();
});








