/**
 * @author Nicro.Li
 */
if(!!!window.myTeamDiagnoseContent){
    window.myTeamDiagnoseContent = {};
}

var myTeamDiagnoseContent = function() {
    var pageCount = 0, doctorInfo = {}, headerHeight, inParam, pageParam;
    
    doctorTeamInfoTable.selectFlag = "N"; //是否选中为诊疗医生
                
    var doctorTeamInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#doctorTeamInfoShow",
        collection: new DoctorTeamInfoCollection()
    }));    
    
    var getDoctorTeamList = function() {
        var param = _.clone(window.pagingParam);
        pageCount++;
        param.pageIndex = pageCount;
        param.teamId = !!!inParam ? "_" : (!!!inParam.teamId ? "1" : inParam.teamId);
        commonService.request(param, {
            url: window.ajaxUrl + "/getTDoctorTeamInfo",
            success: function(res) {
                if (pageCount === 1) {
                    doctorTeamInfoViewModel.collection.set(res);
                } else {
                    doctorTeamInfoViewModel.collection.add(res);
                }
            }
        });
    }
    
    var getInitList = function() {
        pageCount = 0;
        getDoctorTeamList();
    }
    
    var showDoctorInfo = function(event) {
        var doctorId = $(event.currentTarget).parents("li").find("[data-bind='text:doctorId']").text().trim();
        var param = "showType=myTeamConfirmContent&editFlag=N&doctoriId=" + doctorId;
        commonJs.openWindow("physicianPersonalInfoPage", "physicianPersonalInformation.html?" + param);
    }
    
    var doSelectDiagnoseDoctor = function(event) {
        var id = $(event.currentTarget).parents("li").find("[data-bind='text:id']").text().trim();
        var models = doctorTeamInfoViewModel.collection.where({"id": id});
        if (models[0].get("selectFlag") === "Y") {
            models[0].set("selectFlag", "N");
        } else {
            models[0].set("selectFlag", "Y");
        }
    }
       
    //添加诊疗医生
    var addDiagnoseDoctor = function(event) {
        var id = $(event.currentTarget).parents("li").find("[data-bind='text:id']").text().trim();
        var param = _.clone(window.pagingParam);
        param.id =  id;
        alert(JSON.stringify(param));
        // commonService.request(param, {
            // url: window.ajaxUrl + "/addTDoctorInviteInfo",
            // success: function(res) {
                // //alert(JSON.stringify(param));
                // //alert(JSON.stringify(res));
                // appcan.window.openToast("添加医生成功，请等待添加医生确认加入团队。", 2000, 5, 0);
            // }
        // });
    }
    
    var init = function() {
        commonJs.listWindowBounce(getDoctorTeamList);
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        doctorInfo = commonJs.getDoctor();
        getDoctorTeamList();
        
    }
    
    return {
        init: init,
        getInitList: getInitList,
        doSelectDiagnoseDoctor: doSelectDiagnoseDoctor,
        showDoctorInfo: showDoctorInfo
    }
}();

appcan.ready(function() {
    myTeamDiagnoseContent.init();
});









