if(!window.doctCertiPerson){
    window.doctCertiPerson = null;
}

var doctCertiPerson = function () {
    
    var inParam, doctorId, headerHeight;
	//判断上传图片的类型
	var photoFlag = "", editFlag, certStatus;
    
    var doctor = new DoctoePersonModel();

    var doctoePersonViewModel = new (MVVM.ViewModel.extend({
        el: "#doctorPersonContent",
        model: doctor
    }));
    
    var getDoctorPerson = function() {
        var findParam = {"id": doctorId, "pageIndex":1 ,"pageSize": 10};
        doctoePersonViewModel.model.fetch({param: findParam});
        setTimeout(function() {
          
        }, 200);
    }
    
    var init = function() {
        //些页面禁用弹动效果
        appcan.window.disableBounce();
        //获取入参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        doctorId = !!inParam ? inParam.doctoriId || "_" : "_";
        headerHeight = !!inParam ? inParam.headerHeight || 0 : 0;
        editFlag = !!inParam ? inParam.editFlag || "N" : "N";
        //加载数据
        getDoctorPerson();
    }
    
    //上传头像-身份证正面
    var imgChange1 = function(){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "cardIdPicture1";
    	}
    }
    
    //上传头像-身份证反面
    var imgChange2 = function(){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "cardIdPicture2";
    	}
    }
    
    //上传头像-医师执业证
    var imgChange3 = function(){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "businessPicture1";
    	}
    }
    
    var imgChange31 = function(){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "businessPicture2";
    	}
    }
    
    //上传头像-专业技师执业证
    var imgChange4 = function(){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "titlePicture1";
    	}
    }
    var imgChange41 = function(){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "titlePicture2";
    	}
    }
    
    //拍照
    var photographClick = function(){
    	$("#modeLayer1").hide();
    	uexCamera.open(0,100);
		uexCamera.cbOpen = function(opCode, dataType, data){
			uploadFileService(data);
		}
    }
    
    //相册选择
    var selectphotoClick = function(){
    	$("#modeLayer1").hide();
   		uexImage.openPicker(JSON.stringify({"min": 1, "max":1}));
   		uexImage.onPickerClosed = function (info){
   			var imageInfo = JSON.parse(info);
   			uploadFileService(imageInfo.data[0]);
   		}
    }
    
    //上传服务器
    var uploadFileService = function(urlString){
		var uploader = uexUploaderMgr.create({
			      url: window.uploadHttp,
			      type: 1
			});
		if(!!!uploader){
		    alert("创建失败!");
		    return;
		}
		var headJson = {
			// "id": "1",
			"id": doctorId,
			// "pictureName": "headPicture",
			"pictureType": "doctor", 
			"patientCode": "adidlslsidkdks"
		};
		switch (photoFlag) {
			case "cardIdPicture1":
				headJson.pictureName = "cardIdPicture1";
				break;
			case "cardIdPicture2":
				headJson.pictureName = "cardIdPicture2";
				break;
			case "businessPicture1":
				headJson.pictureName = "businessPicture1";
				break;
			case "businessPicture2":
				headJson.pictureName = "businessPicture2";
				break;
			case "titlePicture1":
				headJson.pictureName = "titlePicture1";
				break;
			case "titlePicture2":
				headJson.pictureName = "titlePicture2";
				break;
		}
		var ret = uexUploaderMgr.setHeaders(uploader, JSON.stringify(headJson)); 
		uexUploaderMgr.uploadFile(uploader, urlString, photoFlag, 1, 640,function(packageSize, percent, responseString, status){
		    switch (status) {
		    case 0:
		        document.getElementById('percentage').innerHTML = "上传包大小:"+packageSize+"<br>上传进度:"+percent+"%";
		        break;
		    case 1:
		        appcan.window.openToast("上传成功", 2000, 5, 0);
				switch (photoFlag) {
					case "cardIdPicture1":
						doctor.set("cardIdPicture1", responseString + "?temp=" + Math.random());
						break;
					case "cardIdPicture2":
						doctor.set("cardIdPicture2", responseString + "?temp=" + Math.random());
						break;
					case "businessPicture1":
						doctor.set("businessPicture1", responseString + "?temp=" + Math.random());
						break;
					case "businessPicture2":
						doctor.set("businessPicture2", responseString + "?temp=" + Math.random());
						break;
					case "titlePicture1":
						doctor.set("titlePicture1", responseString + "?temp=" + Math.random());
						break;
					case "titlePicture2":
						doctor.set("titlePicture2", responseString + "?temp=" + Math.random());
						break;
				};
				break;
		    case 2:
		        alert("上传失败");
		        break;
		    }
		});
    }
    
    //取消
    var cancelClick = function(){
    	$("#modeLayer1").hide();
    }
        
    return {
        init: init,
        imgChange1: imgChange1,
        imgChange2: imgChange2,
        imgChange3: imgChange3,
        imgChange31: imgChange31,
        imgChange4: imgChange4,
        imgChange41: imgChange41,
        photographClick: photographClick,
        selectphotoClick: selectphotoClick,
        cancelClick: cancelClick
    }    
}();

appcan.ready(function() {
    doctCertiPerson.init();
});
