if(!window.doctorRegInfo1Js){
	window.doctorRegInfo1Js = {}
}
var doctorRegInfo1Js = function() {
	
	var doctorInfoModel = new DoctorInfoModel();
    var doctorInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#doctorInfoView",
        model: doctorInfoModel
    }));
    
    var loginUser = JSON.parse(appcan.locStorage.getVal("loginUser"));
    
    var formData = new FormData();
    var fileList = null;
    //头像是否上传标识
    var headPictureFlag = false;
    var headPicture = null;
	
    var init = function() {
    	doctorInfoModel.set("headPicture", window.doctorPhoto.manDefaultUrl);
    	if(loginUser.headPicture != null && loginUser.headPicture != ""){
    		doctorInfoModel.set("headPicture", loginUser.headPicture);
    	}else{
    		if(doctorInfoModel.get("sex") == 'MAN'){
    			doctorInfoModel.set("headPicture", window.doctorPhoto.manDefaultUrl);
    		}else if(doctorInfoModel.get("sex") == 'WOMAN'){
    			doctorInfoModel.set("headPicture", window.doctorPhoto.womanDefaultUrl);
    		}else{
    			doctorInfoModel.set("headPicture", window.doctorPhoto.manDefaultUrl);
    		}
    	}
    	//订阅baseInfoPop.js的信息
    	appcan.window.subscribe("setSelectData", setSelectData);
    	
    	//姓名
    	doctorInfoModel.set("doctorName", loginUser.doctorName);
    	//性别
    	doctorInfoModel.set("sex", loginUser.sex);
    	//身份证
    	doctorInfoModel.set("cardId", loginUser.cardId);
    	//地区
    	doctorInfoModel.set("regionId", loginUser.regionId);
    	doctorInfoModel.set("regionCode", loginUser.regionCode);
    	doctorInfoModel.set("regionDesc", loginUser.regionDesc);
    	//学历
    	doctorInfoModel.set("education", loginUser.education);
    	//毕业院校
    	doctorInfoModel.set("university", loginUser.university);
    	//执业证
    	doctorInfoModel.set("businessLicense", loginUser.businessLicense);
    	//银行卡号
    	doctorInfoModel.set("bankAccount", loginUser.bankAccount);
    	//开户行
    	doctorInfoModel.set("openBankCode", loginUser.openBankCode);
    	doctorInfoModel.set("openBankName", loginUser.openBankName);
    }
    
    //设置选中值
    var setSelectData = function(res){
        var selectJson = JSON.parse(res);
        var selectType = selectJson.selectType;
        if (selectType == "SEX") {
            $("#sexText").val(selectJson.selectText);
            $("#patientSex").val(selectJson.selectValue);
        }else if(selectType == "EDUCATION"){
        	$("#educationText").val(selectJson.selectText);
            $("#patientEducation").val(selectJson.selectValue);
        }
    }
    
    //性别点击事件
    var sexClick = function() {
    	//根据不同的点击事件，base_info_pop显示不同的信息
        // var selectType = 'SEX';
        // var currentText = $("#sexText").val();
        // var currentValue = $("#patientSex").val();
        // var bodyheight = $("#content").height();
        // var titHeight = appcan.locStorage.getVal('titHeight');
		// appcan.window.openPopover({
             // name:'baseInfo',
             // dataType:0,
             // url:"base_info_pop.html?selectType="+selectType+"&currentText="+currentText+"&currentValue="+currentValue,
             // top:Number(2*bodyheight)/3+Number(titHeight),
             // left:0,
             // height:bodyheight/3
        // });
        var _self = this;
        var layer = 1;
        if (_self.sex) {
            _self.sex.show(function(items) {
                doctorInfoModel.set("sex", items[layer - 1].value);
                setHeadPic();
            });
        } else {
            _self.sex = new Neusoft.PopPicker({
                layer: layer
            });
            _self.sex.setData(window.codeList.genderType);
            _self.sex.show(function(items) {
                doctorInfoModel.set("sex", items[layer - 1].value);
                setHeadPic();
                // _self.sex.dispose();
                // _self.sex = null;
            });
        }

    }
    
    //根绝性别设置默认头像
    var setHeadPic = function(){
    	if(headPictureFlag == false && doctorInfoModel.get("sex") == 'MAN'){
        	doctorInfoModel.set("headPicture", window.doctorPhoto.manDefaultUrl);
        }else if(headPictureFlag == false && doctorInfoModel.get("sex") == 'WOMAN'){
        	doctorInfoModel.set("headPicture", window.doctorPhoto.womanDefaultUrl);
        }
    }
    
    //加载省市区事件
    var cityClick = function() {
		 // params = {
             // x:0,
             // y:"",
             // width:window.screen.width,
             // height:900,
             // src:"res://city.json",
             // select:[17,9,0]
          // };
          // uexWheelPickView.open(JSON.stringify(params));
        var _self = this;
        var layer = 3
        if (_self.city) {
            _self.city.show(function(items) {
            	doctorInfoModel.set("regionId", items.id);
            	doctorInfoModel.set("regionCode", items.regionCode);
            	doctorInfoModel.set("regionDesc", items.fullName);
            });
        } else {
            _self.city = new Neusoft.DistrictPicker({
                layer: layer
            });
            _self.city.show(function(items) {
            	doctorInfoModel.set("regionId", items.id);
            	doctorInfoModel.set("regionCode", items.regionCode);
            	doctorInfoModel.set("regionDesc", items.fullName);
            	// _self.city.dispose();
                // _self.city = null;
            }, {regionCode: ""});
        }
    }
    
    //学历点击事件
    var educationClick = function() {
    	//根据不同的点击事件，base_info_pop显示不同的信息
        // var selectType = 'EDUCATION';
        // var currentText = $("#educationText").val();
        // var currentValue = $("#patientEducation").val();
        // var bodyheight = $("#content").height();
        // var titHeight = appcan.locStorage.getVal('titHeight');
		// appcan.window.openPopover({
             // name:'baseInfo',
             // dataType:0,
             // url:"base_info_pop.html?selectType="+selectType+"&currentText="+currentText+"&currentValue="+currentValue,
             // top:Number(2*bodyheight)/3+Number(titHeight),
             // left:0,
             // height:bodyheight/3
        // });
        var _self = this;
        var layer = 1;
        if (_self.education) {
            _self.education.show(function(items) {
                doctorInfoModel.set("education", items[layer - 1].value);
            });
        } else {
            _self.education = new Neusoft.PopPicker({
                layer: layer
            });
            _self.education.setData(window.codeList.education);
            _self.education.show(function(items) {
                doctorInfoModel.set("education", items[layer - 1].value);
                // _self.education.dispose();
                // _self.education = null;
            });
        }
    }
    
    //doctor_reg_info1.html下一步点击事件
    var nextClick2 = function() {
    	// appcan.locStorage.setVal('doctorInfo1', doctorInfoModel);
    	//校验非空
    	if(doctorInfoModel.get("doctorName") == null || doctorInfoModel.get("doctorName") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "姓名不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("sex") == null || doctorInfoModel.get("sex") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "性别不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("cardId") == null || doctorInfoModel.get("cardId") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "身份证不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
    	if(reg.test(doctorInfoModel.get("cardId")) === false){
    		appcan.window.alert({
	            title : "提示",
	            content : "身份证不合法",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("regionId") == null || doctorInfoModel.get("regionId") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "地区不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("education") == null || doctorInfoModel.get("education") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "学历不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("university") == null || doctorInfoModel.get("university") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "毕业院校不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("businessLicense") == null || doctorInfoModel.get("businessLicense") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "执业证不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("bankAccount") == null || doctorInfoModel.get("bankAccount") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "银行卡号不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("openBankCode") == null || doctorInfoModel.get("openBankCode") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "开户行不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	submitSaveClick();
    }
    
    var submitSaveClick = function(){
    	formData.append('id',loginUser.id);
    	//头像
    	if(fileList != null){
    		formData.append('headPicture',fileList[0]);
    	}else{
    		formData.append('headPicture',headPicture);
    	}
    	//姓名
    	formData.append('doctorName',encodeURIComponent(doctorInfoModel.get("doctorName")));
    	//性别
    	formData.append('sex',doctorInfoModel.get("sex"));
    	//身份证
    	formData.append('cardId',doctorInfoModel.get("cardId"));
    	//地区
    	formData.append('regionId',doctorInfoModel.get("regionId"));
    	formData.append('regionCode',doctorInfoModel.get("regionCode"));
    	formData.append('regionDesc',encodeURIComponent(doctorInfoModel.get("regionDesc")));
    	//学历
    	formData.append('education',doctorInfoModel.get("education"));
    	//毕业院校
    	formData.append('university',encodeURIComponent(doctorInfoModel.get("university")));
    	//执业证
    	formData.append('businessLicense',doctorInfoModel.get("businessLicense"));
    	//银行卡号
    	formData.append('bankAccount',doctorInfoModel.get("bankAccount"));
    	//开户行
    	formData.append('openBankCode',doctorInfoModel.get("openBankCode"));
    	formData.append('openBankName',encodeURIComponent(doctorInfoModel.get("openBankName")));
    	sendAjax();
    }
    
    //发送AJAX请求
	var sendAjax = function () {
	    var url = window.ajaxFormUrl+'/gatewayApp/ws/doctor/updateDoctorInfo';
	    $.ajax({
	        url: url,
	        type: 'POST',
	        data: formData,
	        async: false,
	        cache: false,
	        contentType: false,
	        // contentEncoding: 'charset=utf-8',
	        processData: false,
	        success: function(res) {
	        	if(JSON.parse(res).result == '0'){
				    appcan.window.open({
						name : "doctorRegInfo2",
						dataType : 0,
						aniId : 2,
						data : "doctor_reg_info2_head.html"
					});
	        	}else{
			        appcan.window.alert({
			            title : "提示",
			            content : "提交失败，"+res.message,
			            buttons : '确定'
			        });
	        	}
	        },
	        error: function(e, err) {
		    	appcan.window.alert({
		            title : "提示",
		            content : "提交失败，请联系管理员",
		            buttons : '确定',
		            callback : function(err, data, dataType, optId) {
		
		            }
		        });
	        }
	    });
	}
    
    //上传头像
    var imgChange = function(obj1, obj2){
    	headPictureFlag = true;
	    //获取点击的文本框
		var file = document.getElementById("fileImage");
		//获取的图片文件
		fileList = file.files;
		doctorInfoModel.set("headPicture", window.URL.createObjectURL(file.files[0]));
		// //存放图片的父级元素
		// var imgContainer = document.getElementsByClassName(obj1)[0];
		// //文本框的父级元素
		// var input = document.getElementsByClassName(obj2)[0];
    }
    
    //开户银行
    var openBankClick = function() {
    	var _self = this;
        var layer = 1;
        if (_self.openBank) {
            _self.openBank.show(function(items) {
                doctorInfoModel.set("openBankCode", items[layer - 1].value);
                doctorInfoModel.set("openBankName", items[layer - 1].text);
            });
        } else {
            _self.openBank = new Neusoft.PopPicker({
                layer: layer
            });
            _self.openBank.setData(window.codeList.openBank);
            _self.openBank.show(function(items) {
                doctorInfoModel.set("openBankCode", items[layer - 1].value);
                doctorInfoModel.set("openBankName", items[layer - 1].text);
                // _self.openBank.dispose();
                // _self.openBank = null;
            });
        }
    }
    
    //相机点击事件
    var photoClick = function(){
    	$("#modeLayer1").show();
    }
    
    //拍照
    var photographClick = function(){
    	$("#modeLayer1").hide();
    	uexCamera.open(0,100);
		uexCamera.cbOpen = function(opCode, dataType, data){
			uploadFileService(data);
		}
    }
    
    //相册选择
    var selectphotoClick = function(){
    	$("#modeLayer1").hide();
    	// uexImage.openPicker(JSON.stringify({"min": 1, "max":1}),function(error,info){
    		// if(error == -1){
				// alert("cancelled!");
			// }else if(error == 0){
				// var imageInfo = JSON.parse(info);
				// uploadFileService(imageInfo.data[0]);
			// }else{
				// alert("error");
			// }
   		// });
   		uexImage.openPicker(JSON.stringify({"min": 1, "max":1}));
   		uexImage.onPickerClosed = function (info){
   			var imageInfo = JSON.parse(info);
   			uploadFileService(imageInfo.data[0]);
   		}
    }
    
    //上传服务器
    var uploadFileService = function(urlString){
		var uploader = uexUploaderMgr.create({
			      url: window.uploadHttp,
			      type: 1
			});
		if(!!!uploader){
		    alert("创建失败!");
		    return;
		}
		var headJson = {
			// "id": "1",
			"id": loginUser.id,
			"pictureName": "headPicture",
			"pictureType": "doctor", 
			"patientCode": "adidlslsidkdks"
		};
		var ret = uexUploaderMgr.setHeaders(uploader, JSON.stringify(headJson)); 
		uexUploaderMgr.uploadFile(uploader, urlString, "headPicture", 1, 640,function(packageSize, percent, responseString, status){
		    switch (status) {
		    case 0:
		        document.getElementById('percentage').innerHTML = "上传包大小:"+packageSize+"<br>上传进度:"+percent+"%";
		        break;
		    case 1:
		        appcan.window.openToast("上传成功", 2000, 5, 0);
		        headPicture = responseString;
		        doctorInfoModel.set("headPicture", responseString + "?temp=" + Math.random());
		        break;
		    case 2:
		        alert("上传失败");
		        break;
		    }
		});
    }
    
    //取消
    var cancelClick = function(){
    	$("#modeLayer1").hide();
    }
    
    return {
        init: init,
        sexClick: sexClick,
        cityClick: cityClick,
        educationClick: educationClick,
        nextClick2: nextClick2,
        imgChange: imgChange,
        openBankClick: openBankClick,
        photoClick: photoClick,
        photographClick: photographClick,
        selectphotoClick: selectphotoClick,
        cancelClick: cancelClick
    }
}();


appcan.ready(function() {
    doctorRegInfo1Js.init();
});