if(!window.doctorRegInfo2Js){
	window.doctorRegInfo2Js = {}
}
var doctorRegInfo2Js = function() {
	var departmentList = [];
	
	var doctorInfoModel = new DoctorInfoModel();
    var doctorInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#doctorInfoView",
        model: doctorInfoModel
    }));
    
    var loginUser = JSON.parse(appcan.locStorage.getVal("loginUser"));
    var formData = new FormData();
    //点击返回按钮，存储当前页的数据
    var doctorInfo2Page = JSON.parse(appcan.locStorage.getVal('doctorInfo2Page'));
    
	//doctor_reg_info2.html单位的回撤事件
	// $('#mechanismName').keyup(function(event) {
        // if(13 == event.keyCode) {
            // mechanismNameClick();
        // }
//     
    // })
    
	$('input[id="mechanismName"]').bind("input propertychange",function(){
		mechanismNameClick();
	});
    
    var init = function() {
    	//订阅baseInfoPop.js的信息
    	appcan.window.subscribe("setSelectData", setSelectData);
    	//订阅baseInfoPop.js疾病的信息
    	// appcan.window.subscribe("setDiseaseData", setDiseaseData);
    	
    	//点击返回按钮时，会存储当前页的数据，对已存储的数据进行赋值
    	if(doctorInfo2Page != null){
    		loginUser.mechanismId = doctorInfo2Page.mechanismId;
    		loginUser.mechanismName = doctorInfo2Page.mechanismName;
    		loginUser.mechanismType = doctorInfo2Page.mechanismType;
    		loginUser.titleCode = doctorInfo2Page.titleCode;
    		loginUser.titleName = doctorInfo2Page.titleName;
    		loginUser.post = doctorInfo2Page.post;
    		loginUser.doctorType = doctorInfo2Page.doctorType;
    		loginUser.illnessCode = doctorInfo2Page.illnessCode;
    		loginUser.illnessName = doctorInfo2Page.illnessName;
    		loginUser.taskPrice = doctorInfo2Page.taskPrice;
    		loginUser.platformPrice = doctorInfo2Page.platformPrice;
    		loginUser.customerPrice = doctorInfo2Page.customerPrice;
    	}
    	
    	//单位
    	doctorInfoModel.set("mechanismId", loginUser.mechanismId);
    	doctorInfoModel.set("mechanismName", loginUser.mechanismName);
    	doctorInfoModel.set("mechanismType", loginUser.mechanismType);
    	//职称
    	doctorInfoModel.set("titleCode", loginUser.titleCode);
    	doctorInfoModel.set("titleName", loginUser.titleName);
    	//职务
    	if(loginUser.post != "null"){
    		doctorInfoModel.set("post", loginUser.post);
    	}
    	//医生类别
    	doctorInfoModel.set("doctorType", loginUser.doctorType);
    	//擅长病种
    	doctorInfoModel.set("illnessCode", loginUser.illnessCode);
    	doctorInfoModel.set("illnessName", loginUser.illnessName);
    	if(loginUser.illnessName != null && loginUser.illnessName != "" && loginUser.illnessName != "null"){
    		var illnessData = loginUser.illnessName.split(',')
	    	var html = '';
	    	for(var i=0; i<illnessData.length; i++){
	    		html += '<p class="doc-hint ulev-1">' + illnessData[i] + '</p>';
	    	}
	    	$('#illness_info_div').html(html);
    	}
    	//诊疗费
    	doctorInfoModel.set("taskPrice", loginUser.taskPrice);
    	//平台价
    	doctorInfoModel.set("platformPrice", loginUser.platformPrice);
    	//签约价
    	doctorInfoModel.set("customerPrice", loginUser.customerPrice);
    }
    
    //设置选中值
    var setSelectData = function(res){
        var selectJson = JSON.parse(res);
        var selectType = selectJson.selectType;
		if(selectType == "DOCTORTITLE"){
        	$("#doctorTitleText").val(selectJson.selectText);
            $("#patientDoctorTitle").val(selectJson.selectValue);
        }else if(selectType == "DOCTORTYPE"){
        	$("#doctorTypeText").val(selectJson.selectText);
            $("#patientDoctorType").val(selectJson.selectValue);
        }
    }
    
    //订阅疾病信息值
    var setDiseaseData = function(res){
    	var illnessData = res;
    	doctorInfoModel.set("illnessCode", illnessData.code.join(','));
    	doctorInfoModel.set("illnessName", illnessData.name.join(','));
    	var html = '';
    	for(var i=0; i<illnessData.name.length; i++){
    		html += '<p class="doc-hint ulev-1">' + illnessData.name[i] + '</p>';
    	}
    	$('#illness_info_div').html(html);
    }
    
    //单位搜索点击事件
    var mechanismNameClick = function() {
    	var url = window.ServerURL + "/getTMechanismInfo"; 
    	var data = {};
    	data.pageIndex = 1;
    	data.pageSize = 10;
    	data.mechanismName = $("#mechanismName").val();
    	data.mechanismType = 'HS1,HS2,HS3';
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, mechanismNameSuccess, mechanismNameFail);
    }
    
    //单位搜索成功回调
    var mechanismNameSuccess = function(res) {
    	if(res.length > 0){
    		$("#mechanism_name_div").attr("style"," display: block!important;");
    	}
	    var html = '';
        $.each(res, function(commentIndex, comment){
            html += '<li class="hint-li" mechanismId="'+comment.id+'" mechanismType="'+comment.mechanismType+'" mechanismName="'+comment.mechanismName+'" onclick="doctorRegInfo2Js.mechanismSelectClick($(this))">' +
	                	comment.mechanismName +
	                '</li>';
        });
		$('#mechanism_name_select').html(html);
    }
    
    //单位搜索失败回调
    var mechanismNameFail = function(e, err) {
	    appcan.window.alert({
            title : "提示",
            content : "查询失败，请联系管理员",
            buttons : '确定',
            callback : function(err, data, dataType, optId) {

            }
        });
    }
    
    //单位选择事件
    var mechanismSelectClick = function(obj) {
    	var mechanismId = $(obj).attr("mechanismId");
    	var mechanismName = $(obj).attr("mechanismName");
    	var mechanismType = $(obj).attr("mechanismType");
    	doctorInfoModel.set("mechanismId", mechanismId);
    	doctorInfoModel.set("mechanismName", mechanismName);
    	doctorInfoModel.set("mechanismType", mechanismType);
    	$("#mechanism_name_div").attr("style"," display: none!important;");
    	//获取科室信息
    	departmentList = [];
    	doctorInfoModel.set("departmentName", "");
        doctorInfoModel.set("departmentCode", "");
    	getDepartmentByHospital();
    }
    
    //职称点击事件
    var doctorTitleClick = function() {
    	//根据不同的点击事件，base_info_pop显示不同的信息
        var _self = this;
        var layer = 1;
        if (_self.title) {
            _self.title.show(function(items) {
                doctorInfoModel.set("titleName", items[layer - 1].text);
                doctorInfoModel.set("titleCode", items[layer - 1].value);
                getPrice(items[layer - 1].value);
            });
        } else {
            _self.title = new Neusoft.PopPicker({
                layer: layer
            });
            _self.title.setData(window.codeList.doctorTitle);
            _self.title.show(function(items) {
                doctorInfoModel.set("titleName", items[layer - 1].text);
                doctorInfoModel.set("titleCode", items[layer - 1].value);
                getPrice(items[layer - 1].value);
                // _self.title.dispose();
                // _self.title = null;
            });
        }
    }
    
    var getDepartmentByHospital = function(){
    	if(!!doctorInfoModel.get("mechanismName")){
	    	var url = window.ServerURL + "/getDepartmentByHospital"; 
	    	var data = {};
	    	data.mechanismId = doctorInfoModel.get("mechanismId");
	    	data.departmentLevel = '1';
	        var param = JSON.stringify(data);
	    	commonJs.requestAjax(url, param, function(res){
	    		//
	    		if(JSON.stringify(res) != "{}" && res[1].length > 0){
	    			for(var i=0; i<res[1].length; i++){
	    				var objData = {};
	    				objData.id = res[1][i].id;
	    				objData.value = res[1][i].departmentCode;
	    				objData.text = res[1][i].fullName;
	    				departmentList.push(objData);
	    			}
	    		}
	    	}, function(e, err){
		    	appcan.window.alert({
		            title : "提示",
		            content : "接口调用失败，请联系管理员",
		            buttons : '确定',
		            callback : function(err, data, dataType, optId) {
		
		            }
		        });
	    	});
    	}
    	else {
    		appcan.window.alert({
	            title : "提示",
	            content : "请先选择单位",
	            buttons : '确定'
	        });
    	}
    }
    
    //科室点击事件
    var doctorDepartmentClick = function(){
    	if(departmentList.length <= 0){
    		appcan.window.alert({
	            title : "提示",
	            content : "当前单位没有科室来源",
	            buttons : '确定'
	        });
	        return;
    	}
    	var _self = this;
        var layer = 1;
        if (_self.department) {
            _self.department.show(function(items) {
                doctorInfoModel.set("departmentName", items[layer - 1].text);
                doctorInfoModel.set("departmentCode", items[layer - 1].value);
                getPrice(items[layer - 1].value);
            });
        } else {
            _self.department = new Neusoft.PopPicker({
                layer: layer
            });
            _self.department.setData(departmentList);
            _self.department.show(function(items) {
                doctorInfoModel.set("departmentName", items[layer - 1].text);
                doctorInfoModel.set("departmentCode", items[layer - 1].value);
                getPrice(items[layer - 1].value);
                // _self.title.dispose();
                // _self.title = null;
            });
        }
    }
    
    //根据职称获取诊疗费、平台价、签约价
    var getPrice = function(titleCode) {
    	var url = window.ServerURL + "/getTTitlePrice"; 
    	var data = {};
    	data.titleCode = titleCode;
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
    		if(res.length > 0){
	    		doctorInfoModel.set("taskPrice", res[0].taskPrice);
	    		doctorInfoModel.set("customerPrice", res[0].customerPrice);
	    		doctorInfoModel.set("platformPrice", res[0].platformPrice);
    		}
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "查询失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }
    
    
    //科别点击事件
    var doctorTypeClick = function() {
    	//根据不同的点击事件，base_info_pop显示不同的信息
        // var selectType = 'DOCTORTYPE';
        // var currentText = $("#doctorTypeText").val();
        // var currentValue = $("#patientDoctorType").val();
        // var bodyheight = $("#content").height();
        // var titHeight = appcan.locStorage.getVal('titHeight');
		// appcan.window.openPopover({
             // name:'baseInfo',
             // dataType:0,
             // url:"base_info_pop.html?selectType="+selectType+"&currentText="+currentText+"&currentValue="+currentValue,
             // top:Number(2*bodyheight)/3+Number(titHeight),
             // left:0,
             // height:bodyheight/3
        // });
        var _self = this;
        var layer = 1;
        if (_self.type) {
            _self.type.show(function(items) {
                doctorInfoModel.set("doctorType", items[layer - 1].value);
            });
        } else {
            _self.type = new Neusoft.PopPicker({
                layer: layer
            });
            _self.type.setData(window.codeList.doctorType);
            _self.type.show(function(items) {
                doctorInfoModel.set("doctorType", items[layer - 1].value);
                // _self.type.dispose();
                // _self.type = null;
            });
        }
    }
    
    //擅长病种点击事件
    var diseaseClick = function() {
    	appcan.locStorage.setVal('illnessCode', doctorInfoModel.get("illnessCode"));
    	appcan.locStorage.setVal('illnessName', doctorInfoModel.get("illnessName"));
    	//根据不同的点击事件，base_info_pop显示不同的信息
        //var selectType = 'DISEASE';
        //var bodyheight = $("#content").height();
        var titHeight = appcan.locStorage.getVal('titHeight');
        var paramStr = "&parentPageName=doctorRegInfo2";
        paramStr += "&parentFrameName=doctorRegInfo2ContentPage";
        paramStr += "&js=doctorRegInfo2Js.setDiseaseData";
        paramStr += "&selectType=" + 'DISEASE';
        appcan.frame.open("content", "base_info_pop.html?" + paramStr, 0, titHeight, 'baseInfo');
 		// appcan.window.openPopover({
             // name:'baseInfo',
             // dataType:0,
             // url:"base_info_pop.html?selectType="+selectType,
             // top:Number(2*bodyheight)/3+Number(titHeight),
             // left:0,
             // height:bodyheight/3
        // });
    }
    
    //doctor_reg_info2.html下一步点击事件
    var nextClick3 = function() {
    	//校验非空
    	if(doctorInfoModel.get("mechanismId") == null || doctorInfoModel.get("mechanismId") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "单位不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("departmentCode") == null || doctorInfoModel.get("departmentCode") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "科室不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("titleCode") == null || doctorInfoModel.get("titleCode") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "职称不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("doctorType") == null || doctorInfoModel.get("doctorType") == ""){
			appcan.window.alert({
	            title : "提示",
	            content : "科别不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(doctorInfoModel.get("doctorType") == 'Z'){
	    	if(doctorInfoModel.get("illnessCode") == null || doctorInfoModel.get("illnessCode") == ""){
				appcan.window.alert({
		            title : "提示",
		            content : "擅长病种不能为空",
		            buttons : '确定'
		        });
		        return;
	    	}
    	}
    	//appcan.locStorage.setVal('doctorInfo2', doctorInfoModel);
		// appcan.window.open({
			// name : "doctorRegInfo3",
			// dataType : 0,
			// aniId : 2,
			// data : "doctor_reg_info3_head.html"
		// });
		submitSaveClick();
    }
    
    var submitSaveClick = function(){
    	formData.append('id',loginUser.id);
    	//单位
    	formData.append('mechanismId',doctorInfoModel.get("mechanismId"));
    	formData.append('mechanismName',encodeURIComponent(doctorInfoModel.get("mechanismName")));
    	formData.append('mechanismType',doctorInfoModel.get("mechanismType"));
    	//科室
    	formData.append('departmentCode',doctorInfoModel.get("departmentCode"));
    	formData.append('departmentName',encodeURIComponent(doctorInfoModel.get("departmentName")));
    	//职称
    	formData.append('titleCode',doctorInfoModel.get("titleCode"));
    	formData.append('titleName',encodeURIComponent(doctorInfoModel.get("titleName")));
    	//职务
    	formData.append('post',encodeURIComponent(doctorInfoModel.get("post")));
    	//医生类别
    	formData.append('doctorType',doctorInfoModel.get("doctorType"));
    	//擅长病种
    	formData.append('illnessCode',doctorInfoModel.get("illnessCode"));
    	formData.append('illnessName',encodeURIComponent(doctorInfoModel.get("illnessName")));
    	//诊疗费
    	formData.append('taskPrice',doctorInfoModel.get("taskPrice"));
    	//平台价
    	formData.append('platformPrice',doctorInfoModel.get("platformPrice"));
    	//签约价
    	formData.append('customerPrice',doctorInfoModel.get("customerPrice"));
    	sendAjax();
    }
    
    //发送AJAX请求
	var sendAjax = function () {
	    var url = window.ajaxFormUrl+'/gatewayApp/ws/doctor/updateDoctorInfo';
	    $.ajax({
	        url: url,
	        type: 'POST',
	        data: formData,
	        async: false,
	        cache: false,
	        contentType: false,
	        // contentEncoding: 'charset=utf-8',
	        processData: false,
	        success: function(res) {
	        	if(JSON.parse(res).result == '0'){
					appcan.window.open({
						name : "doctorRegInfo3",
						dataType : 0,
						aniId : 2,
						data : "doctor_reg_info3_head.html"
					});
	        	}else{
			        appcan.window.alert({
			            title : "提示",
			            content : "提交失败，"+res.message,
			            buttons : '确定'
			        });
	        	}
	        },
	        error: function(e, err) {
		    	appcan.window.alert({
		            title : "提示",
		            content : "提交失败，请联系管理员",
		            buttons : '确定',
		            callback : function(err, data, dataType, optId) {
		
		            }
		        });
	        }
	    });
	}
	
	//返回上一页面调用的方法
	var returnClick = function(){
		appcan.locStorage.remove("doctorInfo2Page");
		appcan.locStorage.setVal('doctorInfo2Page', doctorInfoModel);
	}
    
    return {
        init: init,
        mechanismNameClick: mechanismNameClick,
        doctorTitleClick: doctorTitleClick,
        doctorTypeClick: doctorTypeClick,
        diseaseClick: diseaseClick,
        mechanismSelectClick: mechanismSelectClick,
        nextClick3: nextClick3,
        returnClick: returnClick,
        setDiseaseData: setDiseaseData,
        doctorDepartmentClick: doctorDepartmentClick
    }
}();


appcan.ready(function() {
    doctorRegInfo2Js.init();
});