if(!window.loginHomeJs){
	window.loginHomeJs = {}
}
var loginHomeJs = function() {
	
	//判断登录角色   DOCTOR-医生注册   APOTHECARY-药师注册    MC-机构注册
	var loginType = appcan.locStorage.getVal('selectRole');
	
	//返回上一页面
	appcan.button(".nav-btn", "btn-act", function() {
		appcan.window.close(-1);
	});
	
	//医生、药师id
	var personId = '';
	
    var init = function() {
    }
    
    //忘记密码
    var resetClick = function() {
    	/*
    	 * D:医生
    	 * A:药师
    	 */
    	var roleType = "";
    	if(loginType == "DOCTOR"){
    		roleType = "D";
    	}else if(loginType == "APOTHECARY"){
    		roleType = "A";
    	}else if(loginType == "MC"){
    		roleType = "MC";
    	}
		appcan.window.open({
			name : "resetIdPhone",
			dataType : 0,
			aniId : 2,
			data : "reset_id_phone.html?roleType="+roleType
		});
    }
    
    //登录事件
    var loginClick = function() {
    	var url = window.ServerURL + "/login"; 
    	var data = {};
    	if(loginType == 'DOCTOR'){
    		data.registerType = 'DOCTOR';
    	}else if(loginType == 'APOTHECARY'){
    		data.registerType = 'APOTHECARY';
    	}else if(loginType == 'MC'){
    		data.registerType = 'MC';
    	}
    	data.mobile = $("#mobile").val();
    	data.lastLoginLongitude = '';
    	data.lastLoginLatitude = '';
    	data.regeristerId = '1';
    	data.password = $("#password").val();
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, loginSuccess, loginFail);
    }
    
    //登录成功回调
    var loginSuccess = function(res) {
    	if(res.result == '0') {
    		personId = res.id;
    		if(loginType == 'DOCTOR'){
				//查询医生的个人信息
				getDoctorByLogin();
    		}else if(loginType == 'APOTHECARY'){
    			//查询药师个人信息
    			getTApothecaryInfoByLogin();
    		}else if(loginType == 'MC'){
    			//查询机构信息
    			getTMechanismInfoByLogin();
    		}
    	}else {
	    	appcan.window.alert({
	            title : "提示",
	            content : "登录失败，"+res.message,
	            buttons : '确定'
	        });
    	}
    }
    
    //登录失败回调
    var loginFail = function(e, err) {
	    appcan.window.alert({
            title : "提示",
            content : "登录失败，请联系管理员",
            buttons : '确定',
            callback : function(err, data, dataType, optId) {

            }
        });
    }
    
    //查询医生的个人信息
    var getDoctorByLogin = function() {
    	var url = window.ServerURL + "/getDoctorByLogin"; 
    	var data = {};
    	data.id = personId;
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
    	    //存储医生个人信息
            appcan.locStorage.setVal("loginUser", res[0]);
            appcan.locStorage.setVal("localDoctor", res[0]);
            //OPEN打开时，如果窗口存在，会把此窗口浮到最上层，所以此处进行页面重新初始化
            uexWindow.evaluateScript("doctorIndexPage", "0", "doctorIndex.init()");
		    appcan.window.open({
				name : "doctorIndexPage",
				dataType : 0,
				aniId : 2,
				data : "../doctor/doctor_index.html"
			});
			appcan.locStorage.remove("selectRole");
            appcan.locStorage.remove("option");
			appcan.window.evaluateScript("loginPage", "commonJs.closeWindow()");
			// appcan.window.evaluateScript("selectRole", "commonJs.closeWindow()");
            // appcan.window.evaluateScript("", "0", "commonJs.closeWindow()");
            uexWindow.evaluateScript("", "0", "closeWindow()");
            // appcan.window.close(-1);
			
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "医生信息查询失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }
    
    //查询医师个人信息
    var getTApothecaryInfoByLogin = function() {
    	var url = window.ServerURL + "/getTApothecaryInfoByLogin"; 
    	var data = {};
    	data.id = personId;
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
    		//存储医师个人信息
            appcan.locStorage.setVal("loginUser", res[0]);
            appcan.locStorage.setVal("localApothecary", res[0]);
    		if(res[0].apothecaryTypeCode == 'YS'){
    		    appcan.window.evaluateScript("auditPharmacistIndex", "auditPharmacistIndex.initModel()");
	    		appcan.window.open({
					name : "auditPharmacistIndex",
					dataType : 0,
					aniId : 2,
					data : "../pharmacist/audit_pharmacist_index.html"
				});
    		}else if(res[0].apothecaryTypeCode == 'TJS'){
	    		appcan.window.evaluateScript("pharmacistIndex", "pharmacistIndex.initModel()");
	    		uexWindow.evaluateScript("pharmacistIndex", "0", "pharmacistIndex.init()");
                appcan.window.open({
					name : "pharmacistIndex",
					dataType : 0,
					aniId : 2,
					data : "../pharmacist/pharmacist_index.html"
				});
    		}
    		//appcan.window.close(-1);
			//appcan.window.publish("closeFunc");
			appcan.locStorage.remove("selectRole");
			appcan.locStorage.remove("option");
			appcan.window.evaluateScript("loginPage", "commonJs.closeWindow()");
			// appcan.window.evaluateScript("selectRole", "commonJs.closeWindow()");
			// appcan.window.evaluateScript("", "commonJs.closeWindow()");
			uexWindow.evaluateScript("", "0", "closeWindow()");
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "药师信息查询失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }
    
    //查询机构信息
    var getTMechanismInfoByLogin = function() {
        var url = window.ServerURL + "/getTMechanismInfo";
        var data = _.clone(window.pagingParam);
        //{"id":"","mechanismCode":"","mechanismPhone":"","regionId":"","regionCode":"","mechanismName":"","mechanismType":"","pageIndex":1,"pageSize":10}
        data.id = personId;
        var param = JSON.stringify(data);
        commonJs.requestAjax(url, param, function(res){
            //存储医师个人信息
            appcan.locStorage.setVal("loginUser", res[0]);
            appcan.locStorage.setVal("localOrganization", res[0]);
            appcan.window.evaluateScript("orgIndexPage", "orgIndex.init()");
            appcan.window.open({
                name : "orgIndexPage",
                dataType : 0,
                aniId : 2,
                data : "../organization/org_index.html"
            });
            //appcan.window.close(-1);
            //appcan.window.publish("closeFunc");
            appcan.locStorage.remove("selectRole");
            appcan.locStorage.remove("option");
            appcan.window.evaluateScript("loginPage", "commonJs.closeWindow()");
            // appcan.window.evaluateScript("selectRole", "commonJs.closeWindow()");
            // appcan.window.evaluateScript("", "commonJs.closeWindow()");
            uexWindow.evaluateScript("", "0", "closeWindow()");
        }, function(e, err){
            appcan.window.alert({
                title : "提示",
                content : "机构信息查询失败，请联系管理员",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
    
                }
            });
        });
    }
    
    return {
        init: init,
        resetClick: resetClick,
        loginClick: loginClick
    }
}();


appcan.ready(function() {
    loginHomeJs.init();
});