if(!window.assayBillListContent){
    window.assayBillListContent = {};
}

var assayBillListContent = function() {
    var pageCount = 0, inParam, pageParam, orgInfo = {};
    pageParam = _.clone(window.pagingParam);
    
    var forwardInfoViewModel = new(MVVM.ViewModel.extend({
        el: "#assayBillListShow",
        collection: new ForwardInfoCollection()
    }))();
    
    //返回主页面     刷新
    var backload = function() {
    	pageCount = 0;
    	loadForwardInfoListContent();
    	//更新首页统计角标数据
    	appcan.window.evaluatePopoverScript("orgIndexPage", "homeIndexContentPage", "orgIndexHomeContent.getMechanismWaitCount()");
    }

    var loadForwardInfoListContent = function(){
        pageCount++;
        pageParam.pageIndex = pageCount;
        pageParam.tastMechanismId = orgInfo.id;
        if (!!inParam.forwardType) {
            pageParam.forwardType = inParam.forwardType;
        }
        pageParam.status = !!inParam.status ? inParam.status : "YJF,YYY,YJY,YWC,YGB";
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTForwardInfo",
            success: function(res) {
                if (pageCount === 1) {
                    forwardInfoViewModel.collection.set(res);
                } else {
                    forwardInfoViewModel.collection.add(res);
                }
            }
        });
    }
  
    var loadAssayBill = function(event){
        var outParam = "forwardId=" + $(event.currentTarget).find("[data-bind='text:id']").text().trim(); 
        var forwardInfo = forwardInfoViewModel.collection.where({"id": $(event.currentTarget).find("[data-bind='text:id']").text().trim()});
        outParam += "&forwardType=" + forwardInfo[0].get("forwardType");
        if (forwardInfo[0].get("status") === "YJF") {
            //预约
            commonJs.openWindow("assayOrgAppointmentPage", "assay_org_appointment.html?" + outParam);
        } else if (forwardInfo[0].get("status") === "YYY") {
            //已检验
            commonJs.openWindow("assayOrgProcessPage", "assay_org_process.html?" + outParam);
        } else if (forwardInfo[0].get("status") === "YJY") {
            //预约
            commonJs.openWindow("assayOrgReportPage", "assay_org_report.html?" + outParam);
        } else {
            commonJs.openWindow("assayBillViewPage", "assay_bill_view.html?" + outParam);
        }
    }
    
    var searchAssayBillList = function(){
        var searchParam = $("#searchParam").val();
        pageCount = 0;
        pageParam.patientName = searchParam;
        loadForwardInfoListContent();
    }
    
    var assayBillStatusSelect = function(){
        var assayBillStatusSelect = appcan.selectview({
            selector : "#assayBillStatusSelect"
        });
        var assayBillStatus = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.forwardStatus) {
            assayBillStatus.push(window.codeList.forwardStatus[i]);
        }
        assayBillStatusSelect.set(assayBillStatus);
        assayBillStatusSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParam.status = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#assayBillStatus").find("span").text("状态");
            } else {
                $("#assayBillStatus").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");
            pageCount = 0;
            loadForwardInfoListContent();
        });
    }

    var hidenSelector = function(hidenFlag) {
        setTimeout(function() {
            $("#assayBillStatus").find(".list-caret-size").addClass("list-caret-down");
            $("#assayBillStatus").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#assayBillStatus").removeClass("filter-select-color");
            $("#assayBillStatusSelect").removeClass("mask-show");
            
        }, 100);
    }
    

    var setScollbar = function(operate) {
        if (operate === "disable") {
            appcan.window.disableBounce();
            //绂佹榛樿琛屼负鏂规硶锛岄槻姝㈡粴鍔ㄦ潯婊氬姩
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-up-select']").length > 0) {
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //-------------------------------涓嬫媺鐐瑰嚮浜嬩欢--------------------------------------//
    $("#assayBillStatus").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#assayBillStatusSelect").css("top", maskTop + "px");
            $("#assayBillStatusSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();
            setScollbar("enable");
        }
    }); 

    //鏃堕棿鎺т欢
    $("#assayBillDate").on("click", function(event) {
        hidenSelector();
        setScollbar("enable");
        var _self = this;
        var okCallback = function(date) {
            pageParam.createDate = date.text;
            $("#assayBillDate").find("span").text(date.text);
            pageCount = 0;
            loadForwardInfoListContent();
            _self.picker.dispose();
            _self.picker = null;
        }
        var clearCallback = function() {
            $("#assayBillDate").find("span").text("开单日期");
            if (!!pageParam.createDate) {
                delete pageParam.createDate;
            }
            pageCount = 0;
            loadForwardInfoListContent();
            _self.picker.dispose();
            _self.picker = null;
        }
        if(_self.picker) {
            _self.picker.show(okCallback, clearCallback);
        } else {
            var options = {"type":"date", "beginYear": 1901, bounceState: 1};
            _self.picker = new Neusoft.DtPicker(options);
            _self.picker.show(okCallback, clearCallback);
        }
    });
    //---------------------------------------end---------------------------------//
    
    var init = function() {
        
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        orgInfo = commonJs.getOrganization();
        
        commonJs.listWindowBounce(loadForwardInfoListContent);
        loadForwardInfoListContent();
        assayBillStatusSelect();
    }
    
    return {
        init: init,
        searchAssayBillList: searchAssayBillList,
        loadAssayBill: loadAssayBill,
        backload: backload       
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    assayBillListContent.init();
});








