if(!window.orgIndex){
    window.orgIndex = {};
}

var orgIndex = function() {
    var pageCount = 0, headerHeight, outParam, pageParam, openIndex = [];
    
    
    pageParam = _.clone(window.pagingParam);
    pageParam.tRecipeInfo = {};
    
    //声明viewmodel
    var mechanismInfoModel = new MechanismModel();
    var mechanismInfoViewModel = new(MVVM.ViewModel.extend({
        el: ".mechanismInfo",
        model: mechanismInfoModel
    }));

    var orgFooterTab = appcan.tab({
        selector : $("#orgFooterTab"),
        hasIcon : true,
        hasAnim : false,
        hasLabel : true,
        hasBadge : false,
        index : 0,
        data : [{
            "label" : "首页",
            "icon" : "app-home"
        }, {
            "label" : "信息",
            "icon" : "app-information"
        }, {
            "label" : "工作室",
            "icon" : "app-office"
        }, {
            "label" : "发现",
            "icon" : "app-discover"
        }, {
            "label" : "我的",
            "icon" : "app-my"
        }]
    });
    
    var frame = appcan.require('frame');
    //页脚按钮点击事件
    orgFooterTab.on("click", function(obj, index) {
        if (index != 0 && index != 4) {
           return;
        }
        //_setHeader(index);
        var openFlag = _.indexOf(openIndex, index) >= 0;        
        switch (index) {
            case 0:
                if (openFlag) {
                    appcan.frame.bringToFront("homeIndexContentPage");
                    return;
                }                
                appcan.frame.open("content", "pharmacist_index_home_content.html?" + outParam, 0, headerHeight, 'homeIndexContentPage');
                break;
            case 1:
                openIndex.push(index);
                break;
            case 2:
                
                break;
            case 3:
                openIndex.push(index);
                break;
            case 4:
                if (openFlag) {
                    appcan.frame.bringToFront("myIndexContentPage");
                    return;
                }
                appcan.frame.open("content", "org_index_my_content.html?" + outParam, 0, headerHeight, 'myIndexContentPage');
                openIndex.push(index);
                break;   
            default:
                break;
        }
    });
    
    //查询处方历史
    appcan.button("#historyPrescription", "btn-act", function() {
        commonJs.openWindow("historicalPrescriptionPage", "historicalPrescription/historicalPrescription.html");
        /*
        appcan.window.open({
            name: "historicalPrescriptionPage",
            dataType: 0,
            aniId: 2,
            data: "historicalPrescription/historicalPrescription.html"
        });
        */
    });
    
    var toHomePage = function(index) {
        for (var key in mechanismInfoModel.attributes){
            mechanismInfoModel.set(key, "");
        }
        //_initModel()
        var openFlag = _.indexOf(openIndex, 0) >= 0;
        //delete openIndex[_.indexOf(openIndex, index)];
        removeOpenIndex(index);
        headerHeight = $('.org-index').offset().height;
        //设置TAB按钮是否点亮
        $("#orgFooterTab").find(".sc-text-active").removeClass("sc-text-active");
        $("#orgFooterTab").find("[data-index='0']").find(".item.sc-text-tab").addClass("sc-text-active");
        // appcan.window.evaluatePopoverScript("orgIndex", "homeIndexContentPage", "orgIndexHomeContent.initModel()");
        // if (openFlag) {
            // appcan.frame.bringToFront("homeIndexContentPage");
            // // appcan.frame.resize("homeIndexContentPage", 0, headerHeight);
            // //appcan.window.evaluatePopoverScript("orgIndex", "homeIndexContentPage", "orgIndexHomeContent.initModel()");
            // return;
        // }
        appcan.frame.open("content", "org_index_home_content.html?" + outParam, 0, headerHeight, 'homeIndexContentPage');
    }
    
    var removeOpenIndex = function(index) {
        if (_.indexOf(openIndex, index) >= 0) {
            delete openIndex[_.indexOf(openIndex, index)];   
        }
    }
    
    
    
    var _initModel = function() {
        mechanismInfoModel.clearData();
        mechanismInfoModel.set(commonJs.getOrganization());
        //_setHeader();
        //初始延迟5秒获取极光推送ID
        setTimeout(function() {
            commonJs.getJpushRegistrationId(mechanismInfoModel.get("id"), "M");
        }, 5000);
    }
    
    var _exitProgram = function(keyCode) {
        //监听返回键，按返回键时提示退出系统
        if (keyCode === 0) {
            uexWidgetOne.exit();
        }
    }
    
    var init = function() {
        appcan.window.disableBounce();
        //监听物理退出键按钮
        uexWindow.setReportKey(0, 1);
        uexWindow.onKeyPressed = _exitProgram;
        _initModel();
        headerHeight = $('.org-index').offset().height;
        var footerHeight = $('[data-control="FOOTER"').offset().height;
        var contentHeight = $("[data-control='PAGE']").offset().height - headerHeight - footerHeight;
        outParam = "apothecaryId=" + mechanismInfoModel.get("id"); 
        outParam += "headerHeight=" + headerHeight;
        appcan.frame.open("content", "org_index_home_content.html?" + outParam, 0, headerHeight, "homeIndexContentPage");
        $("#orgFooterTab").find(".sc-text-active").removeClass("sc-text-active");
        $("#orgFooterTab").find("[data-index='0']").find(".item.sc-text-tab").addClass("sc-text-active");
        openIndex.push(0);
        //uexWindow.evaluateScript({name: "root", type: "0", js: "Window()"});
    }
    
    appcan.button("#doLogin", "btn-act", function() {
        commonJs.openWindow("loginPage", "../login/login.html");
    });
    
    return {
        init: init,
        initModel: _initModel,
        toHomePage: toHomePage
    }
    
}();

appcan.ready(function() {
    //appcan.initBounce();
    orgIndex.init();
});








