if(!window.assayOrgSearchContent){
    window.assayOrgSearchContent = {};
}

var assayOrgSearchContent = function() {
    var inParam = {};
    var pageCount = 0;
    var pageParam = _.clone(window.pagingParam);
    pageParam.pageIndex = pageCount;
    
    var mechanismInfoViewModel = new(MVVM.ViewModel.extend({
        el: "#showMechanismInfoView",
        collection: new MechanismCollection()
    }));
    
    var getMechanismInfos = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        pageParam.mechanismType = "JYZX";
        commonService.request(pageParam, {
            url: url = window.ServerURL + "/getTMechanismInfo",
            success: function(res) {
                pageCount === 1 ? mechanismInfoViewModel.collection.set(res) : mechanismInfoViewModel.collection.add(res);
            }
        });
    }
    
    var doSelect = function(event) {
        var machanismId = $(event.currentTarget).parents("li").find("[data-bind='text:id']").text().trim()
        var machanismInfos = mechanismInfoViewModel.collection.where({"id": machanismId});
        var machanismInfo = JSON.stringify(machanismInfos[0]);
        appcan.window.evaluatePopoverScript(inParam.pageName, inParam.pageFrameName, inParam.js + "(" + JSON.stringify(machanismInfos[0]) + ")")
        uexWindow.evaluateScript("", "0", "closeWindow()");
    }
    
    var searchMechanism = function() {
       pageCount = 0;
       pageParam.mechanismName = $("#searchParam").val();
       getMechanismInfos();
    }
    
    var init = function() {
        //设置弹动事件
        commonJs.listWindowBounce(getMechanismInfos);
        //assayOrgSearchContentViewModel.collection.fetch({selfViewModel: assayOrgSearchContentViewModel, param: pageParam});
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        //加载初始数据
        getMechanismInfos();
    }
    
    return {
        init: init,
        doSelect: doSelect,
        searchMechanism: searchMechanism
    }
}();

appcan.ready(function() {
    appcan.initBounce();
    assayOrgSearchContent.init();
});

