if(!window.awaitPaymentOrders){
    window.awaitPaymentOrders = {};
}

var awaitPaymentOrders = function() {
    var inParam = {};
    var pageCount = 0;
    var pageParam = _.clone(window.pagingParam);
    pageParam.status = "0"; //window.codeList.payStatus值域
    pageParam.pageIndex = pageCount;
    payTable.awaitFlag = false;
    var awaitPaymentOrdersViewModel = new(MVVM.ViewModel.extend({
        el: "#showAwaitPaymentOrdersView",
        collection: new PayCollection()
    }));
    
    var getPaysSuccess = function(res) {
        //pageCount === 1 ? awaitPaymentOrdersViewModel.collection.remove(awaitPaymentOrdersViewModel.collection.models) : null;
        pageCount === 1 ? awaitPaymentOrdersViewModel.collection.set(res) : awaitPaymentOrdersViewModel.collection.add(res);
    }
    
    var downOrUpLoadData = function() {
        pageCount++;
        //pageCount = Math.floor(awaitPaymentOrdersViewModel.collection.length / _.clone(window.pagingParam).pageSize) + 1;
        pageParam.pageIndex = pageCount;
        //console.log("downOrUpLoadData:" + JSON.stringify(pageParam));
        commonService.request(pageParam, {
            url: url = window.ServerURL + "/getPayXf",
            success: getPaysSuccess
        });
    } 
    
    //加载缴费页面
    var loadFeeConfirm = function(event) {
        var id = $(event.currentTarget).find("#itemId").text().trim();
        if (!!id) {
            var payModel = awaitPaymentOrdersViewModel.collection.where({"id": id});
            if ("ZL" === payModel[0].get("payOrderType")) {
                //if (payModel[0].get("status") === "0") {
                commonJs.openWindow("diagnosisfeeConfirmPage", "diagnosisfeeConfirm.html?id=" + payModel[0].get("id"));
                    /*
                    console.log("liOnClick: "  + id);
                    appcan.window.open({
                        name: "diagnosisfeeConfirmPage",
                        data: ,
                        dataType: 0,
                        animID: 2
                    });
                    */
                // } else {
                    // commonJs.openWindow("diagnosisfeeDetailPage", "diagnosisfeeDetail.html?id=" + payModel[0].get("id"));
                // }
            } else if ("GY" === payModel[0].get("payOrderType")) {
                //if (payModel[0].get("status") === "0") {
                //console.log("liOnClick: "  + id);
                var pageParam = "id=" + payModel[0].get("orderId");
                pageParam += "&payId=" + payModel[0].get("id");
                appcan.window.open({
                    name: "drugFeePaymentPage",
                    data: "drugFeePayment.html?" + pageParam,
                    dataType: 0,
                    animID: 2
                });
                // } else {
                    // commonJs.openWindow("recipeInfoPatientPage", "../diagnosistreat/recipe_info_patient.html?id=" + payModel[0].get("orderId"));
                // }
            }else if("SM" === payModel[0].get("payOrderType")){
            	//上门服务、远程医疗缴费   by sushu 2019-04-17
	            var param = {"id": payModel[0].get("orderId")};
			    commonService.request(param, {
		            url: window.ServerURL + "/getTUpdoorInfo",
		            success: function(res){
			            var param = "serviceId=" + res[0].id;
			        	param += "&sourceType=" + res[0].forwardType;
			            commonJs.openWindow("patientPaymentPage", "../roomService/patient_payment.html?" + param);
		            }
		        });
            }else if("JY" === payModel[0].get("payOrderType")){
            	//化验单、预约单缴费   by sushu 2019-04-17
	            var param = {"id": payModel[0].get("orderId")};
			    commonService.request(param, {
		            url: window.ServerURL + "/getTForwardInfo",
		            success: function(res){
			            var param = "forwardId=" + res[0].id;
			        	param += "&forwardType=" + res[0].forwardType;
			        	commonJs.openWindow("assayOrgSelectPage", "../assay/assay_org_select.html?" + param);
		            }
		        });
            }
        }
    }
    
    var setScollbar = function(operate) {
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove",function(evt){
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove",function(evt){
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }
    
    var hidenPayOrderTypeFilter = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
             $("#payOrderType").find(".list-caret-size").addClass("list-caret-down");
            $("#payOrderType").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#payOrderType").removeClass("filter-select-color");
            $("#payOrderTypeSelect").removeClass("mask-show");
        }, 100);
    }
    
    var payOrderTypeInit =  function() {
        var payOrderTypeSelect = appcan.selectview({
            selector : "#payOrderTypeSelect"
        });
        var payOrderType = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.payOrderType) {
            payOrderType.push(window.codeList.payOrderType[i]);
        }
        payOrderTypeSelect.set(payOrderType);
        payOrderTypeSelect.on("select:click", function(obj, data) {
            //console.log("select:click:" + JSON.stringify(data));
            pageParam.payOrderType = data[0].value === "ALL" ? "" : data[0].value;
            //加载数据
            //awaitPaymentOrdersViewModel.collection.reset();
            pageCount = 0;
            downOrUpLoadData();
            if (data[0].value === "ALL") {
                 $("#payOrderType").find("span").text("类型");
            } else {
                $("#payOrderType").find("span").text(data[0].text);
            }            
            hidenPayOrderTypeFilter();
            setTimeout(function() {
                setScollbar("enable");
            }, 200);
            
            
            //pageParam.pageIndex = 1;
            //awaitPaymentOrdersViewModel.collection.fetch({selfViewModel: awaitPaymentOrdersViewModel, param: pageParam});
        });        
    }   
    
    var checkOpenFilter = function(target) {
        if($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }
    
    $("#payOrderType").on("tap", function(event) {
        if (!!!checkOpenFilter(event.currentTarget)) return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) -2;
            $("#payOrderTypeSelect").css("top", maskTop + "px");
            $("#payOrderTypeSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenPayOrderTypeFilter();
            // $(event.currentTarget).find(".list-caret-size").addClass("list-caret-down");
            // $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-up-select");
            // $(event.currentTarget).removeClass("filter-select-color");
            // $("#payOrderTypeSelect").removeClass("mask-show");
            setTimeout(function() {
                setScollbar("enable");
            }, 200);
        }
    });
    
    $("#payFeeDate").on("tap", function(event) {
        //if (!!!checkOpenFilter(event.currentTarget)) return;
        hidenPayOrderTypeFilter();
        setScollbar("enable");
        var _self = this;
        var datePickerCallback = function(date) {
            pageParam.payTime = date.text;
            $("#payFeeDate").find("span").text(date.text);
            pageCount = 0;
            downOrUpLoadData();
            _self.payTimepicker.dispose();
            _self.payTimepicker = null;
        }
        var clearCallback = function() {
            $("#payFeeDate").find("span").text("缴费日期");
            if (!!pageParam.payTime) {
                delete pageParam.payTime;
            }
            pageCount = 0;
            downOrUpLoadData();
            _self.payTimepicker.dispose();
            _self.payTimepicker = null;
        }
        if(_self.payTimepicker) {
            _self.payTimepicker.show(datePickerCallback, clearCallback);
            //appcan.window.enableBounce();
        } else {
            //var optionsJson = this.getAttribute('data-options') || '{}';
            var options = {"type":"date", bounceState: 1};
           //var id = this.getAttribute('id');
            /*
             * 首次显示时实例化组件
             * 示例为了简洁，将 options 放在了按钮的 dom 上
             * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
             */
            _self.payTimepicker = new Neusoft.DtPicker(options);
            _self.payTimepicker.show(datePickerCallback, clearCallback);
            //appcan.window.enableBounce();
        }
        // uexControl.openDatePicker(date.getFullYear(), date.getMonth() + 1, date.getDate(), function(data) {
            // pageParam.payTime = data.year + "-" + data.month + "-" + data.day;
            // pageCount = 0;
            // downOrUpLoadData();
        // });
    });
    
    $("#payOrderTypeSelect").on("tap", function(event) {
        if (event.eventPhase != 3) {
            event.cancelBubble = true;
            console.log("payOrderTypeSelect");
            hidenPayOrderTypeFilter();
            //设置滚动条事件启用
            setTimeout(function() {
                setScollbar("enable");
            }, 200);
            return;
        }
    });
    
    /**
     * 回调刷新页面数据方法 
     */
    var _refreshLoadData = function() {
        pageCount = 0;
        downOrUpLoadData();
    }
    
    var init = function() {
        appcan.initBounce();
        //设置弹动事件
        commonJs.listWindowBounce(downOrUpLoadData);
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        //$("#headerDiv").height($('#awaitPaymentOrdersHeader').offset().height);
        //历史缴费明细查询时显示查询条件
        pageParam.status = !!inParam ? inParam.status || "" : "";
        pageParam.patientId = !!inParam ? inParam.patientId || "_" : "_";
        if (pageParam.status != "0") {
            $("#divFilterItem").css("display", "block !important");
        }
        if (pageParam.status === "ALL") {
            pageParam.status = "1";
        }
        payTable.awaitFlag = inParam.status === "0";
        //加载初始数据
        downOrUpLoadData();
        payOrderTypeInit();
    }
    
    return {
        loadFeeConfirm: loadFeeConfirm,
        init: init,
        refreshLoadData: _refreshLoadData
    }
}();

appcan.ready(function() {
    awaitPaymentOrders.init();
});

