
if(!window.prescriptionList){
    window.prescriptionList = {};
}

var prescriptionList = function() {
    var pageCount = 1, recipeStatus = "0,1,2,3", pageParam = _.clone(window.pagingParam);
    var tRecipeInfo = {};
    tRecipeInfo.patientId = "_";
    tRecipeInfo.status = recipeStatus;
    pageParam.tRecipeInfo = tRecipeInfo;
    //处方数据
    var recipeData = [];

    //声明viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#prescriptionListView",
        collection: new RecipeInfoCollection()
    
    }))();
    
    //加载数据
    var loadPrescriptionList = function(){
    	pageCount++;
        pageParam.pageIndex = pageCount;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTRecipeInfoHeadXf",
            success: function(res) {
                if (pageCount === 1) {
                    ViewModel.collection.set(res);
                } else {
                    ViewModel.collection.add(res);
                }
            }
        });
    	
    	// var data = [{
						// "hospitalId": "医院编码",
						// "prescriptionNo": "CF190715142058454",
						// "createDate": "2019-07-12 17:39:40",//处方开具时间
						// "status": "1",//处方状态
						// "channel": "1",
						// "doctorNo": "医生或员工编号",
						// "doctorName": "医生姓名",
						// "prescriptionType": "处方类型",
						// "diagnosesName": "诊断名称-甲状腺",
						// "symptom": "症状-111",
						// "departmentNo": "部门编号",
						// "departmentName": "部门名称",
						// "medicalFree": 0,
						// "patientCardNo": "患者就诊卡号",
						// "patientNo": "医院患者编号",
						// "patientInfo": {
							// "patientIdCard": "患者身份证号",
							// "patientSex": 1,
							// "patientBirthday": "2017-07-01",
							// "patientName": "患者姓名",
							// "patientTelephone": "患者手机号",
							// "areaCode": "区号"
						// },
						// "drugDetailList": [{
							// "drugNo": "LX010109485",
							// "hospDrugNo": "院内药品编码",
							// "drugGenericName": "阿司匹林肠溶片（进）",
							// "amount": 2,
							// "spec": "规格",
							// "usageDosage": "用法用量"
						// }]
					// }]

    	
	    // var param = {};
	    // param.phone = commonJs.getPatient().patientPhone;
        // commonService.request(param, {
            // url: window.ServerURL + "/getYygxTRecipeInfo",
            // success: function(res) {
            	// var length = 0;
            	// if(res.data !==undefined){
            		// length = res.data.length;
            	// }else{
            		// length = res.length;
            	// }
            	// for(var i=0; i< length; i++){
            		// var returnObj;
	            	// if(res.data !==undefined){
	            		// returnObj = res.data[i];
	            	// }else{
	            		// returnObj = res[i]
	            	// }
            		// var address = "";
            		// if(returnObj.tRecipeAddressXf !== null && returnObj.tRecipeAddressXf !==undefined){
            			// if(returnObj.tRecipeAddressXf.patientAddress !== null){
            				// address = returnObj.tRecipeAddressXf.patientAddress;
            			// }
            		// }
					// var dataObj = {
						// "recipeCode": returnObj.prescriptionNo,//处方单号
						// "symptom": returnObj.symptom,//症状
						// "taskResult": returnObj.diagnoseName,//诊断结果
						// "createDate": returnObj.createDate,//时间
						// "patientName": returnObj.patientInfo.patientName,//患者姓名
						// "patientPhone": returnObj.patientInfo.patientTelephone,//患者手机号
						// "address": address,//地址
						// "patientAge": returnObj.patientInfo.patientBirthday,//患者出生日期
						// "sex": returnObj.patientInfo.patientSex,//患者性别
						// "tastDoctorName": returnObj.doctorName,//医生姓名
						// "status": returnObj.status,//处方状态
						// "recipeType": returnObj.prescriptionType,//处方类型
						// "tRecipeDetailInfoList": []//药品信息
// 						
					// }
					// for(var j=0; j<returnObj.drugDetailList.length; j++){
						// var drugObj = {
							// "code": returnObj.drugDetailList[j].drugNo,//药品编码
							// "name": returnObj.drugDetailList[j].drugGenericName,//药品编码
							// "usageMethod": returnObj.drugDetailList[j].usageDosage,//用法用量
							// "usageTotal": returnObj.drugDetailList[j].amount,//数量
							// "speci": returnObj.drugDetailList[j].spec,//规格
						// }
						// dataObj.tRecipeDetailInfoList.push(drugObj);
					// }
					// recipeData.push(dataObj)
				// }
                // if (pageCount === 1) {
                    // ViewModel.collection.set(recipeData);
                // } else {
                    // ViewModel.collection.add(recipeData);
                // }
            // }
        // });
        
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
    }
    
    //加载详细页
    var loadPrescriptionDetail = function(event){
        var id = $(event.currentTarget).find("#id").text().trim(); 

        if (!!id) {
            commonJs.openWindow("recipeInfoPatientPage", "../diagnosistreat/recipe_info_patient.html?id="+id);
        }
        
        // var recipeCode = $(event.currentTarget).find("#recipeCode").text().trim();
    	// for(var i=0; i<recipeData.length; i++){
    		// if(recipeCode === recipeData[i].recipeCode){
    			// appcan.locStorage.remove("recipeInfoConData");
    			// appcan.locStorage.setVal("recipeInfoConData", recipeData[i]);
    			// commonJs.openWindow("recipeInfoPatientPage", "../diagnosistreat/recipe_info_patient.html?id="+"");
    		// }
    	// }
    }
    
    var _refreshLoad = function() {
        pageCount = 0;
        loadPrescriptionList();
    }
//     
    // //查询
    // var searchPrescriptionList = function(){
        // var searchParam = $("#searchParam").val();
        // pageCount = 0;
        // tRecipeInfo.tastDoctorName = searchParam;
        // pageParam.tRecipeInfo = tRecipeInfo
        // loadPrescriptionList();
    // }
    
    //类型下拉加载
    var prescriptionStatusSelect = function(){
        
        var prescriptionStatusSelect = appcan.selectview({
            selector : "#prescriptionStatusSelect"
        });
        var prescriptionStatus = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.recipeStatus) {
            // if (window.codeList.recipeStatus[i].value === "YSH" || window.codeList.recipeStatus[i].value === "YXY" 
              // || window.codeList.recipeStatus[i].value === "YJF" || window.codeList.recipeStatus[i].value === "YWC"
              // || window.codeList.recipeStatus[i].value === "YGB" || window.codeList.recipeStatus[i].value === "YBH"
              // || window.codeList.recipeStatus[i].value === "YTF") {
                // prescriptionStatus.push(window.codeList.recipeStatus[i]);
            // }
            if (window.codeList.recipeStatus[i].value === "0" || window.codeList.recipeStatus[i].value === "1" 
              || window.codeList.recipeStatus[i].value === "2" || window.codeList.recipeStatus[i].value === "3") {
                prescriptionStatus.push(window.codeList.recipeStatus[i]);
            }
        }
        prescriptionStatusSelect.set(prescriptionStatus);
        prescriptionStatusSelect.on("select:click", function(obj, data) {
            //console.log(data);
            tRecipeInfo.status = data[0].value === "ALL" ? recipeStatus : data[0].value;
            pageParam.tRecipeInfo = tRecipeInfo;
            if (data[0].value === "ALL") {
                 $("#prescriptionStatus").find("span").text("状态");
            } else {
                $("#prescriptionStatus").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCount = 0;
            
            loadPrescriptionList();
        });
    }
    

    //隐藏下拉
    var hidenSelector = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
            //全科职称
            $("#prescriptionStatus").find(".list-caret-size").addClass("list-caret-down");
            $("#prescriptionStatus").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#prescriptionStatus").removeClass("filter-select-color");
            $("#prescriptionStatusSelect").removeClass("mask-show");
            
        }, 100);
    }
    

    var setScollbar = function(operate) {
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //-------------------------------下拉点击事件--------------------------------------//
    $("#prescriptionStatus").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#prescriptionStatusSelect").css("top", maskTop + "px");
            $("#prescriptionStatusSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();
            setScollbar("enable");
        }
    }); 

    //时间控件
    $("#prescriptionDate").on("tap", function(event) {
        //if (!!!checkOpenFilter(event.currentTarget)) return;
        hidenSelector();
        setScollbar("enable");
        var _self = this;
        var datePickerCallback = function(date) {
            pageParam.createDate = date.text;
            $("#prescriptionDate").find("span").text(date.text);
            pageCount = 0;
            loadPrescriptionList();
            _self.payTimepicker.dispose();
            _self.payTimepicker = null;
        }
        var clearPickerCallback = function() {
            $("#prescriptionDate").find("span").text("开单日期");
            if (!!pageParam.createDate) {
                delete pageParam.createDate;
            }
            pageCount = 0;
            loadPrescriptionList();
            _self.payTimepicker.dispose();
            _self.payTimepicker = null;
        }
        if(_self.payTimepicker) {
            _self.payTimepicker.show(datePickerCallback, clearPickerCallback);
            //appcan.window.enableBounce();
        } else {
            //var optionsJson = this.getAttribute('data-options') || '{}';
            var options = {"type":"date", bounceState: 1};
           //var id = this.getAttribute('id');
            /*
             * 首次显示时实例化组件
             * 示例为了简洁，将 options 放在了按钮的 dom 上
             * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
             */
            _self.payTimepicker = new Neusoft.DtPicker(options);
            _self.payTimepicker.show(datePickerCallback, clearPickerCallback);
            //appcan.window.enableBounce();
        }
        // uexControl.openDatePicker(date.getFullYear(), date.getMonth() + 1, date.getDate(), function(data) {
            // pageParam.payTime = data.year + "-" + data.month + "-" + data.day;
            // pageCount = 0;
            // downOrUpLoadData();
        // });
    });
    /*
    $("#prescriptionDate").on("tap", function(event) {
        if (!!!checkOpenFilter(event.currentTarget)) return;
        var date = new Date();
        uexControl.openDatePicker(date.getFullYear(), date.getMonth() + 1, date.getDate(), function(data) {
            
            pageParam.createDate = data.year + "-" + data.month + "-" + data.day;
            pageCount = 0;
            loadPrescriptionList();
        });
    });
    */
    //---------------------------------------end---------------------------------//
    
    var init = function() {
        pageParam.tRecipeInfo.patientId = !!commonJs.getPatient() ? commonJs.getPatient().id : "_";
        //设置弹动事件
        commonJs.listWindowBounce(loadPrescriptionList);
        //页面禁用弹动效果
        //appcan.window.disableBounce();
        
        pageCount = 0;
        loadPrescriptionList();
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});

        //加载状态下拉条件
        prescriptionStatusSelect();

    }
    
    return {
        loadPrescriptionList : loadPrescriptionList,
        loadPrescriptionDetail : loadPrescriptionDetail,
        // searchPrescriptionList : searchPrescriptionList,
        init: init,
        refreshLoad: _refreshLoad
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    prescriptionList.init();
});








