
taskInfoTable.styleDisplay = "-webkit-box !important";
var DiagnosisTreatRecordModel = MVVM.Model.extend({
    //defaults,散列（或函数）用于为模型指定默认属性。
    defaults : taskInfoTable,
    
    //在model创建后执行的方法
    initialize : function() {
        //console.log("数据初始化");
        return;
    },
    // 默认情况下validate在save之前调用，也可以在set之前调用。 如果validate返回一个错误， save不会继续，该模型的属性将不被修改。
    validate : function(attrs, options) {
        //console.log(attrs, options);
    },
    //可以理解为对应model的实时计算，比如这里的model里面的username发生了变化，那么对应的<span data-bind="text:add"></span>也会发生变化
    computeds : {
       //对数据进行转换并且返viewmodel
       //单据状态
        
        //单据状态
        getStatus : {
            //这里是参数的依赖，也可以使用this.get("username")
            deps : ["status"],
            get : function(status) {
                var codelist = commonJs.getCodelistData(window.treatCodeList.treatStatus, status);
                return codelist.text || status;
            }
        },
        
        getBeginTime: {
                    deps: ["beginTime"],
                    get: function(beginTime) {
                    	
                    	//json格式的转换报错
                        return !!!beginTime ? null : commonJs.dateToString(beginTime);
                        /*return commonJs.dateTimeToString(beginTime.time);*/
                    }
                },
        getCreateDate: {
            deps: ["createDate"],
            get: function(createDate) {
                
                //json格式的转换报错
                return !!!createDate ? null : commonJs.dateTimeToString(createDate);
                /*return commonJs.dateTimeToString(beginTime.time);*/
            }
        },
        getStatusCss: {
        	deps: ["status"],
        	get: function() {
        		
        		return this.get("status") === "DJF" ? true : false;
        	}
        }
    },
    parse : function(data) {
        return data;
    },
    sync : function(method, model, options) {
        switch (method) {
        case "create":
            break;
        case "update":
            break;
        case "patch":
            console.log("patch");
            break;
        case "delete":
            console.log("delete");
            break;
        case "read":
            break;
        default:
            break;
        }
    }
});

