if(!window.diagnosisTreatUnfinishFeeDetail){
    window.diagnosisTreatUnfinishFeeDetail = null;
}

var diagnosisTreatUnfinishFeeDetail = function () {
    
    var inParam, headerHeight, patientInfo = {};
    var diagnosisTreatFeeDetailModels=new diagnosisTreatFeeDetailModel();
    var diagnosisTreatFeeDetailViewModel = new (MVVM.ViewModel.extend({
        el: "#diagnosisTreatFeeDetailContent",
        initialize: function () {
            return;
        },
        model: diagnosisTreatFeeDetailModels
    }));
    
    
    var getTaskInfo = function() {
        var findParam = {"id": inParam.taskId || "_", "pageIndex":1 ,"pageSize": 10};
        diagnosisTreatFeeDetailViewModel.model.fetch({param: findParam});
    }      
      
    
    var init = function() {
        //些页面禁用弹动效果
        appcan.window.disableBounce();
        //获取入参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        patientInfo = commonJs.getPatient();
        
        //加载数据
        getTaskInfo();
    }
    
    //咨询
    var adviceToDoctor = function(){
    	var param = {id: diagnosisTreatFeeDetailModels.get("tastDoctorId")}
        commonService.request(param, {
            url : window.ServerURL + "/getDoctor",
            success : function(res) {
		        var doctorId = diagnosisTreatFeeDetailModels.get("tastDoctorId");
		        var patientId = !!patientInfo ? patientInfo.id || "_" : "_";
		        //查询患者是否有未完成的诊疗记录
		        var checkData = JSON.stringify({
		            "patientId" : patientId,
		            "tastDoctorId" : doctorId,
		            "status" : "YZX,YJZ,DJF,YJF"
		        });
		      
		        var checkUrl = window.ServerURL + "/getTaskInfoXf";
		        var checkParam = JSON.stringify(checkData);
		         $.ajax({
		            url : checkUrl,
		            type : "POST",
		            data : checkData,
		            dataType : "json",
		            contentType : "application/json;charset=UTF-8",
		            success : function(data) {
		  
		                if (data.length > 0) {
							commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + res[0].doctorPhone);
							return;
		                } else {
		                    //生成诊疗记录
		                    var dataList = JSON.stringify({
		                        "patientId" : patientId,
		                        "tastDoctorId" : doctorId
		                    });
		                    var addUrl = window.ServerURL + "/addTaskInfoXf";
		                    
		                    $.ajax({
		                        url : addUrl,
		                        type : "POST",
		                        data : dataList,
		                        dataType : "json",
		                        contentType : "application/json;charset=UTF-8",
		                        success : function(data) {
									commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + res[0].doctorPhone);
		
		                        },
		                        error : function(e, err) {
		                            alert("接口失败");
		                        }
		                    });
		
		                }
		
		            },
		            error : function(e, err) {
		                alert("接口失败");
		            }
		        });
            }
        });
    }
        
    return {
        init: init,
        getTaskInfo: getTaskInfo,
        adviceToDoctor: adviceToDoctor
    }    
}();

appcan.ready(function() {
    diagnosisTreatUnfinishFeeDetail.init();
    appcan.window.subscribe("feePaymentSuccess", function(res) {
        //加载数据
        diagnosisTreatUnfinishFeeDetail.getTaskInfo();
    }); 
});
