if(!window.recommendPharmacy){
    window.recommendPharmacy = {};
}

var recommendPharmacy = function() {
    var inParam = {};
    var pageCount = 0;
    var pageParam = _.clone(window.pagingParam);
    var recipeId;
    var titHeight;
    var arrMap = [];
    pageParam.pageIndex = pageCount;
    var recommendPharmacyViewModel = new(MVVM.ViewModel.extend({
        el: "#showRecommendPharmacyView",
        collection: new MechanismCollection()
    }));
    
    var getRecommendPharmacySuccess = function(res) {
        //recommendPharmacyViewModel.collection.set(mechanismTestData);
        for(var i=0; i<res.length; i++){
        	var temp = {
        		id: res[i].id,
        		longitude: res[i].longitude,
        		latitude: res[i].latitude
        	};
        	arrMap.push(temp);
        }
        recommendPharmacyViewModel.collection.set(res[0]);
        loadMap();
        appcan.locStorage.remove("arrMap");
        appcan.locStorage.setVal("arrMap", arrMap);
        // pageCount === 1 ? recommendPharmacyViewModel.collection.set(res) : recommendPharmacyViewModel.collection.add(res);
    }
    
    var downOrUpLoadData = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        pageParam.recipeId = recipeId;
        commonService.request(pageParam, {
            url: url = window.ServerURL + "/getRecommendPharmacy",
            success: getRecommendPharmacySuccess
        });
    } 
    
    var init = function() {
        //设置弹动事件
        // commonJs.listWindowBounce(downOrUpLoadData);
        //recommendPharmacyViewModel.collection.fetch({selfViewModel: recommendPharmacyViewModel, param: pageParam});
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        try {
            recipeId = inParam.id || "1s";
            titHeight = inParam.headerHeight || 0;
        } catch(e) {
        }
        //加载初始数据
        downOrUpLoadData();
    }
    
    //加载地图信息
    var loadMap = function() {
    	var width=$("body").width();
    	var bodyHeight=$("#recommendPharmacyContent").height();
    	var mechHeight = $("[data-control='CUSTOMLISTVIEW']").offset().height;
        $("[data-control='CUSTOMLISTVIEW']").css("top", (bodyHeight - mechHeight) + "px");
        var mapHeight = bodyHeight - mechHeight;
        var param = "&titHeight="+titHeight+"&mapHeight="+mapHeight;
        appcan.frame.open("content", "baiduMap.html?"+param, 0, titHeight, "baiduMapPage");
	    // uexBaiduMap.getCurrentLocation();
        // uexBaiduMap.cbCurrentLocation=function(data){
            // if(data=="undefined"||data=="null"||data==""){
                // alert("坐标获取失败");
                // return;
            // }
            // var tempLocation=JSON.parse(data);
            // var x=tempLocation.longitude;
            // var y=tempLocation.latitude;
            // uexBaiduMap.open(0,titHeight,width,mapHeight,x,y);
            // uexBaiduMap.cbOpen=function(){
                // uexBaiduMap.setZoomLevel(15);
                // uexBaiduMap.addMarkersOverlay(JSON.stringify(arrMap));
				// uexBaiduMap.onMarkerClickListener = function(data){
					// var param = {};
					// param.id = data;
					// commonService.request(param, {
			            // url: url = window.ServerURL + "/getTMechanismInfo",
			            // success: function(res){
			            	// recommendPharmacyViewModel.collection.set(res[0]);
			            // }
			        // });
				// }
            // }
        // }
    }
    
    //地图点击事件
    var mapClick = function(id){
		var param = {};
		param.id = id;
		commonService.request(param, {
            url: url = window.ServerURL + "/getTMechanismInfo",
            success: function(res){
            	recommendPharmacyViewModel.collection.set(res[0]);
            }
        });
    }
    
    return {
        init: init,
        mapClick: mapClick
    }
}();

appcan.ready(function() {
    appcan.initBounce();
    recommendPharmacy.init();
});

