var Service_uYPWoM = new MVVM.Service({
    pretreatment: function(data, option) {
        return data;
    },
    dosuccess: function(data, option) {
        
        for(var i=0;i<data.length;i++){
            data[i].post = getCodeListText(window.codeList.doctorTitle,data[i].post);
            data[i].mechanismType = getCodeListText(window.codeList.mechanismType ,data[i].mechanismType);
            data[i].onlineStatus = getCodeListText(window.codeList.onlineStatus ,data[i].onlineStatus);
        }
        return data;
    },
    doerror: function(e, err, option) {
        return err;
    },
    validate: function(data, option) {
        return 0;
    },
    ajaxCall: function(data, option) {
        var self = this;
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        var doctorType = inParam.doctorType;
        var patientId = inParam.patientId;
        var patientId = appcan.locStorage.getVal("patientId");
        var doctorType = appcan.locStorage.getVal("doctorType");
        var dataList = JSON.stringify({"patientId":patientId,"doctorType":doctorType,"pageIndex":1,"pageSize":10});
        appcan.request.ajax({
            url: "http://218.24.170.149:7033/dubbo/getDoctorPatientRel",
            type: "POST",
            data: dataList,
            dataType: "json",
            contentType: "application/json",
            success: function(data) {
                console.log(data);
                var res = self.validate(data, option);
                if (!res) {
                    option.success(self.dosuccess(data, option))
                } else {
                    option.error(self.doerror(data, res, option))
                };
                
                //绑定事件
                appcan.button(".list", "btn-act", function(obj) {
                    
                    console.log("doctorId"+obj.currentTarget.children.doctor_id.innerText);
                    appcan.locStorage.setVal("selectDoctorId",obj.currentTarget.children.doctor_id.innerText);
                    appcan.window.open({
                        name:"doctor_detail",
                        data:"doctor_detail.html",
                        aniId:"2"
                    });
                    return false;
                });
                
                //解约
                appcan.button(".signed", "btn-act", function(obj,e) {
           
                    var doctorId = obj.currentTarget.children.doctor_id.innerText;
                    var patientId = "1";
                    var daraParam = JSON.stringify({"patientId":patientId,"doctorId":doctorId,"isTp":"N"});
                    appcan.request.ajax({
                        url : "http://218.24.170.149:7033/dubbo/addOrDeleteDoctorPatientInfo",
                        type : "POST",
                        data : daraParam,
                        dataType : "json",
                        contentType : "application/json;charset=UTF-8",
                        success : function(data) {
                            
                            console.log(data);

                            appcan.window.alert({
                                title : "提示",
                                content : "解约成功",
                                buttons : '确定',
                                callback : function(err, data, dataType, optId) {
                                    window.location.reload();
                                }
                            }); 

                            // alert("解约成功");
                            // window.location.reload();
        
                        },
                        error : function(e, err) {
                            alert("接口失败");
                        }
                    }); 
                    return false;
                });
                
                //咨询
                appcan.button(".advice", "btn-act", function(obj,e) {
                    
                    var doctorId = obj.currentTarget.children.doctor_id.innerText;
                    var patientId = "1";
                    //查询患者是否有未完成的诊疗记录
                    var daraParam = JSON.stringify({"patientId":patientId,"tastDoctorId":doctorId,"status":"YZX,YJZ,DJF,YJF"});
                    appcan.request.ajax({
                        url : window.ServerURL + "/getTaskInfoXf",
                        type : "POST",
                        data : daraParam,
                        dataType : "json",
                        contentType : "application/json;charset=UTF-8",
                        success : function(data) {
                            
                            console.log(data);
                            if(data.length>0){

                                appcan.window.alert({
                                    title : "提示",
                                    content : "存在未完成的诊疗记录",
                                    buttons : '确定',
                                    callback : function(err, data, dataType, optId) {
                                        
                                    }
                                }); 
                            }else{
                                //生成诊疗记录
                                var dataList = JSON.stringify({"patientId":patientId,"tastDoctorId":doctorId});
                                                   
                                appcan.request.ajax({
                                    url : window.ServerURL + "/addTaskInfoXf",
                                    type : "POST",
                                    data : dataList,
                                    dataType : "json",
                                    contentType : "application/json;charset=UTF-8",
                                    success : function(data) {
                                        
                                        console.log(data);

                           
                                        appcan.window.alert({
                                            title : "提示",
                                            content : "已生成诊疗记录",
                                            buttons : '确定',
                                            callback : function(err, data, dataType, optId) {
                                                window.location.reload();
                                            }
                                        });


                                    },
                                    error : function(e, err) {
                                        alert("接口失败");
                                    }
                                }); 

                            }
                           
        
                        },
                        error : function(e, err) {
                            alert("接口失败");
                        }
                    }); 
                    return false;
                });

            },
            error: function(e, err) {
                option.error(self.doerror(e, err, option));
            }
        });
    }
});

var Model_Collection = MVVM.Model.extend({
    defaults: {},
    computeds: {},
    sync: function(method, model, options) {
        switch (method) {
        case "create":

            break;
        case "update":

            break;
        case "patch":

            break;
        case "delete":

            break;
        default:
            break;
        }
    }
});


var Collection = new(MVVM.Collection.extend({
    initialize: function() {
        return;
    },
    parse: function(data) {
        return data;
    },
    model: Model_Collection,
    sync: function(method, collection, options) {
        switch (method) {
        case "read":
            Service_uYPWoM.request({}, options);
            break;
        default:
            break;
        }
    }
}))();


var ViewModel = new(MVVM.ViewModel.extend({
    el: "#CustomListView_5MWydJ",

    initialize: function() {
        this.collection.fetch({})
        return;
    },
    collection: Collection

}))();









// var data = JSON.stringify({"patientId":"1","pageIndex":1,"pageSize":2});
// Service_uYPWoM.request(data, null);

// var Model_I1bluz = new(MVVM.Model.extend({
// 
    // defaults: JSON.stringify({
        // "patientId": "1",
        // "pageIndex": 1,
        // "pageSize": 2
    // }),
    // initialize: function() {
        // return;
    // },
    // parse: function(data) {
        // return data;
    // },
    // validate: function(attrs, options) {
        // return;
    // },
    // computeds: {},
    // sync: function(method, model, options) {
        // switch (method) {
        // case "create":
            // Service_uYPWoM.request(this.toJSON(), options);
            // break;
        // case "update":
// 
            // break;
        // case "patch":
// 
            // break;
        // case "read":
// 
            // break;
        // case "delete":
// 
            // break;
        // default:
            // break;
        // }
    // }
// }))()
// 
// var ViewModel_UOPLWo = new(MVVM.ViewModel.extend({
    // el: "#",
// 
    // initialize: function() {
        // return;
    // },
// 
// }))();