if (!window.doctorDetailJs) {
    window.doctorDetailJs = null;
}

var doctorDetailJs = function() {
	var doctorId;
	var ifSigned = "";
	
    appcan.button("#nav-left", "btn-act",
    function() {
        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1);
        appcan.locStorage.setVal("doctorId","");
    });
    appcan.button("#nav-right", "btn-act",
    function() {});
    
    //判断是否登录
    var doCheckLogin = function() {
    	var patientInfo = commonJs.getPatient();
    	var patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        if (patientId == "_") {
            commonJs.openWindow("loginPage", "../login/login.html");
            return false;
        } else {
            return true;
        }
    }
    
    //解约
    appcan.button("#signBtn", "btn-act", function(obj, e) {
    	//判断是否登录，未登录直接跳转到登录页  by sushu 2019-04-12
    	if (!doCheckLogin()) return;
    	
        var patientId = commonJs.getPatient().id;
        ifSigned = obj.currentTarget.children.ifSigned.innerHTML;
        // var doctorId = obj.currentTarget.children.doctorId.innerHTML;
        var doctorId = document.getElementById("doctorId").innerHTML;
        var isTp;
        var content;
        if(ifSigned=="Y"){
            isTp="N";
            content="解约成功";
        }else{
            isTp="Y";
            content="签约成功";
        }
        
       
        
        var daraParam = JSON.stringify({
            "patientId" : patientId,
            "doctorId" : doctorId,
            "isTp" : isTp
        });
        //签约时先弹出提示协议信息；解约时直接调接口  by sushu 2019-10-30
        if(ifSigned == "Y"){
	        $.ajax({
	            url : window.ServerURL + "/addOrDeleteDoctorPatientInfo",
	            type : "POST",
	            data : daraParam,
	            dataType : "json",
	            contentType : "application/json;charset=UTF-8",
	            success : function(data) {
					appcan.window.openToast(content, 2000, 5, 0);
					setTimeout(function() {
					   if(ifSigned=="Y"){
	                        $("#signIcon").removeClass('unsignicon');
	                        $("#signIcon").addClass('signicon');
	                        $("#signTextDiv").removeClass('unsigncolor');
	                        $("#signTextDiv").addClass('signcolor');
	                        document.getElementById("signText").innerHTML = '签约';
	                        document.getElementById("ifSigned").innerHTML = 'N';
	                    }else{
	                        $("#signIcon").removeClass('signicon');
	                        $("#signIcon").addClass('unsignicon');
	                        $("#signTextDiv").removeClass('signcolor');
	                        $("#signTextDiv").addClass('unsigncolor');
	                        document.getElementById("signText").innerHTML = '解约';
	                        document.getElementById("ifSigned").innerHTML = 'Y';
	                    }
					}, 500);
	
	
	            },
	            error : function(e, err) {
	                alert("接口失败");
	            }
	        });
	        return false;
        }
        else{
        	var pageParam = "doctorId="+doctorId+"&patientId="+patientId;
		    pageParam += "&pageFrameName=doctor_detail";
		    pageParam += "&js=doctorDetailJs.doctorSignBack";
        	commonJs.openWindow("doctorSignProtocolPage", "doctor_sign_protocol.html?"+pageParam);
        }
    }); 
    
    var doctorSignBack =function(){
	    $("#signIcon").removeClass('signicon');
	    $("#signIcon").addClass('unsignicon');
	    $("#signTextDiv").removeClass('signcolor');
	    $("#signTextDiv").addClass('unsigncolor');
	    document.getElementById("signText").innerHTML = '解约';
	    document.getElementById("ifSigned").innerHTML = 'Y';
    }
    
    
    //咨询
    appcan.button("#adviceBtn", "btn-act", function(obj, e) {
    	//判断是否登录，未登录直接跳转到登录页  by sushu 2019-04-12
    	if (!doCheckLogin()) return;
        
        // var doctorId = obj.currentTarget.children.doctorId.innerHTML;
        var doctorId = document.getElementById("doctorId").innerHTML;
        var doctorPhone = $("#doctorPhone").text().trim();
        var patientId = commonJs.getPatient().id;
        //查询患者是否有未完成的诊疗记录
        var daraParam = JSON.stringify({
            "patientId" : patientId,
            "tastDoctorId" : doctorId,
            "status" : "YZX,YJZ,DJF,YJF"
        });
        $.ajax({
            url : window.ServerURL + "/getTaskInfoXf",
            type : "POST",
            data : daraParam,
            dataType : "json",
            contentType : "application/json;charset=UTF-8",
            success : function(data) {
                
                console.log(data);
                if (data.length > 0) {
					//appcan.window.openToast("存在未完成的诊疗记录", 2000, 5, 0);
					//网易云信聊天
                    commonJs.doNeteaseNim("p" + commonJs.getPatient().patientPhone, "d" + doctorPhone);
                    
                    // appcan.window.alert({
                        // title : "提示",
                        // content : "存在未完成的诊疗记录",
                        // buttons : '确定',
                        // callback : function(err, data, dataType, optId) {
// 
                        // }
                    // });
                } else {
                    //生成诊疗记录
                    var dataList = JSON.stringify({
                        "patientId" : patientId,
                        "tastDoctorId" : doctorId
                    });

                    $.ajax({
                        url : window.ServerURL + "/addTaskInfoXf",
                        type : "POST",
                        data : dataList,
                        dataType : "json",
                        contentType : "application/json;charset=UTF-8",
                        success : function(data) {
							//appcan.window.openToast("已生成诊疗记录", 2000, 5, 0);
							//网易云信聊天
                            commonJs.doNeteaseNim("p" + commonJs.getPatient().patientPhone, "d" + doctorPhone);
                            // appcan.window.alert({
                                // title : "提示",
                                // content : "已生成诊疗记录",
                                // buttons : '确定',
                                // callback : function(err, data, dataType, optId) {
//                                     
                                // }
                            // });

                        },
                        error : function(e, err) {
                            alert("接口失败");
                        }
                    });

                }

            },
            error : function(e, err) {
                alert("接口失败");
            }
        });
        return false;
    }); 
    
    
    var init = function() {
    	appcan.window.disableBounce();
        var inParam = uexWindow.getUrlQuery();
        if(inParam!=null&&typeof(inParam)!='undefined'){
            appcan.locStorage.setVal("doctorId",inParam.doctorId);
        }
    }
    
    return {
        init: init,
        doctorSignBack: doctorSignBack
    }
}();

appcan.ready(function() {
    doctorDetailJs.init();
});