
if(!window.finddoctorq){
    window.finddoctorq = {};
}

var finddoctorq = function() {
    var ifSigned = "";
    var currentSignTarget;
    var pageCountQ = 0;
    var pageParamQ={}, patientInfo;
    //pageParamQ = _.clone(window.pagingParam);
    pageParamQ.doctorType = "Q";
    pageParamQ.patientId = "";
    var mechanismId;

    //声明viewmodel
    //全科医生
    var ViewModelQ = new(MVVM.ViewModel.extend({
        el: "#CustomListView_l2bSwK",
        collection: new FindDoctorCollection()
    
    }))();
    
    
    //判断是否登录
    var doCheckLogin = function() {
    	//修复bug；判断是否登录时，登陆后数据没有刷新   by sushu 2019-04-11
    	patientInfo = commonJs.getPatient();
        pageParamQ.patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        if (pageParamQ.patientId == "_") {
            commonJs.openWindow("loginPage", "../login/login.html");
            return false;
        } else {
            return true;
        }
    }
    
    
    
    //加载全科医生数据
    var loadDoctorQ = function(){
        pageCountQ++;
        pageParamQ.pageIndex = pageCountQ;

        ViewModelQ.collection.fetch({selfViewModel: ViewModelQ, param: pageParamQ});
    }
    
    //加载详细页
    var loadDoctorDetail = function(event){
    	
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim(); 
        // var doctorType = $(event.currentTarget).find("#doctorType").text().trim();
        if (!!doctorId) {
             appcan.locStorage.setVal("doctorId",doctorId);
             appcan.window.open({
                    name : "doctor_detail",
                    data : "doctor_detail.html?doctorId="+doctorId,
                    aniId : "2"
                });
        }
    }
    
    //签约、解约
    var signDoctor = function(event){
    	//判断是否登录，未登录直接跳转到登录页  by sushu 2018-10-16
    	if (!doCheckLogin()) return;
    	
        event.cancelBubble = true;
        currentSignTarget = event.currentTarget;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
        ifSigned = $(event.currentTarget).find("#if_signed").text().trim();
        var patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        var isTp;
        var content;
        
        
        if (ifSigned == "Y") {
            isTp = "N";
            content = "解约成功";
        } else {
            isTp = "Y";
            content = "签约成功";
        }
        
        var daraParam = JSON.stringify({
            "doctorId" : doctorId,
            "patientId" : patientId,
            "isTp" : isTp
        });
        //签约时先弹出提示协议信息；解约时直接调接口  by sushu 2018-10-31
        if(ifSigned == "Y"){
	       var url = window.ajaxOuterUrl + "/addOrDeleteDoctorPatientInfo";
	        
	       commonJs.requestAjax(url, daraParam, function(res) {
	       		if(res.result == '0'){
	       			appcan.window.openToast(content, 2000, 5, 0);
	   				setTimeout(function() {
	   					if(ifSigned=="Y"){
	                        $(currentSignTarget).find("#if_signed").text('N');
	                        $(currentSignTarget).find("#signIcon").removeClass('unsignicon');
	                        $(currentSignTarget).find("#signIcon").addClass('signicon');
	                        $(currentSignTarget).find("#signText").removeClass('unsigncolor');
	                        $(currentSignTarget).find("#signText").addClass('signcolor');
	                        $(currentSignTarget).find("#extend1_text").text("签约");
	                    }else{
	                        $(currentSignTarget).find("#if_signed").text('Y');
	                        $(currentSignTarget).find("#signIcon").removeClass('signicon');
	                        $(currentSignTarget).find("#signIcon").addClass('unsignicon');
	                        $(currentSignTarget).find("#signText").removeClass('signcolor');
	                        $(currentSignTarget).find("#signText").addClass('unsigncolor');
	                        $(currentSignTarget).find("#extend1_text").text("解约");
	                    }
	                }, 500);
	       		}else{
		       		appcan.window.alert({
		                title : "提示",
		                content : "接口失败",
		                buttons : '确定',
		                callback : function(err, data, dataType, optId) {
		
		                }
		            });
	       		}
	
	        }, function(e, err) {
	
	            appcan.window.alert({
	                title : "提示",
	                content : "接口失败",
	                buttons : '确定',
	                callback : function(err, data, dataType, optId) {
	
	                }
	            }); 
	
	        });
        	
        }else{
		    var pageParam = "doctorId="+doctorId+"&patientId="+patientId;
		    pageParam += "&pageName=find_doctor";
		    pageParam += "&pageFrameName=findDoctoreQPage";
		    pageParam += "&js=finddoctorq.doctorSignBack";
        	commonJs.openWindow("doctorSignProtocolPage", "doctor_sign_protocol.html?"+pageParam);
        }
    }
    
    // 咨询
    var adviceToDoctor = function(event){
    	//判断是否登录，未登录直接跳转到登录页  by sushu 2018-10-16
    	if (!doCheckLogin()) return;
    	
        event.cancelBubble = true;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
        var model = ViewModelQ.collection.where({id: doctorId})[0];
        
        //校验是否在线，离线状态不允许咨询
        if(model.get("onlineStatus") === "N"){
        	appcan.window.openToast("离线状态的医生不能咨询", 2000, 5, 0);
        	return;
        }
        
        var patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        //查询患者是否有未完成的诊疗记录
        var checkData = JSON.stringify({
            "patientId" : patientId,
            "tastDoctorId" : doctorId,
            "status" : "YZX,YJZ,DJF,YJF"
        });
        
        var checkUrl = window.ajaxOuterUrl + "/getTaskInfoXf";
        var checkParam = JSON.stringify(checkData);
         $.ajax({
            url : checkUrl,
            type : "POST",
            data : checkData,
            dataType : "json",
            contentType : "application/json;charset=UTF-8",
            success : function(data) {
  
                if (data.length > 0) {
					//appcan.window.openToast("存在未完成的诊疗", 2000, 5, 0);
					commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + model.get("doctorPhone"));
					return;
                    // appcan.window.alert({
                        // title : "提示",
                        // content : "存在未完成的诊疗记录",
                        // buttons : '确定',
                        // callback : function(err, data, dataType, optId) {
// 
                        // }
                    // });
                } else {
                    //生成诊疗记录
                    var dataList = JSON.stringify({
                        "patientId" : patientId,
                        "tastDoctorId" : doctorId
                    });
                    var addUrl = window.ajaxOuterUrl + "/addTaskInfoXf";
                    
                    $.ajax({
                        url : addUrl,
                        type : "POST",
                        data : dataList,
                        dataType : "json",
                        contentType : "application/json;charset=UTF-8",
                        success : function(data) {
							//appcan.window.openToast("已生成诊疗记录", 2000, 5, 0);
							commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + model.get("doctorPhone"));
                            // appcan.window.alert({
                                // title : "提示",
                                // content : "已生成诊疗记录",
                                // buttons : '确定',
                                // callback : function(err, data, dataType, optId) {
//                                     
                                // }
                            // });

                        },
                        error : function(e, err) {
                            alert("接口失败");
                        }
                    });

                }

            },
            error : function(e, err) {
                alert("接口失败");
            }
        });

        // commonJs.requestAjax(checkUrl, checkParam, function(res) {
            // console.log(res);
            // var pageIndex = JSON.parse(param).pageIndex;
            // if (res.length > 0) {
// 
                // appcan.window.alert({
                    // title : "提示",
                    // content : "存在未完成的诊疗记录",
                    // buttons : '确定',
                    // callback : function(err, data, dataType, optId) {
// 
                    // }
                // });  
            // }else{
                // //生成诊疗记录
// 
                // var dataList = JSON.stringify({
                    // "patientId" : patientId,
                    // "tastDoctorId" : doctorId
                // }); 
//                 
                // var addUrl = window.ajaxOuterUrl + "/addTaskInfoXf";
                // $.ajax(addUrl, dataList, function(res) {
// 
                    // appcan.window.alert({
                        // title : "提示",
                        // content : "已生成诊疗记录",
                        // buttons : '确定',
                        // callback : function(err, data, dataType, optId) {
                            // window.location.reload();
                        // }
                    // }); 
// 
                // }, function(e, err) {
                    // 
                    // appcan.window.alert({
                        // title : "提示",
                        // content : "接口失败",
                        // buttons : '确定',
                        // callback : function(err, data, dataType, optId) {
// 
                        // }
                    // }); 
// 
                // }); 
            // }
// 
        // }, function(e, err) {
            // 
            // appcan.window.alert({
                // title : "提示",
                // content : "接口失败",
                // buttons : '确定',
                // callback : function(err, data, dataType, optId) {
// 
                // }
            // });
// 
        // });

    }
    

    
    //全科职称下拉加载
    var doctorTitleSelectQ = function(){
        
        var doctorTitleSelect = appcan.selectview({
            selector : "#doctorTitleQSelect"
        });
        var doctorTitle = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.doctorTitle) {
            doctorTitle.push(window.codeList.doctorTitle[i]);
        }
        doctorTitleSelect.set(doctorTitle);
        doctorTitleSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParamQ.titleCode = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#doctorTitleQ").find("span").text("职称");
            } else {
                $("#doctorTitleQ").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCountQ = 0;
            loadSelectListQ();
            // loadDoctorQ();
        });
    }
    
    //全科区域下拉
    var regionSelectQ = function(){
        var regionSelect = appcan.selectview({
            selector : "#regionSelectQ"
        });
        var regionAreaList = [{id: "999999", value: "ALL", text: "全部"}];
        var district = regionArea.child[0].child;
        for(var i=0;i<district.length;i++){
            var regionId = district[i].id;
            var regionDesc = district[i].regionDesc;
            var regionCode = district[i].regionCode;
            var districtInfo = [{id: regionId, value: regionCode, text: regionDesc}];
            regionAreaList.push(districtInfo[0]);
        }
        regionSelect.set(regionAreaList);
        regionSelect.on("select:click", function(obj, data) {
            console.log(data);
            
            if (data[0].value === "ALL") {
                  $("#regionAreaQ").find("span").text("地区");
                  
                  pageParamQ.regionCode = "";
                  hidenSelector();
                  setScollbar("enable");
    
                  pageCountQ = 0;
    			  loadSelectListQ();
                  // loadDoctorQ(); 

            } else {
                  pageParamQ.regionCode = data[0].value;
                  $("#regionAreaQ").find("span").text(data[0].text);
                  hidenSelector();
                  setScollbar("enable");
    
                  pageCountQ = 0;
    			  loadSelectListQ();
                  // loadDoctorQ(); 

               /* var currentRegionCode = data[0].value;
                $("#regionSelectQ").css("width","50%");
                var street;
                var district = regionArea.child[0].child;
                for(var j=0;j<district.length;j++){
                    var regionCode = district[j].regionCode;
                    if(currentRegionCode == regionCode){
                        street = district[j].child;
                    }
                }
                
                var regionStreetSelect = appcan.selectview({
                    selector : "#regionStreetSelectQ"
                });
                var regionStreetList = [];
    
                for(var i=0;i<street.length;i++){
                    var streetId = street[i].id;
                    var streetDesc = street[i].regionDesc;
                    var streetCode = street[i].regionCode;
                    var regionStreetItem = [{id: streetId, value: streetCode, text: streetDesc}];
                    regionStreetList.push(regionStreetItem[0]);
                }
                regionStreetSelect.set(regionStreetList);
                
                var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
                
                $("#regionStreetSelectQ").css("top", maskTop + "px");
                $("#regionStreetSelectQ").css("left","50%");
                $("#regionStreetSelectQ").addClass("mask-show");
                
                regionStreetSelect.on("select:click", function(obj, data) {
                    pageParamQ.regionCode = data[0].value;
                    $("#regionAreaQ").find("span").text(data[0].text);
                    
                    hidenSelector();
                    setScollbar("enable");
                    
                    pageCountQ = 0;
                    
                    loadDoctorQ();
                    
                });*/
            } 
            
            
        });
    }
    
    
    
    
    //隐藏下拉
    var hidenSelector = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
            //全科职称
            $("#doctorTitleQ").find(".list-caret-size").addClass("list-caret-down");
            $("#doctorTitleQ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#doctorTitleQ").removeClass("filter-select-color");
            $("#doctorTitleQSelect").removeClass("mask-show");
            
            $("#regionAreaQ").find(".list-caret-size").addClass("list-caret-down");
            $("#regionAreaQ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#regionAreaQ").removeClass("filter-select-color");
            $("#regionSelectQ").removeClass("mask-show");
            // $("#regionSelectQ").css("width","100%");
            // $("#regionSelectQ").removeClass("mask-show");
            // $("#regionStreetSelectQ").removeClass("mask-show");
            
        }, 100);
    }
    

    var setScollbar = function(operate) {
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            // appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //-------------------------------下拉点击事件--------------------------------------//
    $("#doctorTitleQ").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget)){
            $("#regionAreaQ").find(".list-caret-size").addClass("list-caret-down");
            $("#regionAreaQ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#regionAreaQ").removeClass("filter-select-color");
            $("#regionSelectQ").removeClass("mask-show");
        }
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#doctorTitleQSelect").css("top", maskTop + "px");
            $("#doctorTitleQSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    }); 
    
     $("#regionAreaQ").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget)){
                $("#doctorTitleQ").find(".list-caret-size").addClass("list-caret-down");
                $("#doctorTitleQ").find(".list-caret-size").removeClass("list-caret-up-select");
                $("#doctorTitleQ").removeClass("filter-select-color");
                $("#doctorTitleQSelect").removeClass("mask-show");
        }
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#regionSelectQ").css("top", maskTop + "px");
            $("#regionSelectQ").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("enable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    
    
    
    //---------------------------------------end---------------------------------//
    
    var searchDoctor = function(res){
        var searchJson = JSON.parse(res);
        var searchDoctorName = searchJson.searchDoctorName;
        pageCountQ=0;
        pageParamQ.doctorName = searchDoctorName;
        loadDoctorQ();
    }
    
    var init = function() {
    	appcan.window.disableBounce();
    	
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        var doctorName;
        mechanismId = inParam.mechanismId;
        if(inParam!=null&&typeof(inParam)!='undefined'){
            doctorName = inParam.doctorName; 
            if(doctorName!=null&&doctorName!="undefined"){
                pageParamQ.doctorName = doctorName;
            }
        }
        patientInfo = commonJs.getPatient();
        pageParamQ.patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        //设置弹动事件
        // commonJs.listWindowBounce(loadDoctorQ);
        // commonJs.listWindowBounce(loadSelectListQ);

        // ViewModelQ.collection.fetch({selfViewModel: ViewModelQ, param: pageParamQ});
        loadSelectListQ();

        //加载下拉
        doctorTitleSelectQ();
   
        regionSelectQ();
        
        //监听搜索
        appcan.window.subscribe("searchDoctor", searchDoctor);

    }
    
    //下拉更新
    var loadSelectListQ = function() {
        pageCountQ++;
        pageParamQ.pageIndex = pageCountQ;
        pageParamQ.mechanismId = mechanismId;
        commonService.request(pageParamQ, {
            url: window.ServerURL + "/getDoctor",
            success: function(res) {
                if (pageCountQ === 1) {
                    ViewModelQ.collection.set(res);
                } else {
                    ViewModelQ.collection.add(res);
                }
            }
        });
    }
    
    var doctorSignBack =function(){
        $(currentSignTarget).find("#if_signed").text('Y');
        $(currentSignTarget).find("#signIcon").removeClass('signicon');
        $(currentSignTarget).find("#signIcon").addClass('unsignicon');
        $(currentSignTarget).find("#signText").removeClass('signcolor');
        $(currentSignTarget).find("#signText").addClass('unsigncolor');
        $(currentSignTarget).find("#extend1_text").text("解约");
    }
    
    return {
        loadDoctorQ : loadDoctorQ,
        loadDoctorDetail : loadDoctorDetail,
        signDoctor : signDoctor,
        adviceToDoctor : adviceToDoctor,
        init: init,
        doctorSignBack: doctorSignBack
    }
    
}();

appcan.ready(function() {
    // appcan.initBounce();
    finddoctorq.init();
});








