
if(!window.finddoctorz){
    window.finddoctorz = {};
}

var finddoctorz = function() {
    var ifSigned = "";
    var currentSignTarget;
    var pageCountZ = 0;
    var pageParamZ={}, patientInfo;
    //pageParamZ = _.clone(window.pagingParam);
    pageParamZ.doctorType = "Z";
    pageParamZ.patientId = "";
    var departmentList = [], mechanismId;
    // var departmentList = JSON.parse(appcan.locStorage.getVal("departmentListData"));
    
    //声明viewmodel
    
    //专科医生
    var ViewModelZ = new(MVVM.ViewModel.extend({
        el: "#CustomListView_dHaFRF",
        collection: new FindDoctorCollection()
    
    }))();
    
    //判断是否登录
    var doCheckLogin = function() {
    	//修复bug；判断是否登录时，登陆后数据没有刷新   by sushu 2019-04-11
        patientInfo = commonJs.getPatient();
        pageParamZ.patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        if (pageParamZ.patientId == "_") {
            commonJs.openWindow("loginPage", "../login/login.html");
            return false;
        } else {
            return true;
        }
    }
    
    
    //加载专科医生数据
    var loadDoctorZ = function(){
        
        pageCountZ++;
        pageParamZ.pageIndex = pageCountZ;

        ViewModelZ.collection.fetch({selfViewModel: ViewModelZ, param: pageParamZ});
    }
    
    //加载详细页
    var loadDoctorDetail = function(event){
    	
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim(); 
        // var doctorType = $(event.currentTarget).find("#doctorType").text().trim();
        if (!!doctorId) {
             appcan.locStorage.setVal("doctorId",doctorId);
             appcan.window.open({
                    name : "doctor_detail",
                    data : "doctor_detail.html?doctorId="+doctorId,
                    aniId : "2"
                });
        }
    }
    
    //签约、解约
    var signDoctor = function(event){
    	//判断是否登录，未登录直接跳转到登录页  by sushu 2018-10-16
    	if (!doCheckLogin()) return;
    	
        event.cancelBubble = true;
        currentSignTarget = event.currentTarget;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
        ifSigned = $(event.currentTarget).find("#if_signed").text().trim();
        var patientId = pageParamZ.patientId;
        
        var isTp;
        var content;
        if (ifSigned == "Y") {
            isTp = "N";
            content = "解约成功";
        } else {
            isTp = "Y";
            content = "签约成功";
        }
        

        var daraParam = JSON.stringify({
            "doctorId" : doctorId,
            "patientId" : patientId,
            "isTp" : isTp
        }); 
        //签约时先弹出提示协议信息；解约时直接调接口  by sushu 2018-10-31
        if(ifSigned == "Y"){
	        var url = window.ajaxOuterUrl + "/addOrDeleteDoctorPatientInfo";
	        
	        commonJs.requestAjax(url, daraParam, function(res) {
	       		if(res.result == '0'){
	       			appcan.window.openToast(content, 2000, 5, 0);
	       			setTimeout(function() {
	       				if(ifSigned=="Y"){
	                        $(currentSignTarget).find("#if_signed").text('N');
	                        $(currentSignTarget).find("#signIcon").removeClass('unsignicon');
	                        $(currentSignTarget).find("#signIcon").addClass('signicon');
	                        $(currentSignTarget).find("#signText").removeClass('unsigncolor');
	                        $(currentSignTarget).find("#signText").addClass('signcolor');
	                        $(currentSignTarget).find("#extend1_text").text("签约");
	                    }else{
	                        $(currentSignTarget).find("#if_signed").text('Y');
	                        $(currentSignTarget).find("#signIcon").removeClass('signicon');
	                        $(currentSignTarget).find("#signIcon").addClass('unsignicon');
	                        $(currentSignTarget).find("#signText").removeClass('signcolor');
	                        $(currentSignTarget).find("#signText").addClass('unsigncolor');
	                        $(currentSignTarget).find("#extend1_text").text("解约");
	                    }
	                }, 500);
	       		}else{
	       			appcan.window.alert({
		                title : "提示",
		                content : "接口失败",
		                buttons : '确定',
		                callback : function(err, data, dataType, optId) {
		
		                }
		            });
	       		}
	
	        }, function(e, err) {
	
	            appcan.window.alert({
	                title : "提示",
	                content : "接口失败",
	                buttons : '确定',
	                callback : function(err, data, dataType, optId) {
	
	                }
	            }); 
	
	        });
        }else{
        	var pageParam = "doctorId="+doctorId+"&patientId="+patientId;
		    pageParam += "&pageName=find_doctor";
		    pageParam += "&pageFrameName=findDoctoreZPage";
		    pageParam += "&js=finddoctorz.doctorSignBack";
        	commonJs.openWindow("doctorSignProtocolPage", "doctor_sign_protocol.html?"+pageParam);
        }
    }
    
    // 咨询
    var adviceToDoctor = function(event){
        //判断是否登录，未登录直接跳转到登录页  by sushu 2018-10-16
    	if (!doCheckLogin()) return;
    	
        event.cancelBubble = true;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
        var model = ViewModelZ.collection.where({id: doctorId})[0];
        
        //校验是否在线，离线状态不允许咨询
        if(model.get("onlineStatus") === "N"){
        	appcan.window.openToast("离线状态的医生不能咨询", 2000, 5, 0);
        	return;
        }
        
        var patientId = pageParamZ.patientId;
        //查询患者是否有未完成的诊疗记录
        var checkData = JSON.stringify({
            "patientId" : patientId,
            "tastDoctorId" : doctorId,
            "status" : "YZX,YJZ,DJF,YJF"
        });
        
        var checkUrl = window.ajaxOuterUrl + "/getTaskInfoXf";
        var checkParam = JSON.stringify(checkData);
        
        $.ajax({
            url : checkUrl,
            type : "POST",
            data : checkData,
            dataType : "json",
            contentType : "application/json;charset=UTF-8",
            success : function(data) {
                
                console.log(data);
                if (data.length > 0) {
					//appcan.window.openToast("存在未完成的诊疗记录", 2000, 5, 0);
					//网易云信聊天
					commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + model.get("doctorPhone"));
					return;
                    // appcan.window.alert({
                        // title : "提示",
                        // content : "存在未完成的诊疗记录",
                        // buttons : '确定',
                        // callback : function(err, data, dataType, optId) {
// 
                        // }
                    // });
                } else {
                    //生成诊疗记录
                    var dataList = JSON.stringify({
                        "patientId" : patientId,
                        "tastDoctorId" : doctorId
                    });
                    var addUrl = window.ajaxOuterUrl + "/addTaskInfoXf";
                    
                    $.ajax({
                        url : addUrl,
                        type : "POST",
                        data : dataList,
                        dataType : "json",
                        contentType : "application/json;charset=UTF-8",
                        success : function(data) {
							//appcan.window.openToast("已生成诊疗记录", 2000, 5, 0);
							//网易云信聊天
							commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + model.get("doctorPhone"));
                            // appcan.window.alert({
                                // title : "提示",
                                // content : "已生成诊疗记录",
                                // buttons : '确定',
                                // callback : function(err, data, dataType, optId) {
//                                     
                                // }
                            // });

                        },
                        error : function(e, err) {
                            alert("接口失败");
                        }
                    });

                }

            },
            error : function(e, err) {
                alert("接口失败");
            }
        });
        //网易云信聊天
        
        // var param = {
            // accountREQ:'p' + patientInfo.patientPhone,  //患者账号
            // tokenREQ: window.neteaseNim.patientPwd,   //密码
            // accountRCV: 'd' + model.get("doctorPhone"),   //医生账号
            // tokenRCV: window.neteaseNim.doctorPwd  //医生密码
        // };
        // bethuneDoctor.startNeteaseNimActivity(param, function (error, data) {
            // alert(error);
            // if (!!!error){
                // alert("返回结果是:"+data.result);
            // }
        // });
        // commonJs.requestAjax(checkUrl, checkParam, function(res) {
            // console.log(res);
            // var pageIndex = JSON.parse(param).pageIndex;
            // if (res.length > 0) {
// 
                // appcan.window.alert({
                    // title : "提示",
                    // content : "存在未完成的诊疗记录",
                    // buttons : '确定',
                    // callback : function(err, data, dataType, optId) {
// 
                    // }
                // });  
            // }else{
                // //生成诊疗记录
// 
                // var dataList = JSON.stringify({
                    // "patientId" : patientId,
                    // "tastDoctorId" : doctorId
                // }); 
//                 
                // var addUrl = window.ajaxOuterUrl + "/addTaskInfoXf";
                // commonJs.requestAjax(addUrl, dataList, function(res) {
// 
                    // appcan.window.alert({
                        // title : "提示",
                        // content : "已生成诊疗记录",
                        // buttons : '确定',
                        // callback : function(err, data, dataType, optId) {
                            // window.location.reload();
                        // }
                    // }); 
// 
                // }, function(e, err) {
// 
                    // appcan.window.alert({
                        // title : "提示",
                        // content : "接口失败",
                        // buttons : '确定',
                        // callback : function(err, data, dataType, optId) {
// 
                        // }
                    // }); 
// 
                // }); 
            // }
// 
        // }, function(e, err) {
// 
            // appcan.window.alert({
                // title : "提示",
                // content : "接口失败",
                // buttons : '确定',
                // callback : function(err, data, dataType, optId) {
// 
                // }
            // });
// 
        // });

    }
    
    //专科职称下拉加载
    var doctorTitleSelectZ = function(){

        var doctorTitleSelect = appcan.selectview({
            selector : "#doctorTitleZSelect"
        });
        var doctorTitle = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.doctorTitle) {
            doctorTitle.push(window.codeList.doctorTitle[i]);
        }
        doctorTitleSelect.set(doctorTitle);
        doctorTitleSelect.on("select:click", function(obj, data) {
            //console.log(data);
            pageParamZ.titleCode = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#doctorTitleZ").find("span").text("职称");
            } else {
                $("#doctorTitleZ").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCountZ = 0;
			loadSelectListZ();
            // loadDoctorZ();
        });
    }
    
    //专科区域下拉
    var regionSelectZ = function(){
        
        var regionSelect = appcan.selectview({
            selector : "#regionSelectZ"
        });
        var regionAreaList = [{id: "999999", value: "ALL", text: "全部"}];
        var district = regionArea.child[0].child;
        for(var i=0;i<district.length;i++){
            var regionId = district[i].id;
            var regionDesc = district[i].regionDesc;
            var regionCode = district[i].regionCode;
            var districtInfo = [{id: regionId, value: regionCode, text: regionDesc}];
            regionAreaList.push(districtInfo[0]);
        }
        regionSelect.set(regionAreaList);
        regionSelect.on("select:click", function(obj, data) {
            
            //console.log(data);
            
            if (data[0].value === "ALL") {
                 $("#regionAreaZ").find("span").text("地区");

                  pageParamZ.regionCode = "";
                  hidenSelector();
                  setScollbar("enable");
                  
                  
                  pageCountZ = 0;
    			  loadSelectListZ();
                  // loadDoctorZ(); 
            } else {
                
                pageParamZ.regionCode = data[0].value;
                $("#regionAreaZ").find("span").text(data[0].text);
                
                hidenSelector();
                setScollbar("enable");
                
                pageCountZ = 0;
                loadSelectListZ();
                // loadDoctorZ();
                /*
                var currentRegionCode = data[0].value;
                
               
                $("#regionSelectZ").css("width","50%");
                var street;
                var district = regionArea.child[0].child;
                for(var j=0;j<district.length;j++){
                    var regionCode = district[j].regionCode;
                    if(currentRegionCode == regionCode){
                        street = district[j].child;
                    }
                }
                
                var regionStreetSelect = appcan.selectview({
                    selector : "#regionStreetSelectZ"
                });
                var regionStreetList = [];
    
                for(var i=0;i<street.length;i++){
                    var streetId = street[i].id;
                    var streetDesc = street[i].regionDesc;
                    var streetCode = street[i].regionCode;
                    var regionStreetItem = [{id: streetId, value: streetCode, text: streetDesc}];
                    regionStreetList.push(regionStreetItem[0]);
                }
                regionStreetSelect.set(regionStreetList);
                
                var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
                
                $("#regionStreetSelectZ").css("top", maskTop + "px");
                $("#regionStreetSelectZ").css("left","50%");
                $("#regionStreetSelectZ").addClass("mask-show");
                
                regionStreetSelect.on("select:click", function(obj, data) {
                    pageParamQ.regionCode = data[0].value;
                    $("#regionAreaZ").find("span").text(data[0].text);
                    
                    hidenSelector();
                    setScollbar("enable");
                    
                    pageCountQ = 0;
                    
                    loadDoctorZ();
                });*/
            } 
            
            
        });
    }
    
    
    //科室下拉加载
    var departmentSelect = function(){
        
        var departmentSelect = appcan.selectview({
            selector : "#departmentSelect"
        });
        var department = [{id: "999999", value: "ALL", text: "全部"}];
        // department = department.concat(departmentList);
        for (var i in departmentList) {
            department.push(departmentList[i]);
        }
        departmentSelect.set(department);
        departmentSelect.on("select:click", function(obj, data) {
            pageParamZ.departmentCode = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#department").find("span").text("科室");
            } else {
                $("#department").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCountZ = 0;
            loadSelectListZ();
            // loadDoctorZ();

        });
    }
    
    //病类下拉加载
    var illnessTypeSelect = function(){
        var illnessTypeSelect = appcan.selectview({
            selector : "#illnessTypeSelect"
        });
        var illnessType = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.illnessName) {
            illnessType.push(window.codeList.illnessName[i]);
        }
        illnessTypeSelect.set(illnessType);
        illnessTypeSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParamZ.illnessName = data[0].value === "ALL" ? "" : data[0].text;
            if (data[0].value === "ALL") {
                 $("#illnessType").find("span").text("病类");
            } else {
                $("#illnessType").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCountZ = 0;
            loadSelectListZ();
            // loadDoctorZ();

        });
    }
    
    
    
    //隐藏下拉
    var hidenSelector = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
          
            $("#doctorTitleZ").find(".list-caret-size").addClass("list-caret-down");
            $("#doctorTitleZ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#doctorTitleZ").removeClass("filter-select-color");
            $("#doctorTitleZSelect").removeClass("mask-show");
            
            
            $("#regionAreaZ").find(".list-caret-size").addClass("list-caret-down");
            $("#regionAreaZ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#regionAreaZ").removeClass("filter-select-color");
            $("#regionSelectZ").removeClass("mask-show");
            // $("#regionSelectZ").css("width","100%");
            // $("#regionSelectZ").removeClass("mask-show");
            // $("#regionStreetSelectZ").removeClass("mask-show");
            
            
            $("#department").find(".list-caret-size").addClass("list-caret-down");
            $("#department").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#department").removeClass("filter-select-color");
            $("#departmentSelect").removeClass("mask-show");
            
            $("#illnessType").find(".list-caret-size").addClass("list-caret-down");
            $("#illnessType").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#illnessType").removeClass("filter-select-color");
            $("#illnessTypeSelect").removeClass("mask-show");
        }, 100);
    }
    

    var setScollbar = function(operate) {
        
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            //appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                // console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                // console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //隐藏下拉
    var hidenOtherSelector = function(currentTitle) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
            
            if(currentTitle!="doctorTitleZ"){
                $("#doctorTitleZ").find(".list-caret-size").addClass("list-caret-down");
                $("#doctorTitleZ").find(".list-caret-size").removeClass("list-caret-up-select");
                $("#doctorTitleZ").removeClass("filter-select-color");
                $("#doctorTitleZSelect").removeClass("mask-show");
            }
           
            
            if(currentTitle!="regionAreaZ"){
                $("#regionAreaZ").find(".list-caret-size").addClass("list-caret-down");
                $("#regionAreaZ").find(".list-caret-size").removeClass("list-caret-up-select");
                $("#regionAreaZ").removeClass("filter-select-color");
                $("#regionSelectZ").removeClass("mask-show");
            }
            
            if(currentTitle!="department"){
                $("#department").find(".list-caret-size").addClass("list-caret-down");
                $("#department").find(".list-caret-size").removeClass("list-caret-up-select");
                $("#department").removeClass("filter-select-color");
                $("#departmentSelect").removeClass("mask-show");
            }
            if(currentTitle!="illnessType"){
                $("#illnessType").find(".list-caret-size").addClass("list-caret-down");
                $("#illnessType").find(".list-caret-size").removeClass("list-caret-up-select");
                $("#illnessType").removeClass("filter-select-color");
                $("#illnessTypeSelect").removeClass("mask-show");
            }
        }, 100);
    }
    
    //-------------------------------下拉点击事件--------------------------------------//
    
    $("#doctorTitleZ").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget)){
            hidenOtherSelector("doctorTitleZ");
        }
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#doctorTitleZSelect").css("top", maskTop + "px");
            $("#doctorTitleZSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    $("#regionAreaZ").on("tap", function(event) {
        
        if (!!!checkOpenFilter(event.currentTarget)){
            hidenOtherSelector("regionAreaZ");
        }
            
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#regionSelectZ").css("top", maskTop + "px");
            $("#regionSelectZ").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("enable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    $("#illnessType").on("tap", function(event) {
        if (!!!checkOpenFilter(event.currentTarget)){
            hidenOtherSelector("illnessType");
        }
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#illnessTypeSelect").css("top", maskTop + "px");
            $("#illnessTypeSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            //setScollbar("disable");
            setScollbar("enable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    $("#department").on("tap", function(event) {
        if (!!!checkOpenFilter(event.currentTarget)){
            hidenOtherSelector("department");
        }
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#departmentSelect").css("top", maskTop + "px");
            $("#departmentSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("enable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    //---------------------------------------end---------------------------------//
    
    var searchDoctor = function(res){
        var searchJson = JSON.parse(res);
        var searchDoctorName = searchJson.searchDoctorName;
        pageCountZ=0;
        pageParamZ.doctorName = searchDoctorName;
        loadDoctorZ();
    }
    
    var init = function() {
    	var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        var doctorName;
        mechanismId = inParam.mechanismId;
        if(inParam!=null&&typeof(inParam)!='undefined'){
            doctorName = inParam.doctorName; 
            if(doctorName!=null&&doctorName!="undefined"){
                pageParamZ.doctorName = doctorName;
            }
        }
        
    	//获取全部科室
    	getDepartmentByHospital();
   
        //by sushu 2018-10-11
        patientInfo = commonJs.getPatient();
        pageParamZ.patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        //设置弹动事件
        //commonJs.listWindowBounce(loadSelectListZ);
        loadSelectListZ();
        // ViewModelZ.collection.fetch({selfViewModel: ViewModelZ, param: pageParamZ});
        //加载下拉
        doctorTitleSelectZ();
        // departmentSelect();
        illnessTypeSelect();
        regionSelectZ();
        
        //监听搜索
        appcan.window.subscribe("searchDoctor", searchDoctor);
    }
    
    //下拉更新
    var loadSelectListZ = function() {
        pageCountZ++;
        pageParamZ.pageIndex = pageCountZ;
        pageParamZ.mechanismId = mechanismId;
        commonService.request(pageParamZ, {
            url: window.ServerURL + "/getDoctor",
            success: function(res) {
                if (pageCountZ === 1) {
                    ViewModelZ.collection.set(res);
                } else {
                    ViewModelZ.collection.add(res);
                }
            }
        });
    }
    
    var doctorSignBack =function(){
        $(currentSignTarget).find("#if_signed").text('Y');
        $(currentSignTarget).find("#signIcon").removeClass('signicon');
        $(currentSignTarget).find("#signIcon").addClass('unsignicon');
        $(currentSignTarget).find("#signText").removeClass('signcolor');
        $(currentSignTarget).find("#signText").addClass('unsigncolor');
        $(currentSignTarget).find("#extend1_text").text("解约");
    }
    
    //科室信息
    var getDepartmentByHospital = function(){
    	var url = window.ServerURL + "/getDepartmentByHospital"; 
    	var data = {};
    	data.mechanismId = mechanismId;
    	data.departmentLevel = '1';
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
    		//
    		if(JSON.stringify(res) != "{}" && res[1].length > 0){
    			for(var i=0; i<res[1].length; i++){
    				var objData = {};
    				objData.id = res[1][i].id;
    				objData.value = res[1][i].departmentCode;
    				objData.text = res[1][i].fullName;
    				departmentList.push(objData);
    			}
    			departmentSelect();
    		}
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "接口调用失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }
    
    
    return {
        loadDoctorZ : loadDoctorZ,
        loadDoctorDetail : loadDoctorDetail,
        signDoctor : signDoctor,
        adviceToDoctor : adviceToDoctor,
        init: init,
        doctorSignBack: doctorSignBack
    }
    
}();

appcan.ready(function() {
    appcan.window.disableBounce();
    finddoctorz.init();
});



