(function($) {
    appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1);
    });
    

    
    appcan.ready(function() { 
        var tabview = appcan.tab({
            selector : "#tabview",
            hasIcon : true,
            hasAnim : true,
            hasLabel : true,
            hasBadge : false,
            data : [{
                label : "<span class='font-36' style='font-weight:bold'>全科医生</span>",
                "icon" : ""
            }, {
                label : "<span class='font-36' style='font-weight:bold'>专科医生</span>",
                "icon" : "",
                badge : 1
            }]
        });

        tabview.on("click", function(obj, index) {
            appcan.window.selectMultiPopover("content", index);
        });

        uexWindow.setMultilPopoverFlippingEnbaled(0); 
        uexWindow.setSlidingWindowEnabled(0);
        var titleHeight = $('#Header_my_doctor').offset().height+$('#tabview').offset().height;
        var bodyHeight = $("[data-control='PAGE']").offset().height;
        var contentHeight = bodyHeight - titleHeight;
        appcan.frame.open({
            id:"content",
            url:[{
                "inPageName":"my_signed_doctor_q",
                "inUrl":"my_signed_doctor_q.html?contentHeight="+contentHeight,
            },{
                "inPageName":"my_signed_doctor_z",
                "inUrl":"my_signed_doctor_z.html?contentHeight="+contentHeight,
            }],
            top:titleHeight,
            left:0,
            index:0,
            change:function(err,res){
                tabview.moveTo(res.multiPopSelectedIndex);
            }
        });
        window.onorientationchange = window.onresize = function() {
           appcan.frame.resize("content", 0, top);
        };
        
    });
    
   
      
})($);




