
if(!window.mysigneddoctorz){
    window.mysigneddoctorz = {};
}

var mysigneddoctorz = function() {
    
    var pageCountZ = 0;
    var pageParamZ, patientInfo;
    pageParamZ = _.clone(window.pagingParam);
    pageParamZ.doctorType = "Z";
    pageParamZ.patientId = "";
    
    
    //声明viewmodel
    
    //专科医生
    var ViewModelZ = new(MVVM.ViewModel.extend({
        el: "#CustomListView_dHaFRF",
        collection: new MySignedDoctorCollection()
    
    }))();
    
    
    
    //加载专科医生数据
    var loadDoctorZ = function(){
        
        pageCountZ++;
        pageParamZ.pageIndex = pageCountZ;

        ViewModelZ.collection.fetch({selfViewModel: ViewModelZ, param: pageParamZ});
    }
    
    //加载详细页
    var loadDoctorDetail = function(event){
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim(); 
        if (!!doctorId) {
             appcan.locStorage.setVal("doctorId",doctorId);
             appcan.window.open({
                    name : "doctor_detail",
                    data : "doctor_detail.html?doctorId="+doctorId,
                    aniId : "2"
                });
        }
    }
    
    //签约、解约
    var signDoctor = function(event){
    	//判断是否登录，未登录直接跳转到登录页  by sushu 2019-04-18
    	if (!doCheckLogin()) return;

        event.cancelBubble = true;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
        ifSigned = "Y";
        // var ifSigned = $(event.currentTarget).find("#if_signed").text().trim();
        var patientId = pageParamZ.patientId;
        
        var isTp;
        var content;
        if (ifSigned == "Y") {
            isTp = "N";
            content = "解约成功";
        } else {
            isTp = "Y";
            content = "签约成功";
        }
        

        var daraParam = JSON.stringify({
            "doctorId" : doctorId,
            "patientId" : patientId,
            "isTp" : isTp
        }); 
        var url = window.ajaxOuterUrl + "/addOrDeleteDoctorPatientInfo";
        
       commonJs.requestAjax(url, daraParam, function(res) {
			appcan.window.openToast(content, 2000, 5, 0);
			setTimeout(function() {
				window.location.reload();
            }, 500);

            // appcan.window.alert({
                // title : "提示",
                // content : content,
                // buttons : '确定',
                // callback : function(err, data, dataType, optId) {
                    // window.location.reload();
                // }
            // }); 


        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            }); 

        });
    }
    
    //判断是否登录
    var doCheckLogin = function() {
    	//修复bug；判断是否登录时，登陆后数据没有刷新   by sushu 2019-04-18
    	patientInfo = commonJs.getPatient();
        pageParamZ.patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        if (pageParamZ.patientId == "_") {
            commonJs.openWindow("loginPage", "../login/login.html");
            return false;
        } else {
            return true;
        }
    }
    
    // 咨询
    var adviceToDoctor = function(event){
    	//判断是否登录，未登录直接跳转到登录页  by sushu 2019-04-18
    	if (!doCheckLogin()) return;
        
        event.cancelBubble = true;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
		var model = ViewModelZ.collection.where({id: doctorId})[0];
        var patientId = pageParamZ.patientId;
        //查询患者是否有未完成的诊疗记录
        var checkData = JSON.stringify({
            "patientId" : patientId,
            "tastDoctorId" : doctorId,
            "status" : "YZX,YJZ,DJF,YJF"
        });

        var checkUrl = window.ajaxOuterUrl + "/getTaskInfoXf";
        var checkParam = JSON.stringify(checkData);
         $.ajax({
            url : checkUrl,
            type : "POST",
            data : checkData,
            dataType : "json",
            contentType : "application/json;charset=UTF-8",
            success : function(data) {
                
                console.log(data);
                if (data.length > 0) {
                	commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + model.get("doctorPhone"));
					return;

                    // appcan.window.alert({
                        // title : "提示",
                        // content : "存在未完成的诊疗记录",
                        // buttons : '确定',
                        // callback : function(err, data, dataType, optId) {
// 
                        // }
                    // });
                } else {
                    //生成诊疗记录
                    var dataList = JSON.stringify({
                        "patientId" : patientId,
                        "tastDoctorId" : doctorId
                    });
                    var addUrl = window.ajaxOuterUrl + "/addTaskInfoXf";
                    
                    $.ajax({
                        url : addUrl,
                        type : "POST",
                        data : dataList,
                        dataType : "json",
                        contentType : "application/json;charset=UTF-8",
                        success : function(data) {
                            commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + model.get("doctorPhone"));
                            // console.log(data);
// 
                            // appcan.window.alert({
                                // title : "提示",
                                // content : "已生成诊疗记录",
                                // buttons : '确定',
                                // callback : function(err, data, dataType, optId) {
//                                     
                                // }
                            // });

                        },
                        error : function(e, err) {
                            alert("接口失败");
                        }
                    });

                }

            },
            error : function(e, err) {
                alert("接口失败");
            }
        });
    }
    
    var init = function() {
    	var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
    	var contentHeight = inParam.contentHeight;
    	var btnHeight = $('#Box_uSzHbk_sign').offset().height;
        var signContentHeight = contentHeight - btnHeight;
        $("#CustomListView_dHaFRF").css("height", signContentHeight);
        
    	patientInfo = commonJs.getPatient();
        pageParamZ.patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        //设置弹动事件
        // commonJs.listWindowBounce(loadDoctorZ);
        commonJs.listWindowBounce(loadSelectListZ);
        loadSelectListZ();
        // ViewModelZ.collection.fetch({selfViewModel: ViewModelZ, param: pageParamZ});
        
    }
    
    //下拉更新
    var loadSelectListZ = function() {
        pageCountZ++;
        pageParamZ.pageIndex = pageCountZ;
        commonService.request(pageParamZ, {
            url: window.ServerURL + "/getDoctorPatientRel",
            success: function(res) {
                if (pageCountZ === 1) {
                    ViewModelZ.collection.set(res);
                } else {
                    ViewModelZ.collection.add(res);
                }
            }
        });
    }
    
    //我的专病医生-找医生
    appcan.button("#Button_NjuCoV_sign","btn-act",function(){
        var patientId = pageParamZ.patientId;
        appcan.window.open({
            name : "find_doctor",
            data : "find_doctor.html?patientId=" + patientId,
            aniId : "2"
        }); 

    });
    
    return {
        loadDoctorZ : loadDoctorZ,
        loadDoctorDetail : loadDoctorDetail,
        signDoctor : signDoctor,
        adviceToDoctor : adviceToDoctor,
        init: init
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    mysigneddoctorz.init();
});



