if(!window.healthRecordListJs){
    window.healthRecordListJs = {};
}

var healthRecordListJs = function() {
	appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1);
    });
	var headerHeight;
	var openIndex = [];
    
    var init = function() {
    	var tabview = appcan.tab({
            selector : "#tabview",
            hasIcon : true,
            hasAnim : true,
            hasLabel : true,
            hasBadge : false,
            index : 0,
            data : [{
                label : "<span class='font-36 filter-select-color' style='font-weight:bold' id='illness'>就诊病例</span>",
                "icon" : ""
            }, {
                label : "<span class='font-36' style='font-weight:bold' id='baseinfo'>基本信息</span>",
                "icon" : ""
            },{
                label : "<span class='font-36' style='font-weight:bold' id='archtype'>家族病史</span>",
                "icon" : "",
                badge : 1
            }]
        });
        tabview.on("click", function(obj, index) {
        	$("#illness").removeClass("filter-select-color");
        	$("#baseinfo").removeClass("filter-select-color");
        	$("#archtype").removeClass("filter-select-color");
            appcan.window.selectMultiPopover("content", index);
            var openFlag = _.indexOf(openIndex, index) >= 0;
	        switch (index) {
	            case 0:
	            	$("#illness").addClass("filter-select-color");
	                if (openFlag) {
	                    appcan.frame.bringToFront("healthRecordListIllnessinfo");
	                    return;
	                }
	                appcan.frame.open("content", "health_record_list_illnessinfo.html", 0, headerHeight, 'healthRecordListIllnessinfo');
	                break;
	            case 1:
	            	$("#baseinfo").addClass("filter-select-color");
	                if (openFlag) {
	                    appcan.frame.bringToFront("healthRecordListBaseinfo");
	                    return;
	                }
	                appcan.frame.open("content", "health_record_list_baseinfo.html", 0, headerHeight, 'healthRecordListBaseinfo');
	                openIndex.push(index);
	                break;
	            case 2:
	            	$("#archtype").addClass("filter-select-color");
	                if (openFlag) {
	                    appcan.frame.bringToFront("healthRecordListArchtype");
	                    return;
	                }
	                appcan.frame.open("content", "health_record_list_archtype.html", 0, headerHeight, 'healthRecordListArchtype');
	                openIndex.push(index);
	                break; 
	            default:
	                break;
	        }
        });
        uexWindow.setMultilPopoverFlippingEnbaled(1);
        uexWindow.setSlidingWindowEnabled(1);
        var titleHeight = $('#healthRecordListPage').offset().height;
        headerHeight = titleHeight;
        appcan.frame.open("content", "health_record_list_illnessinfo.html", 0, titleHeight, 'healthRecordListIllnessinfo');
        openIndex.push(0);
        window.onorientationchange = window.onresize = function() {
            appcan.frame.resize("content", 0, 0);
        };
    }

    
    return {
        init: init
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    healthRecordListJs.init();
});