
if(!window.prescriptionList){
    window.prescriptionList = {};
}

var prescriptionList = function() {
    var pageCount = 1;
    var pageParam;
    var apothecaryInfo;
    var  tRecipeInfo = {};
    pageParam = _.clone(window.pagingParam);
    pageParam.pageIndex = pageCount;
    //tRecipeInfo.tastDoctorId = "2";
    //pageParam.tRecipeInfo = tRecipeInfo;

    //声明viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#showDisagnosisListView",
        collection: new PrescriptionListCollection()
    
    }));
    
    //下拉更新
    var downOrUpLoadData = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        
        ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
        //setLongtapEvent();
       
    } 
    
    //加载数据
    /*
    var loadPrescriptionList = function(){
            pageCount++;
            pageParam.pageIndex = pageCount;
    
            ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
        }
        */
    
    //加载详细页
    var loadPrescriptionDetail = function(event){
        var id = $(event.currentTarget).find("#id").text().trim(); 

        if (!!id) {
             appcan.window.open({
                    name : "diagnosis_detail.html",
                    data : "diagnosis_detail.html?orderId="+id,
                    aniId : "2"
                });
        }
    }
    
    //查询患者姓名
    var queryrelativName = function(event){
    	
        var searchParam = $("#searchParam").val();
        pageCount = 0;
        
        tRecipeInfo.relativName = searchParam;
        pageParam.tRecipeInfo = tRecipeInfo;
        downOrUpLoadData();
    }
    
    //类型下拉加载
   /*
    var prescriptionStatusSelect = function(){
           
           var prescriptionStatusSelect = appcan.selectview({
               selector : "#prescriptionStatusSelect"
           });
           var prescriptionStatus = [{id: "999999", value: "ALL", text: "鍏ㄩ儴"}];
           for (var i in window.codeList.recipeStatus) {
               prescriptionStatus.push(window.codeList.recipeStatus[i]);
           }
           prescriptionStatusSelect.set(prescriptionStatus);
           prescriptionStatusSelect.on("select:click", function(obj, data) {
               console.log(data);
               tRecipeInfo.status = data[0].value === "ALL" ? "" : data[0].value;
               pageParam.tRecipeInfo = tRecipeInfo;
               if (data[0].value === "ALL") {
                    $("#prescriptionStatus").find("span").text("鐘舵�");
               } else {
                   $("#prescriptionStatus").find("span").text(data[0].text);
               }            
               hidenSelector();
               setScollbar("enable");
   
               pageCount = 0;
               
               loadPrescriptionList();
           });
       }*/
   
    

    //隐藏下拉
    var hidenSelector = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
            //全科职称
            $("#prescriptionStatus").find(".list-caret-size").addClass("list-caret-down");
            $("#prescriptionStatus").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#prescriptionStatus").removeClass("filter-select-color");
            $("#prescriptionStatusSelect").removeClass("mask-show");
            
        }, 100);
    }
    

    var setScollbar = function(operate) {
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //-------------------------------下拉点击事件--------------------------------------//
   /*
    $("#prescriptionStatus").on("tap", function(event) {
   
           if (!!!checkOpenFilter(event.currentTarget))
               return;
           event.cancelBubble = true;
           if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
               var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
               $("#prescriptionStatusSelect").css("top", maskTop + "px");
               $("#prescriptionStatusSelect").addClass("mask-show");
               $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
               $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
               $(event.currentTarget).addClass("filter-select-color");
               setScollbar("disable");
           } else {
               hidenSelector();
   
               setScollbar("enable");
           }
       }); 
   */
   
    //时间控件
    $("#shdate").on("tap", function(event) {
    	//target属性可引用事件分派对象，currentTarget属性可引 用正在被检测事件监听器的当前节点。也就是说target当前你点击组件,currentTarget表示你注册了监听器的组件
        /*
        if (!!!checkOpenFilter(event.currentTarget)) return;
                var date = new Date();
                uexControl.openDatePicker(date.getFullYear(), date.getMonth() + 1, date.getDate(), function(data) {
                    
                    pageParam.apothecaryAudiTime = data.year + "-" + data.month + "-" + data.day;
                    
                    pageCount = 0;
                    downOrUpLoadData();
                    
                });*/
     
        /*
        if (!!!checkOpenFilter(event.currentTarget)) return;
                var date = new Date();
                uexControl.openDatePicker(date.getFullYear(), date.getMonth() + 1, date.getDate(), function(data) {
                    
                    pageParam.payTime = data.year + "-" + data.month + "-" + data.day;
                    pageCount = 0;
                    downOrUpLoadData();
                    
                });*/
               
         var _self = this;
        if(_self.picker) {
            _self.picker.show(function (rs) {
                $("#shdate").find("[data-bind='text:apothecaryName']").text(rs.text);
                //_self.picker.dispose();
                //_self.picker = null;
                pageParam.apothecaryAudiTime = rs.text;
                    pageCount = 0;
                    downOrUpLoadData();
            });
        } else {
            //var optionsJson = this.getAttribute('data-options') || '{}';
            var options = {"type":"date", "beginYear": 1901};
           //var id = this.getAttribute('id');
            /*
             * 首次显示时实例化组件
             * 示例为了简洁，将 options 放在了按钮的 dom 上
             * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
             */
            _self.picker = new Neusoft.DtPicker(options);
            _self.picker.show(function(rs) {
                /*
                 * rs.value 拼合后的 value
                 * rs.text 拼合后的 text
                 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
                 * rs.m 月，用法同年
                 * rs.d 日，用法同年
                 * rs.h 时，用法同年
                 * rs.i 分（minutes 的第二个字母），用法同年
                 */
                $("#shdate").find("[data-bind='text:apothecaryName']").text(rs.text);
                pageParam.apothecaryAudiTime = rs.text;
                    pageCount = 0;
                    downOrUpLoadData();
                //result.innerText = '选择结果: ' + rs.text;
                /* 
                 * 返回 false 可以阻止选择框的关闭
                 * return false;
                 */
                /*
                 * 释放组件资源，释放后将将不能再操作组件
                 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
                 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
                 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
                 */
                _self.picker.dispose();
                _self.picker = null;
            });
        }
  
        
        
        
    });
     $("#fydate").on("tap", function(event) {
    	//target属性可引用事件分派对象，currentTarget属性可引 用正在被检测事件监听器的当前节点。也就是说target当前你点击组件,currentTarget表示你注册了监听器的组件
        /*
        if (!!!checkOpenFilter(event.currentTarget)) return;
                var date = new Date();
                uexControl.openDatePicker(date.getFullYear(), date.getMonth() + 1, date.getDate(), function(data) {
                    
                    pageParam.adjustAudiTime = data.year + "-" + data.month + "-" + data.day;
                   
                    pageCount = 0;
                    downOrUpLoadData();
                    
                });*/
        
        
        
         var _self = this;
        if(_self.picker) {
            _self.picker.show(function (rs) {
                $("#fydate").find("[data-bind='text:apothecaryName']").text(rs.text);
                //_self.picker.dispose();
                //_self.picker = null;
                pageParam.adjustAudiTime = rs.text;
                    pageCount = 0;
                    downOrUpLoadData();
            });
        } else {
            //var optionsJson = this.getAttribute('data-options') || '{}';
            var options = {"type":"date", "beginYear": 1901};
           //var id = this.getAttribute('id');
            /*
             * 首次显示时实例化组件
             * 示例为了简洁，将 options 放在了按钮的 dom 上
             * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
             */
            _self.picker = new Neusoft.DtPicker(options);
            _self.picker.show(function(rs) {
                /*
                 * rs.value 拼合后的 value
                 * rs.text 拼合后的 text
                 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
                 * rs.m 月，用法同年
                 * rs.d 日，用法同年
                 * rs.h 时，用法同年
                 * rs.i 分（minutes 的第二个字母），用法同年
                 */
                $("#fydate").find("[data-bind='text:apothecaryName']").text(rs.text);
                pageParam.adjustAudiTime = rs.text;
                    pageCount = 0;
                    downOrUpLoadData();
                //result.innerText = '选择结果: ' + rs.text;
                /* 
                 * 返回 false 可以阻止选择框的关闭
                 * return false;
                 */
                /*
                 * 释放组件资源，释放后将将不能再操作组件
                 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
                 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
                 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
                 */
                _self.picker.dispose();
                _self.picker = null;
            });
        }
  
        
    });
    //---------------------------------------end---------------------------------//
    
    var init = function() {
        //获取药师信息
        apothecaryInfo = commonJs.getApothecary("TJS");
        
        
        //设置弹动事件
        commonJs.listWindowBounce(downOrUpLoadData);
        pageParam.tRecipeInfo = {};
        tRecipeInfo.apothecaryId = apothecaryInfo.apothecaryId;
        ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});

        //加载下拉
        //prescriptionStatusSelect();

    }
    
    return {
        //loadPrescriptionList : loadPrescriptionList,
        //loadPrescriptionDetail : loadPrescriptionDetail,
        //searchPrescriptionList : searchPrescriptionList,
        queryrelativName : queryrelativName,
        init: init
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    prescriptionList.init();
});








