if(!window.patientLoginMessageJs){
    window.patientLoginMessageJs = {};
}

var patientLoginMessageJs = function() {
    var phoneNum = "";
    var countdown = 60;
    //登录
    var loginSys = function(){
        //登录
        //校验验证码
        // loginSkip();
        //测试时下面代码先注释掉
        var captchaCode = $("#captcha").val();
        var captchaParam = JSON.stringify({"mobile":phoneNum,"code":$("#captcha").val()});
        var checkUrl = window.ajaxOuterUrl + "/smsVerifyCode";
        commonJs.requestAjax(checkUrl, captchaParam, function(response) {
            if(response.result!="0"){
                appcan.window.alert({
                    title : "提示",
                    content :response.message,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {

                    }
                }); 

            }else{
            	//登录
                loginSkip();
            }         
        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "校验验证码失败，请联系管理员",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
    
                }
            });

        });
    }
    
    
    //登陆跳转
    var loginSkip = function(){
        var patientParam = JSON.stringify({"patientPhone":phoneNum,"pageIndex":1,"pageSize":10});
        var url = window.ServerURL + "/getPatientInfo";
        commonJs.requestAjax(url, patientParam, function(res) {
            //console.log(res);
            if (!!res) {
                if(res.length<=0){
                    //新用户跳转到完善信息
                    appcan.window.open({
                        name : "register.html",
                        data : "register.html?patientPhone="+phoneNum,
                        aniId : "2"
                    });
                } else{
                    //老用户直接登录首页
                    //获取并保存用户信息
                    appcan.locStorage.setVal("localPatient", JSON.stringify(res[0]));
                    //每次切换页面后进入时重新获取角标统计信息
                    appcan.window.evaluatePopoverScript("patientIndexPage", "homeIndexContentPage", "patientIndexHomeContent.initModel()");
                    appcan.window.evaluatePopoverScript("patientIndexPage", "myIndexContentPage", "myIndex.initModel()");
                    appcan.window.evaluateScript("patientIndexPage", "patientIndex.initModel()");
                    appcan.window.open({
                        name : "patientIndexPage",
                        data : "../patient_index.html?patientId=" + res[0].id,
                        aniId : "2"
                    }); 
                    appcan.window.evaluateScript("loginPage", "commonJs.closeWindow()");
                    appcan.window.close(-1);
                }
            } else {
                appcan.window.alert({
                    title : "提示",
                    content : "登录失败，请联系管理员",
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
    
                    }
                });
            }
    
        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "登录失败，请联系管理员",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
    
                }
            });

        });
    }
    
    //输入验证码
    var captchaChange = function(value){
        if(value!=null&&value!=""){
            $("#loginBtn").removeClass("disable");
        }else{
            $("#loginBtn").addClass("disable");
        }

    }
    
    //获取验证码倒计时

    var captchaSettime = function(captchaBtn) {
        if (countdown == 0) {
            captchaBtn.innerHTML = "获取验证码";
            countdown = 60;
            // $('#captchaBtn').css("color","#24BAD6");
            // $('#captchaBtn').css("border","2px solid #24BAD6");
            $('#captchaBtn').removeClass("captcha-disabled");
            $('#captchaBtn').removeClass("captcha-disabled-color");
            $('#captchaBtn').addClass("captcha-activated-color");
            return false;
        } else {
            if(countdown==60){
                //重发验证码
                sendCaptcha();
            }
            $('#captchaBtn').addClass("captcha-disabled");
            $('#captchaBtn').addClass("captcha-disabled-color");
            $('#captchaBtn').removeClass("captcha-activated-color");
            // $('#captchaBtn').css("color","#999999");
            // $('#captchaBtn').css("border","2px solid #999999");
            captchaBtn.innerHTML =  countdown + "秒后重新发送";
            countdown--;
        }
        setTimeout(function() {
            captchaSettime(captchaBtn);
        }, 1000);
    }

    
    //发送验证码
    var sendCaptcha = function(){
        var dataParam = JSON.stringify({"mobile":phoneNum});
        var url = window.ServerURL + "/smsSendCode";

        commonJs.requestAjax(url, dataParam, function(res) {
            console.log(res);
            
           
    
        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "发送验证码失败，请联系管理员",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
    
                }
            });

        });
    }
    
    //返回
    var backBtnClick = function(){
        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1);
    }

    
    var init = function() {
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        phoneNum = inParam.phone;
        if(phoneNum!=null&&phoneNum!=""){

            if (Number(phoneNum) && String(phoneNum).length === 11) {
                var mobile = String(phoneNum)
                var reg = /^(\d{3})\d{4}(\d{4})$/
                var showPhoneNum = mobile.replace(reg, '$1****$2')
                document.getElementById('phoneNum').innerHTML = showPhoneNum;
            } 
        }
        
        //发送验证码
        //sendCaptcha();
        
        $('#captchaBtn').trigger("click");

    }
    
    return {
        loginSys: loginSys, 
        captchaChange:captchaChange,
        backBtnClick:backBtnClick,
        captchaSettime:captchaSettime,
        init: init
    }
}();


appcan.ready(function() {
    patientLoginMessageJs.init();
});