if(!window.patientInfoEditJs){
    window.patientInfoEditJs = {};
}

var patientInfoEditJs = function() {
    
    // var patientId = "";
    var editType = "";
    var currentText = "";
    var editInputId = "";
    var editText = "";

    //确定事件
    var commitInput = function(event) {
        
        var editData = {"editType":editType,"editInputId":editInputId};
        if (editType == "NAME") {
            //姓名
            var patientName = $("#patientName").val();
            editData.editText = patientName;
        } else if (editType == "PHONE") {
            //手机号
            var phoneNumber = $("#patientPhone").val();
            editData.editText = phoneNumber;
        } else if (editType == "IDENTIFY") {
            //身份证号
            var patientIdNumber = $("#patientIdNumber").val();
            var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
            if(reg.test(patientIdNumber) === false){
	    		appcan.window.alert({
		            title : "提示",
		            content : "身份证不合法",
		            buttons : '确定'
		        });
		        return;
	    	}
            editData.editText = patientIdNumber;
        } else if (editType == "ADDRESS") {
            //详细地址
            var detailedAddress = $("#detailedAddress").val();
            editData.editText = detailedAddress;
        } else if (editType == "ALLERGIC") {
            //过敏史
            var allergicHistory = $("#allergicHistory").val();
            editData.editText = allergicHistory;
        }

		appcan.window.publish("setEditData", JSON.stringify(editData));
        appcan.window.publish("closePage", "");

        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1);
        
       

                
    }
    
    
    //清除input事件
    var clearInput = function(event){
        $(event.currentTarget).parent().find("input").val("");
        $("#commitInputBtn").css("color","#B1B1B1");
    }
    
    //确定按钮显示
    var showCommitButton = function(value){
        
         if(value!=null&&value!=""){
            if(value == currentText){
                $("#commitInputBtn").css("color","#B1B1B1");
            }else{
                $("#commitInputBtn").css("color","#178AFF");
                editText = value;
            }
        }else{
            $("#commitInputBtn").css("color","#B1B1B1");
        }
        

    }

    var init = function() {
        // $("#name").addClass("ub");
        // $("#patientName").val("test");
        
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        
        
        if(inParam!=null&&typeof(inParam)!='undefined'){
            // patientId = inParam.patientId;
            editType = inParam.editType; 
            currentText = inParam.currentText;
            editInputId = inParam.editInputId;
            if(editType!=null&&editType!="undefined"&&typeof(editType)!="undefined"){
                if(editType=="NAME"){
                    //姓名
                    $("#name").addClass("ub");
                    $("#patientName").val(currentText);
                }else if(editType=="PHONE"){
                    //手机号
                    $("#phone").addClass("ub");
                    $("#patientPhone").val(currentText);
                }else if(editType=="IDENTIFY"){
                    //身份证号
                    $("#identifyNum").addClass("ub");
                    $("#patientIdNumber").val(currentText);
                }else if(editType=="ADDRESS"){
                    //详细地址
                    $("#address").addClass("ub");
                    $("#detailedAddress").val(currentText);
                }else if(editType=="ALLERGIC"){
                    //过敏史
                    $("#allergic").addClass("ub");
                    $("#allergicHistory").val(currentText);
                }
                
            }
        }        
    }
    
    return {
        commitInput: commitInput,
        clearInput: clearInput,
        showCommitButton:showCommitButton,
        init: init
    }
    
}();


appcan.ready(function() {

    appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1);
    }); 

    patientInfoEditJs.init();
});