if(!window.patientRelativeListJs){
    window.patientRelativeListJs = {};
}

var patientRelativeListJs = function() {
    var inParam, patientId = "";
    var pageCount = 0;
    var pageParam;
    var relativeId = "";
    pageParam = _.clone(window.pagingParam);
    pageParam.patientId = patientId;

    //声明viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#patientRelativeListView",
        collection: new PatientRelativeListCollection()
    
    }))();
    
    
    
    //加载数据
    var loadPatientRelativeList = function(){
        pageCount++;
        pageParam.pageIndex = pageCount;

        ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
    }
    
    //编辑
    var editRelative = function(event){
         var relativeId = $(event.currentTarget).find("#id").text().trim();
         var addOrUpdate = "UPDATE";

        appcan.window.open({
            name : "patient_relative_edit.html",
            data : "patient_relative_edit.html?patientId=" + pageParam.patientId + "&addOrUpdate=" + addOrUpdate+"&id="+relativeId,
            aniId : "2"
        }); 


    }
    
    //删除
    var deleteRelative = function(event){
         
        var relativeId = $(event.currentTarget).find("#id").text().trim();
        appcan.window.alert({
            title : "提示",
            content : "确认删除？",
            buttons :  ['确定', '取消'],
            callback : function(err, data, dataType, optId) {
                
                if(data=="0"){
                    var daraParam = JSON.stringify({
                        "id" : relativeId
                    });
    
                    $.ajax({
                        url : window.ajaxUrl + "/deleteTPatientRelativ",
                        type : "POST",
                        data : daraParam,
                        dataType : "json",
                        contentType : "application/json;charset=UTF-8",
                        success : function(data) {
                            var itemModel = ViewModel.collection.where({
                                id : relativeId
                            });
                            ViewModel.collection.remove(itemModel);
    
                        },
                        error : function(e, err) {
                            alert("接口失败");
                        }
                    }); 
                }
            }
        });

    }
    

    
    var init = function() {
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        pageParam.patientId = !!inParam ? inParam.patientId || "_" : "_";
        
        //设置弹动事件
        // commonJs.listWindowBounce(loadPatientRelativeList);
        commonJs.listWindowBounce(loadSelectList);
		loadSelectList();
        // ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
        
        //监听刷新
        // window.addEventListener('storage', function(e) {
            // //获取被修改值
            // if (e.key == 'ifFlush') {
                // // window.location.reload();
                // commonJs.listWindowBounce(loadPatientRelativeList);
// 
                // ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
// 
            // }
        // }, false); 

    }
    
    //下拉更新
    var loadSelectList = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTPatientRelativ",
            success: function(res) {
                if (pageCount === 1) {
                    ViewModel.collection.set(res);
                } else {
                    ViewModel.collection.add(res);
                }
            }
        });
    }
    
    //家庭成员维护后刷新数据
    var dataFlush = function(){
    	pageCount = 0;
    	loadSelectList();
    }
    
    return {
        loadPatientRelativeList : loadPatientRelativeList,
        editRelative : editRelative,
        deleteRelative : deleteRelative,
        init: init,
        dataFlush: dataFlush
    }
    
}();


appcan.ready(function() {
    patientRelativeListJs.init();
});