
var PatientRelativeModel = MVVM.Model.extend({
    defaults: {},
    computeds: {
    	//亲属性别
        getRelativSex : {
            //这里是参数的依赖，也可以使用this.get("username")
            deps: ["relativSex"],
            get: function(relativSex) {
                var codelist = commonJs.getCodelistData(window.codeList.genderType, relativSex);
                return codelist.text || relativSex;
            }
        },
        getNameLength: {
            deps: ["relativName"],
            get: function(relativName) {
                var chrLength = 0, pLength = 0;
                for (var i = 0; i < relativName.length; i++) {
                    var str = relativName[i];
                    if (/([A-Za-z0-9])/g.test(str)) {
                        chrLength++;
                    } else {
                        pLength++;
                    }
                }
                return !!relativName ? pLength + chrLength*0.45 + 0.3 : 0.3;
            }
        }
    },
    sync: function(method, model, options) {
        switch (method) {
        case "create":

            break;
        case "update":

            break;
        case "patch":

            break;
        case "delete":

            break;
        default:
            break;
        }
    }
});
