if(!window.patientServiceDetailContentJs){
	window.patientServiceDetailContentJs = {}
}
var patientServiceDetailContentJs = function() {
	var serviceId, sourceType;//来源类型，判断上门服务、远程医疗
	
	var updoorInfoModel = new UpdoorInfoModel();
    var updoorInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#serviceDetailContentView",
        model: updoorInfoModel
    }));
	
	//返回上一页面
	appcan.button(".nav-btn", "btn-act", function() {
		appcan.window.close(-1);
	});
	
	
    var init = function() {
    	var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if(inParam!=null&&typeof(inParam)!='undefined'){
            serviceId = inParam.serviceId;
            sourceType = inParam.sourceType;
        }
        //获取明细信息
        getDetailInfo();
    }
    
    //获取服务明细信息
    var getDetailInfo = function(){
        var url = window.ServerURL + "/getTUpdoorInfo"; 
    	var data = {};
    	data.id = serviceId;
        var param = JSON.stringify(data);
        commonJs.requestAjax(url, param, function(res) {
       		if(res.length > 0){
       			//已完成待评价状态可以评价  by sushu 2019-04-15
                if(res[0].status === "YWC" && res[0].evaluateStatus === "DPJ"){
                	$(".btn-line").removeClass("disable");
                }else{
                	$(".btn-line").addClass("disable");
                }
       			updoorInfoModel.set("forwardCode", res[0].forwardCode);
       			updoorInfoModel.set("patientName", res[0].patientName);
       			updoorInfoModel.set("patientAge", res[0].patientAge);
       			updoorInfoModel.set("sex", res[0].sex);
       			updoorInfoModel.set("createDate", res[0].createDate);
       			updoorInfoModel.set("status", res[0].status);
       			updoorInfoModel.set("tastMechanismName", res[0].tastMechanismName);
       			updoorInfoModel.set("taskPayTime", res[0].taskPayTime);
       			updoorInfoModel.set("overTime", res[0].overTime);
       			updoorInfoModel.set("evaluateScore", res[0].evaluateScore);
       			//评价
       			var score = res[0].evaluateScore;
		        for (var i = 0; i < $("#evaluateScore").children().length; i++) {
		            var children = $("#evaluateScore").children()[i];
		            $(children).toggleClass("choice", score >= $(children).attr("data-index"));
		            $(children).toggleClass("nochoice", !(score >= $(children).attr("data-index")));
		        }
		        updoorInfoModel.set("serverItemName", res[0].serverItemName);
		        updoorInfoModel.set("serverItemPrice", res[0].serverItemPrice);
		        updoorInfoModel.set("tastCount", res[0].tastCount);
		        updoorInfoModel.set("sumFee", res[0].sumFee);
		        updoorInfoModel.set("forwardExplain", res[0].forwardExplain);
		        updoorInfoModel.set("mattersNeed", res[0].mattersNeed);
		        updoorInfoModel.set("regionDesc", res[0].regionDesc);
		        updoorInfoModel.set("address", res[0].address);
       		}else{
	       		appcan.window.alert({
	                title : "提示",
	                content : "获取明细信息失败",
	                buttons : '确定',
	                callback : function(err, data, dataType, optId) {
	
	                }
	            });
       		}

        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            }); 

        });
    }

    //评价 by sushu 2019-04-15
    appcan.button("#btnOk", "btn-act", function() {
    	var outParam = "sourceType=" + sourceType;
        outParam += "&serviceId=" + serviceId;
        commonJs.openWindow("patientServiceEvaluatePage", "patient_service_evaluate.html?" + outParam);
    });
    
    return {
        init: init
    }
}();


appcan.ready(function() {
    patientServiceDetailContentJs.init();
});