if(!window.patientServiceEvaluateContentJs){
	window.patientServiceEvaluateContentJs = {}
}
var patientServiceEvaluateContentJs = function() {
	var inParam, serviceId, sourceType;//来源类型，判断上门服务、远程医疗
	var evaluateType = "SM";//上门
	
	evaluateitemsTable.score = 0;
    var evaluateItemsViewModel = new (MVVM.ViewModel.extend({
        el: "#showEvaluateItemsView",
        collection: new EvaluateItemsCollection()
    }));
    
	var updoorInfoModel = new UpdoorInfoModel();
    var updoorInfoViewModel = new (MVVM.ViewModel.extend({
        el: ".detailForwardInfos",
        model: updoorInfoModel
    }));
    
	
	//返回上一页面
	appcan.button(".nav-btn", "btn-act", function() {
		appcan.window.close(-1);
	});
	
	
    var init = function() {
    	inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if(inParam!=null&&typeof(inParam)!='undefined'){
            serviceId = inParam.serviceId;
        }
        //获取明细信息
        getDetailInfo();
        //初始评价列表
        getEvaluateItems();
    }
    
    //获取服务明细信息
    var getDetailInfo = function(){
        var url = window.ServerURL + "/getTUpdoorInfo"; 
    	var data = {};
    	data.id = serviceId;
        var param = JSON.stringify(data);
        commonJs.requestAjax(url, param, function(res) {
       		if(res.length > 0){
       			updoorInfoModel.set("id", res[0].id);
       			updoorInfoModel.set("forwardCode", res[0].forwardCode);
       			updoorInfoModel.set("patientName", res[0].patientName);
       			updoorInfoModel.set("patientAge", res[0].patientAge);
       			updoorInfoModel.set("sex", res[0].sex);
       			updoorInfoModel.set("createDate", res[0].createDate);
       			updoorInfoModel.set("status", res[0].status);
       			updoorInfoModel.set("tastMechanismName", res[0].tastMechanismName);
       			updoorInfoModel.set("taskPayTime", res[0].taskPayTime);
       			updoorInfoModel.set("overTime", res[0].overTime);
       			updoorInfoModel.set("evaluateScore", res[0].evaluateScore);
       			//评价
       			// var score = res[0].evaluateScore;
		        // for (var i = 0; i < $("#evaluateScore").children().length; i++) {
		            // var children = $("#evaluateScore").children()[i];
		            // $(children).toggleClass("choice", score >= $(children).attr("data-index"));
		            // $(children).toggleClass("nochoice", !(score >= $(children).attr("data-index")));
		        // }
		        updoorInfoModel.set("serverItemName", res[0].serverItemName);
		        updoorInfoModel.set("serverItemPrice", res[0].serverItemPrice);
		        updoorInfoModel.set("tastCount", res[0].tastCount);
		        updoorInfoModel.set("sumFee", res[0].sumFee);
		        updoorInfoModel.set("forwardExplain", res[0].forwardExplain);
		        updoorInfoModel.set("mattersNeed", res[0].mattersNeed);
       		}else{
	       		appcan.window.alert({
	                title : "提示",
	                content : "获取明细信息失败",
	                buttons : '确定',
	                callback : function(err, data, dataType, optId) {
	
	                }
	            });
       		}

        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            }); 

        });
    }
    
    //初始评价列表
    var getEvaluateItems = function() {
        var param = {"itemType": evaluateType};
        commonService.request(param, {
            url: window.ServerURL + "/getTEvaluateItems",
            success: function(res) {
                evaluateItemsViewModel.collection.set(res);
            }
        });
    }
    
    //设置评价标签状态，点亮星星    
    var setEvaluateTags = function() {
        var itemId = $(event.currentTarget).parents("li").find("[data-bind='text:id']").text().trim();
        var itemModel = evaluateItemsViewModel.collection.where({id: itemId});
        var score = $(event.currentTarget).attr("data-index");
        itemModel[0].set("score", Number(score));
    }
    
    //综合评价
    appcan.button(".syntheticalEvaluate", "but-act", function() {
        var score = $(event.srcElement).attr("data-index");
        updoorInfoModel.set("evaluateScore", Number(score));
    });
    
    appcan.button("#btnOk", "btn-act", function() {
        addEvaluate();
    });
    
    //更新评价信息
    var addEvaluate = function() {
        if (!!!updoorInfoModel.get("evaluateScore") || updoorInfoModel.get("evaluateScore") === 0) {
            appcan.window.openToast("綜合评价未评价", 2000, 50, 0);
            return;
        }
        //生成更新数据集
        var evaluateInfo = {
            "orderType": evaluateType,
            "orderId": updoorInfoModel.get("id"),
            "orderNumber": updoorInfoModel.get("forwardCode"),
            "evaluateOpinion": "",
            "scoreSum": updoorInfoModel.get("evaluateScore"),
            "tEvaluateVO": []
        }
        for(var i = 0; i < evaluateItemsViewModel.collection.length; i++) {
            var item = {
                "itemId": evaluateItemsViewModel.collection.models[i].get("id"),
                "itemType": evaluateType,
                "itemCode": evaluateItemsViewModel.collection.models[i].get("itemCode"),
                "itemName": evaluateItemsViewModel.collection.models[i].get("itemName"),
                "score": evaluateItemsViewModel.collection.models[i].get("score")
            }
            evaluateInfo.tEvaluateVO.push(item);
        }
        commonService.request(evaluateInfo, {
            url: window.ServerURL + "/addtTEvaluateXf",
            success: function(res) {
                if (res.result === "0") {
                    appcan.window.openToast("评价成功", 2000, 50, 0);
                    if(!!inParam.pageName){
                    	appcan.window.evaluatePopoverScript(inParam.pageName, inParam.pageFrameName, inParam.js + "()");
                    }else{
                    	appcan.window.evaluatePopoverScript("patientServiceListPage", "patientServiceListContentPage", "patientServiceListContentJs.reload()");
                    }
                    
                    uexWindow.evaluateScript("", "0", "closeWindow()");
                    appcan.window.evaluateScript("patientServiceDetailPage", "commonJs.closeWindow()");
                } else {
                    appcan.window.alert("", res.message);
                }
            }
        })
    }
    
    return {
        init: init,
        setEvaluateTags: setEvaluateTags
    }
}();


appcan.ready(function() {
    patientServiceEvaluateContentJs.init();
});