
if(!window.prescriptionList){
    window.prescriptionList = {};
}

var prescriptionList = function() {
    var pageCount = 1;
    var pageParam;
    var apothecaryInfo;
    var  tRecipeInfo = {};
    pageParam = _.clone(window.pagingParam);
    pageParam.pageIndex = pageCount;
    //tRecipeInfo.tastDoctorId = "2";
    //pageParam.tRecipeInfo = tRecipeInfo;

    //声明viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#showDisagnosisListView",
        collection: new PrescriptionListCollection()
    
    }));
    
    //下拉更新
    var downOrUpLoadData = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTRecipeInfoHeadXf",
            success: function(res) {
                 pageCount === 1 ? ViewModel.collection.set(res) : ViewModel.collection.add(res);
            }
        });
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
        //setLongtapEvent();
       
    } 
    
    //加载数据
    /*
    var loadPrescriptionList = function(){
            pageCount++;
            pageParam.pageIndex = pageCount;
    
            ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
        }
        */
    
    //加载详细页
    var loadDetail = function(event){
        var id = $(event.currentTarget).find("#id").text().trim(); 

        if (!!id) {
             appcan.window.open({
                    name : "diagnosisDetail.html",
                    data : "../chomedicine/recipe_info_apothecary.html?id="+id,
                    aniId : "2"
                });
        }
    }
    
    //查询患者姓名
    var queryrelativName = function(event){
    	
        var searchParam = $("#searchParam").val();
        pageCount = 0;
        //tRecipeInfo.relativName = searchParam;
        //pageParam.tRecipeInfo = tRecipeInfo;
        pageParam.tRecipeInfo.relativName = searchParam;
        downOrUpLoadData();
    }
    
    //类型下拉加载
   /*
    var prescriptionStatusSelect = function(){
           
           var prescriptionStatusSelect = appcan.selectview({
               selector : "#prescriptionStatusSelect"
           });
           var prescriptionStatus = [{id: "999999", value: "ALL", text: "鍏ㄩ儴"}];
           for (var i in window.codeList.recipeStatus) {
               prescriptionStatus.push(window.codeList.recipeStatus[i]);
           }
           prescriptionStatusSelect.set(prescriptionStatus);
           prescriptionStatusSelect.on("select:click", function(obj, data) {
               console.log(data);
               tRecipeInfo.status = data[0].value === "ALL" ? "" : data[0].value;
               pageParam.tRecipeInfo = tRecipeInfo;
               if (data[0].value === "ALL") {
                    $("#prescriptionStatus").find("span").text("鐘舵�");
               } else {
                   $("#prescriptionStatus").find("span").text(data[0].text);
               }            
               hidenSelector();
               setScollbar("enable");
   
               pageCount = 0;
               
               loadPrescriptionList();
           });
       }*/
   
    

    //隐藏下拉
    var hidenSelector = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
            //全科职称
            $("#prescriptionStatus").find(".list-caret-size").addClass("list-caret-down");
            $("#prescriptionStatus").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#prescriptionStatus").removeClass("filter-select-color");
            $("#prescriptionStatusSelect").removeClass("mask-show");
            
        }, 100);
    }
    

    var setScollbar = function(operate) {
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //-------------------------------下拉点击事件--------------------------------------//
   /*
    $("#prescriptionStatus").on("tap", function(event) {
   
           if (!!!checkOpenFilter(event.currentTarget))
               return;
           event.cancelBubble = true;
           if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
               var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
               $("#prescriptionStatusSelect").css("top", maskTop + "px");
               $("#prescriptionStatusSelect").addClass("mask-show");
               $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
               $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
               $(event.currentTarget).addClass("filter-select-color");
               setScollbar("disable");
           } else {
               hidenSelector();
   
               setScollbar("enable");
           }
       }); 
   */
   
    //时间控件
    $("#shdate").on("tap", function(event) {
        var _self = this;
        var okCallback = function(date) {
            pageParam.apothecaryAudiTime = date.text;
            $("#shdate").find("span").text(date.text);
            pageCount = 0;
            downOrUpLoadData();
            _self.picker.dispose();
            _self.picker = null;
        }
        var clearCallback = function() {
            $("#shdate").find("span").text("审核日期");
            if (!!pageParam.apothecaryAudiTime) {
                delete pageParam.apothecaryAudiTime;
            }
            pageCount = 0;
            downOrUpLoadData();
            _self.picker.dispose();
            _self.picker = null;
        }
        if(!!_self.picker) {
            _self.picker.show(okCallback, clearCallback);
        } else {
            var options = {"type":"date", "beginYear": 1901, bounceState: 1};
            _self.picker = new Neusoft.DtPicker(options);
            _self.picker.show(okCallback, clearCallback);
        }
    });
     $("#fydate").on("tap", function(event) {
        var _self = this;
        var okCallback = function(date) {
            pageParam.adjustAudiTime = date.text;
            $("#fydate").find("span").text(date.text);
            pageCount = 0;
            downOrUpLoadData();
            _self.picker.dispose();
            _self.picker = null;
        }
        var clearCallback = function() {
            $("#fydate").find("span").text("发药日期");
            if (!!pageParam.adjustAudiTime) {
                delete pageParam.adjustAudiTime;
            }
            pageCount = 0;
            downOrUpLoadData();
            _self.picker.dispose();
            _self.picker = null;
        }
        if(!!_self.picker) {
            _self.picker.show(okCallback, clearCallback);
        } else {
            var options = {"type":"date", "beginYear": 1901, bounceState: 1};
            _self.picker = new Neusoft.DtPicker(options);
            _self.picker.show(okCallback, clearCallback);
        }
  
        
    });
    //---------------------------------------end---------------------------------//
    
    var init = function() {
        //获取药师信息
        apothecaryInfo = commonJs.getApothecary("TJS");
        
        
        //设置弹动事件
        commonJs.listWindowBounce(downOrUpLoadData);
        pageParam.tRecipeInfo = {};
        if (apothecaryInfo.apothecaryTypeCode === "YS") {
            pageParam.tRecipeInfo.apothecaryId = apothecaryInfo.id;
        } else {
            pageParam.tRecipeInfo.adjustId = apothecaryInfo.id;
        }
        pageCount = 0;
        downOrUpLoadData();
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});

        //加载下拉
        //prescriptionStatusSelect();

    }
    
    return {
        //loadPrescriptionList : loadPrescriptionList,
        //loadPrescriptionDetail : loadPrescriptionDetail,
        //searchPrescriptionList : searchPrescriptionList,
        queryrelativName : queryrelativName,
        loadDetail: loadDetail,
        init: init
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    prescriptionList.init();
});








