var doctorInfoTable = {
    "id": "", //ID
    "doctorCode": "", //医师编号
    "doctorPhone": "", //医师手机号
    "doctorName": "", //医师姓名
    "cardId": "", //医师身份证号
    "sex": "", //医师性别
    "doctorType": "", //医师类别（Q全科 Z专科）
    "password": "", //注册密码
    "registerTime": "", //注册时间
    "onlineStatus": "", //在线状态（Y在线 N离线）
    "lastLoginLongitude": "", //最后登录经度
    "lastLoginLatitude": "", //最后登录纬度
    "lastLoginTime": "", //最后登录时间
    "loginCount": "", //登录次数总计
    "regeristerId": "", //手机端接收消息主键(极光在客户端生成的唯一id)
    "education": "", //学历（专科、本科、硕士、博士、博士后）
    "university": "", //毕业院校
    "businessLicense": "", //执业证编号
    "upDoctorId": "", //上级医师ID
    "mechanismId": "", //单位ID（对应机构）
    "mechanismName": "", //机构名称
    "mechanismType": "", //单位类别(药房、检验中心、康复中心、门诊、一级医院、二级医院、三级医院、药械租赁公司)
    "regionId": "", //地区ID
    "regionCode": "", //地区编码
    "regionDesc": "", //地区名称
    "address": "", //地址
    "bankAccount": "", //银行账号
    "bankName": "", //银行名称
    "openBankCode": "", //开户银行编码
    "openBankName": "", //开户银行名称
    "bankCode": "", //银行编码
    "titleCode": "", //职称编码
    "titleName": "", //职称名称（主任医师、副主任医师、主治医师、医师）
    "post": "", //职务
    "departmentCode": "", //科室编码
    "departmentName": "", //科室名称
    "illnessCode": "", //擅长病种编码，逗号分隔
    "illnessName": "", //擅长病种名称，逗号分隔
    "taskPrice": "", //诊疗费（根据职称）
    "customerPrice": "", //签约客户诊疗价
    "platformPrice": "", //平台诊疗价
    "taskCount": "", //诊疗人数
    "signCount": "", //签约患者人数
    "praiseRate": "", //好评率
    "complaintCount": "", //投诉次数
    "headPicture": "", //头像照片
    "businessPicture1": "", //医师执业证照片1
    "businessPicture2": "", //医师执业证照片2
    "businessPicture3": "", //医师执业证照片3
    "titlePicture1": "", //医师专业技术职称证照片1
    "titlePicture2": "", //医师专业技术职称证照片2
    "titlePicture3": "", //医师专业技术职称证照片3
    "qrPicture": "", //二维码照片
    "autoSealUrl": "", //签章URL
    "autoSealEndtime": "", //签章有效期
    "status": "", //变更审核状态（已提交、已审核通过、审核驳回）
    "audiTime": "", //变更审核时间
    "audiFailReason": "", //变更审核未通过原因
    "certStatus": "", //认证状态（未认证、已审核未认证、已认证）
    "certAudiTime": "", //审核认证时间
    "certTime": "", //认证时间
    "certAudiFailReason": "", //审核认证未通过原因
    "createCode": "", //创建人编码
    "createName": "", //创建人名称
    "createDate": "", //创建时间
    "updateCode": "", //最后修改人编码
    "updateName": "", //最后修改人名称
    "updateDate": "", //最后修改时间
    "version": "", //版本号
    "deleted": "", //删除标示
    "extend1": "", //扩展字段1
    "extend2": "", //扩展字段2
    "extend3": "", //扩展字段3
    "extend4": "", //扩展字段4
    "extend5": "", //扩展字段5
    "extend6": "", //扩展字段6
    "birthDate": "", //出生年月日
    "cardIdPicture1": "", //身份证照片正面
    "cardIdPicture2": "" //身份证照片反面
};  