var patientInfoTestData = {
    "id": "2", //ID
    "patientCode": "P0001", //患者编号
    "patientPhone": "13913214876", //患者手机号
    "patientName": "李达", //患者姓名
    "cardId": "210224197709098876", //患者身份证号
    "birthDate": "09-SEP-77", //出生年月日
    "sex": "MAN", //患者性别
    "password": "123456", //注册密码
    "registerTime": "12-SEP-18", //注册时间
    "regionId": "2950", //地区ID
    "regionCode": "1210211", //地区编码
    "regionDesc": "甘井子区", //地区名称
    "address": "港湾新城20号", //地址
    "lastLoginTime": "12-SEP-18", //用户最后登录时间
    "loginCount": "1", //用户登录次数总计
    "regeristerId": "", //手机端接收消息主键(极光在客户端生成的唯一id)
    "isAllergy": "N", //有无过敏史
    "headPicture": "../../../css/images/findoctor/img.jpg", //头像照片
    "createCode": "", //创建人编码
    "createName": "", //创建人名称
    "createDate": "12-SEP-18", //创建时间
    "updateCode": "", //最后修改人编码
    "updateName": "", //最后修改人名称
    "updateDate": "", //最后修改时间
    "version": "", //版本号
    "deleted": "", //删除标示
    "extend1": "", //扩展字段1
    "extend2": "", //扩展字段2
    "extend3": "", //扩展字段3
    "extend4": "", //扩展字段4
    "extend5": "", //扩展字段5
    "extend6": "", //扩展字段6
    "soSeCard": "210224197709098876" //社保卡号
};

//测试用，手续注释掉
var doctorInfo = {"id": "1", //ID
    "doctorCode": "DC00001", //医师编号
    "doctorPhone": "18740262677", //医师手机号
    "doctorName": "安宏涛", //医师姓名
    "cardId": "420615198309012350", //医师身份证号
    "sex": "MAN", //医师性别
    "doctorType": "Q", //医师类别（Q全科 Z专科）
    "password": "", //注册密码
    "registerTime": "01-JAN-18", //注册时间
    "onlineStatus": "Y", //在线状态（Y在线 N离线 R接诊）
    "lastLoginLongitude": "", //最后登录经度
    "lastLoginLatitude": "", //最后登录纬度
    "lastLoginTime": "", //最后登录时间
    "loginCount": "", //登录次数总计
    "regeristerId": "", //手机端接收消息主键(极光在客户端生成的唯一id)
    "education": "SS", //学历（专科、本科、硕士、博士、博士后）
    "university": "华中医科大学", //毕业院校
    "businessLicense": "BL202929292", //执业证编号
    "upDoctorId": "", //上级医师ID
    "mechanismId": "1", //单位ID（对应机构）
    "mechanismName": "医科大学第一附属医院", //机构名称
    "mechanismType": "HS3", //单位类别(药房、检验中心、康复中心、门诊、一级医院、二级医院、三级医院、药械租赁公司)
    "regionId": "", //地区ID
    "regionCode": "", //地区编码
    "regionDesc": "", //地区名称
    "address": "", //地址
    "bankAccount": "", //银行账号
    "bankName": "", //银行名称
    "openBankCode": "", //开户银行编码
    "openBankName": "", //开户银行名称
    "bankCode": "", //银行编码
    "titleCode": "ZRYS", //职称编码
    "titleName": "主任医师", //职称名称（主任医师、副主任医师、主治医师、医师）
    "post": "ZRYS", //职务
    "departmentCode": "XNK", //科室编码
    "departmentName": "心内科", //科室名称
    "illnessName": "心内科", //擅长病种名称，逗号分隔
    "taskPrice": "100", //诊疗费（根据职称）
    "customerPrice": "80", //签约客户诊疗价
    "platformPrice": "70", //平台诊疗价
    "taskCount": "50", //诊疗人数
    "signCount": "30", //签约患者人数
    "praiseRate": "98", //好评率
    "complaintCount": "2", //投诉次数
    "headPicture": "../../css/images/doctor/user-photo.png", //头像照片
    "businessPicture": "", //资格证照片
    "qrPicture": "../../css/images/doctor/doctor-qr-code.jpg", //二维码照片
    "autoSealUrl": "", //签章URL
    "autoSealEndtime": "", //签章有效期
    "status": "", //状态（已提交、已审核通过、审核驳回）
    "audiTime": "", //审核时间
    "audiFailReason": "", //审核未通过原因
    "createCode": "", //创建人编码
    "createName": "", //创建人名称
    "createDate": "", //创建时间
    "updateCode": "", //最后修改人编码
    "updateName": "", //最后修改人名称
    "updateDate": "", //最后修改时间
    "version": "", //版本号
    "deleted": "", //删除标示
    "extend1": "", //扩展字段1
    "extend2": "", //扩展字段2
    "extend3": "", //扩展字段3
    "extend4": "", //扩展字段4
    "extend5": "", //扩展字段5
    "extend6": "", //扩展字段6
    "illnessCode": "1,2" //擅长病种编码，逗号分隔
};  

//药师登陆信息    
var apothecaryInfo = {
    "id": "2", //ID
    "apothecaryCode": "A0001", //药师编号
    "apothecaryPhone": "18733298756", //药师手机号
    "apothecaryName": "海王星辰药师", //药师姓名
    "cardId": "210998198706080287", //药师身份证号
    "sex": "MAN", //药师性别
    "password": "123456", //注册密码
    "registerTime": "12-SEP-18", //注册时间
    "lastLoginTime": "12-SEP-18", //最后登录时间
    "loginCount": "1", //登录次数总计
    "regeristerId": "", //手机端接收消息主键(极光在客户端生成的唯一id)
    "businessLicense": "BU00I222", //执业证编号
    "address": "", //地址
    "bankAccount": "", //银行账号
    "bankCode": "", //银行编码
    "bankName": "", //银行名称
    "openBankCode": "", //开户银行编码
    "openBankName": "", //开户银行名称
    "mechanismId": "3", //职业地点ID（对应机构）
    "mechanismCode": "M0003", //职业地点编码
    "mechanismName": "海王星辰连山街分店", //职业地点名称
    "apothecaryTypeCode": "YS", //药师类型编码
    "apothecaryTypeName": "药师", //药师类型名称（药师，调剂师）
    "headPicture": "http://10.4.122.74:9999/picture/recipeCode/9/7/CF20180907175501418.jpg", //头像照片
    "businessPicture": "", //资格证照片
    "autoSealUrl": "", //签章URL
    "autoSealEndtime": "", //签章有效期
    "status": "PASS", //状态（已提交、已审核通过、审核驳回）
    "audiTime": "12-SEP-18", //审核时间
    "audiFailReason": "", //审核未通过原因
    "createCode": "", //创建人编码
    "createName": "", //创建人名称
    "createDate": "12-SEP-18", //创建时间
    "updateCode": "", //最后修改人编码
    "updateName": "", //最后修改人名称
    "updateDate": "", //最后修改时间
    "version": "", //版本号
    "deleted": "", //删除标示
    "extend1": "", //扩展字段1
    "extend2": "", //扩展字段2
    "extend3": "", //扩展字段3
    "extend4": "", //扩展字段4
    "extend5": "", //扩展字段5
    "extend6": "" //扩展字段6
}

var apothecaryInfoAdjust = {
    "id": "3", //ID
    "apothecaryCode": "A0002", //药师编号
    "apothecaryPhone": "18733298777", //药师手机号
    "apothecaryName": "海王星辰调剂师", //药师姓名
    "cardId": "210998198706080287", //药师身份证号
    "sex": "MAN", //药师性别
    "password": "123456", //注册密码
    "registerTime": "12-SEP-18", //注册时间
    "lastLoginTime": "12-SEP-18", //最后登录时间
    "loginCount": "1", //登录次数总计
    "regeristerId": "", //手机端接收消息主键(极光在客户端生成的唯一id)
    "businessLicense": "BU00I222", //执业证编号
    "address": "", //地址
    "bankAccount": "", //银行账号
    "bankCode": "", //银行编码
    "bankName": "", //银行名称
    "openBankCode": "", //开户银行编码
    "openBankName": "", //开户银行名称
    "mechanismId": "3", //职业地点ID（对应机构）
    "mechanismCode": "M0003", //职业地点编码
    "mechanismName": "海王星辰连山街分店", //职业地点名称
    "apothecaryTypeCode": "TJS", //药师类型编码
    "apothecaryTypeName": "调剂师", //药师类型名称（药师，调剂师）
    "headPicture": "http://10.4.122.74:9999/picture/recipeCode/9/7/CF20180907175501418.jpg", //头像照片
    "businessPicture": "", //资格证照片
    "autoSealUrl": "", //签章URL
    "autoSealEndtime": "", //签章有效期
    "status": "PASS", //状态（已提交、已审核通过、审核驳回）
    "audiTime": "12-SEP-18", //审核时间
    "audiFailReason": "", //审核未通过原因
    "createCode": "", //创建人编码
    "createName": "", //创建人名称
    "createDate": "12-SEP-18", //创建时间
    "updateCode": "", //最后修改人编码
    "updateName": "", //最后修改人名称
    "updateDate": "", //最后修改时间
    "version": "", //版本号
    "deleted": "", //删除标示
    "extend1": "", //扩展字段1
    "extend2": "", //扩展字段2
    "extend3": "", //扩展字段3
    "extend4": "", //扩展字段4
    "extend5": "", //扩展字段5
    "extend6": "" //扩展字段6
}

var healthInformationTestData = [{
    "id": "1",
    "title": "大暑：心静自然凉，窗下有清风", //资讯标题
    "synopsis": "消暑有诀窍!", //简介
    "titlePictureUrl": "../../css/images/patient/news-pic.jpg", //标题图片
    "issueDate": {
        "date": 7,
        "hours": 17,
        "seconds": 23,
        "nanos": 0,
        "month": 8,
        "year": 118,
        "timezoneOffset": -480,
        "minutes": 46,
        "time": 1536313583000,
        "day": 5
    }, //发布日期
    "author": "大星", //作者 
    "hotPints": 18203
},{
    "id": "2",
    "title": "要先学会看衣服上的这三个东西,你怎么还不换行。我都等不及了", //资讯标题
    "synopsis": "外行看热闹，内行看门道～你怎么还不换行。我都等不及了.啦啦啦啦啦啦啦啦啦啦啦啦啦", //简介
    "titlePictureUrl": "../../css/images/patient/banner-head.png", //标题图片
    "issueDate": {
        "date": 7,
        "hours": 17,
        "seconds": 23,
        "nanos": 0,
        "month": 8,
        "year": 118,
        "timezoneOffset": -480,
        "minutes": 46,
        "time": 1539313583000,
        "day": 5
    }, //发布日期
    "author": "爱吃鱼", //作者    
    "hotPints": 58203
}
]

/*广告信息表*/
var advertisingInfoTestData = [
    {"id": "1", "title": "快速！", "synopsis": "快速！丰富稳定的UI组件、海量的行业UI模板，快速拼装APP", //简介
    "titlePictureUrl": "../../css/patient/slider/images/loading_pic1.jpg", "author": "中医院神精科室", "sliderFlag": "Y"
    },
    {"id": "2", "title": "便捷！", "synopsis": "便捷！网络部署APP，摆脱数据线", //简介
    "titlePictureUrl": "../../css/patient/slider/images/loading_pic2.jpg", "author": "中医院神精科室", "sliderFlag": "Y"
    },
    {"id": "3", "title": "高效！", "synopsis": "高效！项目云端同步，多人协同开发", //简介
    "titlePictureUrl": "../../css/patient/slider/images/loading_pic3.jpg", "author": "中医院神精科室", "sliderFlag": "N"
    },
    {"id": "4", "title": "所见即所得！", "synopsis": "所见即所得！真机同步调试应用代码", //简介
    "titlePictureUrl": "../../css/patient/slider/images/loading_pic4.jpg", "author": "中医院神精科室", "sliderFlag": "Y"
    },
    {"id": "5", "title": "高效！", "synopsis": "高效！代码提示，无忧编程", //简介
    "titlePictureUrl": "../../css/patient/slider/images/loading_pic5.jpg", "author": "中医院神精科室", "sliderFlag": "Y"
}]
    
    
var recipeInfoTestData = {
    "updateCode": null,
    "patientId": "1",
    "tastDoctorName": "安宏涛",
    "relativSex": "M",
    "adjustAudiTime": {
        "date": 7,
        "hours": 17,
        "seconds": 23,
        "nanos": 0,
        "month": 8,
        "year": 118,
        "timezoneOffset": -480,
        "minutes": 46,
        "time": 1536313583000,
        "day": 5
    },
    "evaluateOpinion": null,
    "tastDoctorId": "1",
    "platApothecaryId": null,
    "patientAge": 36,
    "id": "8a84faca65aec56a0165b2a4cdcb001a",
    "createCode": null,
    "tastDoctorMechanismName": "医科大学第一附属医院",
    "recipeCode": "CF20180907140749700",
    "apothecaryName": "药师",
    "mechanismName": "高新区大森林连锁药店",
    "tastDoctorCode": "DC00001",
    "tastDoctorType": "Q",
    "relativRelName": "子女",
    "takeDrugMode": null,
    "version": null,
    "updateName": null,
    "patientBirthDate": null,
    "supplyExplain": "多喝水",
    "apothecaryId": "2",
    "cardId": "1",
    "createName": null,
    "status": "YWC",
    "relativName": "测试",
    "updateDate": {
        
    },
    "adjustId": "2",
    "mechanismCode": null,
    "evaluateScore": null,
    "platApothecaryName": null,
    "doctorAutoSealUrl": null,
    "tastDoctorTitleName": "主任医师",
    "taskResult": "咽炎",
    "tastDoctorMechanismId": "1",
    "tastDoctorMechanismType": "HS3",
    "adjustAutoSealUrl": null,
    "apothecaryAudiTime": {
        "date": 7,
        "hours": 17,
        "seconds": 28,
        "nanos": 0,
        "month": 8,
        "year": 118,
        "timezoneOffset": -480,
        "minutes": 38,
        "time": 1536313108000,
        "day": 5
    },
    "evaluateStatus": "DPJ",
    "platAutoSealUrl": null,
    "adjustCode": "2",
    "relativAge": "2",
    "class": "interfacesc.interfacedc.entity.TRecipeInfo",
    "qrPicture": "CF20180907140749700",
    "drugPayCode": null,
    "illnessName": null,
    "patientCode": "1",
    "createDate": {
        "date": 7,
        "hours": 14,
        "seconds": 49,
        "nanos": 0,
        "month": 8,
        "year": 118,
        "timezoneOffset": -480,
        "minutes": 7,
        "time": 1536300469000,
        "day": 5
    },
    "drugSumfee": 1033.94,
    "patientName": "张飞",
    "platApothecaryCode": null,
    "tastDoctorTitleCode": "ZRYS",
    "apothecaryAutoSealUrl": null,
    "drugPayTime": null,
    "sex": "MAN",
    "buyTime": {
        "date": 7,
        "hours": 17,
        "seconds": 23,
        "nanos": 0,
        "month": 8,
        "year": 118,
        "timezoneOffset": -480,
        "minutes": 46,
        "time": 1536313583000,
        "day": 5
    },
    "isAllergy": "N",
    "mechanismId": null,
    "patientPhone": "1",
    "extend6": null,
    "drugPayType": null,
    "relativRelCode": "ZN",
    "deleted": null,
    "adjustName": "调剂师",
    "extend3": null,
    "extend2": null,
    "extend5": null,
    "platAudiTime": null,
    "extend4": null,
    "extend1": "Y",
    "illnessCode": null,
    "platauditAutoSealUrl": null,
    "taskId": "8a84fce5659f830f01659f89a6e00002",
    "apothecaryCode": "1",
    tRecipeDetailInfoList: [
        {"id":'191895',drugId:'191895',name:'ω-3鱼油脂肪乳注射液',speci:'100ml:10g(精制鱼油):1.2g(卵磷脂)',packing:'1瓶/瓶',usageTotal:'1',usageMethod:'注射'},
        {"id":'210953',drugId:'210953',name:'阿苯达唑胶囊',speci:'0.1g',packing:'12粒/盒',usageTotal:'2',usageMethod:'口服 1日3次，每次2粒'},
        {"id":'174295',drugId:'174295',name:'阿苯达唑胶囊',speci:'0.2g',packing:'12粒/盒',usageTotal:'3',usageMethod:'口服 1日3次，每次2粒'}

    ],
    tRecipeDrugDetailList: [
    /*
        {"id":'201868',drugId:'201868',name:'30/70混合重组人胰岛素注射液',speci:'10ml:400IU',packing:'1支/支',usageTotal:'1',retailPrice:'44.93',vender:'通化东宝药业股份有限公司'},
        {"id":'218496',drugId:'218496',name:'30/70混合重组人胰岛素注射液',speci:'3ml:300单位（13.9mg）',packing:'1支/支',usageTotal:'2',retailPrice:'44.7',vender:'通化东宝药业股份有限公司'},
        {"id":'201891',drugId:'201891',name:'50/50混合重组人胰岛素注射液',speci:'3ml:300IU',packing:'1支/支',usageTotal:'3',retailPrice:'48.1',vender:'通化东宝药业股份有限公司'},
        {"id":'191895',drugId:'191895',name:'ω-3鱼油脂肪乳注射液',speci:'100ml:10g(精制鱼油):1.2g(卵磷脂)',packing:'1瓶/瓶',usageTotal:'4',retailPrice:'248.59',vender:'费森尤斯卡比华瑞制药有限公司'},
        {"id":'210953',drugId:'210953',name:'阿苯达唑胶囊',speci:'0.1g',packing:'12粒/盒',usageTotal:'5',retailPrice:'9',vender:'福建太平洋制药有限公司'},
        */
    ]
}

var drugInfoTestData = [
    {"lbNumber":null,"updateCode":null,"speci":"3ml:300IU","faDetailNumber":null,"vender":"杭州康恩贝制药有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"1","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"tb","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"头孢(药房)A","isBase":null,"createName":null,"realPrice":9.9,"updateDate":null,"code":"D000001","packing":"12粒\/盒","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "西药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"盒","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":1.0,"deleted":null,"form":"片剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":9.9},
    
    {"lbNumber":null,"updateCode":null,"speci":"1g:0.1g","faDetailNumber":null,"vender":"浙江普洛康裕天然药物有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"2","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"abdcjn","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"阿苯达唑胶囊(药房)B","isBase":null,"createName":null,"realPrice":18.8,"updateDate":null,"code":"D000002","packing":"10粒\/盒","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "中药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"盒","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":0.8,"deleted":null,"form":"胶囊剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":18.8},
    
    {"lbNumber":null,"updateCode":null,"speci":"0.1g","faDetailNumber":null,"vender":"浙江普洛康裕天然药物有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"3","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"abdep","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"阿比多尔片(药房)C","isBase":null,"createName":null,"realPrice":18.8,"updateDate":null,"code":"D000003","packing":"6片\/盒","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "中成药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"盒","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":0.8,"deleted":null,"form":"片剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":18.8},
    
    {"lbNumber":null,"updateCode":null,"speci":"5ml:4mg","faDetailNumber":null,"vender":"浙江普洛康裕天然药物有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"4","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"zllxzsy","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"唑来膦酸注射液(药房)C","isBase":null,"createName":null,"realPrice":3.2,"updateDate":null,"code":"D000004","packing":"1支\/支","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "西药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"支","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":1.0,"deleted":null,"form":"注射剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":3.2},

    {"lbNumber":null,"updateCode":null,"speci":"3ml:300IU","faDetailNumber":null,"vender":"杭州康恩贝制药有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"5","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"tb","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"头孢(药房)E","isBase":null,"createName":null,"realPrice":9.9,"updateDate":null,"code":"D000001","packing":"12粒\/盒","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "西药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"盒","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":1.0,"deleted":null,"form":"片剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":9.9},
    
    {"lbNumber":null,"updateCode":null,"speci":"1g:0.1g","faDetailNumber":null,"vender":"浙江普洛康裕天然药物有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"6","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"abdcjn","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"阿苯达唑胶囊(药房)F","isBase":null,"createName":null,"realPrice":18.8,"updateDate":null,"code":"D000002","packing":"10粒\/盒","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "中药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"盒","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":0.8,"deleted":null,"form":"胶囊剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":18.8},
    
    {"lbNumber":null,"updateCode":null,"speci":"0.1g","faDetailNumber":null,"vender":"浙江普洛康裕天然药物有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"7","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"abdep","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"阿比多尔片(药房)G","isBase":null,"createName":null,"realPrice":18.8,"updateDate":null,"code":"D000003","packing":"6片\/盒","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "中成药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"盒","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":0.8,"deleted":null,"form":"片剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":18.8},
    
    {"lbNumber":null,"updateCode":null,"speci":"5ml:4mg","faDetailNumber":null,"vender":"浙江普洛康裕天然药物有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"8","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"zllxzsy","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"唑来膦酸注射液(药房)H","isBase":null,"createName":null,"realPrice":3.2,"updateDate":null,"code":"D000004","packing":"1支\/支","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "西药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"支","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":1.0,"deleted":null,"form":"注射剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":3.2},
    
    {"lbNumber":null,"updateCode":null,"speci":"0.1g","faDetailNumber":null,"vender":"浙江普洛康裕天然药物有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"9","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"abdep","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"阿比多尔片(药房)I","isBase":null,"createName":null,"realPrice":18.8,"updateDate":null,"code":"D000003","packing":"6片\/盒","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "中成药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"盒","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":0.8,"deleted":null,"form":"片剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":18.8},
    
    {"lbNumber":null,"updateCode":null,"speci":"5ml:4mg","faDetailNumber":null,"vender":"浙江普洛康裕天然药物有限公司","mjUseCount":null,"electronNumber":null,"unitCode":null,"id":"0","createCode":null,"batchNumber":"2018097","otc":null,"formType":null,"unitName":null,"zxRemarks":null,"zdyProperty":null,"searchCode":"zllxzsy","version":null,"updateName":null,"abcType":null,"goodsType":null,"drugUnit":null,"mjNumber":null,"invNumber":null,"mjUseFee":null,"name":"唑来膦酸注射液(药房)J","isBase":null,"createName":null,"realPrice":3.2,"updateDate":null,"code":"D000004","packing":"1支\/支","class":"interfacesc.interfacedc.entity.VPharmacyDrugInfo","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},
    "drugFlName": "西药","unifyPrice":100.0,"buyPrice":100.0,"medicalInsurance":null,"retailUnit":"支","goodsFl":null,"approvalNumber":"P9832435R","mechanismId":"1","extend6":null,"sale":1.0,"deleted":null,"form":"注射剂","extend3":null,"extend2":null,"extend5":null,"extend4":null,"extend1":null,"retailPrice":3.2}]

var mechanismTestData = [
    {"businessLicense":"M102128173","updateCode":null,"upMechanismId":"1","password":"123456","businessEntityPicture2":null,"mechanismType":"YF","businessEntityPicture1":null,"id":"1","createCode":null,"bankAccount":null,"mechanismName":"海王星辰连山街分店","registerTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"fixedPhone":null,"version":null,"updateName":null,"openBankName":null,"businessLicensePicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","businessLicensePicture2":null,"businessLicensePicture3":null,"regeristerId":null,"audiTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"createName":null,"status":"PASS","updateDate":null,"mainScope":"海王星辰药品专卖，可供医大一院和医大二院","mechanismCode":"M0003","bankName":null,"openBankCode":null,"businessEntity":"海山","mechanismPhone":"13683787711","regionCode":"XGQ","hospitalId":"6","audiFailReason":null,"class":"interfacesc.interfacedc.entity.VHospitalPharmacyRel","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"bankCode":null,"businessLicenseTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":128,"timezoneOffset":-480,"minutes":0,"time":1852304400000,"day":2},"address":"辽宁省大连市西岗区EFA路23号","loginCount":1.0,"extend6":null,"lastLoginTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"deleted":null,"extend3":null,"extend2":null,"regionId":"3308","extend5":null,"regionDesc":"西岗区","extend4":null,"extend1":null,"mechanismPicture3":null,"mechanismPicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","mechanismPicture2":null},
    {"businessLicense":"M102228173","updateCode":null,"upMechanismId":"2","password":"123456","businessEntityPicture2":null,"mechanismType":"YF","businessEntityPicture1":null,"id":"2","createCode":null,"bankAccount":null,"mechanismName":"同济药房联合路分店","registerTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"fixedPhone":null,"version":null,"updateName":null,"openBankName":null,"businessLicensePicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","businessLicensePicture2":null,"businessLicensePicture3":null,"regeristerId":null,"audiTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"createName":null,"status":"PASS","updateDate":null,"mainScope":"同济药品专卖，可供医大一院","mechanismCode":"M0004","bankName":null,"openBankCode":null,"businessEntity":"同联","mechanismPhone":"13613787732","regionCode":"SHKQ","hospitalId":"6","audiFailReason":null,"class":"interfacesc.interfacedc.entity.VHospitalPharmacyRel","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"bankCode":null,"businessLicenseTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":128,"timezoneOffset":-480,"minutes":0,"time":1852304400000,"day":2},"address":"辽宁省大连市沙河口区43B路37号","loginCount":2.0,"extend6":null,"lastLoginTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"deleted":null,"extend3":null,"extend2":null,"regionId":"2949","extend5":null,"regionDesc":"沙河口区","extend4":null,"extend1":null,"mechanismPicture3":null,"mechanismPicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","mechanismPicture2":null},
    {"businessLicense":"M102128173","updateCode":null,"upMechanismId":"1","password":"123456","businessEntityPicture2":null,"mechanismType":"YF","businessEntityPicture1":null,"id":"3","createCode":null,"bankAccount":null,"mechanismName":"海王星辰连山街分店","registerTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"fixedPhone":null,"version":null,"updateName":null,"openBankName":null,"businessLicensePicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","businessLicensePicture2":null,"businessLicensePicture3":null,"regeristerId":null,"audiTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"createName":null,"status":"PASS","updateDate":null,"mainScope":"海王星辰药品专卖，可供医大一院和医大二院","mechanismCode":"M0003","bankName":null,"openBankCode":null,"businessEntity":"海山","mechanismPhone":"13683787711","regionCode":"XGQ","hospitalId":"6","audiFailReason":null,"class":"interfacesc.interfacedc.entity.VHospitalPharmacyRel","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"bankCode":null,"businessLicenseTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":128,"timezoneOffset":-480,"minutes":0,"time":1852304400000,"day":2},"address":"辽宁省大连市西岗区EFA路23号","loginCount":1.0,"extend6":null,"lastLoginTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"deleted":null,"extend3":null,"extend2":null,"regionId":"3308","extend5":null,"regionDesc":"西岗区","extend4":null,"extend1":null,"mechanismPicture3":null,"mechanismPicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","mechanismPicture2":null},
    {"businessLicense":"M102228173","updateCode":null,"upMechanismId":"2","password":"123456","businessEntityPicture2":null,"mechanismType":"YF","businessEntityPicture1":null,"id":"4","createCode":null,"bankAccount":null,"mechanismName":"同济药房联合路分店","registerTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"fixedPhone":null,"version":null,"updateName":null,"openBankName":null,"businessLicensePicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","businessLicensePicture2":null,"businessLicensePicture3":null,"regeristerId":null,"audiTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"createName":null,"status":"PASS","updateDate":null,"mainScope":"同济药品专卖，可供医大一院","mechanismCode":"M0004","bankName":null,"openBankCode":null,"businessEntity":"同联","mechanismPhone":"13613787732","regionCode":"SHKQ","hospitalId":"6","audiFailReason":null,"class":"interfacesc.interfacedc.entity.VHospitalPharmacyRel","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"bankCode":null,"businessLicenseTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":128,"timezoneOffset":-480,"minutes":0,"time":1852304400000,"day":2},"address":"辽宁省大连市沙河口区43B路37号","loginCount":2.0,"extend6":null,"lastLoginTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"deleted":null,"extend3":null,"extend2":null,"regionId":"2949","extend5":null,"regionDesc":"沙河口区","extend4":null,"extend1":null,"mechanismPicture3":null,"mechanismPicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","mechanismPicture2":null},
    {"businessLicense":"M102128173","updateCode":null,"upMechanismId":"1","password":"123456","businessEntityPicture2":null,"mechanismType":"YF","businessEntityPicture1":null,"id":"5","createCode":null,"bankAccount":null,"mechanismName":"海王星辰连山街分店","registerTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"fixedPhone":null,"version":null,"updateName":null,"openBankName":null,"businessLicensePicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","businessLicensePicture2":null,"businessLicensePicture3":null,"regeristerId":null,"audiTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"createName":null,"status":"PASS","updateDate":null,"mainScope":"海王星辰药品专卖，可供医大一院和医大二院","mechanismCode":"M0003","bankName":null,"openBankCode":null,"businessEntity":"海山","mechanismPhone":"13683787711","regionCode":"XGQ","hospitalId":"6","audiFailReason":null,"class":"interfacesc.interfacedc.entity.VHospitalPharmacyRel","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"bankCode":null,"businessLicenseTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":128,"timezoneOffset":-480,"minutes":0,"time":1852304400000,"day":2},"address":"辽宁省大连市西岗区EFA路23号","loginCount":1.0,"extend6":null,"lastLoginTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"deleted":null,"extend3":null,"extend2":null,"regionId":"3308","extend5":null,"regionDesc":"西岗区","extend4":null,"extend1":null,"mechanismPicture3":null,"mechanismPicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","mechanismPicture2":null},
    {"businessLicense":"M102228173","updateCode":null,"upMechanismId":"2","password":"123456","businessEntityPicture2":null,"mechanismType":"YF","businessEntityPicture1":null,"id":"6","createCode":null,"bankAccount":null,"mechanismName":"同济药房联合路分店","registerTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"fixedPhone":null,"version":null,"updateName":null,"openBankName":null,"businessLicensePicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","businessLicensePicture2":null,"businessLicensePicture3":null,"regeristerId":null,"audiTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"createName":null,"status":"PASS","updateDate":null,"mainScope":"同济药品专卖，可供医大一院","mechanismCode":"M0004","bankName":null,"openBankCode":null,"businessEntity":"同联","mechanismPhone":"13613787732","regionCode":"SHKQ","hospitalId":"6","audiFailReason":null,"class":"interfacesc.interfacedc.entity.VHospitalPharmacyRel","createDate":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"bankCode":null,"businessLicenseTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":128,"timezoneOffset":-480,"minutes":0,"time":1852304400000,"day":2},"address":"辽宁省大连市沙河口区43B路37号","loginCount":2.0,"extend6":null,"lastLoginTime":{"date":12,"hours":1,"seconds":0,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":0,"time":1536685200000,"day":3},"deleted":null,"extend3":null,"extend2":null,"regionId":"2949","extend5":null,"regionDesc":"沙河口区","extend4":null,"extend1":null,"mechanismPicture3":null,"mechanismPicture1":"http:\/\/10.4.122.74:9999\/picture\/recipeCode\/9\/7\/CF20180907175501418.jpg","mechanismPicture2":null}
    
    ]


var recipeTemplateTestData = {"tRecipeTemplateVOList":[{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版3","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84faca65fba25b0165ff7565f40009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84faca66005b3001660085bb290008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba25b0165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"阿苯达唑胶囊","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84faca66005b300231385bb290008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba25b0165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"止咳糖浆","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84faca6213301660085bb290008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba25b0165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"片剂","extend2":null,"extend5":null,"extend4":null,"name":"头胞","extend1":null,"drugId":"2","createName":null}]},{"tRecipeTemplate":{"updateCode":null,"updateDate":null,"templateDesc":"测试模板2","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84faca66005b300166008595d30006","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":17,"seconds":6,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607046000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[{"updateCode":null,"updateDate":null,"code":"D0003","speci":"0.1g","packing":"6片/盒","usageTotal":6,"unitCode":null,"id":"8a84faca66005b300166008595dd0007","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":6,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607046000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca66005b300166008595d30006","usageMethod":"231","searchCode":"abdep","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"片剂","extend2":null,"extend5":null,"extend4":null,"name":"阿比多尔片","extend1":null,"drugId":"3","createName":null}]},{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版3aew","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84f5fb2189165ff3327565f40009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84faca66005b30a53546345008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84f5fb2189165ff3327565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"阿苯达唑胶囊","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84facadadfkl023152asd0008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84f5fb2189165ff3327565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"止咳糖浆","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84ffda232390008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84f5fb2189165ff3327565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"片剂","extend2":null,"extend5":null,"extend4":null,"name":"头胞","extend1":null,"drugId":"2","createName":null}]},{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版31dfg","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84faasdfjkk5f40009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84faca66005b30aa5bb290008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faasdfjkk5f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"阿苯达唑胶囊","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84facadadfkl0231385bb290008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faasdfjkk5f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"止咳糖浆","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84faca621330166eqrtyb290008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faasdfjkk5f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"片剂","extend2":null,"extend5":null,"extend4":null,"name":"头胞","extend1":null,"drugId":"2","createName":null}]},{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版333s","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84faca65fba3lh165ff7565f40009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84falkja66005b30a5dfg577345008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba3lh165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"阿苯达唑胶囊","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84fwesdadfkl0252a443sd00ggs08","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba3lh165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"止咳糖浆","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84ffda2e3900081sdip2asdf234","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba3lh165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"片剂","extend2":null,"extend5":null,"extend4":null,"name":"头胞","extend1":null,"drugId":"2","createName":null}]},{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版3dda223","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84fac3223sadf0165ff7565f40009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84faca66005b30a5dfg345008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84fac3223sadf0165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"阿苯达唑胶囊","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84facadadfkl023152a443sd0008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84fac3223sadf0165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"止咳糖浆","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84ffda232390008d2asdf234","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84fac3223sadf0165ff7565f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"片剂","extend2":null,"extend5":null,"extend4":null,"name":"头胞","extend1":null,"drugId":"2","createName":null}]},{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版3ddad","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84faca3322111165ff7565f40009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[]},{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版3aa","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84faca3213465f40009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84faca66005b30a5dfg577345008","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca3213465f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"阿苯达唑胶囊","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84facadadfkl0252a443sd00ggs08","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca3213465f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"止咳糖浆","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84ffda2323900081sddd2asdf234","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca3213465f40009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"片剂","extend2":null,"extend5":null,"extend4":null,"name":"头胞","extend1":null,"drugId":"2","createName":null}]},{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版3dd","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84faca65fb1sadf565f40009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[]},{"tRecipeTemplate":{"updateCode":null,"updateDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"templateDesc":"测试模版32as","version":null,"updateName":null,"extend6":null,"deleted":null,"extend3":null,"extend2":null,"doctorId":"1","extend5":null,"extend4":null,"extend1":null,"id":"8a84faca65fba313440009","class":"interfacesc.interfacedc.entity.TRecipeTemplate","createCode":null,"createName":null,"createDate":{"date":22,"hours":12,"seconds":48,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":6,"time":1537589208000,"day":6}},"class":"interfacesc.interfacedc.vo.TRecipeTemplateVO","tRecipeTemplateDetailList":[{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84falkja66005b30a5dfg1saad","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba313440009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"阿苯达唑胶囊","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84fwesdadfkl0252a443sd00ggs01d","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba313440009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"胶囊剂","extend2":null,"extend5":null,"extend4":null,"name":"止咳糖浆","extend1":null,"drugId":"2","createName":null},{"updateCode":null,"updateDate":null,"code":"D0002","speci":"1g:0.1g","packing":"10粒/盒","usageTotal":1,"unitCode":null,"id":"8a84ffda2e3900081sdip2asdf2sd34","class":"interfacesc.interfacedc.entity.TRecipeTemplateDetail","createCode":null,"createDate":{"date":22,"hours":17,"seconds":16,"nanos":0,"month":8,"year":118,"timezoneOffset":-480,"minutes":4,"time":1537607056000,"day":6},"unitName":null,"recipeTemplateId":"8a84faca65fba313440009","usageMethod":"3333","searchCode":"abdcjn","version":null,"updateName":null,"extend6":null,"drugUnit":null,"deleted":null,"extend3":null,"form":"片剂","extend2":null,"extend5":null,"extend4":null,"name":"头胞","extend1":null,"drugId":"2","createName":null}]}],"class":"interfacesc.interfacedc.vo.TRecipeTemplateOutVO","_map_":"true"}
