window.codeList = {};

/**
 * 药师类型
 */
window.codeList.apothecaryType = [
    {id: "34", value: "YS", text: "药师"},
    {id: "35", value: "TJS", text: "调剂师"}
];

/**
 * 科室
 */
window.codeList.department = [
    {id: "29", value: "XNK", text: "心内科"},
    {id: "30", value: "XWK", text: "胸外科"}
];

/**
 * 职称
 */
window.codeList.doctorTitle = [
    {id: "25", value: "ZRYS", text: "主任医师"},
    {id: "26", value: "FZRYS", text: "副主任医师"},
    {id: "27", value: "ZZYS", text: "主治医师"},
    {id: "28", value: "YS", text: "医师"}
];

/**
 * 医师类别
 */
window.codeList.doctorType = [
    {id: "8", value: "Q", text: "全科"},
    {id: "9", value: "Z", text: "专科"}
];

/**
 * 学历
 */
window.codeList.education = [
    {id: "12", value: "ZK", text: "专科"},
    {id: "13", value: "BK", text: "本科"},
    {id: "14", value: "SS", text: "硕士"},
    {id: "15", value: "BS", text: "博士"},
    {id: "16", value: "BSH", text: "博士后"}
];

/**
 * 评价项目类型
 */
window.codeList.evaluateItems = [
    {id: "80", value: "ZL", text: "诊疗评价"},
    {id: "81", value: "GY", text: "购药评价"},
    {id: "82", value: "YYFW", text: "预约服务评价"},
    {id: "83", value: "YCYL", text: "远程医疗评价"}
];

/**
 * 评价关联单据类型
 */
window.codeList.evaluateOrderType = [
    {id: "84", value: "ZL", text: "诊疗"},
    {id: "85", value: "GY", text: "处方"},
    {id: "86", value: "YYFW", text: "预约服务"},
    {id: "87", value: "SM", text: "上门"}
];

/**
 * 性别
 */
window.codeList.genderType = [
    {id: "4", value: "MAN", text: "男"},
    {id: "5", value: "WOMAN", text: "女"}
];
window.codeList.genderConType = [
    {id: "2", value: "MAN", text: "男"},
    {id: "3", value: "WOMAN", text: "女"},
    {id: "4", value: "0", text: "男"},
    {id: "5", value: "1", text: "女"},
    {id: "6", value: "2", text: "未知"}
];

/**
 * 单位类别
 */
window.codeList.mechanismType = [
    {id: "17", value: "YF", text: "药房"},
    {id: "18", value: "JYZX", text: "检验中心"},
    {id: "19", value: "KFZX", text: "康复中心"},
    {id: "20", value: "MZ", text: "门诊"},
    {id: "21", value: "HS1", text: "一级医院"},
    {id: "22", value: "HS2", text: "二级医院"},
    {id: "23", value: "HS3", text: "三级医院"},
    {id: "24", value: "YXZL", text: "药械租赁公司"}
];

/**
 * 在线状态
 */
window.codeList.onlineStatus = [
    {id: "10", value: "Y", text: "在线"},
    {id: "11", value: "N", text: "离线"}
];

/**
 * 患者亲属关系
 */
window.codeList.patientRelativ = [
    {id: "64", value: "ZN", text: "子女"},
    {id: "65", value: "FQ", text: "父亲"},
    {id: "66", value: "MQ", text: "母亲"},
    {id: "67", value: "XD", text: "兄弟"},
    {id: "68", value: "JM", text: "姐妹"},
    {id: "69", value: "WG", text: "外公"},
    {id: "70", value: "WP", text: "外婆"},
    {id: "71", value: "YY", text: "爷爷"},
    {id: "72", value: "NN", text: "奶奶"},
    {id: "73", value: "AR", text: "爱人"},
    {id: "74", value: "QT", text: "其他"},
    {id: "75", value: "PY", text: "朋友"},
    {id: "76", value: "BR", text: "本人"}
];

/**
 * 缴费单据类型
 */
window.codeList.payOrderType = [
    {id: "60", value: "ZL", text: "诊疗缴费"},
    {id: "61", value: "GY", text: "购药缴费"},
    {id: "62", value: "SM", text: "上门缴费"},
    {id: "63", value: "JY", text: "检验缴费"}
];

/**
 * 缴费单状态
 */
window.codeList.payStatus = [
    {id: "62", value: "0", text: "待缴费"},
    {id: "63", value: "1", text: "已缴费"},
    {id: "79", value: "YZF", text: "已作废"}
];

/**
 * 缴费渠道
 */
window.codeList.payType = [
    {id: "36", value: "YB", text: "医保"},
    {id: "37", value: "XNH", text: "新农合"},
    {id: "38", value: "ZFB", text: "支付宝"},
    {id: "39", value: "WX", text: "微信"},
    {id: "40", value: "YL", text: "银联"},
    {id: "41", value: "DJJ", text: "代金券"}
];

/**
 * 人员审核状态
 */
window.codeList.personAudiStatus = [
    {id: "31", value: "COMMIT", text: "已提交"},
    {id: "32", value: "PASS", text: "已审核通过"},
    {id: "33", value: "REJECT", text: "审核驳回"}
];

/**
 * 评价状态
 */
window.codeList.pjStatus = [
    {id: "58", value: "DPJ", text: "待评价"},
    {id: "59", value: "YPJ", text: "已评价"}
];

/**
 * 处方状态
 */
window.codeList.recipeStatus = [
    // {id: "52", value: "YKD", text: "已开单"},
    // {id: "53", value: "YSH", text: "已审核"},
    // {id: "54", value: "YXY", text: "已选药"},
    // {id: "55", value: "YJF", text: "已缴费"},
    // {id: "56", value: "YWC", text: "已完成"},
    // {id: "57", value: "YZF", text: "已作废"},
    // {id: "78", value: "YGB", text: "已关闭"},
    // {id: "152", value: "YBH", text: "已驳回"},
    // {id: "153", value: "YTF", text: "已退费"}
    {id: "60", value: "0", text: "已开具"},
    {id: "61", value: "1", text: "已审核"},
    {id: "62", value: "2", text: "已支付"},
    {id: "63", value: "3", text: "已取消"}
];

/**
 * 结果
 */
window.codeList.resultType = [
    {id: "2", value: "0", text: "成功"},
    {id: "3", value: "1", text: "失败"}
];

/**
 * 诊疗记录状态
 */
window.codeList.taskStatus = [
    {id: "42", value: "YZX", text: "已咨询"},
    {id: "43", value: "YJZ", text: "已接诊"},
    {id: "44", value: "DJF", text: "待缴费"},
    {id: "45", value: "YJF", text: "已缴费"},
    {id: "46", value: "YWC", text: "已完成"},
    {id: "77", value: "YGB", text: "已关闭"},
    {id: "153", value: "YTF", text: "已退费"}
];

/**
 * 是否
 */
window.codeList.yesOrNo = [
    {id: "6", value: "Y", text: "是"},
    {id: "7", value: "N", text: "否"}
];

/**
 * 有无
 */
window.codeList.yOrW = [
    {id: "91", value: "Y", text: "有"},
    {id: "92", value: "N", text: "无"}
];

/**
 * 病类
 */
window.codeList.illnessName = [
    {id: "1", value: "I0001", text: "糖尿病"},
    {id: "2", value: "I0002", text: "高血压"},
    {id: "3", value: "I0003", text: "冠心病"},
    {id: "4", value: "I0004", text: "慢阻肺"},
    {id: "5", value: "I0005", text: "心肌梗塞"},
    {id: "6", value: "I0006", text: "慢性肝炎"},
    {id: "7", value: "I0007", text: "肝硬化"},
    {id: "8", value: "I0008", text: "慢性肾功能不全"},
    {id: "9", value: "I0009", text: "肺结核"},
    {id: "10", value: "I00010", text: "精神病"},
    {id: "11", value: "I0011", text: "红斑狼疮"},
    {id: "12", value: "I0012", text: "痛风"},
    {id: "13", value: "I0013", text: "类风湿关节炎"},
    {id: "14", value: "I0014", text: "再生障碍性贫血"},
    {id: "15", value: "I0015", text: "血友病"},
];

/*
	开户行
*/
window.codeList.openBank = [
    {id: "1", value: "JSYH", text: "中国建设银行"},
    {id: "2", value: "ZSYH", text: "招商银行"},
    {id: "3", value: "JTYH", text: "交通银行"},
    {id: "4", value: "GSYH", text: "中国工商银行"},
    {id: "5", value: "ZGYH", text: "中国银行"}
];

/**
 * 评价项目类型--评价列表用
 */
window.codeList.evaluateItemsForAssessList = [
    {id: "80", value: "ZL", text: "诊疗"},
    {id: "81", value: "GY", text: "购药"},
    {id: "82", value: "YYFW", text: "预约服务"},
    {id: "83", value: "YCYL", text: "远程医疗"}
];

/**
 * 医生团队--团队邀请表用
 */
window.codeList.doctorInviteStatus = [
    {id: "104", value: "COMMIT", text: "已邀请"},
    {id: "105", value: "AGREED", text: "同意邀请"},
    {id: "106", value: "REFUSED", text: "拒绝邀请"}
];

/**
 * 化验单-预约单状态
 */
window.codeList.forwardStatus = [
    {id: "114", value: "YKD", text: "已开单"},
    {id: "115", value: "YJF", text: "已缴费"},
    {id: "116", value: "YYY", text: "已预约"},
    {id: "117", value: "YJY", text: "已检验"},
    {id: "118", value: "YWC", text: "已完成"},
    {id: "119", value: "YGB", text: "已关闭"},
    {id: "121", value: "DJF", text: "待缴费"},
    {id: "154", value: "YTF", text: "已退费"}
]

/**
 * 化验单-预约类型
 */
window.codeList.forwardType = [
    {id: "112", value: "JC", text: "检查"},
    {id: "113", value: "HY", text: "化验"}
]

/**
 * 上门服务单状态  by sushu 2019-03-06
 */
window.codeList.updoorStatus = [
    {id: "123", value: "YTJ", text: "已提交"},
    {id: "124", value: "YJF", text: "已缴费"},
    {id: "125", value: "YQR", text: "已确认"},
    {id: "126", value: "YWC", text: "已完成"},
    {id: "127", value: "YGB", text: "已关闭"},
    {id: "155", value: "YTF", text: "已退费"}
]

/*
 * 	处方单驳回原因    sushu 2019-05-17
 */
window.codeList.receipeBhReason	 = [
    {id: "1", value: "01", text: "当前药品禁止销售"},
    {id: "2", value: "02", text: "处方用药不合理"},
    {id: "3", value: "03", text: "用药剂量过大"},
    {id: "4", value: "04", text: "患者药物过敏"},
    {id: "5", value: "05", text: "其他原因"}
]


//获取value值
function getCodeListValue(codeList,text){
    for(var i in codeList){
        if(codeList[i].text==text){
            return codeList[i].value;
        }
    }
    return "";
};

//获取text值
function getCodeListText(codeList,value){
    for(var i in codeList){
        if(codeList[i].value==value){
            return codeList[i].text;
        }
    }
    return "";
};