if (!window.selectDrug) {
    window.selectDrug = null;
}

var selectDrug = function() {
    
    var inParam, 
    selectorId, //选药者ID
    selectorType, //选药者类型：DT:医师、AT:药师 
    headerHeight,
    selectDrugParam;   //查询药品参数
    var self = this;
    var addCount = 0; //被点击次数
    var selectDrugViewModel = new (MVVM.ViewModel.extend({
        el: "#showSelectDrugView",
        collection: new SelectDrugCollection()
    }));
   
    var options = {};        
    var getDrugInfos = function(res) {
        if (res.length > 0) {
            selectDrugViewModel.collection.set(res);
        } else {
            selectDrugViewModel.collection.remove(selectDrugViewModel.collection.models);
        }
    }
    options.success = getDrugInfos;
    options.url = window.ServerURL + "/getDrugInfoXf";
    
    appcan.button("#btnSearch", "btn-act", function(event){
       //过滤药品数据 
       if (!!!$(event.currentTarget).parent().find("input").val()) {
           appcan.window.openToast("请输入检索码或药品名称", 2000, 50, 0);
           return;
       }
       selectDrugParam.name = $(event.currentTarget).parent().find("input").val();
       commonService.request(selectDrugParam, options);
       //var id = Math.random().toString().substr(3, 1);
       //var data = _.where(drugInfoTestData, {"id": id});
       //selectDrugViewModel.collection.add(data);
    });
    
    //选中添加致处方药品表
    var addSelectDrug = function(event) {
         if (addCount === 0) {
            addCount++;
            var id = $(event.currentTarget).parents("li").find("#itemId").text().trim();
            var drugInfoModel = selectDrugViewModel.collection.where({"id": id});
            
            if (!!inParam.parentPageName) {
                appcan.window.evaluatePopoverScript(inParam.parentPageName, inParam.parentFrameName, inParam.js + "(" + JSON.stringify(drugInfoModel[0]) + ")")
            } else if(!!inParam.parentFrameName){
            	appcan.window.evaluateScript(inParam.parentFrameName, inParam.js + "(" + JSON.stringify(drugInfoModel[0]) + ")");
            } else {
                appcan.window.publish("setSelectDrug", JSON.stringify(drugInfoModel[0]));
            }
            uexWindow.evaluateScript("", "0", "commonJs.closeWindow('selectDrugContentPage')");

			//处方模板编辑药品，无需校验库存
			// if(inParam.parentPageName === "recipeTemplateEditPage"){
				// if (!!inParam.parentPageName) {
	                // appcan.window.evaluatePopoverScript(inParam.parentPageName, inParam.parentFrameName, inParam.js + "(" + JSON.stringify(drugInfoModel[0]) + ")")
	            // } else if(!!inParam.parentFrameName){
	            	// appcan.window.evaluateScript(inParam.parentFrameName, inParam.js + "(" + JSON.stringify(drugInfoModel[0]) + ")");
	            // } else {
	                // appcan.window.publish("setSelectDrug", JSON.stringify(drugInfoModel[0]));
	            // }
	            // uexWindow.evaluateScript("", "0", "commonJs.closeWindow('selectDrugContentPage')");
	            // //appcan.window.publish("clseContentPage", "");
			// }else{
				// var param = {};
		       	// param.hospitalId = commonJs.getDoctor().mechanismId;
		       	// param.drugInfolList = [];
		       	// var drugObj = {};
		       	// drugObj.drugNo = drugInfoModel[0].get("code");
		       	// drugObj.hospDrugNo = drugInfoModel[0].get("code");
		       	// drugObj.amount = 1;
		       	// param.drugInfolList.push(drugObj);
	            // commonService.request(param, {
		           	// url: window.ServerURL + "/getYygxSelectDrugInvApp",
		           	// success: function(res){
		           		// if(res.error == "200" && res.success == true){
					        // if (!!inParam.parentPageName) {
				                // appcan.window.evaluatePopoverScript(inParam.parentPageName, inParam.parentFrameName, inParam.js + "(" + JSON.stringify(drugInfoModel[0]) + ")")
				            // } else if(!!inParam.parentFrameName){
				            	// appcan.window.evaluateScript(inParam.parentFrameName, inParam.js + "(" + JSON.stringify(drugInfoModel[0]) + ")");
				            // } else {
				                // appcan.window.publish("setSelectDrug", JSON.stringify(drugInfoModel[0]));
				            // }
				            // uexWindow.evaluateScript("", "0", "commonJs.closeWindow('selectDrugContentPage')");
				            // //appcan.window.publish("clseContentPage", "");
		           		// }else{
		           			// appcan.window.openToast(drugInfoModel[0].get("name") + res.msg, 2000, 5, 0);
		           			// addCount = 0;
		           		// }
		           	// }
		       	// });
			// }

        }
    }
    
    //查看当前选中药品详细信息
    var lookDrugDetailInfo = function(event) {
    	var id = $(event.currentTarget).parents("li").find("#itemId").text();
    	var drugInfoModel = selectDrugViewModel.collection.where({"id": id});
    	var drugDetailData = {
    		"id": drugInfoModel[0].get("id"),
    		"drugTradeName": drugInfoModel[0].get("drugTradeName"),
    		"name": drugInfoModel[0].get("name"),
    		"vender": drugInfoModel[0].get("vender"),
    		"speci": drugInfoModel[0].get("speci"),
    		"drugUnit": drugInfoModel[0].get("drugUnit"),
    		"unitName": drugInfoModel[0].get("unitName"),
    		"countryMedicine": drugInfoModel[0].get("countryMedicine"),
    		"barcode": drugInfoModel[0].get("barcode")
    	}
    	appcan.locStorage.remove("drugDetailData");
    	appcan.locStorage.setVal("drugDetailData", drugDetailData);
    	commonJs.openWindow("drugDetailPage", "drug_detail.html");
    }
 
    var init = function() {
        appcan.initBounce();
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        headerHeight = inParam.headerHeight;
        selectorId = inParam.selectorId;
        selectorType = inParam.selectorType;
        selectDrugParam = _.clone(window.pagingParam);
        selectDrugParam[selectorType === "AT" ? "apothecaryId" : "doctorId"] = selectorId;
    }
    
    return {
        init: init,
        addSelectDrug: addSelectDrug,
        lookDrugDetailInfo: lookDrugDetailInfo
    }
}();

appcan.ready(function() {
    selectDrug.init();
});
