/**
 * @author Lizhen
 * @Description 开诊费单据Service类
 */
var DiagnosisFeeService = function(param, option) {
    this.param = param;
    this.option = option;
}

DiagnosisFeeService.prototype = {
    getPay: function() {
       var payService = new MVVM.Service({
            pretreatment : function(data, option) {
                return data;
            },
            dosuccess : function(data, option) {
                return data;
            },
            doerror : function(e, err, option) {
                return err;
            },
            validate : function(data, option) {
                return 0;
            },
            ajaxCall : function(data, option) {
                var self = this;
                var url = window.ajaxUrl + "/getPayXf";;
                var param = JSON.stringify(data);
                commonJs.requestAjax(url, param, function(data) {
                    if (data.length > 0) {
                        var doctorParam = {
                            id: data[0].tastDoctorId
                        }
                        commonService.request(doctorParam, {
                           url: window.ServerURL + "/getDoctor",
                           success: function(res) {
                               data[0].doctorPictureHeader = window.PicURL + res[0].headPicture;
                               option.success(self.dosuccess(data[0], option));
                               diagnosisFeeConfirm.refreshBtn();
                               if(res[0].doctorType === "Q"){
                               		$("[data-bind='text:getTastDoctorType']").text("全科");
                               }else{
                               		$("[data-bind='text:getTastDoctorType']").text(res[0].departmentName);
                               }
                               
                           }
                        });
                        
                        //缴费成功关闭当前页
                        // if (data[0].status === "1") {
                            // uexWindow.evaluateScript("", "0", "commonJs.closeWindow('diagnosisFeeConfirmContentPage')");
                        // }
                        //option.viewModel.model.set(data[0]);
                    }
                }, function (e, err) {
                    option.error(self.doerror(e, err, option));
                });
            }
        });
        payService.request(this.param, this.option);
    },
    getPayList: function() {
        var taskInfoService = new MVVM.Service({
            pretreatment : function(data, option) {
                return data;
            },
            dosuccess : function(data, option) {
                return data;
            },
            doerror : function(e, err, option) {
                return err;
            },
            validate : function(data, option) {
                return 0;
            },
            ajaxCall : function(data, option) {
                var self = this;
                var url = window.ajaxUrl + "/addPayXf";;
                var param = JSON.stringify(data);
                /*
                commonJs._ajax(url, param, function(data) {
                    if (data.result === "0") {
                        $("#btnConfirm").css("pointer-events", "none");
                        //$("#btnConfirm").css("border", ".05em solid #A4D1F3");
                        $("#btnConfirm").css("opacity", "0.5");
                        $("#patientName").css("pointer-events", "none");
                        $("#patientAge").css("pointer-events", "none");
                        $("#sex").css("pointer-events", "none");
                        $("#illnessName").css("pointer-events", "none");
                        appcan.window.openToast("生成患者诊费缴费单成功", 2000, 5, 0);
                    }
                    
                }, function (e, err) {
                    option.error(self.doerror(e, err, option));
                });
                */
            }
        });
        taskInfoService.request(this.param, this.option);
    }
}