/**
 * @author Lizhen
 * @Description 开诊费单据Service类
 */
var PayService = function(param, option) {
    this.param = param;
    this.option = option;
}

PayService.prototype = {
    getPay: function() {
       var service = new MVVM.Service({
            pretreatment : function(data, option) {
                return data;
            },
            dosuccess : function(data, option) {
                return data;
            },
            doerror : function(e, err, option) {
                return err;
            },
            validate : function(data, option) {
                return 0;
            },
            ajaxCall : function(data, option) {
                var self = this;
                var url = window.ServerURL + "/getPayXf";;
                var param = JSON.stringify(data);
                commonJs.requestAjax(url, param, function(res) {
                    if (res.length > 0) {
                        option.success(self.dosuccess(res[0], option));
                    } 
                }, function (e, err) {
                    option.error(self.doerror(e, err, option));
                });
            }
        });
        service.request(this.param, this.option);
    },
    getPays: function() {
       var service = new MVVM.Service({
            pretreatment : function(data, option) {
                return data;
            },
            dosuccess : function(data, option) {
                return data;
            },
            doerror : function(e, err, option) {
                return err;
            },
            validate : function(data, option) {
                return 0;
            },
            ajaxCall : function(data, option) {
                var self = this;
                var url = window.ServerURL + "/getPayXf";
                console.log(data);
                //此方法直接追加数据，如果是重新加载，需要在前端先进行数据清除操作
                commonJs.requestAjax(url, data, function(res) {
                    data.pageIndex === 1 ? option.selfViewModel.collection.remove(option.selfViewModel.collection.models) : null;
                    data.pageIndex === 1 ? option.selfViewModel.collection.set(res) : option.selfViewModel.collection.add(res);
                    //option.success(self.dosuccess(res, option));
                
                }, function (e, err) {
                    option.error(self.doerror(e, err, option));
                });
                /**/
               /*
               var res = [
                   {id: (Math.random() * 10000).toString(), code: ("JF" + Math.random() * 1000000000000).substr(0, 13), sumfee: (String(Math.random() * 1000)).substr(0, 6)},
                   {id: (Math.random() * 10000).toString(), code: ("JF" + Math.random() * 1000000000000).substr(0, 13), sumfee: (String(Math.random() * 1000)).substr(0, 6)},
                   {id: (Math.random() * 10000).toString(), code: ("JF" + Math.random() * 1000000000000).substr(0, 13), sumfee: (String(Math.random() * 1000)).substr(0, 6)},
                   {id: (Math.random() * 10000).toString(), code: ("JF" + Math.random() * 1000000000000).substr(0, 13), sumfee: (String(Math.random() * 1000)).substr(0, 6)},
                   {id: (Math.random() * 10000).toString(), code: ("JF" + Math.random() * 1000000000000).substr(0, 13), sumfee: (String(Math.random() * 1000)).substr(0, 6)},
                   {id: (Math.random() * 10000).toString(), code: ("JF" + Math.random() * 1000000000000).substr(0, 13), sumfee: (String(Math.random() * 1000)).substr(0, 6)},
                   {id: (Math.random() * 10000).toString(), code: ("JF" + Math.random() * 1000000000000).substr(0, 13), sumfee: (String(Math.random() * 1000)).substr(0, 6)},
                   {id: (Math.random() * 10000).toString(), code: ("JF" + Math.random() * 1000000000000).substr(0, 13), sumfee: (String(Math.random() * 1000)).substr(0, 6)},
               ];
               option.selfViewModel.collection.add(res);
               */
            }
        });
        service.request(this.param, this.option);
    }
}