if(!window.selectAssayItemContent){
    window.selectAssayItemContent = {};
}

var selectAssayItemContent = function() {
    var pageCount = 0, inParam, doctorInfo = {}, checkCount = 0, assayItemData = [];
    var forwardType = ["HY", "JC"];
    var indices = ["#","A","B","C","D","E","F", "G", "H",
            "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U",
            "V", "W", "X", "Y", "Z", ""];
    
    var indexBarOpen = function() {
        var x = parseInt($('#listview').offset().width) - 10;
        var y = parseInt(appcan.getLocVal('uexIndexBar_y'));
        var em = $('#listview').css('font-size');
        var w = 1.5 * parseInt(em);
        var h = parseInt(appcan.getLocVal('uexIndexBar_h'));
        // var x=100;
        // var y=100;
        // var width=200;
        // var height=400;
        var ext = {textColor:"#E6942A", 
            showBkg: true, 
            indices: indices};

        var extras=JSON.stringify(ext);
        uexIndexBar.open(x - w, y, w, h, extras);
    }

    // appcan.button(".btn", "ani-act", function() {
        // console.log("click btn", this.id);
    // });
    
    var getAssayItemList = function() {
        var url = "";
        if (inParam.forwardType === forwardType[0]) {
            url = window.ServerURL + "/getTAssayItemConfig";
        } else if (inParam.forwardType === forwardType[1]) {
            url = window.ServerURL + "/getTInspectionItemConfig";
        }
        commonService.request({}, {
            url: url,
            success: function(res) {
                if (res.length > 0) {
                    for (var i in indices) {
                        var group = indices[Number(i)];
                        var assayItemList = _.where(_.clone(res), {"searchCode": group});
                        if (assayItemList.length > 0) {
                            var groupItem = {
                                title : group,
                                groupId : group,
                                items: []
                            };
                            for (var i = 0; i < assayItemList.length; i++) {
                               var item = {
                                   title : assayItemList[i].itemName,
                                   subTitle : "￥" + assayItemList[i].price,
                                   icon : "",
                                   assayItem: assayItemList[i]
                               }
                               groupItem.items.push(item);
                            }
                            assayItemData.push(groupItem);
                        }
                    }
                    //初始化listView
                    var lv1 = appcan.neulistview({
                        selector : "#listview",
                        type : "thinLine",
                        hasCheckbox: true,
                        hasSubTitle: true,
                        align: "left",
                        hasGroup : true,
                        hasAngle : false
                    });
                    lv1.set(assayItemData);
                    lv1.on("click",function(obj, data, subObj){
                        if (!!obj.find(".neu-checkbox")[0].checked) {
                            checkCount++
                        } else {
                            checkCount--;
                        }
                        uexWindow.evaluateScript("", "0", "selectAssayItem.setConfirmText(" + checkCount +")");
                    })
                }
            }
        });
    }
    
    var initListVeiw = function() {
        getAssayItemList();
    }
    
    var getGroupTitle = function(event) {
        debugger;
        var groupName = $(event.currentTarget).text().trim();
        alert("select groupName:  " + groupName);
    }
    
    var doClearSelect = function() {
        var obj = $(".neu-checkbox.chkselect");
        for (var i = 0; i < obj.length; i++) {
            obj[i].checked = false;
            $(obj[i]).addClass("unchkselect");
            $(obj[i]).removeClass("chkselect");
        }
        checkCount = 0;
    }
    
    var doConfirm = function() {
        var selectItems = $(".neu-checkbox.chkselect");
        var data = [];
        for (var i = 0; i < selectItems.length; i++) {
            var itemData = selectItems.parents("li")[i]["lv_data"];
            data.push(itemData);
        }
        appcan.window.evaluatePopoverScript("assayBillCreatePage", "assayBillCreateContentPage", "assayBillCreateContent.addAssayItem(" + JSON.stringify(data) + ")");
        uexWindow.evaluateScript("", "0", "selectAssayItem.closeWindow()");
        //alert("生成化验单成功\n" + JSON.stringify(data));
    }
    
    var init = function() {
        appcan.window.disableBounce();
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        doctorInfo = commonJs.getDoctor();
        initListVeiw();
        //$(".btn").removeClass("field-nodisplay");
        uexIndexBar.onTouchResult = function(opId, dataType, data) {
            // alert(opId+":"+dataType+":"+data);
            location.href = "#lv_group_" + data;
        }
        indexBarOpen();
        //设置弹动事件
        //commonJs.listWindowBounce(getTaskInfo);
        
    }
    
    return {
        init: init,
        doClearSelect: doClearSelect,
        doConfirm: doConfirm
    }
}();

appcan.ready(function() {
    selectAssayItemContent.init();
});
