
if(!window.diagnosisDetail){
    window.diagnosisDetail = {};
}

var diagnosisDetail = function() {

    var pageParam;
    pageParam = _.clone(window.pagingParam);
    var diagnosisListModel = new DiagnosisListModel();
    diagnosisListModel.set(taskInfoTable);
    //澹版槑viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#disagnosisDetailList",
        model: diagnosisListModel
    }));
    
    //获取诊疗信息
    var getTaskInfo = function(){
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTaskInfoXf",
            success: function(res) {
                diagnosisListModel.set(res[0]);
                _setEvaluate();
            }
        });
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});
    }
    
    //诊疗按钮事件  //医生与患者诊疗聊天
    var prescription = function(){
        //网易云信聊天
        commonJs.doNeteaseNim("d" + commonJs.getDoctor().doctorPhone, "p" + diagnosisListModel.get("patientPhone"));
    }
    //设置评价星星显示
    var _setEvaluate = function() {
        var score = Number(diagnosisListModel.get("evaluateScore"));
        for (var i = 0; i < $("#evaluateScore").children().length; i++) {
            var children = $("#evaluateScore").children()[i];
            $(children).toggleClass("choice", score >= Number($(children).attr("data-index")));
            $(children).toggleClass("nochoice", !(score >= Number($(children).attr("data-index"))));
        }
    }
    
    //接诊按钮功能
    var receive = function(){
        var param = _.clone(window.pagingParam);
    	param.id = diagnosisListModel.get("id");
    	param.status = "YJZ"
        commonService.request(param, {
            url: url = window.ServerURL + "/updateTaskInfoXf",
            success: getSuccess
        });
    }
    var getSuccess=function(res) {
        if(res.result=="0"){
            getTaskInfo();
            appcan.window.openToast("接诊成功", 500, 50, 0);
        }else{
        	appcan.window.openToast(res.message, 500, 50, 0);
        }
    }
    //开单按钮事件
   var loadkd =function() {
   	    //检查是否有证书   by sushu 2019-02-12
		// checkCertification();
    	var param = "taskId=" + diagnosisListModel.get("id");
    	param += "&parentPageName=diagnosisDetailPage";
        param += "&js=diagnosisDetail.getTaskInfo";
        //console.log("liOnClick: "  + id);
        appcan.window.open({
            name: "diagnoseProcessPage",
            data: "diagnose_process.html?" + param,
            dataType: 0,
            animID: 2
        });
    }
    
    //检查是否有证书  by sushu 2019-02-12
    var checkCertification =function(){
    	//已注册，判断是否下证
        var param = {
        	accountREQ: commonJs.getDoctor().doctorPhone  //医生手机号
        };
        bethuneDoctor.checkStatus(param,function (error, data) {
        	if (!error){
        		//已注册，手机无证书
        		if(data.userListMap == "{}" && data.errCode == "0x00000000"){
        			//没证书
					appcan.window.confirm({
					    title:'提示',
					    content:'无证书，是否前往下载证书？',
					    buttons:['确定','取消'],
					    callback:function(err,data,dataType,optId){
					        if(err){
					            //如果出错了
					            return;
					        }
					        //data 按照按钮的索引返回值
					        if(data == "0"){
								commonJs.openWindow("myCertificationInfoPage", "../my/my_certification_info.html?certificationRole="+'DOCTOR');
			        			return false;
					        }
					    }
					});
                }else if(data.userListMap != "{}" && data.errCode == "0x00000000"){
                	//有证书，开处方
			    	var param = "taskId=" + diagnosisListModel.get("id");
			    	param += "&parentPageName=diagnosisDetailPage";
			        param += "&js=diagnosisDetail.getTaskInfo";
			        //console.log("liOnClick: "  + id);
			        appcan.window.open({
			            name: "diagnoseProcessPage",
			            data: "diagnose_process.html?" + param,
			            dataType: 0,
			            animID: 2
			        });
                }else{
					alert(data.errMsg);
                }
            }else{
            	alert(data.errMsg);
            }
        });
    }
    
    var init = function() {
        
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        // var orderId;
        // if(inParam!=null&&typeof(inParam)!='undefined'){
            // orderId = inParam.orderId; 
            // if(orderId!=null&&orderId!="undefined"){
                // pageParam.id = orderId;
            // }
        // }
        pageParam.id = !!inParam ? inParam.orderId || "_" : "_";
        //获取诊疗数据
        getTaskInfo();    
        //ViewModel.collection.fetch({selfViewModel: ViewModel, param: pageParam});

    }
    
    return {
        prescription : prescription,
        receive : receive,
        init: init,
        loadkd: loadkd,
        getTaskInfo: getTaskInfo
    }
    
}();

appcan.ready(function() {
    
    appcan.button("#nav-left", "btn-act",
        function() {
            uexWindow.evaluatePopoverScript("diagnosisListPage", "diagnosisListContentPage", "diagnosisList.backload()");
           
            appcan.window.close(-1);
           // uexWindow.setSlidingWindowEnabled(1);
           // uexWindow.setMultilPopoverFlippingEnbaled(1); 
           // uexWindow.evaluatePopoverScript("contentName", "headerName", "aaa()");
        }
    );
    appcan.initBounce();
    diagnosisDetail.init();
});








