
appcan.ready(function() {
    
    var pageCount = 1;
    var pageParam = _.clone(window.pagingParam);
    pageParam.pageIndex = pageCount;
    
    var prescriptionDrugInfoModel = new(MVVM.ViewModel.extend({
        el: "#showprescriptionDrugInfoView",
        initialize: function() {
            
            //pageParam["doctorId"] = "1";
            this.collection.fetch({selfViewModel: this, param: pageParam})
            return;
        },
        collection: new DrugInfoCollection()
    }));
    
        
    $.scrollbox($("body")).on("releaseToReload", function() {//After Release or call reload function,we reset the bounce
        $("#prescriptionDrugInfoContent").trigger("reload", this);
    }).on("onReloading", function(a) {//if onreloading status, drag will trigger this event
    }).on("dragToReload", function() {//drag over 30% of bounce height,will trigger this event
    }).on("draging", function(status) {//on draging, this event will be triggered.
    }).on("release", function() {//on draging, this event will be triggered.
    }).on("scrollbottom", function() {//on scroll bottom,this event will be triggered.you should get data from server
        $("#prescriptionDrugInfoContent").trigger("more", this);
    }).reload();
    
    $("#prescriptionDrugInfoContent").on("reload", function(ev, scrollbox){
        pageCount++;//下拉更新--加载 -确保内容高度要比手机屏幕高（这里是一页多加几条，不够条数不能上啦，只能下拉刷新条数）
        var pageParam = {"pageIndex": pageCount, "pageSize": 10};
        setTimeout(function(){
            prescriptionDrugInfoModel.collection.fetch({param: pageParam});
            scrollbox.reset();
            setTimeout(function() {
                appcan.button("li[data-control-scope='prescriptionDrugInfo_scope']", "btn-act", liOnClick);
            }, 500);
        },100);
    });
    
    $("#prescriptionDrugInfoContent").on("more", function(ev, scrollbox){
        pageCount++;
        alert(pageCount);
        var pageParam = {"pageIndex": pageCount, "pageSize": 10};
        prescriptionDrugInfoModel.collection.fetch({selfViewModel: prescriptionDrugInfoModel, param: pageParam});
        scrollbox.reset();
        setTimeout(function() {
            appcan.button("li[data-control-scope='prescriptionDrugInfo_scope']", "btn-act", liOnClick);
        }, 500);
    }); 
    
    
    $("#searchaBtn").click(function(){
          var pageParam = {"pageIndex": pageCount, "pageSize": 10};
        	prescriptionDrugInfoModel.collection.fetch({selfViewModel: prescriptionDrugInfoModel, param: pageParam});     
    });
});

var liOnClick = function(ele, obj, subobj) {
        console.log(this);
        var id = $(this).find("#itemId").text().trim();
        alert("选择id："+id);
    }

setTimeout(function() {
    $("li[data-control-scope='prescriptionDrugInfo_scope']").on("click", liOnClick);
    //appcan.button("li[data-control-scope='prescriptionDrugInfo_scope']", "btn-act", liOnClick);
}, 1000);