if (!window.patientList) {
    window.patientList = {};
}

var patientList = function() {
	var pageCount = 0;
    var pageParam = _.clone(window.pagingParam);
    // pageParam.status="YZX,YJZ,YJF,DJF";
    var inParam;  
    var patientListViewModel = new (MVVM.ViewModel.extend({
        el: "#patientListContent",
        collection: new TaskInfoCollection()
    }));
            
    
      //加载详细页
    var loadDiagnosisDetail = function(event){
        var patientId = $(event.currentTarget).find("#patientId").text().trim(); 
    	var model = patientListViewModel.collection.where({"patientId": patientId});
    	localStorage.setItem('patient',JSON.stringify({
    		id:model[0].get("id"),
    		doctorId:model[0].get("doctorId"),
    		patientId:model[0].get("patientId"),
    		patientName:model[0].get("patientName"),
    		patientBirthDate:JSON.stringify(model[0].get("patientBirthDate")),
    		patientSex:model[0].get("patientSex"),
    		patientPhone:model[0].get("patientPhone"),
    		signTime:JSON.stringify(model[0].get("signTime")),
    		patientIsAllergy:model[0].get("patientIsAllergy"),
    		pageIdentify:'patientList'
    	}));
        if (!!patientId) {
             appcan.window.open({
                    name : "patientDetailPage",
                    data : "patientDetail.html?patientId="+patientId,
                    aniId : "2"
                });
        }
    }
    //返回加载数据
    var  backload = function() {
        pageCount = 0;
        loadDiagnosisList();
    } 
    
    //下拉更新
    var loadDiagnosisList = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getVDoctorPatientInfoByDoctorId",
            success: function(res) {
                if (pageCount === 1) {
                    patientListViewModel.collection.set(res);
                } else {
                    patientListViewModel.collection.add(res);
                }
            }
        });
    }
    
     //查询
    var searchDiagnosisList = function(){
        var searchParam = $("#searchParam").val();
        pageCount = 0;
        pageParam.patientName = searchParam;
        loadDiagnosisList();
    }
    

     var init = function() {
                
         //设置弹动事件
        commonJs.listWindowBounce(loadDiagnosisList);
         //获取页面的传参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        
       var doctorId=inParam.doctorId;
        //var taskDoctorId=inParam.taskDoctorId;
        if(doctorId==""||doctorId==undefined){
        	pageParam.doctorId = "_";
        	// pageParam.doctorId = "1";
        }else{
        	pageParam.doctorId = doctorId;
        }
        //receptionListViewModel.collection.fetch({selfViewModel: receptionListViewModel, param: pageParam});
        loadDiagnosisList();
      
        //加载下拉
        // diagnosisStatusSelect();
    }
    
    return {
    	loadDiagnosisDetail: loadDiagnosisDetail,
    	loadDiagnosisList: loadDiagnosisList,
    	searchDiagnosisList: searchDiagnosisList,
        init: init,
        backload: backload
    }
}();

appcan.ready(function() {
    appcan.initBounce();
    patientList.init();
});
