
var PrescriptionListModel = MVVM.Model.extend({
    defaults: {"styleDisplay": "-webkit-box !important"},
    computeds: {
        //单据状态
        getStatus: {
            //这里是参数的依赖，也可以使用this.get("username")
            deps: ["status"],
            get: function(status) {
                var codelist = commonJs.getCodelistData(window.codeList.recipeStatus, status);
                return codelist.text || status;
            }
        },
        //开方时间
        getCreateDateStr: {
            deps: ["createDate"],
            get: function(createDate) {
                return commonJs.dateTimeToString(createDate);
            }
        }
    },
    sync: function(method, model, options) {
        switch (method) {
        case "create":

            break;
        case "update":

            break;
        case "patch":

            break;
        case "delete":

            break;
        default:
            break;
        }
    }
});
