//处方单列表

var PrescriptionListService = function(param, option) {
    this.param = param;
    this.option = option;
}

PrescriptionListService.prototype = {
    getPrescriptionList: function(){
        //查询处方单列表
        var Service_getPrescriptionList = new MVVM.Service({
            pretreatment : function(data, option) {
                return data;
            },
            dosuccess : function(data, option) {
                for (var i = 0; i < data.length; i++) {
                    data[i].status = getCodeListText(window.codeList.recipeStatus, data[i].status);
                    var createDate = commonJs.jsonDateFormat(data[i].createDate);
                    data[i].createDate = createDate;
                }
                return data;
            },
            doerror : function(e, err, option) {
                return err;
            },
            validate : function(data, option) {
                return 0;
            },
            ajaxCall : function(data, option) {
                var self = this;
                var url = window.ajaxOuterUrl + "/getTRecipeInfoHeadXf";
                
                var param = JSON.stringify(data);
                commonJs.requestAjax(url, param, function(res) {
                    console.log(res);
                    var pageIndex = JSON.parse(param).pageIndex;
                    if (res.length > 0) {
                        if(pageIndex==1){
                            option.success(self.dosuccess(res, option));
                        }else{
                            option.selfViewModel.collection.add(res)
                        }
                        
                        
                    }else{
                        option.success(self.dosuccess(res, option));
                    }

                }, function(e, err) {
                    option.error(self.doerror(e, err, option));
                }); 
            }
        }); 
        Service_getPrescriptionList.request(this.param, this.option);
    },
    
    //查询调剂师待处理处方单头
    getTRecipeInfoByAdjustWait: function(){
        //查询处方单列表
        var Service_getTRecipeInfoByAdjustWait = new MVVM.Service({
            pretreatment : function(data, option) {
                return data;
            },
            dosuccess : function(data, option) {
                for (var i = 0; i < data.length; i++) {
                    data[i].status = getCodeListText(window.codeList.recipeStatus, data[i].status);
                    var createDate = commonJs.jsonDateFormat(data[i].createDate);
                    data[i].createDate = createDate;
                }
                return data;
            },
            doerror : function(e, err, option) {
                return err;
            },
            validate : function(data, option) {
                return 0;
            },
            ajaxCall : function(data, option) {
                var self = this;
                var url = window.ajaxOuterUrl + "/getTRecipeInfoByAdjustWait";
                
                var param = JSON.stringify(data);
                commonJs.requestAjax(url, param, function(res) {
                    console.log(res);
                    var pageIndex = JSON.parse(param).pageIndex;
                    if (res.length > 0) {
                        if(pageIndex==1){
                            option.success(self.dosuccess(res, option));
                        }else{
                            option.selfViewModel.collection.add(res)
                        }
                        
                        
                    }else{
                        option.success(self.dosuccess(res, option));
                    }

                }, function(e, err) {
                    option.error(self.doerror(e, err, option));
                }); 
            }
        }); 
        Service_getTRecipeInfoByAdjustWait.request(this.param, this.option);
    }
}