
var flag=false;
var jzflag=true;
var jzflags=true;
var ReceptionListModel = CommonBase.Model.extend({
    //defaults,散列（或函数）用于为模型指定默认属性。
    defaults : taskInfoTable,
    //在model创建后执行的方法
    initialize : function() {
        //console.log("数据初始化");
        return;
    },
    // 默认情况下validate在save之前调用，也可以在set之前调用。 如果validate返回一个错误， save不会继续，该模型的属性将不被修改。
    validate : function(attrs, options) {
        //console.log(attrs, options);
    },
    //可以理解为对应model的实时计算，比如这里的model里面的username发生了变化，那么对应的<span data-bind="text:add"></span>也会发生变化
    computeds : {
    	 getStatus : {
            //这里是参数的依赖，也可以使用this.get("username")
            deps : ["status"],
            get : function(status) {
                var codelist = commonJs.getCodelistData(window.treatCodeList.treatStatus, status);
                return codelist.text || status;
            }
        },
        //患者性别
        getRelativSex: {
            //这里是参数的依赖，也可以使用this.get("username")
            deps: ["relativSex"],
            get: function(relativSex) {
                var codelist = commonJs.getCodelistData(window.codeList.genderType, relativSex);
                return codelist.text || relativSex;
            }
        },
        getCreateDate: {
                    deps: ["createDate"],
                    get: function(createDate) {
                    	
                    	//json格式的转换报错
                        return !!!createDate ? null : commonJs.dateToString(createDate);
                        /*return commonJs.dateTimeToString(beginTime.time);*/
                    }
                },
        getBeginTime: {
            deps: ["beginTime"],
            get: function(beginTime) {
                if (typeof(beginTime) === "object" && _.allKeys(beginTime).length === 0) {
                     return null;
                } else if(!!!beginTime) {
                    return null;
                }
                return  commonJs.dateToString(beginTime);
            }
        },
        //患者年龄
        getAge: {
            deps: ["patientBirthDate"],
            get: function(patientBirthDate) {
                if (typeof(patientBirthDate) === "object" && _.allKeys(patientBirthDate).length === 0) {
                     return '';
                } else if(!!!patientBirthDate) {
                    return '';
                }
                return new Date().getFullYear() - commonJs.dateToString(patientBirthDate).substr(0,4);
            }
        },
        //患者签约日期
        getSignTimeStr: {
            deps: ["signTime"],
            get: function(signTime) {
                if (typeof(signTime) === "object" && _.allKeys(signTime).length === 0) {
                     return null;
                } else if(!!!signTime) {
                    return null;
                }
                return  commonJs.dateTimeToString(signTime);
            }
        },
        //过敏史
        getIsAllergy: {
            deps: ["isAllergy"],
            get: function(isAllergy) {
            	if (typeof(isAllergy) === "object" && _.allKeys(isAllergy).length === 0) {
                     return '';
                } else if(!!!isAllergy) {
                    return '';
                }
                return  isAllergy;
            }
        },
        getStatusNone: {
        	deps: ["status"],
        	get: function(status) {
        		if(this.get("status") === "YWC"||this.get("status") === "YGB" ){
        			flag=true;
        		}else{
        			flag=false;
        		}
        		return flag;
        		
        	}
        },
        getJznone: {
        	deps: ["status"],
        	get: function(status) {
        		
        		jzflag=true;
        		if(this.get("status") === "YZX"){
        			jzflag=false;
        		}
        		return jzflag;
        		
        	}
        },
        getJznones: {
        	deps: ["status"],
        	get: function(status) {
        		
        		jzflags=true;
        		if(this.get("status") === "YJF"||this.get("status") === "YJZ"||this.get("status") === "DJF"||this.get("status") === "YTF"){
        			jzflags=false;
        		}
        		return jzflags;
        	}
        }
    	
    	
    },
    parse : function(data) {
        return data;
    },
    sync : function(method, model, options) {
        switch (method) {
        case "create":
            break;
        case "update":
            break;
        case "patch":
            break;
        case "delete":
            break;
        case "read":
            break;
        default:
            break;
        }
    }
});

