if (!window.recipeInfo) {
    window.recipeInfo = {};
}

var recipeInfo = function() {
    
    var headerHeight,doctorInfo = {},inParam;  
    var self = this;
    //药品遍历参数
    var detailInfos = [], i = 0;
    
    //处方信息
    var recipeInfoConData = JSON.parse(appcan.locStorage.getVal("recipeInfoConData"));
    
    //设置处方头表MODEL类   
    var recipeInfoModel = new RecipeInfoModel();
    var payInfo = {}, apothecaryInfo = {};
    var recipeInfoViewModel = new (MVVM.ViewModel.extend({
        el: ".recipeInfo",
        model: recipeInfoModel
    }));
    
    var recipeDetailInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#showRecipeDetailInfoView",
        collection: new RecipeDetailInfoCollection()
    }));

    
    

    //续方
    appcan.button("#btnLookRecipeInfo", "btn-act", function() {
    	//诊疗已开过处方，不能再次开处方
    	//处方Id
    	var recipeId = inParam.recipeId;
    	//诊疗状态
    	var status = inParam.status;
    	if((recipeId === null || recipeId === "null" || recipeId === "" || recipeId === undefined || recipeId === "undefined") && status != "YWC") {

        } else {
        	appcan.window.openToast("此诊疗单已开处方", 2000, 5, 0);
        	return;
             // if (status === "DJF") {
                 // appcan.window.openToast("此诊疗单已完成，不可开处方", 2000, 5, 0);
                 // return;
             // } else {
                 // appcan.window.openToast("此诊疗单已开处方", 2000, 5, 0);
                 // return;
             // }
        }
      	appcan.window.alert({
            title : "提示",
            content : "确认开处方？",
            buttons :  ['确定', '取消'],
            callback : function(err, data, dataType, optId) {
                if(data=="0"){
			        var data = {};
			        data.tRecipeInfo = {};
			        //诊疗Id
			        data.tRecipeInfo.taskId = inParam.taskId;
			        data.tRecipeInfo.relativName = recipeInfoModel.get("patientName");
			        data.tRecipeInfo.relativSex = recipeInfoModel.get("sex");
			        data.tRecipeInfo.relativAge = $("[data-bind='text:getAge']").text();
			        // data.tRecipeInfo.isAllergy = recipeInfoModel.get("isAllergy");
			        data.tRecipeInfo.taskResult = recipeInfoModel.get("taskResult");
			        // data.tRecipeInfo.extend1 = recipeInfoModel.get("extend1");
			        // data.tRecipeInfo.supplyExplain = recipeInfoModel.get("supplyExplain");
			        data.tRecipeInfo.symptom = recipeInfoModel.get("symptom");
			        data.tRecipeInfo.recipeType = recipeInfoModel.get("recipeType");
					
			       //轮询遍历药品信息
			       getDrugDetailInfo(data);
                }
            }
        });
    });
    
    //轮询遍历药品信息
    var getDrugDetailInfo = function(data){
    	if(recipeDetailInfoViewModel.collection.length > 0){
    		var detailInfo = {};
           	detailInfo.drugId = recipeDetailInfoViewModel.collection.models[i].get("drugId");
           	detailInfo.code = recipeDetailInfoViewModel.collection.models[i].get("code");
           	detailInfo.usageTotal = recipeDetailInfoViewModel.collection.models[i].get("usageTotal");
           	detailInfo.usageMethod = recipeDetailInfoViewModel.collection.models[i].get("usageMethod");
           	detailInfo.vender = recipeDetailInfoViewModel.collection.models[i].get("vender");
           	detailInfo.retailPrice = recipeDetailInfoViewModel.collection.models[i].get("retailPrice");
           	detailInfos.push(detailInfo);
           	if(!!!recipeDetailInfoViewModel.collection.models[i].get("usageTotal") || parseInt(recipeDetailInfoViewModel.collection.models[i].get("usageTotal")) <=0){
   			    i = 0;
       			detailInfos = [];
		       	appcan.window.openToast("药品数量必须大于0", 2000, 5, 0);
	       		return;
	       	}
           	if(!!!recipeDetailInfoViewModel.collection.models[i].get("usageMethod")){
   			    i = 0;
       			detailInfos = [];
		       	appcan.window.openToast("用法用量必填", 2000, 5, 0);
	       		return;
	       	}
           	i = i + 1;
	        if(i < recipeDetailInfoViewModel.collection.length){
   				getDrugDetailInfo(data);
   			}else{
   				i = 0;
		        data.tRecipeDetailInfoList = detailInfos;
		        //by sushu 2019-05-09
		        var url = window.ajaxUrl + "/addRecipeInfoXf";
		        commonService.request(data, {
		            url: url,
		            success: doAddRecipeInfoSuccess
		        });
   			}
    		
    		//校验药品库存  by sushu 2019-07-17
       	   	// var param = {};
	       	// param.hospitalId = doctorInfo.mechanismId;
	       	// param.drugInfolList = [];
	       	// var drugObj = {};
	       	// drugObj.drugNo = recipeDetailInfoViewModel.collection.models[i].get("code");
	       	// drugObj.hospDrugNo = recipeDetailInfoViewModel.collection.models[i].get("code");
	       	// drugObj.amount = recipeDetailInfoViewModel.collection.models[i].get("usageTotal");
	       	// param.drugInfolList.push(drugObj);
       	   	// commonService.request(param, {
	           	// url: window.ServerURL + "/getYygxSelectDrugInvApp",
	           	// success: function(res){
	           		// if(res.error == "200" && res.success == true){
	           			// var detailInfo = {};
			           	// detailInfo.drugId = recipeDetailInfoViewModel.collection.models[i].get("drugId");
			           	// detailInfo.code = recipeDetailInfoViewModel.collection.models[i].get("code");
			           	// detailInfo.usageTotal = recipeDetailInfoViewModel.collection.models[i].get("usageTotal");
			           	// detailInfo.usageMethod = recipeDetailInfoViewModel.collection.models[i].get("usageMethod");
			           	// detailInfos.push(detailInfo);
	           			// i = i + 1;
	           			// if(i < recipeDetailInfoViewModel.collection.length){
	           				// getDrugDetailInfo(data);
	           			// }else{
	           				// i = 0;
					        // data.tRecipeDetailInfoList = detailInfos;
					        // //by sushu 2019-05-09
					        // var url = window.ajaxUrl + "/addRecipeInfoXf";
					        // commonService.request(data, {
					            // url: url,
					            // success: doAddRecipeInfoSuccess
					        // });
	           			// }
	           		// }else{
	           			// i = 0;
	           			// detailInfos = [];
	           			// appcan.window.openToast(recipeDetailInfoViewModel.collection.models[i].get("name") + res.msg, 2000, 5, 0);
	           		// }
	           	// }
	       	// });
    	} else {
    		appcan.window.openToast("没有药品", 2000, 5, 0);
    	}
    }
    
    //保存处方单信息回调方法
    var doAddRecipeInfoSuccess = function(res) {
        if (res.result != 0) {
        	detailInfos = [];
            appcan.window.alert("", "处方开单失败！" + res.message);
        } else {
            appcan.window.openToast("处方开单成功", 2000, 5, 0);
            uexWindow.evaluateScript("", "0", "commonJs.closeWindow('recipeInfoConDetailPage')");
            var param = "recipeId=" + res.id;
            param += "&patientPhone=" + recipeInfoConData.patientPhone;
            param += "&patientName=" + recipeInfoConData.patientName;
            param += "&address=" + recipeInfoConData.address;
            param += "&editFlag=" + "0";
	        appcan.window.open({
	                 name: "recipeAddressEdit",
	                 dataType: 0,
	                 aniId: 2,
	                 data: "recipe_address_edit.html?" + param,
	        });
            //更新续方处方列表
            appcan.window.evaluatePopoverScript("continueRecipePage", "continueRecipeContentPage", "continueRecipeContentJs.init()");
        }
    }
    
    appcan.button("#nav-left", "btn-act", function() {
       appcan.window.close(-1);
    });
    
    var setContentTop = function() {
        headerHeight = $('#recipeInfoHeader').offset().height;
        $("#recipeInfoContent").css("top", headerHeight);
    }
    
    window.onorientationchange = window.onresize = function() {
        setContentTop();
    }
       
    var init = function() {
    	inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
    	doctorInfo = commonJs.getDoctor();
        appcan.window.disableBounce();
        setContentTop();
        recipeInfoModel.set(recipeInfoConData);
        recipeDetailInfoViewModel.collection.set(recipeInfoConData.tRecipeDetailInfoList);

    }
    
    //新增药品
    appcan.button("#btnAddDrug", "btn-act", function(event) {
        var param = "selectorId=" + doctorInfo.id; //选药者ID    
        param += "&selectorType=DT"; //选药者类型：DT:医师、AT:药师 
        // param += "&parentPageName=prescriptionOrderPage";
        param += "&parentFrameName=recipeInfoConDetailPage";
        param += "&js=recipeInfo.setSelectDrug"
        appcan.window.open({
                 name: "selectDrugPage",
                 dataType: 0,
                 aniId: 2,
                 data: "../../components/selectDrug.html?" + param,
        });
    });
    
    //接收已选择药品信息
    var setSelectDrug = function(res) {
        if (!!res){
            var drugInfo;
            if (typeof(res) === "string") {
                drugInfo = JSON.parse(res);
            } else {
                drugInfo = res;
            }
            var model = recipeDetailInfoViewModel.collection.where({"code": drugInfo.code || drugInfo.code});
            if (model.length > 0) {
                model[0].set("usageTotal", !!drugInfo.usageTotal ? Number(model[0].get("usageTotal")) + Number(drugInfo.usageTotal) : Number(model[0].get("usageTotal")) + 1);
            } else {
                var recipeDetailInfo = {};
                for (var key in recipeDetailInfoTable){
                    if (key != "id") {
                        if (!!drugInfo[key]) {
                            recipeDetailInfo[key] = drugInfo[key] || "";
                        }
                    } else {
                        recipeDetailInfo.drugId = drugInfo[key];
                    }
                }
                recipeDetailInfo.usageTotal = drugInfo.usageTotal || "1";
                //使用负数，保存删除时数据的正确性，因为删除时使用ID进行数据标记,保存数据时必须清空
                recipeDetailInfo.id = (Math.random() * 100000 * -1).toString().substr(0, 6);
                
                recipeDetailInfoViewModel.collection.add(recipeDetailInfo);
            }
            
        }    
    }
    
    var subtractDrug = function(event) {
        if (Number($(event.currentTarget.parentElement).find("input").val()) === 1) {
            return;
        }
        if (!!!$(event.currentTarget.parentElement).find("input").val().trim() || 
            Number($(event.currentTarget.parentElement).find("input").val()) <= 0) {
             num = 1;   
        } else {
            var num = Number($(event.currentTarget.parentElement).find("input").val()) - 1;
        }
        $(event.currentTarget.parentElement).find("input").val(num).change();
        
    }
    
    var usageTotalOnChange = function(self, value) {
        if (!!!value || (!!value && value < 0)) $(self).val(1);
    }
    
    var addDrug = function(event) {
        var num = Number($(event.currentTarget.parentElement).find("input").val()) + 1;
        $(event.currentTarget.parentElement).find("input").val(num).change();
        
    }
    
    //手势滑动开始坐标获取，直接监听BODY事件
    $("body").on("touchstart", function(event) {
         // 判断默认行为是否可以被禁用
         startX = event.changedTouches[0].pageX,
         startY = event.changedTouches[0].pageY;
     });
     
    //药品信息删除按钮显示
    var showDeleteBtn = function(event) {
        moveEndX = event.changedTouches[0].pageX,
        moveEndY = event.changedTouches[0].pageY,
        X = moveEndX - startX,
        Y = moveEndY - startY;
        if ( X + 100 < 0 && 50 > Y && -50 < Y) {
            //左滑
            $(event.currentTarget).find(".deleteItem").removeClass("field-nodisplay");
            $(event.currentTarget).find(".deleteItem").addClass("field-display");
            // if (!!!inParam.recipeId) {
                // $(event.currentTarget).find(".deleteItem").removeClass("field-nodisplay");
                // $(event.currentTarget).find(".deleteItem").addClass("field-display");
            // }       
        } else if ( X - 100 > 0 && 50 > Y && -50 < Y) {
            //右滑
            $(event.currentTarget).find(".deleteItem").removeClass("field-display");
            $(event.currentTarget).find(".deleteItem").addClass("field-nodisplay");
            // if (!!!inParam.recipeId) {
                // $(event.currentTarget).find(".deleteItem").removeClass("field-display");
                // $(event.currentTarget).find(".deleteItem").addClass("field-nodisplay");
            // }   
        }
    }
    
    var doDeleteDrug = function(event) {
        var code = $(event.currentTarget).parents("li").find("[data-bind='text:code']").text().trim();
        var model = recipeDetailInfoViewModel.collection.where({"code": code});
        recipeDetailInfoViewModel.collection.remove(model);
        //册除完本行数据后，隐藏删除按钮
        $(event.currentTarget).parents("ul").find(".deleteItem").removeClass("field-display");
        $(event.currentTarget).parents("ul").find(".deleteItem").addClass("field-nodisplay");
    }
    
    //症状 by sushu 2019-07-17
    appcan.button("#symptomBtn", "btn-act", function() {
	    var param = {
        	type: "symptom"  //区分类型
        };
        doSpeech(param);
    });
    //诊断结果 by sushu 2019-07-17
    appcan.button("#taskResultBtn", "btn-act", function() {
    	var param = {
        	type: "taskResult"  //区分类型
        };
        doSpeech(param);
    });
    
    //调用百度语音
    var doSpeech = function(param){
    	bethuneDoctor.startActivitySpeech(param, function (error, data) {
            if (!error){
            	if(data.type == "symptom"){
	            	var result = $("#input_symptom_result").val();
	            	recipeInfoModel.set("symptom",result+data.result);
            	}else if(data.type == "taskResult"){
	            	var result = $("#input_result").val();
	            	recipeInfoModel.set("taskResult",result+data.result);
            	}
                //alert("人脸识别:"+data.result);
            }else{
                alert("用户取消了操作");
            }
        });
    }
    
    return {
        init: init,
        setSelectDrug: setSelectDrug,
        subtractDrug: subtractDrug,
        usageTotalOnChange: usageTotalOnChange,
        addDrug: addDrug,
        showDeleteBtn: showDeleteBtn,
        doDeleteDrug: doDeleteDrug
    }
}();

appcan.ready(function() {
    recipeInfo.init();
});
