if(!window.doctorIndex){
    window.doctorIndex = {};
}

var doctorIndex = function() {
    var pageCount = 0, headerHeight, outParam, pageParam, openIndex = [];
    var doctorInfoModel = new DoctorInfoModel();
    
    doctorInfoModel.on("change:id", function(model, id) {
        if ($(".qr-code").find("canvas").length > 0) {
            $(".qr-code").find("canvas").remove();
        }
        var param = {doctorId:model.get("id")}
        $(".qr-code").qrcode({
            render : "canvas",
            width: $(".qr-code").width(),
            height: $(".qr-code").height(),
            text: (JSON.stringify(param)),
            typeNumber: -5,      //计算模式 
            background: "#ffffff",//背景颜色  
            foreground: "#000000", //前景颜色 
            src: model.get("headPicture")
        });
    });
    
    pageParam = _.clone(window.pagingParam);
    pageParam.tRecipeInfo = {};
    
    //声明viewmodel
    var doctorInfoViewModel = new(MVVM.ViewModel.extend({
        el: ".doctorInfo",
        model: doctorInfoModel
    }));

    // var doctorTab = appcan.tab({
        // selector : $("#doctorTab"),
        // hasIcon : true,
        // hasAnim : false,
        // hasLabel : true,
        // hasBadge : false,
        // index : 0,
        // data : [{
            // "label" : "首页",
            // "icon" : "app-home"
        // }, {
            // "label" : "信息",
            // "icon" : "app-information"
        // }, {
            // "label" : "工作室",
            // "icon" : "app-office"
        // }, {
            // "label" : "发现",
            // "icon" : "app-discover"
        // }, {
            // "label" : "我的",
            // "icon" : "app-my"
        // }]
    // });
    
    // var frame = appcan.require('frame');
    //页脚按钮点击事件
    // doctorTab.on("click", function(obj, index) {
    	// if (index != 0 && index != 4) {
           // return;
        // }
        // var openFlag = _.indexOf(openIndex, index) >= 0;
        // pushOpenIndex(index);
        // switch (index) {
            // case 0:
                // if (openFlag) {
                    // appcan.window.evaluatePopoverScript("doctorIndexPage", "homeIndexContentPage", "doctorIndexHomeContent.initModel()");
                    // appcan.frame.bringToFront("homeIndexContentPage");
                    // break;
                // }                
                // appcan.frame.open("content", "doctor_index_home_content.html?" + outParam, 0, headerHeight, 'homeIndexContentPage');
                // break;
            // case 1:
                // if (openFlag) {
                    // appcan.frame.bringToFront("informationIndexContentPage");
                    // break;
                // }
                // appcan.frame.open("content", "doctor_index_information_content.html?" + outParam, 0, headerHeight, 'informationIndexContentPage');
                // break;
            // case 2:
                // if (openFlag) {
                    // appcan.frame.bringToFront("officeIndexContentPage");
                    // break;
                // }
                // appcan.frame.open("content", "doctor_index_office_content.html?" + outParam, 0, headerHeight, 'officeIndexContentPage');
                // break;
            // case 3:
                // if (openFlag) {
                    // appcan.frame.bringToFront("discoverIndexContentPage");
                    // break;
                // }
                // appcan.frame.open("content", "doctor_index_discover_content.html?" + outParam, 0, headerHeight, 'discoverIndexContentPage');
                // break;
            // case 4:
                // if (openFlag) {
                    // uexWindow.evaluatePopoverScript("doctorIndexPage", "myIndexContentPage", "myIndex.init()");
                    // appcan.frame.bringToFront("myIndexContentPage");
                    // break;
                // }
                // appcan.frame.open("content", "my/my_info_content.html?" + outParam, 0, headerHeight, 'myIndexContentPage');
                // break;   
            // default:
                // break;
        // }
        // //appcan.frame.bringToFront("homeIndexContentPage");
        // //frame.selectMulti('indexContent', index);
    // });
    
    appcan.button("#doLogin", "btn-act", function() {
        commonJs.openWindow("loginPage", "../login/login.html");
    });
    
    //退出功能   by sushu 2019-07-02
    var existClick = function(){
    	if(!!doctorInfoModel.get("id")){
	    	appcan.window.alert({
	            title : "提示",
	            content : "确认退出？",
	            buttons :  ['确定', '取消'],
	            callback : function(err, data, dataType, optId) {
	                
	                if(data=="0"){
				        var param = _.clone(window.pagingParam);
					    param.id = doctorInfoModel.get("id");
					    param.onlineStatus = "N";
					    commonService.request(param, {
					        url: window.ServerURL + "/updateDoctorOnline",
					        success: function(res) {
						        if (res.result != "0") {
						            appcan.window.alert("", "更改在线状态失败，请检查设置是否正常连接网络！");
						        } else {
						            appcan.locStorage.remove("localDoctor");
						            appcan.locStorage.remove("loginUser");
						            toHomePage(0);
						            // uexWindow.evaluateScript("doctorIndexPage","0", "doctorIndex.toHomePage(4)");
						            // appcan.window.close(-1);
						            //跳转致首页
						            // if (!commonJs.checkDoctorLogin()) return;
						        }
						    }
					    });
	                }
	            }
	        });
    	}
    }

    
    //子页面消息通信方法
    var refreshDoctorState = function(res) {
        var doctorInfo;
        if(typeof(res) === "object") {
            doctorInfo = res;
        } else if(typeof(res) === "string") {
            doctorInfo = JSON.parse(res);
        }
        doctorInfoModel.set("onlineStatus", doctorInfo.onlineStatus);
        if(!!!doctorInfo.onlineStatus || doctorInfo.onlineStatus === "N" || !!!doctorInfoModel.get("id")) {
            $(".doctorOnLineState").addClass("offline");
            $(".doctorOnLineState").removeClass("online");
            $(".doctorOnLineState").text("离线")
        } else if (doctorInfo.onlineStatus === "Y") {
            $(".doctorOnLineState").addClass("online");
            $(".doctorOnLineState").removeClass("offline");
            $(".doctorOnLineState").text("在线")
        } else if (doctorInfo.onlineStatus === "R") {
            $(".doctorOnLineState").addClass("reception");
            $(".doctorOnLineState").removeClass("online");
            $(".doctorOnLineState").text("接诊")
        }
    }
    
    var toHomePage = function(index) {
        for (var key in doctorInfoModel.attributes){
            doctorInfoModel.set(key, "");
        }
        var openFlag = _.indexOf(openIndex, 0) >= 0;
        removeOpenIndex(index);
        //delete openIndex[_.indexOf(openIndex, index)];
        //设置TAB按钮是否点亮
        $("#doctorTab").find(".sc-text-active").removeClass("sc-text-active");
        $("#doctorTab").find("[data-index='0']").find(".item.sc-text-tab").addClass("sc-text-active");
        //设置医生未登陆图标
        doctorInfoModel.set("headPicture", window.doctorPhoto.unLoginDefaultUrl);
        if (!!!doctorInfoModel.get("id")) {
            $(".user-photo").css("background-color", "#e4e4e4");
        }
        refreshDoctorState(JSON.stringify(doctorInfoModel));
        //删除医生二维码
        $(".qr-code").find("canvas").remove();
        appcan.window.evaluatePopoverScript("doctorIndexPage", "homeIndexContentPage", "doctorIndexHomeContent.initModel()");
        //uexWindow.evaluatePopoverScript("homeIndexContentPage", "doctorIndexPage", "doctorIndexHomeContent.init()");
        if (openFlag) {
            appcan.frame.bringToFront("homeIndexContentPage");
            return;
        }                
        appcan.frame.open("content", "doctor_index_home_content.html?" + outParam, 0, headerHeight, 'homeIndexContentPage');
    }
    
    var pushOpenIndex = function(index) {
        if (!(_.indexOf(openIndex, index) >= 0)) {
            openIndex.push(index);   
        }
    }
    
    var removeOpenIndex = function(index) {
        if (_.indexOf(openIndex, index) >= 0) {
            delete openIndex[_.indexOf(openIndex, index)];   
        }
    }
    
    var closeWindow = function() {
        appcan.window.close(-1);
    }
    
    var initModel = function() {
         //防止多次加载时，上一次数据未被覆盖
        if (!!!commonJs.getDoctor()) {
            for (var key in doctorInfoModel.attributes){
                doctorInfoModel.set(key, "");
            }
        } else {
            doctorInfoModel.set(commonJs.getDoctor());
        }
        if (!!!doctorInfoModel.get("id")) {
            //设置医生未登陆图标
            doctorInfoModel.set("headPicture", window.doctorPhoto.unLoginDefaultUrl);
            $(".user-photo").css("background-color", "#e4e4e4");
            //commonJs.openWindow("loginPage", "../login/login.html");
        } else {
            $(".user-photo").css("background-color", "#09b1d2");
            var param = {"id": commonJs.getDoctor().id};
            commonService.request(param, {
                url: window.ServerURL + "/getDoctorByLogin",
                success: function(data) {
                    //存储医生个人信息
                    appcan.locStorage.setVal("loginUser", JSON.stringify(data[0]));
                    appcan.locStorage.setVal("localDoctor", JSON.stringify(data[0]));
                    doctorInfoModel.set(data[0]);
                    refreshDoctorState(doctorInfoModel.attributes);
                }
            });
        }
        //初始延迟5秒获取极光推送ID
        setTimeout(function() {
            commonJs.getJpushRegistrationId(doctorInfoModel.get("id"), "D");
        }, 5000);
    }
    
    var _exitProgram = function(keyCode) {
        //监听返回键，按返回键时提示退出系统
        if (keyCode === 0) {
            appcan.locStorage.remove("jpushRegistrationId");
            uexWidgetOne.exit();
        }
    }
    
    var init = function() {
        appcan.window.disableBounce();
        //设置数据集
        initModel();
        //监听物理退出键按钮
        uexWindow.setReportKey(0, 1);
        uexWindow.onKeyPressed = _exitProgram;
        
        headerHeight = $('.doctor-index').offset().height;
       
        // var footerHeight = $('[data-control="FOOTER"').offset().height;
        var contentHeight = $("[data-control='PAGE']").offset().height - headerHeight;
        outParam = "headerHeight=" + headerHeight;
        
        //appcan.frame.open("content", "pharmacist_index_content.html?headerHeight=" + titHeight, 0, titHeight, "pharmacistIndexContentPage");
        appcan.window.subscribe("doctorIndexRefreshState", refreshDoctorState);
        appcan.frame.open("content", "doctor_index_home_content.html?" + outParam, 0, headerHeight, 'homeIndexContentPage'); 
        pushOpenIndex(0);
        //设置页脚按钮为首页
        // $("#doctorTab").find(".sc-text-active").removeClass("sc-text-active");
        // $("#doctorTab").find("[data-index='0']").find(".item.sc-text-tab").addClass("sc-text-active");
        // uexWindow.evaluateScript({name: "root", type: "0", js: "closeWindow()"});
        window.onorientationchange = window.onresize = function() {
            appcan.frame.resize("content", 0, titHeight);
        }
    }
    

    
    return {
        init: init,
        initModel: initModel,
        toHomePage: toHomePage,
        refreshDoctorState: refreshDoctorState,
        closeWindow: closeWindow,
        existClick: existClick
    }
    
}();

appcan.ready(function() {
    //appcan.initBounce();
    doctorIndex.init();
    // appcan.window.on('resume', function() {
        // doctorIndex.init();
    // });
});






