/**
 * @author Nicro.Li
 */
if(!!!window.myNetwork){
    window.myNetwork = {};
}

var myNetwork = function() {
    var pageCount = 0, doctorInfo = {}, headerHeight, outParam, pageParam, openIndex = [];

    var pushOpenIndex = function(index) {
        if (!(_.indexOf(openIndex, index) >= 0)) {
            openIndex.push(index);   
        }
    }
    var createTab = function() {
        var networkTab = appcan.tab({
            selector : $("#tabview"),
            hasIcon : false,
            hasAnim : false,
            hasLabel : true,
            hasBadge : false,
            index : 0,
            data : [{
                "label" : "一级",
                "icon" : ""
            }, {
                "label" : "二级",
                "icon" : ""
            }, {
                "label" : "三级",
                "icon" : ""
            }]
        });
        //移除不需要的样式
        $("#tabview").find(".tab_l").removeClass("tab_l");
        $("#tabview").find(".t-bla").addClass("tab_item");
        
        $("#tabview").find(".uf").removeClass("uf");
        for (var i = 0; i < $("#tabview").find(".ulev-1").length; i++) {
            $("#tabview").find(".ulev-1").find(".sc-text-active").addClass("tab-active-text");
            $("#tabview").find(".ulev-1").find(".sc-text-active").parent().addClass("tab-active");
            $("#tabview").find(".ulev-1").find(".sc-text-active").removeClass("sc-text-active");
            $("#tabview").find(".ulev-1").find(".ulev").addClass("font-36");
            $("#tabview").find(".ulev-1").removeClass("ulev-1");
        }
        
        //页脚按钮点击事件
        networkTab.on("click", function(obj, index) {
            $("#tabview").find(".tab-active-text").removeClass("tab-active-text");
            $("#tabview").find(".tab-active").removeClass("tab-active");
            $("#tabview").find("[data-index='" + index + "']").addClass("tab-active");
            $("#tabview").find("[data-index='" + index + "']").find(".item").addClass("tab-active-text");
        
            var openFlag = _.indexOf(openIndex, index) >= 0;
            pushOpenIndex(index);
            switch (index) {
                case 0:
                    if (openFlag) {
                        appcan.frame.bringToFront("myNetworkFirstContentPage");
                        break;
                    }                
                    appcan.frame.open("content", "my_network_first_content.html?" + outParam, 0, headerHeight, 'myNetworkFirstContentPage');
                    break;
                case 1:
                    if (openFlag) {
                        appcan.frame.bringToFront("myNetworkSecondContentPage");
                        break;
                    }
                    appcan.frame.open("content", "my_network_second_content.html?" + outParam, 0, headerHeight, 'myNetworkSecondContentPage');
                    break;
                case 2:
                    if (openFlag) {
                        appcan.frame.bringToFront("oneTouchCallingIndexContentPage");
                        break;
                    }
                    appcan.frame.open("content", "my_network_third_content.html?" + outParam, 0, headerHeight, 'myNetworkThirdContentPage');
                    break;
                default:
                    break;
            }
        });
    }
    
    appcan.button(".nav-btn", "btn-act", function() {
        appcan.window.close(-1);
    });
    
    var init = function() {
        //appcan.window.disableBounce();
        doctorInfo = commonJs.getDoctor();
        createTab();
        headerHeight = $('[data-control="HEADER"]').offset().height;
        var tabHeight = $("#tabview").offset().height;
        headerHeight += tabHeight;
        outParam = "headerHeight=" + headerHeight;
        appcan.frame.open("content", "my_network_first_content.html?" + outParam, 0, headerHeight, 'myNetworkFirstContentPage'); 
        pushOpenIndex(0);
    }
    
    return {
        init: init
    }
    
}();

appcan.ready(function() {
    //appcan.initBounce();
    myNetwork.init();
});








