
if(!window.doctoePerson){
    window.doctoePerson = null;
}

var doctoePerson = function () {
    
    var inParam, doctorId, headerHeight;
    var editFlag;
    var editType = "", certStatus="";
    
    var doctor = new DoctoePersonModel();
    var pubEditParam = new PubEditParam();

    var doctoePersonViewModel = new (MVVM.ViewModel.extend({
        el: "#doctorPersonContent",
        model: doctor
    }));
    
     //加载职业信息界面
    var load = function(event) {
    	var outParam = "doctoriId=" + doctorId + "&editFlag="+editFlag;
        appcan.window.open({
            name: "physicianOccupationInformationPage",
            data: "physicianOccupationInformation.html?" + outParam,
            dataType: 0,
            animID: 2
        });
            
        }
     //加载认证信息界面   
    var loadrz = function(event) {
		var outParam = "doctoriId=" + doctorId+ "&editFlag="+editFlag;
        appcan.window.open({
            name: "physicianCertificationInformationPage",
            data: "physicianCertificationInformation.html?" + outParam,
            dataType: 0,
            animID: 2
        });
        
    }
    
    //加载个人签名
    var loadSignature = function(event){
    	var outParam = "doctoriId=" + doctorId+ "&editFlag="+editFlag;
        appcan.window.open({
            name: "physicianSignaturePage",
            data: "physicianSignature.html?" + outParam,
            dataType: 0,
            animID: 2
        });
    }
    
    var getDoctorPerson = function() {
        var findParam = {"id": doctorId, "pageIndex":1 ,"pageSize": 10};
        doctoePersonViewModel.model.fetch({param: findParam});
        // setTimeout(function() {
//           
        // }, 200);
    }
    
    var init = function() {
        //些页面禁用弹动效果
        appcan.window.disableBounce();
        //获取入参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        doctorId = !!inParam ? inParam.doctoriId || "_" : "_";
        headerHeight = !!inParam ? inParam.headerHeight || 0 : 0;
        //显示类型，控制哪些字段可显示查看
        var showType = !!inParam ? inParam.showType || "" : "";
        //是否可以编辑页面资料
        editFlag = !!inParam ? inParam.editFlag || "Y" : "Y";
        //加载数据
        getDoctorPerson();
    }
    
    //相机点击事件
    var photoClick = function(){
    	certStatus = doctor.get("certStatus");
    	// if(editFlag == "Y" && certStatus == "WRZ"){
    		// $("#modeLayer1").show();
    	// }
    	if(editFlag == "Y"){
    		$("#modeLayer1").show();
    	}
    }
    
    //拍照
    var photographClick = function(){
    	$("#modeLayer1").hide();
    	uexCamera.open(0,100);
		uexCamera.cbOpen = function(opCode, dataType, data){
			uploadFileService(data);
		}
    }
    
    //相册选择
    var selectphotoClick = function(){
    	$("#modeLayer1").hide();
    	// uexImage.openPicker(JSON.stringify({"min": 1, "max":1}),function(error,info){
    		// if(error == -1){
				// alert("cancelled!");
			// }else if(error == 0){
				// var imageInfo = JSON.parse(info);
				// uploadFileService(imageInfo.data[0]);
			// }else{
				// alert("error");
			// }
   		// });
   		uexImage.openPicker(JSON.stringify({"min": 1, "max":1}));
   		uexImage.onPickerClosed = function (info){
   			var imageInfo = JSON.parse(info);
   			uploadFileService(imageInfo.data[0]);
   		}
    }
    
    //上传服务器
    var uploadFileService = function(urlString){
		var uploader = uexUploaderMgr.create({
			      url: window.uploadHttp,
			      type: 1
			});
		if(!!!uploader){
		    alert("创建失败!");
		    return;
		}
		var headJson = {
			// "id": "1",
			"id": doctorId,
			"pictureName": "headPicture",
			"pictureType": "doctor", 
			"patientCode": "adidlslsidkdks"
		};
		var ret = uexUploaderMgr.setHeaders(uploader, JSON.stringify(headJson)); 
		uexUploaderMgr.uploadFile(uploader, urlString, "headPicture", 1, 640,function(packageSize, percent, responseString, status){
		    switch (status) {
		    case 0:
		        document.getElementById('percentage').innerHTML = "上传包大小:"+packageSize+"<br>上传进度:"+percent+"%";
		        break;
		    case 1:
		        appcan.window.openToast("上传成功", 2000, 5, 0);
		        var headpicture=document.getElementById('imgs');
		        headpicture.style.backgroundImage ='url('+window.PicURL + responseString+'?temp='+ Math.random()+')';
		        break;
		    case 2:
		        alert("上传失败");
		        break;
		    }
		});
    }
    
    //取消
    var cancelClick = function(){
    	$("#modeLayer1").hide();
    }
    
    //带码表公共点击事件
    var commonClick = function(editType){
    	certStatus = doctor.get("certStatus");
    	//允许编辑
    	if(editFlag == "Y" && certStatus == "WRZ"){
    		var changeObjectValue;
    		var options;
    		if(editType == "sex"){
    			changeObjectValue = {"sex": doctor.get("sex")};
	        	options = {fieldCode: "sex", fieldName: "性别",
	            editorType: "checkItem", fieldValue: changeObjectValue, codelistType: "genderType"};    
    		}else if(editType == "education"){
    			changeObjectValue = {"education": doctor.get("education")};
	        	options = {fieldCode: "education", fieldName: "学历",
	            editorType: "checkItem", fieldValue: changeObjectValue, codelistType: "education"};
    		}else if(editType == "openBank"){
    			changeObjectValue = {"openBank": doctor.get("openBankCode")};
	        	options = {fieldCode: "openBank", fieldName: "开户行",
	            editorType: "checkItem", fieldValue: changeObjectValue, codelistType: "openBank"};
    		}
	        pubEditParam.saveLocStorage(options);
	        var paramStr = "&parentPageName=physicianPersonalInfoPage";
	            paramStr += "&parentFrameName=physicianPersonalInformationPage";
	            paramStr += "&js=doctoePerson.getPubEditValue";
	        appcan.frame.open("content", "../../components/pubEditValue.html?" + paramStr, 0, inParam.headerHeight, "physicianCommonPubPage");
    	}
    }
    
    //获取编辑值
    var getPubEditValue = function(res){
    	var formData = new FormData();
    	formData.append('id',doctorId);
    	var frame = appcan.require("frame");
        var value;
        if(typeof(res) === "string") {
           value = JSON.parse(res);
        } else if(typeof(res) === "object") {
            value = res;
        }
        if (value.fieldCode === "sex") {
            doctor.set("sex", value.fieldValue.sex);
            formData.append('sex',value.fieldValue.sex);
        } else  if (value.fieldCode === "education") {
            doctor.set("education", value.fieldValue.education);
            formData.append('education',value.fieldValue.education);
        } else  if (value.fieldCode === "openBank") {
            doctor.set("openBankCode", value.fieldValue.openBank);
            doctor.set("openBankName", getCodeListText(window.codeList.openBank,value.fieldValue.openBank));
            formData.append('openBankCode',value.fieldValue.openBank);
            formData.append('openBankName',encodeURIComponent(getCodeListText(window.codeList.openBank,value.fieldValue.openBank)));
        }
        frame.close("physicianCommonPubPage");
        pubEditParam.removeLocStorage();
        doSave(formData);
    }
    
    //保存
    var doSave = function(formData){
	    var url = window.ajaxFormUrl+'/gatewayApp/ws/doctor/updateDoctorInfo';
	    $.ajax({
	        url: url,
	        type: 'POST',
	        data: formData,
	        async: false,
	        cache: false,
	        contentType: false,
	        // contentEncoding: 'charset=utf-8',
	        processData: false,
	        success: function(res) {
	        	if(JSON.parse(res).result == '0'){
	        		appcan.window.openToast("更新成功", 2000, 5, 0);
	        	}else{
			        appcan.window.alert({
			            title : "提示",
			            content : "提交失败，"+res.message,
			            buttons : '确定'
			        });
	        	}
	        },
	        error: function(e, err) {
		    	appcan.window.alert({
		            title : "提示",
		            content : "提交失败，请联系管理员",
		            buttons : '确定',
		            callback : function(err, data, dataType, optId) {
		
		            }
		        });
	        }
	    });
    }
    
    //编辑项
    var toEditPage = function(editType,id,event){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	editType = editType;
	        var currentText = $(event.currentTarget).find("#"+id).text().trim();
	        var paramStr = "&parentPageName=physicianPersonalInfoPage";
            paramStr += "&parentFrameName=physicianPersonalInformationPage";
            paramStr += "&js=doctoePerson.setDoctorEditData";
            paramStr += "&editType="+ editType+"&currentText="+currentText+"&editInputId="+id;
	        appcan.window.open({
	            name : "doctorInfoEditPage",
	            data : "doctor_info_edit.html?"+paramStr,
	            aniId : "2"
	        });
    	} 
    }
    
    //监听编辑项
    var setDoctorEditData = function(editJson){
    	var formData = new FormData();
    	formData.append('id',doctorId);
        editType = editJson.editType;
        var id = editJson.editInputId;
        $("#"+id).text(editJson.editText);
        if (editType == "NAME") {
            //姓名
            doctor.set("doctorName", editJson.editText);
            formData.append('doctorName',encodeURIComponent(editJson.editText));
        } else if (editType == "IDENTIFY") {
            //身份证号
            doctor.set("cardId", editJson.editText);
            formData.append('cardId',editJson.editText);
        } else if (editType == "UNIVERSITY") {
            //毕业院校
            doctor.set("university", editJson.editText);
            formData.append('university',encodeURIComponent(editJson.editText));
        } else if (editType == "BANKACCOUNT") {
            //银行账号
            doctor.set("bankAccount", editJson.editText);
            formData.append('bankAccount',editJson.editText);
        }
        doSave(formData);
    }
    
    //加载省市区事件
    var cityClick = function() {
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	var formData = new FormData();
	    	formData.append('id',doctorId);
	        var _self = this;
	        var layer = 3
	        if (_self.city) {
	            _self.city.show(function(items) {
	            	doctor.set("regionId", items.id);
	            	doctor.set("regionCode", items.regionCode);
	            	doctor.set("regionDesc", items.fullName);
	            	formData.append('regionId',items.id);
	            	formData.append('regionCode',items.regionCode);
	            	formData.append('regionDesc',encodeURIComponent(items.fullName));
	            	doSave(formData);
	            });
	        } else {
	            _self.city = new Neusoft.DistrictPicker({
	                layer: layer
	            });
	            _self.city.show(function(items) {
	            	doctor.set("regionId", items.id);
	            	doctor.set("regionCode", items.regionCode);
	            	doctor.set("regionDesc", items.fullName);
	            	formData.append('regionId',items.id);
	            	formData.append('regionCode',items.regionCode);
	            	formData.append('regionDesc',encodeURIComponent(items.fullName));
	            	doSave(formData);
	            	// _self.city.dispose();
	                // _self.city = null;
	            }, {regionCode: ""});
	        }
    	}
    }
    
        
    return {
    	load: load,
    	loadrz: loadrz,
    	loadSignature: loadSignature,
        init: init,
        photoClick: photoClick,
        photographClick: photographClick,
        selectphotoClick: selectphotoClick,
        cancelClick: cancelClick,
        commonClick: commonClick,
        getPubEditValue: getPubEditValue,
        toEditPage:toEditPage,
        setDoctorEditData: setDoctorEditData,
        cityClick: cityClick
    }    
}();

appcan.ready(function() {
    doctoePerson.init();
});
