if (!window.drugPayPayment) {
    window.drugPayPayment = null;
}

var drugPayPayment = function() {
    var inParam, recipeId, headerHeight,payId;  
    var self = this;    
    var recipeInfoModel = new DrugPayRecipeInfoModel();
    var payInfo = {};
    var recipeInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#drugPaymentContent",
        model: recipeInfoModel,
        collection: new RecipeDrugDetailCollection()
    }));
            
    var success = function(res) {
        if (!!res && !!res.tRecipeInfoVOList) {
            getPayInfo();
           
            setTimeout(function() {
            	 
                //写入缴费单号、缴费类型
                res.tRecipeInfoVOList[0].tRecipeInfo.payOrderCode = payInfo.code;
                res.tRecipeInfoVOList[0].tRecipeInfo.payOrderType = payInfo.payOrderType;
                recipeInfoModel.set(res.tRecipeInfoVOList[0].tRecipeInfo);
                recipeInfoViewModel.collection.add(res.tRecipeInfoVOList[0].tRecipeDrugDetailList); 
            }, 100);            
        }
    }
    var options = {};
    options.success = success;
    options.url = window.ServerURL + "/getTRecipeInfoXf";
    
    var dragenter = function(event) {
        console.log("dragenter");
    }
    
    /*
    $('#tastDoctorName').on("swipe", function(event){
        console.log("tastDoctorName  swipe");
        appcan.window.openToast("swipe 诊费缴费单功", 2000, 5, 0);
    });
    $('#tastDoctorName').on("longTap",function(event){
        console.log("tastDoctorName  longTap");
        appcan.window.openToast("longTap 诊费缴费单功", 2000, 5, 0);
        $("#itemDelete").css("display", "block");
    });
    $('#tastDoctorName').on("tap", function(event){
        console.log("tastDoctorName  tao");
        appcan.window.openToast("tao 诊费缴费单功", 2000, 5, 0);
    });
    */
    
    var getPayInfo = function() {
        var param = {}; //_.clone(window.pagingParam);
        param.status = "0";
        param.orderId = recipeId;
        param.pageIndex = _.clone(window.pagingParam).pageIndex;
        param.pageSize = _.clone(window.pagingParam).pageSize;
    
        var url = window.ServerURL + "/getPayXf";
        
        commonJs.requestAjax(url, JSON.stringify(param), 
            function(res) {
                if (res.length > 0) {
                    payInfo = res[0];
                }
                refreshBtn();
            }, function(e) {
                
            }
        );
    }
    
    var refreshBtn = function() {
        if (payInfo.status != "0"){
            $("#btnToFeePayment").css("pointer-events", "none");
            $("#btnToFeePayment").addClass("disable");
        }
    }
        
    var init = function() {
        appcan.window.disableBounce();
        inParam = uexWindow.getUrlQuery();
        
        try {
        	
            payId = inParam.split("&")[0] ;
        } catch (e) {
            
        }
        try {
            headerHeight = inParam.split("&")[1].split("=")[1];
        } catch (e) {
            
        }
        recipeId =  payId ||"1s";
        //headerHeight = inParam.headerHeight;
        var recipeInfoPamar = _.clone(window.pagingParam);
        recipeInfoPamar.tRecipeInfo =  {
            id: recipeId
        }
        commonService.request(recipeInfoPamar, options);
        //recipeInfoModel.set(recipeInfoTestValue);
        //recipeInfoViewModel.collection.add(recipeInfoTestValue.tRecipeDrugDetailList);        
    }
    //电子处方单
    appcan.button("#btnRecipeInfo", "btn-act", function() {
       appcan.window.open({
            name: "e-PrescribingPage",
            dataType: 0,
            aniId: 2,
            data: "../../components/electronic_prescribing.html?id=" + recipeInfoModel.get("id")
        });
    });
    
    
    
    return {
        init: init
    }
}();

appcan.ready(function() {
    drugPayPayment.init();
    appcan.window.subscribe("feePaymentSuccess", function(res) {
        //加载数据
        //getPay();
    });
   //recipeInfoService.request({param: "test"}, drugPayPayment);
});
