if(!window.baseInfoPopJs){
	window.baseInfoPopJs = {}
}
var baseInfoPopJs = function() {
	var illnessCode = appcan.locStorage.getVal("illnessCode")
    var illnessName = appcan.locStorage.getVal("illnessName")
	//选择疾病的数组
	var illnessCodeArr = [];
	var illnessNameArr = [];
	var selectType = "";
    var currentValue = "";
    var currentText = "";
    var selectListViewModel = "";
    var inParam;
    var CodeListModel = MVVM.Model.extend({
        //defaults,散列（或函数）用于为模型指定默认属性。
        defaults: {"value": "", "text": "", "checked": false, "first": false, "last": false},
        idAttribute: "value"
    });
    
    var CodeListCollection = MVVM.Collection.extend({
        initialize: function() {
            return;
        },
        parse: function(data) {        
            return data;
        },
        model: CodeListModel
    });
    
    // var selectListViewModel = new(MVVM.ViewModel.extend({
        // el: "#selectListViewSex",
        // collection: new CodeListCollection()
    // }));
	
    var init = function() {
    	//获取疾病信息
    	if(illnessCode != null && illnessCode != "" && illnessCode != 'null'){
    		illnessCodeArr = illnessCode.split(',');
    		illnessNameArr = illnessName.split(',');
    	}
    	
    	var sHeight = $("#selectIllens").offset().height;
    	var bodyHeight = $("[data-control='PAGE']").offset().height;
    	$("#selectIllens").css("top", (bodyHeight - sHeight) + "px")
    	
    	$("#illnessDiv").attr("style"," display: block!important;");
    	for(var i=0; i<illnessNameArr.length; i++){
    		var html = '';
	        html += '<p class="doc-hint ulev-1" illnessCode="'+illnessCodeArr[i]+'" illnessName="'+illnessNameArr[i]+'" onclick="baseInfoPopJs.remove($(this))">' +
	        			illnessNameArr[i] +
	        		'</p>';
	        $('#illnessInfo').append(html);
    	}
    	
    	inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
    	if(inParam!=null&&typeof(inParam)!='undefined'){
            selectType = inParam.selectType; 
            currentValue = inParam.currentValue;
            currentText = inParam.currentText;
            if(selectType!=null&&selectType!="undefined"&&typeof(selectType)!="undefined"){
                if(selectType=="SEX"){
				    selectListViewModel = new(MVVM.ViewModel.extend({
				        el: "#selectListViewSex",
				        collection: new CodeListCollection()
				    }));
                    //性别选择
                    $("#sexContent").attr("style"," display: block!important;");
                    selectListViewModel.collection.add(window.codeList.genderType);
                    
                }else if(selectType == 'EDUCATION'){
                	selectListViewModel = new(MVVM.ViewModel.extend({
				        el: "#selectListViewEducation",
				        collection: new CodeListCollection()
				    }));
                	//学历选择
                    $("#educationContent").attr("style"," display: block!important;");
                    selectListViewModel.collection.add(window.codeList.education);
                }else if(selectType == 'DOCTORTITLE'){
                	selectListViewModel = new(MVVM.ViewModel.extend({
				        el: "#selectListViewDoctorTitle",
				        collection: new CodeListCollection()
				    }));
                	//职称选择
                    $("#doctorTitleContent").attr("style"," display: block!important;");
                    selectListViewModel.collection.add(window.codeList.doctorTitle);
                }else if(selectType == 'DOCTORTYPE'){
                	selectListViewModel = new(MVVM.ViewModel.extend({
				        el: "#selectListViewDoctorType",
				        collection: new CodeListCollection()
				    }));
                	//科别选择
                    $("#doctorTypeContent").attr("style"," display: block!important;");
                    selectListViewModel.collection.add(window.codeList.doctorType);
                }else if(selectType == 'DISEASE'){
                	//科别选择
                    $("#diseaseContent").attr("style"," display: block!important;");
                }
            }
            

            if (currentValue != null && currentValue != "undefined" && typeof (currentValue) != "undefined" && currentText != null && currentText != "undefined" && typeof (currentText) != "undefined") {
                
                var codeListModel = selectListViewModel.collection.where({
                    checked : true
                });
                if (codeListModel.length > 0) {
                    codeListModel[0].set("checked", false);
                }
                codeListModel = selectListViewModel.collection.where({
                    value : currentValue
                });
                if (codeListModel.length > 0) {
                    codeListModel[0].set("checked", true);
                }

            }

        }
    }
    
    //取消事件
    var cancelClick = function() {
    	appcan.window.closePopover('baseInfo');
    }
    
    //确定事件
    var submitClick = function() {
    	var data = {code:illnessCodeArr, name:illnessNameArr}
    	//appcan.window.publish("setDiseaseData", data);
    	appcan.window.evaluatePopoverScript(inParam.parentPageName,inParam.parentFrameName, inParam.js+"("+JSON.stringify(data)+")");
    	appcan.window.closePopover('baseInfo');
    }
    
    //选择事件
    var selectListClick = function(event) {
        var selectValue = $($(event.currentTarget).find("#codeValue")).text().trim();
        var selectText = $($(event.currentTarget).find("#codeText")).text().trim();
        if (!!!selectValue) {
            return;
        }
        var codeListModel = selectListViewModel.collection.where({checked: true});
        if (codeListModel.length > 0) {
                codeListModel[0].set("checked", false);
        }
        codeListModel= selectListViewModel.collection.where({value: selectValue});
        if (codeListModel.length > 0) {
            codeListModel[0].set("checked", true);
        }
        var selectData = "";
        //性别选择
    	if(selectType == 'SEX'){
	    	selectData = {"selectType":'SEX',"selectText":selectText,"selectValue":selectValue};
    	}else if(selectType == 'EDUCATION'){
    		//学历选择
    		selectData = {"selectType":'EDUCATION',"selectText":selectText,"selectValue":selectValue};
    	}else if(selectType == 'DOCTORTITLE'){
    		//学历选择
    		selectData = {"selectType":'DOCTORTITLE',"selectText":selectText,"selectValue":selectValue};
    	}else if(selectType == 'DOCTORTYPE'){
    		//科别选择
    		selectData = {"selectType":'DOCTORTYPE',"selectText":selectText,"selectValue":selectValue};
    	}
    	appcan.window.publish("setSelectData", JSON.stringify(selectData));
	    appcan.window.closePopover('baseInfo');
    }
    
    //疾病搜索查询按钮
    var btnSearch = function() {
    	var url = window.ServerURL + "/getIllnessType"; 
    	var data = {};
    	data.pageIndex = 1;
    	data.pageSize = 10;
    	data.illnessName = $("#illnessName").val();
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, illnessNameSuccess, illnessNameFail);
    }
    
    //疾病搜索成功回调
    var illnessNameSuccess = function(res){
    	if(res.length > 0){
    		$("#illnessResultDiv").attr("style"," display: block!important;");
    	}
    	var html = '';
        $.each(res, function(commentIndex, comment){
            html += '<li style="padding-bottom: 0.3em;" illnessCode="'+comment.illnessCode+'" illnessName="'+comment.illnessName+'" onclick="baseInfoPopJs.illnessNameSelect($(this))">' +
	                	comment.illnessName +
	                '</li>';
        });
		$('#illnessResultUl').html(html);
    }
    
    //疾病搜索失败回调
    var illnessNameFail = function(e, err) {
    	appcan.window.alert({
            title : "提示",
            content : "查询失败，请联系管理员",
            buttons : '确定',
            callback : function(err, data, dataType, optId) {

            }
        });
    }
    
    //疾病选择事件
    var illnessNameSelect = function(obj){
    	$("#illnessDiv").attr("style"," display: block!important;");
    	var illnessCode = $(obj).attr("illnessCode");
    	var illnessName = $(obj).attr("illnessName");
    	if(illnessCodeArr.indexOf(illnessCode) == '-1'){
    		illnessCodeArr.push(illnessCode);
	    	illnessNameArr.push(illnessName);
	    	var html = '';
	        html += '<p class="doc-hint ulev-1" illnessCode="'+illnessCode+'" illnessName="'+illnessName+'" onclick="baseInfoPopJs.remove($(this))">' +
	        			illnessName +
	        		'</p>';
	        $('#illnessInfo').append(html);
    	}
    }
    
    //移除
    var remove = function(obj){
    	var illnessName = $(obj).attr("illnessName");
    	var index = illnessNameArr.indexOf(illnessName);
    	var illnessCode = $(obj).attr("illnessCode");
    	var index1 = illnessCodeArr.indexOf(illnessCode);
    	if(index != '-1'){
    		illnessNameArr.splice(index, 1);
    	}
    	if(index1 != '-1'){
    		illnessCodeArr.splice(index1, 1);
    	}
    	$(obj).remove();
    }
    
    
    return {
        init: init,
        cancelClick: cancelClick,
        submitClick: submitClick,
        selectListClick: selectListClick,
        btnSearch: btnSearch,
        illnessNameSelect: illnessNameSelect,
        remove: remove
    }
}();


appcan.ready(function() {
    baseInfoPopJs.init();
});