if(!window.doctorRegInfo4Js){
	window.doctorRegInfo4Js = {}
}
var doctorRegInfo4Js = function() {
	
	//返回上一页面
	appcan.button(".nav-btn", "btn-act", function() {
		appcan.window.close(-1);
	});
	
	var oCanvas = document.getElementById("canvas");
	oCanvas.width = $("#mycanvas").width();
	var bodyHeigtht = $("[data-control='CONTENT']").offset().height;
	var btnHeight = $("#subButton").offset().height;
	oCanvas.height = Number((bodyHeigtht - btnHeight - 100)/2);
	var signaturePad;
	var formData = new FormData();
	// var mobile,name,idCardNum,id,certificationRole;
	
	var loginUser = JSON.parse(appcan.locStorage.getVal("loginUser"));
	
    var init = function() {
    	// var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        // if(inParam!=null&&typeof(inParam)!='undefined'){
            // mobile = inParam.mobile;
            // name = inParam.name;
            // idCardNum = inParam.idCardNum;
            // id = inParam.id;
            // certificationRole = inParam.certificationRole;
        // }
	    signaturePad = new SignaturePad(oCanvas, {
			backgroundColor: 'rgb(240, 240, 240)',
			penColor: 'rgb(0, 0, 0)',
			//minWidth: 1,
			maxWidth: 5.5 //字体加粗
		});
    }
    
    //提交认证按钮
    var submitSaveClick = function() {
    	if(signaturePad.isEmpty()){
    		alert("请先完成签名,再提交认证!");
    	}else{
    		var dataURL = signaturePad.toDataURL();
    		download(dataURL, "signature.png");
    	}
    }
    
    //清除按钮
    var clearClick = function() {
    	signaturePad.clear();
    }
    
    var download = function(dataURL, filename){
    	if(navigator.userAgent.indexOf("Safari") > -1 && navigator.userAgent.indexOf("Chrome") === -1){
    		window.open(dataURL);
    	}else{
    		var blob = dataURLToBlob(dataURL, filename);
    		var url = window.URL.createObjectURL(blob);
    		// formData.append('id', id);
    		formData.append('id', loginUser.id);
    		formData.append('autoSealUrl', blob);
    		sendAjax();
    	}
    }
    
    var dataURLToBlob = function(dataURL, filename){
    	var parts = dataURL.split(';base64,');
		var contentType = parts[0].split(":")[1];
		var raw = window.atob(parts[1]);
		var rawLength = raw.length;
		var uInt8Array = new Uint8Array(rawLength);
		for (var i = 0; i < rawLength; ++i) {
        	uInt8Array[i] = raw.charCodeAt(i);
  		}
  		return new File([uInt8Array],filename, { type: contentType });
    }
    
    //发送AJAX请求
	var sendAjax = function () {
		// var url = "";
		// if(certificationRole == "DOCTOR"){
			// url = window.ajaxFormUrl+'/gatewayApp/ws/doctor/updateDoctorInfo';
		// }else if(certificationRole == "PHARMACIST"){
			// url = window.ajaxFormUrl+'/gatewayApp/ws/apothecary/updateApothecaryInfo';
		// }
	     
	    var url = window.ajaxFormUrl+'/gatewayApp/ws/doctor/updateDoctorInfo';
	     
	    $.ajax({
	        url: url,
	        type: 'POST',
	        data: formData,
	        async: false,
	        cache: false,
	        contentType: false,
	        // contentEncoding: 'charset=utf-8',
	        processData: false,
	        success: function(res) {
	        	if(JSON.parse(res).result == '0'){
					// var paramData = "mobile="+mobile;
					// paramData += "&name="+name;
					// paramData += "&idCardNum="+idCardNum;
					// paramData += "&certificationRole="+certificationRole;
					// commonJs.openWindow("certificationShowHeadPage", "certification_show.html?"+paramData);
					
					//查询医生的个人信息
					getDoctorByLogin();
	        	}else{
			        appcan.window.alert({
			            title : "提示",
			            content : "提交失败，"+res.message,
			            buttons : '确定'
			        });
	        	}
	        },
	        error: function(e, err) {
		    	appcan.window.alert({
		            title : "提示",
		            content : "提交失败，请联系管理员",
		            buttons : '确定',
		            callback : function(err, data, dataType, optId) {
		
		            }
		        });
	        }
	    });
	}

    //查询医生的个人信息
    var getDoctorByLogin = function() {
    	var url = window.ServerURL + "/getDoctorByLogin"; 
    	var data = {};
    	data.id = loginUser.id;
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
    		//存储医生个人信息
			appcan.locStorage.setVal("loginUser", res[0]);
			appcan.locStorage.setVal("localDoctor", res[0]);
		    appcan.window.open({
				name : "doctorIndexPage",
				dataType : 0,
				aniId : 2,
				data : "../doctor/doctor_index.html"
			});
			appcan.locStorage.remove("selectRole");
            appcan.locStorage.remove("option");
            //关闭注册页
			appcan.window.evaluateScript("doctorRegister", "commonJs.closeWindow()");
			//关闭注册信息1页
			appcan.window.evaluateScript("doctorRegInfo1", "commonJs.closeWindow()");
			//关闭注册信息2页
			appcan.window.evaluateScript("doctorRegInfo2", "commonJs.closeWindow()");
			//关闭注册信息3页
			appcan.window.evaluateScript("doctorRegInfo3", "commonJs.closeWindow()");
            //关闭注册信息4页--当前页
            uexWindow.evaluateScript("", "0", "commonJs.closeWindow()");
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "个人信息查询失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }
    
    return {
        init: init,
        clearClick: clearClick,
        submitSaveClick: submitSaveClick
    }
}();


appcan.ready(function() {
    doctorRegInfo4Js.init();
});