if(!window.registerJs){
	window.registerJs = {}
}
var registerJs = function() {
	var countdown = 60;
	var setTimeFlag = true;
	//判断角色
	var selectRole = appcan.locStorage.getVal('selectRole');
	
	//返回上一页面
	appcan.button(".nav-btn", "btn-act", function() {
		appcan.window.close(-1);
	});
	
    var init = function() {
    }
    
    //register.html下一步事件
    var nextClick1 = function() {
    	//调用注册接口
    	var url = window.ServerURL + "/register"; 
    	var data = {};
    	if(selectRole == 'DOCTOR'){
    		//医生
    		data.registerType = 'DOCTOR';
    	}else if(selectRole == 'APOTHECARY'){
    		//药师
    		data.registerType = 'APOTHECARY';
    	}else if(selectRole == 'MC'){
    		//机构
    		data.registerType = 'MC';
    	}
    	data.mobile = $("#mobile").val();
    	data.verifyCode = $("#verifyCode").val();
    	data.password = $("#password").val();
    	data.password1 = $("#password1").val();
    	if(data.password != data.password1){
    		appcan.window.alert({
	            title : "提示",
	            content : "密码和确认密码不一致",
	            buttons : '确定'
	        });
	        return;
    	}
    	// var _self = this;
    	// _self.md5password = new Neusoft.md5Encode();
    	// var md5password = new Neusoft.md5Encode().md5(data.password);
    	// alert(md5password)
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, registerSuccess, registerFail);
    }
    
    //注册成功回调
    var registerSuccess = function(res) {
    	if(res.result == '0') {
	    	if (selectRole == 'DOCTOR') {
				var doctorInfoModel = new DoctorInfoModel();
			    var doctorInfoViewModel = new (MVVM.ViewModel.extend({
			        el: "#doctorInfoView",
			        model: doctorInfoModel
			    }));
			    doctorInfoModel.set("id", res.id);
			    appcan.locStorage.setVal("loginUser", doctorInfoModel);
			    //关闭首页
			    appcan.window.evaluateScript("doctorIndexPage", "commonJs.closeWindow()");
				appcan.window.open({
					name : "doctorRegInfo1",
					dataType : 0,
					aniId : 2,
					data : "doctor_reg_info1_head.html"
				});
			} else if (selectRole == 'APOTHECARY') {
				var apothecaryInfoModel = new ApothecaryInfoModel();
			    var apothecaryInfoViewModel = new (MVVM.ViewModel.extend({
			        el: "#doctorInfoView",
			        model: apothecaryInfoModel
			    }));
			    apothecaryInfoModel.set("id", res.id);
			    appcan.locStorage.setVal("loginUser", apothecaryInfoModel);
				appcan.window.open({
					name : "pharmacist",
					dataType : 0,
					aniId : 2,
					data : "pharmacist_reg_info_head.html"
				});
			} else if (selectRole == 'MC') {
				appcan.window.open({
					name : "institutionInfo",
					dataType : 0,
					aniId : 2,
					data : "institution_info_head.html"
				});
			}
    	}else {
	    	appcan.window.alert({
	            title : "提示",
	            content : "注册失败，"+res.message,
	            buttons : '确定'
	        });
    	}
    }
    
    //失败回调
    var registerFail = function(e, err) {
    	appcan.window.alert({
            title : "提示",
            content : "注册失败，请联系管理员",
            buttons : '确定',
            callback : function(err, data, dataType, optId) {

            }
        });
    }
    
    //获取验证码点击事件
    var captchaSettimeClick = function() {
    	if(setTimeFlag == true){
    		setTime();
    	}else{
    		
    	}
    }
    
    //设置时间
    var setTime = function() {
    	if (countdown == 0) {
    		setTimeFlag = true;
            captchaBtn.innerHTML = "获取验证码";
            countdown = 60;
            $('#captchaBtn').removeClass("captchaBtn-hint");
            $('#captchaBtn').addClass("resetid-hint");
            return false;
        } else {
        	setTimeFlag = false;
            if(countdown==60){
                //重发验证码
                sendCaptcha();
            }
            $('#captchaBtn').addClass("captchaBtn-hint");
            $('#captchaBtn').removeClass("resetid-hint");
            captchaBtn.innerHTML =  countdown + "秒后重新发送";
            countdown--;
        }
        setTimeout(function() {
            setTime(captchaBtn);
        }, 1000);
    }
    
    //发送验证码
    var sendCaptcha = function(){
    	var mobile = $("#mobile").val();
        var dataParam = JSON.stringify({"mobile":mobile});
        var url = window.ajaxOuterUrl + "/smsSendCode";

        commonJs.requestAjax(url, dataParam, function(res) {
            console.log(res);
            
           
    
        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "发送验证码失败，请联系管理员",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
    
                }
            });

        });
    }
    
    return {
        init: init,
        nextClick1: nextClick1,
        captchaSettimeClick: captchaSettimeClick
    }
}();


appcan.ready(function() {
    registerJs.init();
});