if(!window.resetIdPasswordJs){
	window.resetIdPasswordJs = {}
}
var resetIdPasswordJs = function() {
    var phoneNum;
    var roleType;
    //医生、药师id
	var personId = '';
        
    var init = function() {
    	var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if(inParam!=null&&typeof(inParam)!='undefined'){
            phoneNum = inParam.phoneNum;
            roleType = inParam.roleType;
        }
    }
    
    //确定事件
    var confirmClick = function(){
    	var password = $("#password").val();
    	var password1 = $("#password1").val();
    	if(password != password1){
    		appcan.window.openToast("密码和确认密码不一致", 2000, 5, 0);
    		return;
    	}
    	var url = window.ServerURL + "/updateForgetPasswd";
    	var data = {};
    	data.phone = phoneNum;
    	data.type = roleType;
    	data.passwd = password;
    	var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, resetSuccess, resetFail);
    }
    
    //成功事件
    var resetSuccess = function(res){
    	if(res.result == '0') {
    		personId = res.id;
    		appcan.window.openToast("修改成功", 2000, 5, 0);
		   	setTimeout(function() {
			   	if(roleType == 'D'){
					//查询医生的个人信息
					getDoctorByLogin();
	    		}else if(roleType == 'A'){
	    			//查询药师个人信息
	    			getTApothecaryInfoByLogin();
	    		}else if(roleType == 'MC'){
	    			//查询机构信息
	    			alert('机构')
	    		}
            }, 500);
    	}else {
	    	appcan.window.alert({
	            title : "提示",
	            content : "重置失败，"+res.message,
	            buttons : '确定'
	        });
    	}
    }
    
    //失败事件
    var resetFail = function(e, err){
    	appcan.window.alert({
            title : "提示",
            content : "重置失败，请联系管理员",
            buttons : '确定',
            callback : function(err, data, dataType, optId) {

            }
        });
    }
    
    //查询医生的个人信息
    var getDoctorByLogin = function() {
    	var url = window.ServerURL + "/getDoctorByLogin"; 
    	var data = {};
    	data.id = personId;
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
    	    //存储医生个人信息
            appcan.locStorage.setVal("loginUser", res[0]);
            appcan.locStorage.setVal("localDoctor", res[0]);
            //OPEN打开时，如果窗口存在，会把此窗口浮到最上层，所以此处进行页面重新初始化
            uexWindow.evaluateScript("doctorIndexPage", "0", "doctorIndex.init()");
		    appcan.window.open({
				name : "doctorIndexPage",
				dataType : 0,
				aniId : 2,
				data : "../doctor/doctor_index.html"
			});
			appcan.locStorage.remove("selectRole");
            appcan.locStorage.remove("option");
			appcan.window.evaluateScript("loginPage", "commonJs.closeWindow()");
            uexWindow.evaluateScript("", "0", "closeWindow()");
			
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "个人信息查询失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }
    
    //查询医师个人信息
    var getTApothecaryInfoByLogin = function() {
    	var url = window.ServerURL + "/getTApothecaryInfoByLogin"; 
    	var data = {};
    	data.id = personId;
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
    		//存储医师个人信息
            appcan.locStorage.setVal("loginUser", res[0]);
            appcan.locStorage.setVal("localApothecary", res[0]);
    		if(res[0].apothecaryTypeCode == 'YS'){
    		    appcan.window.evaluateScript("auditPharmacistIndex", "auditPharmacistIndex.initModel()");
	    		appcan.window.open({
					name : "auditPharmacistIndex",
					dataType : 0,
					aniId : 2,
					data : "../pharmacist/audit_pharmacist_index.html"
				});
    		}else if(res[0].apothecaryTypeCode == 'TJS'){
	    		appcan.window.evaluateScript("pharmacistIndex", "pharmacistIndex.initModel()");
                appcan.window.open({
					name : "pharmacistIndex",
					dataType : 0,
					aniId : 2,
					data : "../pharmacist/pharmacist_index.html"
				});
    		}
			appcan.locStorage.remove("selectRole");
			appcan.locStorage.remove("option");
			appcan.window.evaluateScript("loginPage", "commonJs.closeWindow()");
			uexWindow.evaluateScript("", "0", "closeWindow()");
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "个人信息查询失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }
    
    return {
        init: init,
        confirmClick: confirmClick
    }
}();


appcan.ready(function() {
    resetIdPasswordJs.init();
});