if(!window.roleJs){
	window.roleJs = {}
}
var roleJs = function() {
	
	//判断是登录还是注册
	var option = appcan.locStorage.getVal('option');
	
	//返回上一页面
	appcan.button(".nav-btn", "btn-act", function() {
		appcan.window.close(-1);
	});
	
    var init = function() {
    	//订阅loginHome.js的信息
    	appcan.window.subscribe("closeFunc", closeFunc);
    	if (option == 'login'){
    		$("#title").text("登录");
    	}else if (option == 'register'){
    		$("#title").text("注册");
    	}
    }
    
    var closeFunc = function() {
    	appcan.window.close(-1);
    }
    
    //我是医生登录/注册
    var doctorClick = function() {
    	appcan.locStorage.remove('selectRole');
		appcan.locStorage.setVal('selectRole', 'DOCTOR');
		if (option == 'login') {
			appcan.window.open({
				name : "doctorLogin",
				dataType : 0,
				aniId : 2,
				data : "login_home_head.html"
			});
		} else if (option == 'register') {
			appcan.window.open({
				name : "doctorRegister",
				dataType : 0,
				aniId : 2,
				data : "register.html"
			});
		}
    }
    
    //我是药师登录/注册
    var pharmacistClick = function() {
    	appcan.locStorage.remove('selectRole');
		appcan.locStorage.setVal('selectRole', 'APOTHECARY');
		if (option == 'login') {
			appcan.window.open({
				name : "pharmacistLogin",
				dataType : 0,
				aniId : 2,
				data : "login_home_head.html"
			});
		} else if (option == 'register') {
			appcan.window.open({
				name : "pharmacistRegister",
				dataType : 0,
				aniId : 2,
				data : "register.html"
			});
		}
    }
    
    //我是机构登录/注册
    var institutionClick = function() {
    	appcan.locStorage.remove('selectRole');
		appcan.locStorage.setVal('selectRole', 'MC');
		if (option == 'login') {
			appcan.window.open({
				name : "institutionLogin",
				dataType : 0,
				aniId : 2,
				data : "login_home_head.html"
			});
		} else if (option == 'register') {
			appcan.window.open({
				name : "institutionRegister",
				dataType : 0,
				aniId : 2,
				data : "register.html"
			});
		}
    }
    
    return {
        init: init,
        doctorClick: doctorClick,
        pharmacistClick: pharmacistClick,
        institutionClick: institutionClick,
        closeFunc: closeFunc
    }
}();


appcan.ready(function() {
    roleJs.init();
});