if(!window.youshiInfoUpJs){
	window.youshiInfoUpJs = {}
}
var youshiInfoUpJs = function() {
	//判断上传图片的类型
	var photoFlag = "";
	
	var apothecaryInfo = JSON.parse(appcan.locStorage.getVal('localApothecary'));
	
	var formData = new FormData();
	var cardIdPicture1 = null;
	var cardIdPicture2 = null;
	var businessPicture = null;
	var businessPicture2 = null;
	var loginUser = JSON.parse(appcan.locStorage.getVal("loginUser"));
	//点击返回按钮，存储当前页的数据
    var pharmacistPhotoPage = JSON.parse(appcan.locStorage.getVal('pharmacistPhotoPage'));
	
	var apothecaryInfoModel = new ApothecaryInfoModel();
    var apothecaryInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#apothecaryInfoView",
        model: apothecaryInfoModel
    }));

    var init = function() {
    	apothecaryInfoModel.set("cardIdPicture1", "../../css/images/updown/updown_01.png");
		apothecaryInfoModel.set("cardIdPicture2", "../../css/images/updown/updown_0.png");
		apothecaryInfoModel.set("businessPicture", "../../css/images/updown/updown_02.png");
		apothecaryInfoModel.set("businessPicture2", "../../css/images/updown/updown_02.png");
		
		//点击返回按钮时，会存储当前页的数据，对已存储的数据进行赋值
    	if(pharmacistPhotoPage != null){
		    cardIdPicture1 = pharmacistPhotoPage.cardIdPicture1;
			cardIdPicture2 = pharmacistPhotoPage.cardIdPicture2;
			businessPicture = pharmacistPhotoPage.businessPicture;
			businessPicture2 = pharmacistPhotoPage.businessPicture2;
			
			apothecaryInfoModel.set("cardIdPicture1", cardIdPicture1);
			apothecaryInfoModel.set("cardIdPicture2", cardIdPicture2);
			apothecaryInfoModel.set("businessPicture", businessPicture);
			apothecaryInfoModel.set("businessPicture2", businessPicture2);
    	}
    }
    
    //提交认证
    var submitSaveClick = function(){
    	// formData.append('id','8a84faca662d697f01662d7bd7a00001');
    	formData.append('id',loginUser.id);
    	// //姓名
    	// formData.append('apothecaryName',encodeURIComponent(apothecaryInfo.apothecaryName));
    	// //性别
    	// formData.append('sex',apothecaryInfo.sex);
    	// //身份证
    	// formData.append('cardId',apothecaryInfo.cardId);
    	// //执业证
    	// formData.append('businessLicense',apothecaryInfo.businessLicense);
    	// //单位
    	// formData.append('mechanismId',apothecaryInfo.mechanismId);
    	// formData.append('mechanismName',encodeURIComponent(apothecaryInfo.mechanismName));
    	// formData.append('mechanismCode',apothecaryInfo.mechanismCode);
    	// //类别
    	// formData.append('apothecaryTypeCode',apothecaryInfo.apothecaryTypeCode);
    	// formData.append('apothecaryTypeName',encodeURIComponent(apothecaryInfo.apothecaryTypeName));
    	//身证份正面
    	if(cardIdPicture1 != null && cardIdPicture1 !=""){
    		formData.append('cardIdPicture1',cardIdPicture1);
    	}else{
    		appcan.window.alert({
	            title : "提示",
	            content : "身份证正面不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	//身份证反面
    	if(cardIdPicture2 != null && cardIdPicture2 !=""){
    		formData.append('cardIdPicture2',cardIdPicture2);
    	}else{
    		appcan.window.alert({
	            title : "提示",
	            content : "身份证反面不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	//药师执业证
    	if(businessPicture != null && businessPicture !=""){
    		formData.append('businessPicture',businessPicture);
    	}else{
    		appcan.window.alert({
	            title : "提示",
	            content : "药师执业证不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	if(businessPicture2 != null && businessPicture2 !=""){
    		formData.append('businessPicture2',businessPicture2);
    	}else{
    		appcan.window.alert({
	            title : "提示",
	            content : "药师执业证详细页不能为空",
	            buttons : '确定'
	        });
	        return;
    	}
    	sendAjax();
    }
    
    //发送AJAX请求
	var sendAjax = function () {
	    var url = window.ajaxFormUrl+'/gatewayApp/ws/apothecary/updateApothecaryInfo';
	    $.ajax({
	        url: url,
	        type: 'POST',
	        data: formData,
	        async: false,
	        cache: false,
	        contentType: false,
	        processData: false,
	        success: function(res) {
	        	if(JSON.parse(res).result == '0'){
	        		//查询药师、调剂师的个人信息
	        		getTApothecaryInfoByLogin();
	        	}else{
			        appcan.window.alert({
			            title : "提示",
			            content : "提交失败，"+res.message,
			            buttons : '确定'
			        });
	        	}
	        },
	        error: function(e, err) {
		    	appcan.window.alert({
		            title : "提示",
		            content : "提交失败，请联系管理员",
		            buttons : '确定',
		            callback : function(err, data, dataType, optId) {
		
		            }
		        });
	        }
	    });
	}
	
	//查询药师、调剂师的个人信息
    var getTApothecaryInfoByLogin = function() {
    	var url = window.ServerURL + "/getTApothecaryInfoByLogin"; 
    	var data = {};
    	data.id = loginUser.id;
    	// data.id = '8a84faca662d697f01662d7bd7a00001';
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
    		if(res[0].apothecaryTypeCode == 'YS'){
	    		appcan.window.open({
					name : "auditPharmacistIndex",
					dataType : 0,
					aniId : 2,
					data : "../pharmacist/audit_pharmacist_index.html"
				});
    		}else if(res[0].apothecaryTypeCode == 'TJS'){
	    		appcan.window.open({
					name : "pharmacistIndex",
					dataType : 0,
					aniId : 2,
					data : "../pharmacist/pharmacist_index.html"
				});
    		}
			//存储医生个人信息
			appcan.locStorage.setVal("loginUser", res[0]);
			appcan.locStorage.setVal("localApothecary", res[0]);
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "个人信息查询失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }
    
    //上传头像-身份证正面
    var imgChange1 = function(obj1, obj2){
	    //获取点击的文本框
		// var file = document.getElementById("fileImage1");
		// //获取的图片文件
		// cardIdPicture1 = file.files[0];
		// apothecaryInfoModel.set("cardIdPicture1", window.URL.createObjectURL(cardIdPicture1));
		$("#modeLayer1").show();
		photoFlag = "cardIdPicture1";
    }
    
    //上传头像-身份证反面
    var imgChange2 = function(obj1, obj2){
	    //获取点击的文本框
		// var file = document.getElementById("fileImage2");
		// //获取的图片文件
		// cardIdPicture2 = file.files[0];
		// apothecaryInfoModel.set("cardIdPicture2", window.URL.createObjectURL(cardIdPicture2));
		$("#modeLayer1").show();
		photoFlag = "cardIdPicture2";
    }
    
    //上传头像-医师执业证
    var imgChange3 = function(obj1, obj2){
	    //获取点击的文本框
		// var file = document.getElementById("fileImage3");
		// //获取的图片文件
		// businessPicture = file.files[0];
		// apothecaryInfoModel.set("businessPicture", window.URL.createObjectURL(businessPicture));
		$("#modeLayer1").show();
		photoFlag = "businessPicture";
    }
    
    //上传头像-专业技师执业证
    var imgChange4 = function(obj1, obj2){
	    //获取点击的文本框
		// var file = document.getElementById("fileImage4");
		// //获取的图片文件
		// businessPicture2 = file.files[0];
		// apothecaryInfoModel.set("businessPicture2", window.URL.createObjectURL(businessPicture2));
		$("#modeLayer1").show();
		photoFlag = "businessPicture2";
    }
    
    //拍照
    var photographClick = function(){
    	$("#modeLayer1").hide();
    	uexCamera.open(0,100);
		uexCamera.cbOpen = function(opCode, dataType, data){
			uploadFileService(data);
		}
    }
    
    //相册选择
    var selectphotoClick = function(){
    	$("#modeLayer1").hide();
   		uexImage.openPicker(JSON.stringify({"min": 1, "max":1}));
   		uexImage.onPickerClosed = function (info){
   			var imageInfo = JSON.parse(info);
   			uploadFileService(imageInfo.data[0]);
   		}
    }
    
    //上传服务器
    var uploadFileService = function(urlString){
		var uploader = uexUploaderMgr.create({
			      url: window.uploadHttp,
			      type: 1
			});
		if(!!!uploader){
		    alert("创建失败!");
		    return;
		}
		var headJson = {
			"id": loginUser.id,
			"pictureType": "apothecary", 
			"patientCode": "adidlslsidkdks"
		};
		switch (photoFlag) {
			case "cardIdPicture1":
				headJson.pictureName = "cardIdPicture1";
				break;
			case "cardIdPicture2":
				headJson.pictureName = "cardIdPicture2";
				break;
			case "businessPicture":
				headJson.pictureName = "businessPicture";
				break;
			case "businessPicture2":
				headJson.pictureName = "businessPicture2";
				break;
		}
		var ret = uexUploaderMgr.setHeaders(uploader, JSON.stringify(headJson)); 
		uexUploaderMgr.uploadFile(uploader, urlString, photoFlag, 1, 640,function(packageSize, percent, responseString, status){
		    switch (status) {
		    case 0:
		        document.getElementById('percentage').innerHTML = "上传包大小:"+packageSize+"<br>上传进度:"+percent+"%";
		        break;
		    case 1:
		        appcan.window.openToast("上传成功", 2000, 5, 0);
				switch (photoFlag) {
					case "cardIdPicture1":
						cardIdPicture1 = responseString;
						apothecaryInfoModel.set("cardIdPicture1", responseString + "?temp=" + Math.random());
						break;
					case "cardIdPicture2":
						cardIdPicture2 = responseString;
						apothecaryInfoModel.set("cardIdPicture2", responseString + "?temp=" + Math.random());
						break;
					case "businessPicture":
						businessPicture = responseString;
						apothecaryInfoModel.set("businessPicture", responseString + "?temp=" + Math.random());
						break;
					case "businessPicture2":
						businessPicture2 = responseString;
						apothecaryInfoModel.set("businessPicture2", responseString + "?temp=" + Math.random());
						break;
				};
				break;
		    case 2:
		        alert("上传失败");
		        break;
		    }
		});
    }
    
    //取消
    var cancelClick = function(){
    	$("#modeLayer1").hide();
    }
    
    //返回上一页面调用的方法
	var returnClick = function(){
		appcan.locStorage.remove("pharmacistPhotoPage");
		appcan.locStorage.setVal('pharmacistPhotoPage', apothecaryInfoModel);
	}
    
    return {
        init: init,
        submitSaveClick: submitSaveClick,
        imgChange1: imgChange1,
        imgChange2: imgChange2,
        imgChange3: imgChange3,
        imgChange4: imgChange4,
        photographClick: photographClick,
        selectphotoClick: selectphotoClick,
        cancelClick: cancelClick,
        returnClick: returnClick
    }
}();


appcan.ready(function() {
    youshiInfoUpJs.init();
});