if(!window.assayOrgProcessContent){
    window.assayOrgProcessContent = {};
}

var assayOrgProcessContent = function() {
    var pageCount = 0, inParam, checkCount = 0, forwardType = ["HY", "JC"];
    
    var forwardInfoModel = new ForwardInfoModel();
    var forwardInfoViewModel = new(MVVM.ViewModel.extend({
        el: ".forwardInfos",
        model: forwardInfoModel
    }))();
    
    var assayItemInfoViewModel = {};
    
    var getForwardInfo = function(){
        var param = _.clone(window.pagingParam);
        param.id = inParam.forwardId;
        commonService.request(param, {
            url: window.ServerURL + "/getTForwardDetailInfo",
            success: function(res) {
                forwardInfoViewModel.model.set(res.tForwardInfo);
                if (res.tForwardInfo.forwardType === forwardType[0]){
                    //化验项目
                    assayItemInfoViewModel.collection.set(res.tAssayItemInfoList);
                } else if (res.tForwardInfo.forwardType === forwardType[1]){
                    //检查项目
                    assayItemInfoViewModel.collection.set(res.tInspectionInfoList);
                }
            }
        });
    }
    
    appcan.button("#btnOk", "btn-act", function() {
        var forwardInfo = {
            "id": forwardInfoModel.get("id"),
            "status":"YJY"
        };
        commonService.request(forwardInfo, {
            url: window.ServerURL + "/updateTForwardInfo",
            success: function(res) {
                if (res.result === "0") {
                    $(".btn-line").addClass("field-nodisplay");
                    appcan.window.evaluatePopoverScript("assayBillListPage", "assayBillListContentPage", "assayBillListContent.backload()");
                    appcan.window.openToast("已检验成功！", 2000, 50, 0);
                    uexWindow.evaluateScript("", "0", "closeWindow()");                       
                } else {
                    appcan.window.openToast("已检验失败！", 2000, 50, 0);
                    return;
                }         
            }
        });     
    });
    
    var init = function() {
        appcan.window.disableBounce();
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if (inParam.forwardType === forwardType[0]) {
            assayItemInfoViewModel = new(MVVM.ViewModel.extend({
                el: "#assayItemView",
                collection: new AssayItemInfoCollection()
            }))();
            $("#btnOk").find("span").text("已化验");
        } else if (inParam.forwardType === forwardType[1]) {
            assayItemInfoViewModel = new(MVVM.ViewModel.extend({
                el: "#assayItemView",
                collection: new InspectionInfoCollection()
            }))();
            $("#btnOk").find("span").text("已检查");
        }
        getForwardInfo();
    }
    
    return {
        init: init
    }
}();

appcan.ready(function() {
    assayOrgProcessContent.init();
});
