if(!window.myAddressListContentJs){
	window.myAddressListContentJs = {}
}
var myAddressListContentJs = function() {
	
	//声明viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#myAddressListView",
        collection: new PatientAddressCollection()
    }))();
	
	var patientInfo, pageParam, pageCount = 0;
    pageParam = _.clone(window.pagingParam);
	
    var init = function() {
    	pageCount = 0;
		patientInfo = commonJs.getPatient();
		//设置弹动事件
        commonJs.listWindowBounce(loadSelectList);
        loadSelectList();
    }
    
    //下拉更新
    var loadSelectList = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        pageParam.patientId = patientInfo.id;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTPatientAddress",
            success: function(res) {
                if (pageCount === 1) {
                    ViewModel.collection.set(res);
                } else {
                    ViewModel.collection.add(res);
                }
            }
        });
    }
    
    //编辑
    var editClick = function(event){
		var id = $(event.currentTarget).find("#id").text().trim();
		appcan.window.open({
            name: 'myAddressEditPage',
            dataType: 0,
            aniId: 2,
            data: 'my_address_edit.html?id='+id
        })
    }
    

    
    return {
        init: init,
        editClick: editClick
    }
}();


appcan.ready(function() {
    myAddressListContentJs.init();
});