if(!window.diagnosisFeeConfirm){
    window.diagnosisFeeConfirm = {};
}

var diagnosisFeeConfirm = function () {
    
    var inParam, payId, headerHeight;
    
    var diagnosisFeeConfirmViewModel = new (MVVM.ViewModel.extend({
        el: "#feeConfirmContent",
        initialize: function () {
            return;
        },
        model: new diagnosisFeeModel()
    }));
    
    appcan.button("#btnFeeConfirm", "btn-act", function() {
        switch(this.id) {
            case 'btnFeeConfirm':
                var pageParam = "headerHeight=" + headerHeight;
                pageParam += "&id=" + diagnosisFeeConfirmViewModel.model.get("id");
                pageParam += "&pageName=diagnosisfeeConfirmPage";
                pageParam += "&pageFrameName=diagnosisFeeConfirmContentPage";
                pageParam += "&js=diagnosisFeeConfirm.closeWindow";
                appcan.frame.open("content", "../../components/paymentMode.html?" + pageParam, 0, headerHeight, 'paymentModePage');
                
            default:
                break;
        }
    });
    
    var refreshBtn = function() {
        if (diagnosisFeeConfirmViewModel.model.get("status") != "0") {
            $("#btnFeeConfirm").css("pointer-events", "none");
            $("#btnFeeConfirm").addClass("disable");
        } else {
        	$("#btnFeeConfirm").css("pointer-events", "auto");
            $("#btnFeeConfirm").removeClass("disable");
            $("#btnFeeConfirm").parents(".btn-line").removeClass("field-nodisplay");
        }
    }
    
    var getPay = function() {
        var findParam = {"id": inParam.id || "_", "pageIndex":1 ,"pageSize": 10};
        diagnosisFeeConfirmViewModel.model.fetch({param: findParam});
        setTimeout(function() {
            //refreshBtn();
        }, 200);
    }
    
    //支付成功后直接跳转到列表页
    var _closeWindow = function() {
        //返回待缴费列表并刷新数据
        if(!!inParam.pageName){
           appcan.window.evaluatePopoverScript(inParam.pageName, inParam.pageFrameName, inParam.js + "()");
        } else {
           appcan.window.evaluatePopoverScript("awaitPaymentOrdersListPage", "awaitPaymentOrdersContentPage", "awaitPaymentOrders.refreshLoadData()");
        }
        uexWindow.evaluateScript("", "0", "commonJs.closeWindow()");
    }
    
    var init = function() {
        //些页面禁用弹动效果
        appcan.window.disableBounce();
        //获取入参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        try {
            payId = inParam.id || "_";
        } catch (e) {
            
        }
        try {
            headerHeight = inParam.headerHeight;
        } catch (e) {
            
        }
        //加载数据
        getPay();
        appcan.window.subscribe("feePaymentSuccess", function(res) {
            //加载数据
            getPay();
        });
    }
    
    //极光推送用
    var initModel = function(id){
    	//些页面禁用弹动效果
        appcan.window.disableBounce();

		inParam.id = id;
        //加载数据
        getPay();
        appcan.window.subscribe("feePaymentSuccess", function(res) {
            //加载数据
            getPay();
        });
    }
        
    return {
        init: init,
        getPay: getPay,
        closeWindow: _closeWindow,
        refreshBtn: refreshBtn,
        initModel: initModel
    }    
}();

appcan.ready(function() {
    diagnosisFeeConfirm.init(); 
});
