
if(!window.diagnosisTreatFeeDetail){
    window.diagnosisTreatFeeDetail = null;
}

var diagnosisTreatFeeDetail = function () {
    
    var inParam, headerHeight, patientInfo = {};
    var diagnosisTreatFeeDetailModels=new diagnosisTreatFeeDetailModel();
    var diagnosisTreatFeeDetailViewModel = new (MVVM.ViewModel.extend({
        el: "#diagnosisTreatFeeDetailContent",
        initialize: function () {
            return;
        },
        model: diagnosisTreatFeeDetailModels
    }));
    
    diagnosisTreatFeeDetailModels.on("change:evaluateScore", function(model, keyValue) {
        var score = Number(keyValue);
        for (var i = 0; i < $("#evaluateScore").children().length; i++) {
            var children = $("#evaluateScore").children()[i];
            $(children).toggleClass("choice", score >= Number($(children).attr("data-index")));
            $(children).toggleClass("nochoice", !(score >= Number($(children).attr("data-index"))));
        }
    });
    
    var getTaskInfo = function() {
        var findParam = {"id": inParam.taskId || "_", "pageIndex":1 ,"pageSize": 10};
        diagnosisTreatFeeDetailViewModel.model.fetch({param: findParam});
    }
    //评价
    var evaluation = function() {
    	var  id = diagnosisTreatFeeDetailModels.get("id");
    	var pageParam = "taskId=" + id;
    	pageParam += "&pageName=diagnosisTreatFinishDetailPage";
        pageParam += "&pageFrameName=diagnosisTreatFinishDetailContentPage";
        pageParam += "&js=diagnosisTreatFeeDetail.getTaskInfo";
        commonJs.openWindow("diagnosisAssessPage", "../diagnosis/diagnosis_assess.html?" + pageParam);
    }        
    
    var payment= function() {
    	//var id = diagnosisTreatFeeDetailModels.changed.taskPayId;
    	var pageParam = "id=" + diagnosisTreatFeeDetailModels.get("taskPayId");
        pageParam += "&pageName=diagnosisTreatFinishDetailPage";
        pageParam += "&pageFrameName=diagnosisTreatFinishDetailContentPage";
        pageParam += "&js=diagnosisTreatFeeDetail.getTaskInfo";
        commonJs.openWindow("diagnosisfeeConfirmPage", "../diagnosis/diagnosisfeeConfirm.html?" + pageParam);
        /*
        appcan.window.open({
            name: "diagnosisfeeConfirmPage",
            data: "../diagnosis/diagnosisfeeConfirm.html?" + pageParam,
            dataType: 0,
            animID: 2
        });
        */
    }        
    
    var init = function() {
        //些页面禁用弹动效果
        appcan.window.disableBounce();
        //获取入参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        patientInfo = commonJs.getPatient();
        
        //加载数据
        getTaskInfo();
    }
        
    return {
        init: init,
        evaluation: evaluation,
        payment: payment,
        getTaskInfo: getTaskInfo
    }    
}();

appcan.ready(function() {
    diagnosisTreatFeeDetail.init();
    appcan.window.subscribe("feePaymentSuccess", function(res) {
        //加载数据
        diagnosisTreatFeeDetail.getTaskInfo();
    }); 
});
