
var FindDoctorModel = MVVM.Model.extend({
    defaults: {"styleDisplay": "-webkit-box !important"},
    computeds: {
    	//头像
        getHeadPicture : {
            //这里是参数的依赖，也可以使用this.get("username")
            deps : ["headPicture"],
            get : function(headPicture) {
                return !!headPicture ? window.PicURL + headPicture : "";
            }
        },
        //离线、在线状态
        getOnlineStatus : {
            //这里是参数的依赖，也可以使用this.get("username")
            deps : ["onlineStatus"],
            get : function(onlineStatus) {
                var codelist = commonJs.getCodelistData(window.codeList.onlineStatus, onlineStatus);
                return codelist.text || onlineStatus;
            }
        }
    },
    sync: function(method, model, options) {
        switch (method) {
        case "create":

            break;
        case "update":

            break;
        case "patch":

            break;
        case "delete":

            break;
        default:
            break;
        }
    }
});
