//全科医生查询

var MySignedDoctorService = function(param, option) {
    this.param = param;
    this.option = option;
}

MySignedDoctorService.prototype = {
    getDoctor: function(){
        //全科医生查询
        var Service_getDoctor = new MVVM.Service({
            pretreatment : function(data, option) {
                return data;
            },
            dosuccess : function(data, option) {
                for (var i = 0; i < data.length; i++) {
                    data[i].post = getCodeListText(window.codeList.doctorTitle, data[i].post);
                    data[i].mechanismType = getCodeListText(window.codeList.mechanismType, data[i].mechanismType);
                    data[i].onlineStatus = getCodeListText(window.codeList.onlineStatus, data[i].onlineStatus);
                    //图片+前缀
                    data[i].headPicture = window.PicURL + data[i].headPicture;
                }
                return data;
            },
            doerror : function(e, err, option) {
                return err;
            },
            validate : function(data, option) {
                return 0;
            },
            ajaxCall : function(data, option) {
                var self = this;
                var url = window.ajaxOuterUrl + "/getDoctorPatientRel";

                var param = JSON.stringify(data);
                commonJs.requestAjax(url, param, function(res) {
                    console.log(res);
                    var pageIndex = JSON.parse(param).pageIndex;
                    if (res.length > 0) {
                        if(pageIndex==1){
                            option.success(self.dosuccess(res, option));
                        }else{
                            option.selfViewModel.collection.add(res)
                        }
                        
                        
                    }else{
                        option.success(self.dosuccess(res, option));
                    }

                }, function(e, err) {
                    option.error(self.doerror(e, err, option));
                }); 
            }
        }); 
        Service_getDoctor.request(this.param, this.option);
    }
}