

(function($) {

	var openIndex = [], currentTab = 0, doctorName, hospitalList = [], mechanismId="";
	var headerHeight;
    appcan.button("#nav-left", "btn-act", function() {
    	//返回刷新我的家庭医生、我的专病医生
    	appcan.window.evaluateScript("my_doctor", "mydoctorJs.backLoad()");
        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1);
    });

    appcan.button("#nav-right", "btn-act", function() {
        appcan.window.open({
            name : "doctor_search",
            data : "doctor_search.html",
            aniId : "2"
        });

    });
    
    //医院信息
    var hospitalSelect = function(){
        var hospitalSelect = appcan.selectview({
            selector : "#hospitalSelect"
        });
        var doctorTitle = [{id: "999999", value: "ALL", text: "全部医院"}];
        for (var i in hospitalList) {
            doctorTitle.push(hospitalList[i]);
        }
        hospitalSelect.set(doctorTitle);
        hospitalSelect.on("select:click", function(obj, data) {
        	//重现当前的tab页
        	openIndex.push(currentTab);
        	mechanismId = data[0].value === "ALL" ? "" : data[0].value;
        	if(currentTab === 0){
        		appcan.frame.open("content", "find_doctor_z.html?doctorName="+doctorName+"&mechanismId="+mechanismId, 0, headerHeight, 'findDoctoreZPage');
        	}else{
        		appcan.frame.open("content", "find_doctor_q.html?doctorName="+doctorName+"&mechanismId="+mechanismId, 0, headerHeight, 'findDoctoreQPage');
        	}
            // pageParamZ.titleCode = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#hospital").find("span").text("全部医院");
            } else {
                $("#hospital").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");
        });
    }
    
    //隐藏下拉
    var hidenSelector = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
          
            $("#hospital").find(".list-caret-size").addClass("list-caret-down");
            $("#hospital").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#hospital").removeClass("filter-select-color");
            $("#hospitalSelect").removeClass("mask-show");
        }, 100);
    }
    
    var setScollbar = function(operate) {
        
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }
    
    $("#hospital").on("tap", function(event) {
		appcan.require("frame").close("findDoctoreZPage");
    	appcan.require("frame").close("findDoctoreQPage");
    	openIndex = [];
        	
        if (!!!checkOpenFilter(event.currentTarget)){
            hidenOtherSelector("hospital");
        }
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#hospitalSelect").css("top", maskTop + "px");
            $("#hospitalSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
        	openIndex.push(currentTab);
        	if(currentTab === 0){
        		appcan.frame.open("content", "find_doctor_z.html?doctorName="+doctorName+"&mechanismId="+mechanismId, 0, headerHeight, 'findDoctoreZPage');
        	}else{
        		appcan.frame.open("content", "find_doctor_q.html?doctorName="+doctorName+"&mechanismId="+mechanismId, 0, headerHeight, 'findDoctoreQPage');
        	}
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }
    
    //隐藏下拉
    var hidenOtherSelector = function(currentTitle) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
            
            if(currentTitle!="hospital"){
                $("#hospital").find(".list-caret-size").addClass("list-caret-down");
                $("#hospital").find(".list-caret-size").removeClass("list-caret-up-select");
                $("#hospital").removeClass("filter-select-color");
                $("#hospitalSelect").removeClass("mask-show");
            }
        }, 100);
    }
    
    //加载医院信息
    var loadHospitalInfo = function(){
    	var url = window.ServerURL + "/getTMechanismInfo"; 
    	var data = {};
    	data.mechanismType = 'HS1,HS2,HS3';
        var param = JSON.stringify(data);
    	commonJs.requestAjax(url, param, function(res){
		    for(var i=0; i<res.length; i++){
				var objData = {};
				objData.id = res[i].id;
				objData.value = res[i].mechanismCode;
				objData.text = res[i].mechanismName;
				hospitalList.push(objData);
			}
			//选择医院信息
    		hospitalSelect();
    	}, function(e, err){
	    	appcan.window.alert({
	            title : "提示",
	            content : "查询医院信息失败，请联系管理员",
	            buttons : '确定',
	            callback : function(err, data, dataType, optId) {
	
	            }
	        });
    	});
    }


    appcan.ready(function() {
    	
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if(inParam!=null&&typeof(inParam)!='undefined'){
            doctorName = inParam.doctorName;
        }
        
        //加载医院信息
        loadHospitalInfo();
        //选择医院信息
    	// hospitalSelect();
    	
        var tabview = appcan.tab({
            selector : "#tabview",
            hasIcon : true,
            hasAnim : true,
            hasLabel : true,
            hasBadge : false,
            index : 0,
            data : [{
                label : "<span class='font-36' style='font-weight:bold'>专科医生</span>",
                "icon" : ""
            }, {
                label : "<span class='font-36' style='font-weight:bold'>全科医生</span>",
                "icon" : "",
                badge : 1
            }]
        });
    
        tabview.on("click", function(obj, index) {
        	//记录当前tab页
        	currentTab = index;
        	
            appcan.window.selectMultiPopover("content", index);
            var openFlag = _.indexOf(openIndex, index) >= 0;
	        switch (index) {
	            case 0:
	                if (openFlag) {
	                    appcan.frame.bringToFront("findDoctoreZPage");
	                    return;
	                }                
	                appcan.frame.open("content", "find_doctor_z.html?doctorName="+doctorName+"&mechanismId="+mechanismId, 0, headerHeight, 'findDoctoreZPage');
	                openIndex.push(index);
	                break;
	            case 1:
	                if (openFlag) {
	                    appcan.frame.bringToFront("findDoctoreQPage");
	                    return;
	                }
	                appcan.frame.open("content", "find_doctor_q.html?doctorName="+doctorName+"&mechanismId="+mechanismId, 0, headerHeight, 'findDoctoreQPage');
	                openIndex.push(index);
	                break; 
	            default:
	                break;
	        }
        });
        uexWindow.setMultilPopoverFlippingEnbaled(1);
        uexWindow.setSlidingWindowEnabled(1);
        var titleHeight = $('#Header_find_doctor').offset().height + $('#hospital').offset().height + $('#tabview').offset().height;
        headerHeight = titleHeight;
        appcan.frame.open("content", "find_doctor_z.html?doctorName="+doctorName+"&mechanismId="+mechanismId, 0, headerHeight, 'findDoctoreZPage');
        //appcan.frame.open("content", "find_doctor_q.html?doctorName="+doctorName, 0, titleHeight, 'findDoctoreQPage');
        openIndex.push(0);
        window.onorientationchange = window.onresize = function() {
            appcan.frame.resize("content", 0, 0);
        };
    
        
    });
    



})($);

function flushCollection() {
    var doctorName = appcan.locStorage.getVal("searchDoctorName");
    window.location.href="find_doctor.html?doctorName="+doctorName;
}





