
if(!window.finddoctor){
    window.finddoctor = {};
}

var finddoctor = function() {
    var pageCountQ = 1;
    var pageParamQ;
    pageParamQ = _.clone(window.pagingParam);
    pageParamQ.doctorType = "Q";
    pageParamQ.patientId = "1";
    
    var pageCountZ = 1;
    var pageParamZ;
    pageParamZ = _.clone(window.pagingParam);
    pageParamZ.doctorType = "Z";
    pageParamZ.patientId = "1";
    
    
    //声明viewmodel
    //全科医生
    var ViewModelQ = new(MVVM.ViewModel.extend({
        el: "#CustomListView_l2bSwK",
        collection: new FindDoctorCollection()
    
    }))();
    
    //专科医生
    var ViewModelZ = new(MVVM.ViewModel.extend({
        el: "#CustomListView_dHaFRF",
        collection: new FindDoctorCollection()
    
    }))();
    
    
    //加载全科医生数据
    var loadDoctorQ = function(){
        
        pageCountQ++;
        pageParamQ.pageIndex = pageCountQ;

        ViewModelQ.collection.fetch({selfViewModel: ViewModelQ, param: pageParamQ});
    }
    
    //加载专科医生数据
    var loadDoctorZ = function(){
        
        pageCountZ++;
        pageParamZ.pageIndex = pageCountZ;

        ViewModelZ.collection.fetch({selfViewModel: ViewModelZ, param: pageParamZ});
    }
    
    //加载详细页
    var loadDoctorDetail = function(event){
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim(); 
        // var doctorType = $(event.currentTarget).find("#doctorType").text().trim();
        if (!!doctorId) {
             appcan.locStorage.setVal("doctorId",doctorId);
             appcan.window.open({
                    name : "doctor_detail",
                    data : "doctor_detail.html?doctorId="+doctorId,
                    aniId : "2"
                });
        }
    }
    
    //签约、解约
    var signDoctor = function(event){

        event.cancelBubble = true;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
        var ifSigned = $(event.currentTarget).find("#if_signed").text().trim();
        var patientId = "1";
        
        var isTp;
        var content;
        if (ifSigned == "Y") {
            isTp = "N";
            content = "解约成功";
        } else {
            isTp = "Y";
            content = "签约成功";
        }
        

        var daraParam = JSON.stringify({
            "doctorId" : doctorId,
            "patientId" : patientId,
            "isTp" : isTp
        }); 
        var url = window.ajaxOuterUrl + "/addOrDeleteDoctorPatientInfo";
        
       commonJs.requestAjax(url, daraParam, function(res) {


            appcan.window.alert({
                title : "提示",
                content : content,
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
                    window.location.reload();
                }
            }); 


        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            }); 

        });
    }
    
    // 咨询
    var adviceToDoctor = function(event){

        event.cancelBubble = true;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();

        var patientId = "1";
        //查询患者是否有未完成的诊疗记录
        var checkData = JSON.stringify({
            "patientId" : patientId,
            "tastDoctorId" : doctorId,
            "status" : "YZX,YJZ,DJF,YJF"
        });
        
        var checkUrl = window.ajaxOuterUrl + "/getTaskInfoXf";
        var checkParam = JSON.stringify(checkData);
        commonJs.requestAjax(checkUrl, checkParam, function(res) {
            console.log(res);
            var pageIndex = JSON.parse(param).pageIndex;
            if (res.length > 0) {

                appcan.window.alert({
                    title : "提示",
                    content : "存在未完成的诊疗记录",
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {

                    }
                });  
            }else{
                //生成诊疗记录

                var dataList = JSON.stringify({
                    "patientId" : patientId,
                    "tastDoctorId" : doctorId
                }); 
                
                var addUrl = window.ajaxOuterUrl + "/addTaskInfoXf";
                commonJs.requestAjax(addUrl, dataList, function(res) {

                    appcan.window.alert({
                        title : "提示",
                        content : "已生成诊疗记录",
                        buttons : '确定',
                        callback : function(err, data, dataType, optId) {
                            window.location.reload();
                        }
                    }); 

                }, function(e, err) {

                    appcan.window.alert({
                        title : "提示",
                        content : "接口失败",
                        buttons : '确定',
                        callback : function(err, data, dataType, optId) {

                        }
                    }); 

                }); 
            }

        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            });

        });

    }
    

    
    //全科职称下拉加载
    var doctorTitleSelectQ = function(){
        
        var doctorTitleSelect = appcan.selectview({
            selector : "#doctorTitleQSelect"
        });
        var doctorTitle = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.doctorTitle) {
            doctorTitle.push(window.codeList.doctorTitle[i]);
        }
        doctorTitleSelect.set(doctorTitle);
        doctorTitleSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParamQ.titleCode = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#doctorTitleQ").find("span").text("职称");
            } else {
                $("#doctorTitleQ").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCountQ = 0;
            
            loadDoctorQ();
        });
    }
    
    //全科区域下拉
    var regionSelectQ = function(){
        
        var regionSelect = appcan.selectview({
            selector : "#regionSelectQ"
        });
        var regionAreaList = [{id: "999999", value: "ALL", text: "全部"}];
        var district = regionArea.child[0].child;
        for(var i=0;i<district.length;i++){
            var regionId = district[i].id;
            var regionDesc = district[i].regionDesc;
            var regionCode = district[i].regionCode;
            var districtInfo = [{id: regionId, value: regionCode, text: regionDesc}];
            regionAreaList.push(districtInfo[0]);
        }
        regionSelect.set(regionAreaList);
        regionSelect.on("select:click", function(obj, data) {
            console.log(data);
            
            if (data[0].value === "ALL") {
                  $("#regionAreaQ").find("span").text("地区");

                  pageParamQ.regionCode = "";
                  hidenSelector();
                  setScollbar("enable");
    
                  pageCountQ = 0;
    
                  loadDoctorQ(); 

            } else {
                // $("#regionArea").find("span").text(data[0].text);
                       
                // hidenSelector();
                // setScollbar("enable");
                var currentRegionCode = data[0].value;
                
                // $("#regionSelect").find("ul:first-child").css("width","50%");
                $("#regionSelectQ").css("width","50%");
                var street;
                var district = regionArea.child[0].child;
                for(var j=0;j<district.length;j++){
                    var regionCode = district[j].regionCode;
                    if(currentRegionCode == regionCode){
                        street = district[j].child;
                    }
                }
                
                var regionStreetSelect = appcan.selectview({
                    selector : "#regionStreetSelectQ"
                });
                var regionStreetList = [];
    
                for(var i=0;i<street.length;i++){
                    var streetId = street[i].id;
                    var streetDesc = street[i].regionDesc;
                    var streetCode = street[i].regionCode;
                    var regionStreetItem = [{id: streetId, value: streetCode, text: streetDesc}];
                    regionStreetList.push(regionStreetItem[0]);
                }
                regionStreetSelect.set(regionStreetList);
                
                var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
                
                $("#regionStreetSelectQ").css("top", maskTop + "px");
                $("#regionStreetSelectQ").css("left","50%");
                $("#regionStreetSelectQ").addClass("mask-show");
                
                regionStreetSelect.on("select:click", function(obj, data) {
                    pageParamQ.regionCode = data[0].value;
                    $("#regionAreaQ").find("span").text(data[0].text);
                    
                    hidenSelector();
                    setScollbar("enable");
                    
                    pageCountQ = 0;
                    
                    loadDoctorQ();
                    
                });
            } 
            
            
        });
    }
    
    //专科职称下拉加载
    var doctorTitleSelectZ = function(){

        var doctorTitleSelect = appcan.selectview({
            selector : "#doctorTitleZSelect"
        });
        var doctorTitle = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.doctorTitle) {
            doctorTitle.push(window.codeList.doctorTitle[i]);
        }
        doctorTitleSelect.set(doctorTitle);
        doctorTitleSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParamZ.doctorTitle = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#doctorTitleZ").find("span").text("职称");
            } else {
                $("#doctorTitleZ").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCountZ = 0;

            loadDoctorZ();
        });
    }
    
    //专科区域下拉
    var regionSelectZ = function(){
        
        var regionSelect = appcan.selectview({
            selector : "#regionSelectZ"
        });
        var regionAreaList = [{id: "999999", value: "ALL", text: "全部"}];
        var district = regionArea.child[0].child;
        for(var i=0;i<district.length;i++){
            var regionId = district[i].id;
            var regionDesc = district[i].regionDesc;
            var regionCode = district[i].regionCode;
            var districtInfo = [{id: regionId, value: regionCode, text: regionDesc}];
            regionAreaList.push(districtInfo[0]);
        }
        regionSelect.set(regionAreaList);
        regionSelect.on("select:click", function(obj, data) {
            console.log(data);
            
            if (data[0].value === "ALL") {
                 $("#regionAreaZ").find("span").text("地区");

                  pageParamQ.regionCode = "";
                  hidenSelector();
                  setScollbar("enable");
    
                  pageCountZ = 0;
    
                  loadDoctorZ(); 
            } else {
                // $("#regionArea").find("span").text(data[0].text);
                       
                // hidenSelector();
                // setScollbar("enable");
                var currentRegionCode = data[0].value;
                
                // $("#regionSelect").find("ul:first-child").css("width","50%");
                $("#regionSelectZ").css("width","50%");
                var street;
                var district = regionArea.child[0].child;
                for(var j=0;j<district.length;j++){
                    var regionCode = district[j].regionCode;
                    if(currentRegionCode == regionCode){
                        street = district[j].child;
                    }
                }
                
                var regionStreetSelect = appcan.selectview({
                    selector : "#regionStreetSelectZ"
                });
                var regionStreetList = [];
    
                for(var i=0;i<street.length;i++){
                    var streetId = street[i].id;
                    var streetDesc = street[i].regionDesc;
                    var streetCode = street[i].regionCode;
                    var regionStreetItem = [{id: streetId, value: streetCode, text: streetDesc}];
                    regionStreetList.push(regionStreetItem[0]);
                }
                regionStreetSelect.set(regionStreetList);
                
                var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
                
                $("#regionStreetSelectZ").css("top", maskTop + "px");
                $("#regionStreetSelectZ").css("left","50%");
                $("#regionStreetSelectZ").addClass("mask-show");
                
                regionStreetSelect.on("select:click", function(obj, data) {
                    pageParamQ.regionCode = data[0].value;
                    $("#regionAreaZ").find("span").text(data[0].text);
                    
                    hidenSelector();
                    setScollbar("enable");
                    
                    pageCountQ = 0;
                    
                    loadDoctorZ();
                });
            } 
            
            
        });
    }
    
    
    //科室下拉加载
    var departmentSelect = function(){
        
        var departmentSelect = appcan.selectview({
            selector : "#departmentSelect"
        });
        var department = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.department) {
            department.push(window.codeList.department[i]);
        }
        departmentSelect.set(department);
        departmentSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParamQ.departmentCode = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#department").find("span").text("科室");
            } else {
                $("#department").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCountZ = 0;
            
            loadDoctorZ();

        });
    }
    
    //病类下拉加载
    var illnessTypeSelect = function(){
        var illnessTypeSelect = appcan.selectview({
            selector : "#illnessTypeSelect"
        });
        var illnessType = [{id: "999999", value: "ALL", text: "全部"}];
        for (var i in window.codeList.illnessName) {
            illnessType.push(window.codeList.illnessName[i]);
        }
        illnessTypeSelect.set(illnessType);
        illnessTypeSelect.on("select:click", function(obj, data) {
            console.log(data);
            pageParamQ.illnessName = data[0].value === "ALL" ? "" : data[0].value;
            if (data[0].value === "ALL") {
                 $("#illnessType").find("span").text("病类");
            } else {
                $("#illnessType").find("span").text(data[0].text);
            }            
            hidenSelector();
            setScollbar("enable");

            pageCountZ = 0;
            
            loadDoctorZ();

        });
    }
    
    
    
    //隐藏下拉
    var hidenSelector = function(hidenFlag) {
        //使用延迟设置,避免连续点击问题
        setTimeout(function() {
            //全科职称
            $("#doctorTitleQ").find(".list-caret-size").addClass("list-caret-down");
            $("#doctorTitleQ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#doctorTitleQ").removeClass("filter-select-color");
            $("#doctorTitleQSelect").removeClass("mask-show");
            
            $("#regionAreaQ").find(".list-caret-size").addClass("list-caret-down");
            $("#regionAreaQ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#regionAreaQ").removeClass("filter-select-color");
            $("#regionSelectQ").css("width","100%");
            $("#regionSelectQ").removeClass("mask-show");
            $("#regionStreetSelectQ").removeClass("mask-show");
            
            
            $("#doctorTitleZ").find(".list-caret-size").addClass("list-caret-down");
            $("#doctorTitleZ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#doctorTitleZ").removeClass("filter-select-color");
            $("#doctorTitleZSelect").removeClass("mask-show");
            
            
            $("#regionAreaZ").find(".list-caret-size").addClass("list-caret-down");
            $("#regionAreaZ").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#regionAreaZ").removeClass("filter-select-color");
            $("#regionSelectZ").css("width","100%");
            $("#regionSelectZ").removeClass("mask-show");
            $("#regionStreetSelectZ").removeClass("mask-show");
            
            
            $("#department").find(".list-caret-size").addClass("list-caret-down");
            $("#department").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#department").removeClass("filter-select-color");
            $("#departmentSelect").removeClass("mask-show");
            
            $("#illnessType").find(".list-caret-size").addClass("list-caret-down");
            $("#illnessType").find(".list-caret-size").removeClass("list-caret-up-select");
            $("#illnessType").removeClass("filter-select-color");
            $("#illnessTypeSelect").removeClass("mask-show");
        }, 100);
    }
    

    var setScollbar = function(operate) {
        
        if (operate === "disable") {
            appcan.window.disableBounce();
            //禁止默认行为方法，防止滚动条滚动
            $(document).on("mousewheel", function(evt) {
                evt.preventDefault();
            }, false);
            $(document).on("touchmove", function(evt) {
                evt.preventDefault();
            });
        } else if (operate === "enable") {
            //检查默认行为方法是否禁用，禁用了则重新启用
            appcan.window.enableBounce();
            $(document).on("touchmove", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            });
            $(document).on("mousewheel", function(evt) {
                //console.log(evt);
                if (!!evt.isDefaultPrevented()) {
                    evt.returnValue = true;
                }
            }, false);
        }
    }


    var checkOpenFilter = function(target) {
        if ($(target.parentElement).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
            //组件自身选中时，返回true
            if ($(target).find("div[class='list-caret-size list-caret-up-select']").length > 0) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    //-------------------------------下拉点击事件--------------------------------------//
    $("#doctorTitleQ").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#doctorTitleQSelect").css("top", maskTop + "px");
            $("#doctorTitleQSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    }); 
    
     $("#regionAreaQ").on("tap", function(event) {
        
        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#regionSelectQ").css("top", maskTop + "px");
            $("#regionSelectQ").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("enable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    
    
    $("#doctorTitleZ").on("tap", function(event) {

        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#doctorTitleZSelect").css("top", maskTop + "px");
            $("#doctorTitleZSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    $("#regionAreaZ").on("tap", function(event) {
        
        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#regionSelectZ").css("top", maskTop + "px");
            $("#regionSelectZ").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("enable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    $("#illnessType").on("tap", function(event) {
        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#illnessTypeSelect").css("top", maskTop + "px");
            $("#illnessTypeSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    
    $("#department").on("tap", function(event) {
        if (!!!checkOpenFilter(event.currentTarget))
            return;
        event.cancelBubble = true;
        if ($(event.currentTarget).find("div[class='list-caret-size list-caret-down']").length > 0) {
            var maskTop = Number($("#divFilterItem").offset().height) + Number($("#divFilterItem").offset().top) - 2;
            $("#departmentSelect").css("top", maskTop + "px");
            $("#departmentSelect").addClass("mask-show");
            $(event.currentTarget).find(".list-caret-size").removeClass("list-caret-down");
            $(event.currentTarget).find(".list-caret-size").addClass("list-caret-up-select");
            $(event.currentTarget).addClass("filter-select-color");
            setScollbar("disable");
        } else {
            hidenSelector();

            setScollbar("enable");
        }
    });
    //---------------------------------------end---------------------------------//
    
    var init = function() {
        //设置弹动事件
        commonJs.listWindowBounce(loadDoctorQ);
        commonJs.listWindowBounce(loadDoctorZ);
        ViewModelQ.collection.fetch({selfViewModel: ViewModelQ, param: pageParamQ});
        ViewModelZ.collection.fetch({selfViewModel: ViewModelZ, param: pageParamZ});
        //加载下拉
        doctorTitleSelectQ();
        doctorTitleSelectZ();
        departmentSelect();
        illnessTypeSelect();
        
        regionSelectQ();
        regionSelectZ();
    }
    
    return {
        loadDoctorQ : loadDoctorQ,
        loadDoctorZ : loadDoctorZ,
        loadDoctorDetail : loadDoctorDetail,
        signDoctor : signDoctor,
        adviceToDoctor : adviceToDoctor,
        init: init
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    finddoctor.init();
});



