if(!window.nearbyDoctorListContentJs){
	window.nearbyDoctorListContentJs = {}
}
var nearbyDoctorListContentJs = function() {
	var src_posi_Y = 0, dest_posi_Y = 0, move_Y = 0, is_mouse_down = false, destHeight = 30;
	var bodyHeight = $("#nearbyDoctorListContent").height() - 120;
    
    
    var pageCount = 0;
    var pageParam, patientId, patientInfo, nearDoctorList;
    pageParam = _.clone(window.pagingParam);
    var arrDoctorMap = [];
    var titHeight;
    var contentHeight = 0;
    var showNearbyDoctorListViewModel = new(MVVM.ViewModel.extend({
        el: "#showNearbyDoctorListView",
        collection: new FindDoctorLocationCollection()
    }));
	
    var init = function() {
    	patientInfo = commonJs.getPatient();
    	patientId = !!patientInfo ? patientInfo.id || "_" : "_";
    	inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        try {
            titHeight = inParam.headerHeight || 0;
            // contentHeight = (inParam.bodyHeight/3 - $("#footer").height()) || 0;
            contentHeight = (inParam.bodyHeight/3) || 0;
            // $("#showNearbyDoctorListInfo").css("height", contentHeight);
        } catch(e) {
        }
        uexBaiduMap.getCurrentLocation();
        uexBaiduMap.cbCurrentLocation=function(data){
            if(data=="undefined"||data=="null"||data==""){
                alert("坐标获取失败");
                return;
            }
            var tempLocation=JSON.parse(data);
            var x=tempLocation.longitude;
            var y=tempLocation.latitude;
            pageParam.longitude = x;
    	    pageParam.latitude = y;
    	    // pageParam.longitude = "121.648935";
    	    // pageParam.latitude = "38.932855";
    	    // commonJs.listWindowBounce(loadDoctorLocationList);
    	    loadDoctorLocationList();
        }
    }
    
    //下拉更新
    var loadDoctorLocationList = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getDistance",
            success: function(res) {
            	nearDoctorList = res;
		        for(var i=0; i<res.length; i++){
		        	var temp = {
		        		id: res[i].DOCTOR_ID,
		        		longitude: res[i].LAST_LOGIN_LONGITUDE,
		        		latitude: res[i].LAST_LOGIN_LATITUDE
		        	};
		        	arrDoctorMap.push(temp);
		        }
				appcan.locStorage.remove("arrDoctorMap");
        		appcan.locStorage.setVal("arrDoctorMap", arrDoctorMap);
                if (pageCount === 1) {
                    showNearbyDoctorListViewModel.collection.set(res[0]);
                } else {
                    showNearbyDoctorListViewModel.collection.add(res);
                }
                //加载地图
				loadMap();
            }
        });
    }
    
    //加载地图信息
    var loadMap = function() {
    	// appcan.window.evaluatePopoverScript("nearbyDoctorListPage", "nearbyDoctorMapPage", 'nearbyDoctorMapJs.loadMap()');
    	var bodyHeight=$("body").height();
    	var mechHeight = $("[data-control='CUSTOMLISTVIEW']").height();
        var mapHeight = bodyHeight - mechHeight;
        var param = "titHeight="+titHeight+"&mapHeight="+mapHeight;
        appcan.frame.open("content", "nearby_doctor_map.html?"+param, 0, titHeight, "nearbyDoctorMapPage");
        appcan.frame.bringToFront("nearbyDoctorListContentPage");
    }
    
    // 咨询
    var adviceToDoctor = function(event){
    	//判断是否登录，未登录直接跳转到登录页  by sushu 2018-10-16
    	if (!doCheckLogin()) return;
    	
        event.cancelBubble = true;
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
        var doctorPhone = $(event.currentTarget).find("#doctor_phone").text().trim();
        //查询患者是否有未完成的诊疗记录
        var checkData = JSON.stringify({
            "patientId" : patientId,
            "tastDoctorId" : doctorId,
            "status" : "YZX,YJZ,DJF,YJF"
        });
        
        var checkUrl = window.ajaxOuterUrl + "/getTaskInfoXf";
        var checkParam = JSON.stringify(checkData);
         $.ajax({
            url : checkUrl,
            type : "POST",
            data : checkData,
            dataType : "json",
            contentType : "application/json;charset=UTF-8",
            success : function(data) {
  
                if (data.length > 0) {
					commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + doctorPhone);
					return;
                } else {
                    //生成诊疗记录
                    var dataList = JSON.stringify({
                        "patientId" : patientId,
                        "tastDoctorId" : doctorId
                    });
                    var addUrl = window.ajaxOuterUrl + "/addTaskInfoXf";
                    
                    $.ajax({
                        url : addUrl,
                        type : "POST",
                        data : dataList,
                        dataType : "json",
                        contentType : "application/json;charset=UTF-8",
                        success : function(data) {
							appcan.window.openToast("已生成诊疗记录", 2000, 5, 0);
							commonJs.doNeteaseNim("p" + patientInfo.patientPhone, "d" + doctorPhone);

                        },
                        error : function(e, err) {
                            alert("接口失败");
                        }
                    });

                }

            },
            error : function(e, err) {
                alert("接口失败");
            }
        });

    }
    
    //判断是否登录
    var doCheckLogin = function() {
    	patientInfo = commonJs.getPatient();
    	patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        if (patientId == "_") {
            commonJs.openWindow("loginPage", "../login/login.html");
            return false;
        } else {
            return true;
        }
    }
    
    //加载详细页
    var loadDoctorDetail = function(event){
        var doctorId = $(event.currentTarget).find("#doctor_id").text().trim();
        if (!!doctorId) {
             appcan.locStorage.setVal("doctorId",doctorId);
             appcan.window.open({
                    name : "doctor_detail",
                    data : "doctor_detail.html?doctorId="+doctorId,
                    aniId : "2"
                });
        }
    }
    
    //地图点击事件
    var mapClick = function(id){
		var param = {};
		param.id = id;
		for(var i=0; i<nearDoctorList.length; i++){
			if(nearDoctorList[i].DOCTOR_ID == id){
				showNearbyDoctorListViewModel.collection.set(nearDoctorList[i]);
				return;
			}
		}
    }
    
    return {
        init: init,
        adviceToDoctor: adviceToDoctor,
        loadDoctorDetail: loadDoctorDetail,
        mapClick: mapClick
    }
}();


appcan.ready(function() {
	// appcan.window.disableBounce();
	// appcan.window.enableBounce();
    nearbyDoctorListContentJs.init();
});