if(!window.healthRecordListBaseinfoJs){
    window.healthRecordListBaseinfoJs = {};
}

var healthRecordListBaseinfoJs = function() {
	var patientId;
    
    var init = function() {
    	//查询患者数据
        var patientInfo = commonJs.getPatient();
        patientId = !!patientInfo ? patientInfo.id || "_" : "_";
        var param = {
            "id" : patientId
        };
        commonService.request(param, {
            url: window.ServerURL + "/getPatientInfo",
            success: function(res) {
            	if(res.length > 0){
            		$("#patientName").text(res[0].patientName); 
                	$("#patientSex").text(getCodeListText(window.codeList.genderType,res[0].sex));
                	$("#isAllergy").text(res[0].isAllergy);
                	var strBirthday = commonJs.dateToString(res[0].birthDate);
                	var returnAge = jsGetAge(strBirthday);
                	$("#patientAge").text(returnAge);
            	} 
            }
        });
    }
    
	/*根据出生日期算出年龄*/
	var jsGetAge = function (strBirthday){       
	    var returnAge;
	    var strBirthdayArr=strBirthday.split("-");
	    var birthYear = strBirthdayArr[0];
	    var birthMonth = strBirthdayArr[1];
	    var birthDay = strBirthdayArr[2];
	    
	    d = new Date();
	    var nowYear = d.getFullYear();
	    var nowMonth = d.getMonth() + 1;
	    var nowDay = d.getDate();
	    
	    if(nowYear == birthYear){
	        returnAge = 0;//同年 则为0岁
	    }
	    else{
	        var ageDiff = nowYear - birthYear ; //年之差
	        if(ageDiff > 0){
	            if(nowMonth == birthMonth) {
	                var dayDiff = nowDay - birthDay;//日之差
	                if(dayDiff < 0)
	                {
	                    returnAge = ageDiff - 1;
	                }
	                else
	                {
	                    returnAge = ageDiff ;
	                }
	            }
	            else
	            {
	                var monthDiff = nowMonth - birthMonth;//月之差
	                if(monthDiff < 0)
	                {
	                    returnAge = ageDiff - 1;
	                }
	                else
	                {
	                    returnAge = ageDiff ;
	                }
	            }
	        }
	        else
	        {
	            returnAge = -1;//返回-1 表示出生日期输入错误 晚于今天
	        }
	    }
	    
	    return returnAge;//返回周岁年龄
	    
	}

    
    return {
        init: init
    }
    
}();

appcan.ready(function() {
    appcan.initBounce();
    healthRecordListBaseinfoJs.init();
});