if(!window.patientRelativeSelectJs){
    window.patientRelativeSelectJs = {};
}

var patientRelativeSelectJs = function() {
    
    var selectType = "";
    var currentValue = "";
    var currentText = "";
    var CodeListModel = MVVM.Model.extend({
        //defaults,散列（或函数）用于为模型指定默认属性。
        defaults: {"value": "", "text": "", "checked": false, "first": false, "last": false},
        idAttribute: "value"
    });
    
    var CodeListCollection = MVVM.Collection.extend({
        initialize: function() {
            return;
        },
        parse: function(data) {        
            return data;
        },
        model: CodeListModel
    });
    
     var selectListViewModel = new(MVVM.ViewModel.extend({
        el: "#selectListView",
        collection: new CodeListCollection()
    }));
    
    //选择事件
    var selectListClick = function(event) {
        var selectValue = $($(event.currentTarget).find("#codeValue")).text().trim();
        var selectText = $($(event.currentTarget).find("#codeText")).text().trim();
        if (!!!selectValue) {
            return;
        }
        var codeListModel = selectListViewModel.collection.where({checked: true});
        if (codeListModel.length > 0) {
                codeListModel[0].set("checked", false);
        }
        codeListModel= selectListViewModel.collection.where({value: selectValue});
        if (codeListModel.length > 0) {
            codeListModel[0].set("checked", true);
        }
        
        var selectData = {"selectType":selectType,"selectText":selectText,"selectValue":selectValue};
        appcan.window.publish("setSelectData", JSON.stringify(selectData));
        appcan.window.publish("closePage", "");
        // appcan.locStorage.setVal("selectData", selectData);
        // appcan.locStorage.setVal("selectType", selectType);
        // appcan.locStorage.setVal("selectText", selectText);
        // appcan.locStorage.setVal("selectValue", selectValue);

        // appcan.window.evaluateScript({
            // name : 'patient_relative_edit',
            // scriptContent : 'flushCollection()'
        // });
        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1); 

                
        // patientInfoModel.set("relativSex", selectValue);
        // patientInfoModel.set("changeFlag", "Y");
        //返回数据到patientEditor的HEADER页
        //uexWindow.publishChannelNotificationForJson("setPatientInfoEditorHeaderPage", JSON.stringify(patientInfoModel));
        // appcan.locStorage.setVal("patientEditorValue", JSON.stringify(patientInfoModel.attributes));
    }
    
    
    var init = function() {
        // selectListViewModel.collection.add(window.codeList.patientRelativ);
        var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        
        if(inParam!=null&&typeof(inParam)!='undefined'){
            
            selectType = inParam.selectType; 
            currentValue = inParam.currentValue;
            currentText = inParam.currentText;
            if(selectType!=null&&selectType!="undefined"&&typeof(selectType)!="undefined"){
                if(selectType=="SEX"){
                    //性别选择
                    selectListViewModel.collection.add(window.codeList.genderType);
                    
                }else if(selectType=="RELATIVE"){
                    //关系选择
                    selectListViewModel.collection.add(window.codeList.patientRelativ);
                }
            }
            

            if (currentValue != null && currentValue != "undefined" && typeof (currentValue) != "undefined" && currentText != null && currentText != "undefined" && typeof (currentText) != "undefined") {
                
                var codeListModel = selectListViewModel.collection.where({
                    checked : true
                });
                if (codeListModel.length > 0) {
                    codeListModel[0].set("checked", false);
                }
                codeListModel = selectListViewModel.collection.where({
                    value : currentValue
                });
                if (codeListModel.length > 0) {
                    codeListModel[0].set("checked", true);
                }

            }

        }        
    }
    
    return {
        selectListClick: selectListClick,
        init: init
    }
    
}();


appcan.ready(function() {

    appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
        uexWindow.setSlidingWindowEnabled(1);
        uexWindow.setMultilPopoverFlippingEnbaled(1);
    }); 

    patientRelativeSelectJs.init();
});