if(!window.patientAddressListContentJs){
	window.patientAddressListContentJs = {}
}
var patientAddressListContentJs = function() {
	
	//声明viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#myAddressListView",
        collection: new PatientAddressCollection()
    }))();
	
	var patientInfo, pageParam, pageCount = 0;
    pageParam = _.clone(window.pagingParam);
	
    var init = function() {
    	pageCount = 0;
		patientInfo = commonJs.getPatient();
		//设置弹动事件
        commonJs.listWindowBounce(loadSelectList);
        loadSelectList();
    }
    
    //下拉更新
    var loadSelectList = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        pageParam.patientId = patientInfo.id;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTPatientAddress",
            success: function(res) {
                if (pageCount === 1) {
                    ViewModel.collection.set(res);
                } else {
                    ViewModel.collection.add(res);
                }
            }
        });
    }
    
	//获取当前信息
	var loadDetail = function(event){
		var id = $(event.currentTarget).find("#id").text().trim();
		var itemModel = ViewModel.collection.where({id: id});
		appcan.window.evaluatePopoverScript("selectOrgPage","selectOrgContentPage", "selectOrgContentJs.reloadPatientAddress("+JSON.stringify(itemModel[0])+")");
		uexWindow.evaluateScript("", "0", "closeWindow()");
	}
    
    return {
        init: init,
        loadDetail: loadDetail
    }
}();


appcan.ready(function() {
    patientAddressListContentJs.init();
});