if(!window.patientPaymentContentJs){
	window.patientPaymentContentJs = {}
}
var patientPaymentContentJs = function() {
	var serviceId, headerHeight;
	
	var updoorInfoModel = new UpdoorInfoModel();
    var updoorInfoViewModel = new (MVVM.ViewModel.extend({
        el: "#patientPaymentContentView",
        model: updoorInfoModel
    }));
	
	//返回上一页面
	appcan.button(".nav-btn", "btn-act", function() {
		appcan.window.close(-1);
	});

	
    var init = function() {
    	var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if(inParam!=null&&typeof(inParam)!='undefined'){
            serviceId = inParam.serviceId;
            headerHeight = inParam.headerHeight;
        }
        //获取明细信息
        getDetailInfo();
    }
    
    //获取服务明细信息
    var getDetailInfo = function(){
        var url = window.ServerURL + "/getTUpdoorInfo"; 
    	var data = {};
    	data.id = serviceId;
        var param = JSON.stringify(data);
        commonJs.requestAjax(url, param, function(res) {
       		if(res.length > 0){
       			updoorInfoModel.set("forwardCode", res[0].forwardCode);
       			updoorInfoModel.set("patientName", res[0].patientName);
       			updoorInfoModel.set("patientAge", res[0].patientAge);
       			updoorInfoModel.set("sex", res[0].sex);
       			updoorInfoModel.set("createDate", res[0].createDate);
       			updoorInfoModel.set("status", res[0].status);
       			updoorInfoModel.set("tastMechanismName", res[0].tastMechanismName);
       			updoorInfoModel.set("taskPayTime", res[0].taskPayTime);
       			updoorInfoModel.set("overTime", res[0].overTime);
		        updoorInfoModel.set("serverItemName", res[0].serverItemName);
		        updoorInfoModel.set("serverItemPrice", res[0].serverItemPrice);
		        updoorInfoModel.set("tastCount", res[0].tastCount);
		        updoorInfoModel.set("sumFee", res[0].sumFee);
		        updoorInfoModel.set("forwardExplain", res[0].forwardExplain);
		        updoorInfoModel.set("mattersNeed", res[0].mattersNeed);
		        updoorInfoModel.set("taskPayId", res[0].taskPayId);
		        updoorInfoModel.set("regionDesc", res[0].regionDesc);
		        updoorInfoModel.set("address", res[0].address);
       		}else{
	       		appcan.window.alert({
	                title : "提示",
	                content : "获取明细信息失败",
	                buttons : '确定',
	                callback : function(err, data, dataType, optId) {
	
	                }
	            });
       		}

        }, function(e, err) {

            appcan.window.alert({
                title : "提示",
                content : "接口失败",
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            }); 

        });
    }

    //缴费
    var submitClick = function(){
		var pageParam = "headerHeight=" + headerHeight;
        pageParam += "&id=" + updoorInfoModel.get("taskPayId");
        pageParam += "&pageName=patientPaymentPage";
        pageParam += "&pageFrameName=patientPaymentContentPage";
        pageParam += "&js=patientPaymentContentJs.closeWindow";
        appcan.frame.open("content", "../../components/paymentMode.html?" + pageParam, 0, headerHeight, 'paymentModePage');
    }
    
    //支付成功后跳转列表页
    var closeWindow = function() {
    	appcan.window.evaluatePopoverScript("patientServiceListPage","patientServiceListContentPage", "patientServiceListContentJs.reload()");
    	appcan.window.evaluatePopoverScript("awaitPaymentOrdersListPage", "awaitPaymentOrdersContentPage", "awaitPaymentOrders.refreshLoadData()");
        uexWindow.evaluateScript("", "0", "commonJs.closeWindow()");
    }
    
    return {
        init: init,
        submitClick: submitClick,
        closeWindow: closeWindow
    }
}();


appcan.ready(function() {
    patientPaymentContentJs.init();
});