if(!window.selectItemContentJs){
	window.selectItemContentJs = {}
}
var selectItemContentJs = function() {
	var pageCount = 0;
    var pageParam, sourceType;//来源类型，判断上门服务、远程医疗
    pageParam = _.clone(window.pagingParam);
    pageParam.itemTypeCode = "SMFW";
	
	//返回上一页面
	appcan.button(".nav-btn", "btn-act", function() {
		appcan.window.close(-1);
	});
	
	//声明viewmodel
    var ViewModel = new(MVVM.ViewModel.extend({
        el: "#selectItemInfoView",
        collection: new ServiceItemsCollection()
    }))();
	
    var init = function() {
    	var inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        if(inParam!=null&&typeof(inParam)!='undefined'){
            sourceType = inParam.sourceType;
            if(sourceType == "SMFW"){
            	pageParam.itemTypeCode = "SMFW";
            }else if(sourceType == "YCYL"){
            	pageParam.itemTypeCode = "YCYL";
            }
        }
    	//设置弹动事件
        commonJs.listWindowBounce(loadSelectList);
        loadSelectList();
    }
    
    //下拉更新
    var loadSelectList = function() {
        pageCount++;
        pageParam.pageIndex = pageCount;
        commonService.request(pageParam, {
            url: window.ServerURL + "/getTServiceItems",
            success: function(res) {
                if (pageCount === 1) {
                    ViewModel.collection.set(res);
                } else {
                    ViewModel.collection.add(res);
                }
            }
        });
    }
    
    //选择项目
    var selectItemClick = function(event){
    	var id = $(event.currentTarget).find("#id").text().trim();
    	var itemName = $(event.currentTarget).find("#itemName").text().trim();
		var param = "id="+id+"&itemName="+itemName+"&sourceType="+sourceType;
    	commonJs.openWindow("selectOrgPage", "select_org.html?"+param);
    }
    
    
    return {
        init: init,
        selectItemClick: selectItemClick
    }
}();


appcan.ready(function() {
    selectItemContentJs.init();
});