
if(!window.pharmacistPerson){
    window.pharmacistPerson = null;
}

var pharmacistPerson = function () {
	//判断上传图片的类型
	var photoFlag = "";
	var editFlag, certStatus="";
    
    var inParam, payId, headerHeight, apothecaryInfo = {};
    
    var doctor = new DoctoePersonModel();
    var formData = new FormData();
    
    var doctoePersonViewModel = new (MVVM.ViewModel.extend({
        el: "#pharmacistPersonContent",
        model: doctor
    }));
    
    var getDoctorPerson = function() {
        var findParam = {"id": apothecaryInfo.id, "pageIndex":1 ,"pageSize": 10};
        doctoePersonViewModel.model.fetch({param: findParam});
    }
    
    var init = function() {
        //些页面禁用弹动效果
        appcan.window.disableBounce();
        //获取入参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        //是否可以编辑页面资料
        editFlag = !!inParam ? inParam.editFlag || "Y" : "Y";
        apothecaryInfo = commonJs.getApothecary();
        //加载数据
        getDoctorPerson();
    }
    
    //上传头像-身份证正面
    var imgChange1 = function(obj1, obj2){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "cardIdPicture1";
    	}
    }
    
    //上传头像-身份证反面
    var imgChange2 = function(obj1, obj2){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "cardIdPicture2";
    	}
    }
    
    //上传头像-医师执业证
    var imgChange3 = function(obj1, obj2){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "businessPicture";
    	}
    }
    
    //上传头像-专业技师执业证
    var imgChange4 = function(obj1, obj2){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	$("#modeLayer1").show();
			photoFlag = "businessPicture2";
    	}
    }
    
    //拍照
    var photographClick = function(){
    	$("#modeLayer1").hide();
    	uexCamera.open(0,100);
		uexCamera.cbOpen = function(opCode, dataType, data){
			uploadFileService(data);
		}
    }
    
    //相册选择
    var selectphotoClick = function(){
    	$("#modeLayer1").hide();
   		uexImage.openPicker(JSON.stringify({"min": 1, "max":1}));
   		uexImage.onPickerClosed = function (info){
   			var imageInfo = JSON.parse(info);
   			uploadFileService(imageInfo.data[0]);
   		}
    }
    
    //上传服务器
    var uploadFileService = function(urlString){
		var uploader = uexUploaderMgr.create({
			      url: window.uploadHttp,
			      type: 1
			});
		if(!!!uploader){
		    alert("创建失败!");
		    return;
		}
		var headJson = {
			"id": apothecaryInfo.id,
			"pictureType": "apothecary", 
			"patientCode": "adidlslsidkdks"
		};
		switch (photoFlag) {
			case "cardIdPicture1":
				headJson.pictureName = "cardIdPicture1";
				break;
			case "cardIdPicture2":
				headJson.pictureName = "cardIdPicture2";
				break;
			case "businessPicture":
				headJson.pictureName = "businessPicture";
				break;
			case "businessPicture2":
				headJson.pictureName = "businessPicture2";
				break;
		}
		var ret = uexUploaderMgr.setHeaders(uploader, JSON.stringify(headJson)); 
		uexUploaderMgr.uploadFile(uploader, urlString, photoFlag, 1, 640,function(packageSize, percent, responseString, status){
		    switch (status) {
		    case 0:
		        document.getElementById('percentage').innerHTML = "上传包大小:"+packageSize+"<br>上传进度:"+percent+"%";
		        break;
		    case 1:
		        appcan.window.openToast("上传成功", 2000, 5, 0);
				switch (photoFlag) {
					case "cardIdPicture1":
						doctor.set("cardIdPicture1", responseString + "?temp=" + Math.random());
						break;
					case "cardIdPicture2":
						doctor.set("cardIdPicture2", responseString + "?temp=" + Math.random());
						break;
					case "businessPicture":
						doctor.set("businessPicture", responseString + "?temp=" + Math.random());
						break;
					case "businessPicture2":
						doctor.set("businessPicture2", responseString + "?temp=" + Math.random());
						break;
				};
				break;
		    case 2:
		        alert("上传失败");
		        break;
		    }
		});
    }
    
    //取消
    var cancelClick = function(){
    	$("#modeLayer1").hide();
    }
    
        
    return {
        init: init,
        imgChange1: imgChange1,
        imgChange2: imgChange2,
        imgChange3: imgChange3,
        imgChange4: imgChange4,
        photographClick: photographClick,
        selectphotoClick: selectphotoClick,
        cancelClick: cancelClick
    }    
}();

appcan.ready(function() {
    pharmacistPerson.init();
});
