
if(!window.doctoePerson){
    window.doctoePerson = null;
}

var doctoePerson = function () {
    
    var inParam, payId, headerHeight, apothecaryInfo = {}, editFlag, certStatus="";
    
    var doctor = new DoctoePersonModel();
    var pubEditParam = new PubEditParam();
    
    // var doctoePersonViewModel = new (MVVM.ViewModel.extend({
        // el: ".body-content",
        // model: doctor
    // }));
//     
    var doctoePersonViewModel = new (MVVM.ViewModel.extend({
        el: "#doctorPersonContent",
        model: doctor
    }));
    
     //加载认证信息界面   
        var loadrz = function(event) {
    	
                appcan.window.open({
                    name: "pharmacistFileInformation.htmlPage",
                    data: "pharmacistFileInformation.html",
                    dataType: 0,
                    animID: 2
                });
            
        }
    
    var getDoctorPerson = function() {
        var findParam = {"id": apothecaryInfo.id, "pageIndex":1 ,"pageSize": 10};
        //console.log("findParam: "  + findParam);
        doctoePersonViewModel.model.fetch({param: findParam});
    }
    
    var init = function() {
        //些页面禁用弹动效果
        appcan.window.disableBounce();
        //获取入参
        inParam = commonJs.urlQueryToJSON(uexWindow.getUrlQuery());
        //是否可以编辑页面资料
        editFlag = !!inParam ? inParam.editFlag || "Y" : "Y";
        apothecaryInfo = commonJs.getApothecary();
        //加载数据
        getDoctorPerson();
    }
    
    //相机点击事件
    var photoClick = function(){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
    		$("#modeLayer1").show();
    	}
    }
    
    //拍照
    var photographClick = function(){
    	$("#modeLayer1").hide();
    	uexCamera.open(0,100);
		uexCamera.cbOpen = function(opCode, dataType, data){
			uploadFileService(data);
		}
    }
    
    //相册选择
    var selectphotoClick = function(){
    	$("#modeLayer1").hide();
   		uexImage.openPicker(JSON.stringify({"min": 1, "max":1}));
   		uexImage.onPickerClosed = function (info){
   			var imageInfo = JSON.parse(info);
   			uploadFileService(imageInfo.data[0]);
   		}
    }
    
    //上传服务器
    var uploadFileService = function(urlString){
		var uploader = uexUploaderMgr.create({
			      url: window.uploadHttp,
			      type: 1
			});
		if(!!!uploader){
		    alert("创建失败!");
		    return;
		}
		var headJson = {
			// "id": "1",
			"id": apothecaryInfo.id,
			"pictureName": "headPicture",
			"pictureType": "apothecary", 
			"patientCode": "adidlslsidkdks"
		};
		var ret = uexUploaderMgr.setHeaders(uploader, JSON.stringify(headJson)); 
		uexUploaderMgr.uploadFile(uploader, urlString, "headPicture", 1, 640,function(packageSize, percent, responseString, status){
		    switch (status) {
		    case 0:
		        document.getElementById('percentage').innerHTML = "上传包大小:"+packageSize+"<br>上传进度:"+percent+"%";
		        break;
		    case 1:
		        appcan.window.openToast("上传成功", 2000, 5, 0);
		        doctor.set("headPicture", responseString + "?temp=" + Math.random());
		        break;
		    case 2:
		        alert("上传失败");
		        break;
		    }
		});
    }
    
    //取消
    var cancelClick = function(){
    	$("#modeLayer1").hide();
    }
    
    //编辑项
    var toEditPage = function(editType,id,event){
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	editType = editType;
	        var currentText = $(event.currentTarget).find("#"+id).text().trim();
	        var paramStr = "&parentPageName=pharmacistPersonalInfoPage";
            paramStr += "&parentFrameName=pharmacistPersonalInfoContentPage";
            paramStr += "&js=doctoePerson.setDoctorEditData";
            paramStr += "&editType="+ editType+"&currentText="+currentText+"&editInputId="+id+"&role="+'P';
	        appcan.window.open({
	            name : "doctorInfoEditPage",
	            data : "../../doctor/my/doctor_info_edit.html?"+paramStr,
	            aniId : "2"
	        });
    	} 
    }
    
    //监听编辑项
    var setDoctorEditData = function(editJson){
    	var formData = new FormData();
    	formData.append('id',apothecaryInfo.id);
        editType = editJson.editType;
        var id = editJson.editInputId;
        $("#"+id).text(editJson.editText);
        if (editType == "NAME") {
            //姓名
            doctor.set("apothecaryName", editJson.editText);
            formData.append('apothecaryName',encodeURIComponent(editJson.editText));
        } else if (editType == "IDENTIFY") {
            //身份证号
            doctor.set("cardId", editJson.editText);
            formData.append('cardId',editJson.editText);
        } else if (editType == "BUSINESSLICENSE") {
        	//执业证号
        	doctor.set("businessLicense", editJson.editText);
        	formData.append('businessLicense',editJson.editText);
        } else if (editType == "MECHANISMNAME") {
            //单位
            doctor.set("mechanismId", editJson.mechanismId);
            doctor.set("mechanismName", editJson.mechanismName);
            doctor.set("mechanismType", editJson.mechanismType);
            formData.append('mechanismId',editJson.mechanismId);
            formData.append('mechanismName',encodeURIComponent(editJson.mechanismName));
            formData.append('mechanismType',editJson.mechanismType);
        }
        doSave(formData);
    }
    
    //保存
    var doSave = function(formData){
	    var url = window.ajaxFormUrl+'/gatewayApp/ws/apothecary/updateApothecaryInfo';
	    $.ajax({
	        url: url,
	        type: 'POST',
	        data: formData,
	        async: false,
	        cache: false,
	        contentType: false,
	        // contentEncoding: 'charset=utf-8',
	        processData: false,
	        success: function(res) {
	        	if(JSON.parse(res).result == '0'){
	        		appcan.window.openToast("更新成功", 2000, 5, 0);
	        	}else{
			        appcan.window.alert({
			            title : "提示",
			            content : "提交失败，"+res.message,
			            buttons : '确定'
			        });
	        	}
	        },
	        error: function(e, err) {
		    	appcan.window.alert({
		            title : "提示",
		            content : "提交失败，请联系管理员",
		            buttons : '确定',
		            callback : function(err, data, dataType, optId) {
		
		            }
		        });
	        }
	    });
    }
    
    //带码表公共点击事件
    var commonClick = function(editType){
    	certStatus = doctor.get("certStatus");
    	//允许编辑
    	if(editFlag == "Y" && certStatus == "WRZ"){
    		var changeObjectValue;
    		var options;
    		if(editType == "sex"){
    			changeObjectValue = {"sex": doctor.get("sex")};
	        	options = {fieldCode: "sex", fieldName: "性别",
	            editorType: "checkItem", fieldValue: changeObjectValue, codelistType: "genderType"};    
    		}else if(editType == "apothecaryType"){
    			changeObjectValue = {"apothecaryType": doctor.get("apothecaryTypeCode")};
	        	options = {fieldCode: "apothecaryType", fieldName: "类别",
	            editorType: "checkItem", fieldValue: changeObjectValue, codelistType: "apothecaryType"};
    		}
	        pubEditParam.saveLocStorage(options);
	        var paramStr = "&parentPageName=pharmacistPersonalInfoPage";
	            paramStr += "&parentFrameName=pharmacistPersonalInfoContentPage";
	            paramStr += "&js=doctoePerson.getPubEditValue";
	        appcan.frame.open("content", "../../components/pubEditValue.html?" + paramStr, 0, inParam.headerHeight, "physicianCommonPubPage");
    	}
    }
    
    //获取编辑值
    var getPubEditValue = function(res){
    	var formData = new FormData();
    	formData.append('id',apothecaryInfo.id);
    	var frame = appcan.require("frame");
        var value;
        if(typeof(res) === "string") {
           value = JSON.parse(res);
        } else if(typeof(res) === "object") {
            value = res;
        }
        if (value.fieldCode === "sex") {
            doctor.set("sex", value.fieldValue.sex);
            formData.append('sex',value.fieldValue.sex);
        } else if (value.fieldCode === "apothecaryType"){
        	doctor.set("apothecaryTypeCode", value.fieldValue.apothecaryType);
        	doctor.set("apothecaryTypeName", getCodeListText(window.codeList.apothecaryType,value.fieldValue.apothecaryType));
            formData.append('apothecaryTypeCode',value.fieldValue.apothecaryType);
            formData.append('apothecaryTypeName',encodeURIComponent(getCodeListText(window.codeList.apothecaryType,value.fieldValue.apothecaryType)));
        }
        frame.close("physicianCommonPubPage");
        pubEditParam.removeLocStorage();
        doSave(formData);
    }
    
    //加载省市区事件
    var cityClick = function() {
    	certStatus = doctor.get("certStatus");
    	if(editFlag == "Y" && certStatus == "WRZ"){
	    	var formData = new FormData();
	    	formData.append('id',apothecaryInfo.id);
	        var _self = this;
	        var layer = 3
	        if (_self.city) {
	            _self.city.show(function(items) {
	            	doctor.set("regionId", items.id);
	            	doctor.set("regionCode", items.regionCode);
	            	doctor.set("regionDesc", items.fullName);
	            	formData.append('regionId',items.id);
	            	formData.append('regionCode',items.regionCode);
	            	formData.append('regionDesc',encodeURIComponent(items.fullName));
	            	doSave(formData);
	            });
	        } else {
	            _self.city = new Neusoft.DistrictPicker({
	                layer: layer
	            });
	            _self.city.show(function(items) {
	            	doctor.set("regionId", items.id);
	            	doctor.set("regionCode", items.regionCode);
	            	doctor.set("regionDesc", items.fullName);
	            	formData.append('regionId',items.id);
	            	formData.append('regionCode',items.regionCode);
	            	formData.append('regionDesc',encodeURIComponent(items.fullName));
	            	doSave(formData);
	            	// _self.city.dispose();
	                // _self.city = null;
	            }, {regionCode: ""});
	        }
    	}
    }
    
        
    return {
    	loadrz: loadrz,
        init: init,
        photoClick: photoClick,
        photographClick: photographClick,
        selectphotoClick: selectphotoClick,
        cancelClick: cancelClick,
        toEditPage: toEditPage,
        setDoctorEditData: setDoctorEditData,
        commonClick: commonClick,
        getPubEditValue: getPubEditValue,
        cityClick: cityClick
    }    
}();

appcan.ready(function() {
    doctoePerson.init();
    //appcan.window.subscribe("doctorPersonSuccess", function(res) {
        // //加载数据
        // getDoctorPerson();
    // }); 
});
