var recipeInfoTable = {
	"id": "", //ID
	"taskId": "", //诊疗记录ID
	"patientId": "", //患者ID
	"patientCode": "", //患者编号
	"patientPhone": "", //患者手机号
	"patientName": "", //患者姓名
	"cardId": "", //患者身份证号
	"sex": "", //患者性别
	"patientBirthDate": "", //出生年月日
	"patientAge": "", //患者年龄
	"relativRelCode": "", //亲属关系编码
	"relativRelName": "", //亲属关系名称
	"relativName": "", //亲属姓名
	"relativSex": "", //亲属性别
	"relativAge": "", //亲属年龄
	"tastDoctorId": "", //开方医师ID
	"tastDoctorCode": "", //开方医师编号
	"tastDoctorName": "", //开方医师姓名
	"tastDoctorType": "", //开方医师类别（Q全科 Z专科）
	"tastDoctorMechanismId": "", //开方医师单位ID（对应机构）
	"tastDoctorMechanismName": "", //开方医师机构名称
	"tastDoctorMechanismType": "", //开方医师单位类别(药房、检验中心、康复中心、门诊、一级医院、二级医院、三级医院、药械租赁公司)
	"tastDoctorTitleCode": "", //开方医师职称编码
	"tastDoctorTitleName": "", //开方医师职称名称（主任医师、副主任医师、主治医师、医师）
	"platApothecaryId": "", //平台药师ID
	"platApothecaryCode": "", //平台药师编号
	"platApothecaryName": "", //平台药师姓名
	"platAudiTime": "", //平台药师审药时间
	"apothecaryId": "", //药师ID
	"apothecaryCode": "", //药师编号
	"apothecaryName": "", //药师姓名
	"apothecaryAudiTime": "", //药师审药时间
	"adjustId": "", //调剂师ID
	"adjustCode": "", //调剂师编号
	"adjustName": "", //调剂师姓名
	"adjustAudiTime": "", //调剂师审药时间
	"buyTime": "", //购药时间
	"recipeCode": "", //处方单号
	"qrPicture": "", //二维码照片
	"isAllergy": "", //有无过敏史
	"taskResult": "", //诊断结果
	"supplyExplain": "", //补充说明
	"status": "", //状态（已开单、已审核、已选药、已缴费、已完成、已作废、已关闭）
	"drugSumfee": "", //药品总金额
	"drugPayType": "", //药品缴费渠道（医保、新农合、支付宝、微信、银行卡、代金券）
	"drugPayCode": "", //药品缴费单号
	"drugPayTime": "", //药品缴费时间
	"illnessCode": "", //病种编码
	"illnessName": "", //病种名称
	"takeDrugMode": "", //取药方式（Z自取 P配送）
	"evaluateStatus": "", //评价状态（待评价、已评价）
	"evaluateScore": "", //评价总分
	"evaluateOpinion": "", //评价意见和建议
	"doctorAutoSealUrl": "", //医师签章URL
	"platauditAutoSealUrl": "", //平台审方签章URL
	"platAutoSealUrl": "", //平台签章URL
	"adjustAutoSealUrl": "", //调剂师签章URL
	"apothecaryAutoSealUrl": "", //药师签章URL
	"mechanismId": "", //取药机构ID（对应机构）
	"mechanismCode": "", //取药机构编码
	"mechanismName": "", //取药机构名称
	"createCode": "", //创建人编码
	"createName": "", //创建人名称
	"createDate": "", //创建时间
	"updateCode": "", //最后修改人编码
	"updateName": "", //最后修改人名称
	"updateDate": "", //最后修改时间
	"version": "", //版本号
	"deleted": "", //删除标示
	"extend1": "", //扩展字段1
	"extend2": "", //扩展字段2
	"extend3": "", //扩展字段3
	"extend4": "", //扩展字段4
	"extend5": "", //扩展字段5
	"extend6": "",  //扩展字段6
	"isCreateArchives": "", //是否已生成档案
	"bhReasonCode": "", //驳回原因编码
	"bhReasonName": "", //驳回原因名称
	"bhExplain": "", //驳回说明
	"bhTime": "", //驳回时间
	"symptom": "", //症状
	"recipeType": "" //处方类型
}