
var PatientAssessListModel = MVVM.Model.extend({
    defaults: {"styleDisplay": "-webkit-box !important"},
    computeds: {
        //单据状态
        getOrderType: {
            //这里是参数的依赖，也可以使用this.get("username")
            deps: ["orderType"],
            get: function(orderType) {
                var codelist = commonJs.getCodelistData(window.codeList.evaluateOrderType, orderType);
                return codelist.text || orderType;
            }
        },
        //时间
        getCreateDateStr: {
            deps: ["createDate"],
            get: function(createDate) {
                if (typeof(createDate) === "object" && _.allKeys(createDate).length === 0) {
                     return null;
                } else if(!!!createDate) {
                    return null;
                }
                return  commonJs.dateTimeToString(createDate);
            }
        }
    },
    sync: function(method, model, options) {
        switch (method) {
        case "create":

            break;
        case "update":

            break;
        case "patch":

            break;
        case "delete":

            break;
        default:
            break;
        }
    }
});
