var Service_assess = new MVVM.Service({
    pretreatment: function(data, option) {
        return data;
    },
    dosuccess: function(data, option) {
        
        var evaluateOrder = data.waitEvaluateOrderVOList;
        for(var i=0;i<evaluateOrder.length;i++){
            var orderType = getCodeListText(window.codeList.evaluateOrderType,evaluateOrder[i].orderType);
            var createDate = commonJs.jsonDateFormat(evaluateOrder[i].createDate);
            evaluateOrder[i].orderType = orderType;
            evaluateOrder[i].createDate = createDate;
        }
        return evaluateOrder;
    },
    doerror: function(e, err, option) {
        return err;
    },
    validate: function(data, option) {
        return 0;
    },
    ajaxCall: function(data, option) {
        var self = this;
        var patientId = "1";

        var dataList = JSON.stringify({"patientId":patientId,"pageIndex":1,"pageSize":10});
        appcan.request.ajax({
            url: window.ServerURL + "/getWaitEvaluateOrderXf",
            type: "POST",
            data: dataList,
            dataType: "json",
            contentType: "application/json;charset=UTF-8",
            success: function(data) {
                console.log(data);
                var res = self.validate(data, option);
                if (!res) {
                    option.success(self.dosuccess(data, option))
                } else {
                    option.error(self.doerror(data, res, option))
                };
                
                //绑定事件

                appcan.button(".assessList", "btn-act", function(event) {
                    
                    var orderId = $(event.currentTarget).find("#orderId").text().trim();
                    var orderType = $(event.currentTarget).find("#orderType").text().trim();
                    var orderTypeCode = getCodeListValue(window.codeList.evaluateOrderType,orderType);
                    var url = "";
                    if(orderTypeCode=="CF"){
                        url = "../buymedicine/buymedicine_assess.html";;
                    }else if(orderTypeCode == "ZL"){
                        url = "../diagnosis/diagnosis_assess.html";
                    }
                    

                    appcan.window.open({
                        name : "assessDetail",
                        data : url,
                        aniId : "2"
                    });
                }); 


            },
            error: function(e, err) {
                option.error(self.doerror(e, err, option));
            }
        });
 
    }
});






var Model_Collection_assess = MVVM.Model.extend({
    defaults: {},
    computeds: {},
    sync: function(method, model, options) {
        switch (method) {
        case "create":

            break;
        case "update":

            break;
        case "patch":

            break;
        case "delete":

            break;
        default:
            break;
        }
    }
});





var Collection_assess = new(MVVM.Collection.extend({
    initialize: function() {
        return;
    },
    parse: function(data) {
        return data;
    },
    model: Model_Collection_assess,
    sync: function(method, collection, options) {
        switch (method) {
        case "read":
            Service_assess.request({}, options);
            break;
        default:
            break;
        }
    }
}))();



var ViewModel_assess = new(MVVM.ViewModel.extend({
    el: "#patientAssessListView",

    initialize: function() {
        this.collection.fetch({})
        return;
    },
    collection: Collection_assess

}))();




